
/* Copyright © 2015-2021 Intel Corporation
 *
 * Permission is hereby granted, free of charge, to any person obtaining a
 * copy of this software and associated documentation files (the "Software"),
 * to deal in the Software without restriction, including without limitation
 * the rights to use, copy, modify, merge, publish, distribute, sublicense,
 * and/or sell copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice (including the next
 * paragraph) shall be included in all copies or substantial portions of the
 * Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL
 * THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS
 * IN THE SOFTWARE.
 */

/* This file generated from vk_entrypoints_gen.py, don't edit directly. */

#include "v3dv_entrypoints.h"

/* Weak aliases for all potential implementations. These will resolve to
 * NULL if they're not defined, which lets the resolve_entrypoint() function
 * either pick the correct entry point.
 *
 * MSVC uses different decorated names for 32-bit versus 64-bit. Declare
 * all argument sizes for 32-bit because computing the actual size would be
 * difficult.
 */




#ifdef _MSC_VER
    VkResult (*v3dv_CreateInstance_Null)(const VkInstanceCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkInstance* pInstance) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CreateInstance@4=_v3dv_CreateInstance_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateInstance@8=_v3dv_CreateInstance_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateInstance@12=_v3dv_CreateInstance_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateInstance@16=_v3dv_CreateInstance_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateInstance@20=_v3dv_CreateInstance_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateInstance@24=_v3dv_CreateInstance_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateInstance@28=_v3dv_CreateInstance_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateInstance@32=_v3dv_CreateInstance_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateInstance@36=_v3dv_CreateInstance_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateInstance@40=_v3dv_CreateInstance_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateInstance@44=_v3dv_CreateInstance_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateInstance@48=_v3dv_CreateInstance_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateInstance@60=_v3dv_CreateInstance_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateInstance@104=_v3dv_CreateInstance_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CreateInstance=v3dv_CreateInstance_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_CreateInstance(const VkInstanceCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkInstance* pInstance) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_DestroyInstance_Null)(VkInstance instance, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_DestroyInstance@4=_v3dv_DestroyInstance_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyInstance@8=_v3dv_DestroyInstance_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyInstance@12=_v3dv_DestroyInstance_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyInstance@16=_v3dv_DestroyInstance_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyInstance@20=_v3dv_DestroyInstance_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyInstance@24=_v3dv_DestroyInstance_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyInstance@28=_v3dv_DestroyInstance_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyInstance@32=_v3dv_DestroyInstance_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyInstance@36=_v3dv_DestroyInstance_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyInstance@40=_v3dv_DestroyInstance_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyInstance@44=_v3dv_DestroyInstance_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyInstance@48=_v3dv_DestroyInstance_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyInstance@60=_v3dv_DestroyInstance_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyInstance@104=_v3dv_DestroyInstance_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_DestroyInstance=v3dv_DestroyInstance_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_DestroyInstance(VkInstance instance, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_EnumeratePhysicalDevices_Null)(VkInstance instance, uint32_t* pPhysicalDeviceCount, VkPhysicalDevice* pPhysicalDevices) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_EnumeratePhysicalDevices@4=_v3dv_EnumeratePhysicalDevices_Null")
    #pragma comment(linker, "/alternatename:_v3dv_EnumeratePhysicalDevices@8=_v3dv_EnumeratePhysicalDevices_Null")
    #pragma comment(linker, "/alternatename:_v3dv_EnumeratePhysicalDevices@12=_v3dv_EnumeratePhysicalDevices_Null")
    #pragma comment(linker, "/alternatename:_v3dv_EnumeratePhysicalDevices@16=_v3dv_EnumeratePhysicalDevices_Null")
    #pragma comment(linker, "/alternatename:_v3dv_EnumeratePhysicalDevices@20=_v3dv_EnumeratePhysicalDevices_Null")
    #pragma comment(linker, "/alternatename:_v3dv_EnumeratePhysicalDevices@24=_v3dv_EnumeratePhysicalDevices_Null")
    #pragma comment(linker, "/alternatename:_v3dv_EnumeratePhysicalDevices@28=_v3dv_EnumeratePhysicalDevices_Null")
    #pragma comment(linker, "/alternatename:_v3dv_EnumeratePhysicalDevices@32=_v3dv_EnumeratePhysicalDevices_Null")
    #pragma comment(linker, "/alternatename:_v3dv_EnumeratePhysicalDevices@36=_v3dv_EnumeratePhysicalDevices_Null")
    #pragma comment(linker, "/alternatename:_v3dv_EnumeratePhysicalDevices@40=_v3dv_EnumeratePhysicalDevices_Null")
    #pragma comment(linker, "/alternatename:_v3dv_EnumeratePhysicalDevices@44=_v3dv_EnumeratePhysicalDevices_Null")
    #pragma comment(linker, "/alternatename:_v3dv_EnumeratePhysicalDevices@48=_v3dv_EnumeratePhysicalDevices_Null")
    #pragma comment(linker, "/alternatename:_v3dv_EnumeratePhysicalDevices@60=_v3dv_EnumeratePhysicalDevices_Null")
    #pragma comment(linker, "/alternatename:_v3dv_EnumeratePhysicalDevices@104=_v3dv_EnumeratePhysicalDevices_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_EnumeratePhysicalDevices=v3dv_EnumeratePhysicalDevices_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_EnumeratePhysicalDevices(VkInstance instance, uint32_t* pPhysicalDeviceCount, VkPhysicalDevice* pPhysicalDevices) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    PFN_vkVoidFunction (*v3dv_GetInstanceProcAddr_Null)(VkInstance instance, const char* pName) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_GetInstanceProcAddr@4=_v3dv_GetInstanceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetInstanceProcAddr@8=_v3dv_GetInstanceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetInstanceProcAddr@12=_v3dv_GetInstanceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetInstanceProcAddr@16=_v3dv_GetInstanceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetInstanceProcAddr@20=_v3dv_GetInstanceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetInstanceProcAddr@24=_v3dv_GetInstanceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetInstanceProcAddr@28=_v3dv_GetInstanceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetInstanceProcAddr@32=_v3dv_GetInstanceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetInstanceProcAddr@36=_v3dv_GetInstanceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetInstanceProcAddr@40=_v3dv_GetInstanceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetInstanceProcAddr@44=_v3dv_GetInstanceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetInstanceProcAddr@48=_v3dv_GetInstanceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetInstanceProcAddr@60=_v3dv_GetInstanceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetInstanceProcAddr@104=_v3dv_GetInstanceProcAddr_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_GetInstanceProcAddr=v3dv_GetInstanceProcAddr_Null")
#endif
#else
    VKAPI_ATTR PFN_vkVoidFunction VKAPI_CALL v3dv_GetInstanceProcAddr(VkInstance instance, const char* pName) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_EnumerateInstanceVersion_Null)(uint32_t* pApiVersion) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_EnumerateInstanceVersion@4=_v3dv_EnumerateInstanceVersion_Null")
    #pragma comment(linker, "/alternatename:_v3dv_EnumerateInstanceVersion@8=_v3dv_EnumerateInstanceVersion_Null")
    #pragma comment(linker, "/alternatename:_v3dv_EnumerateInstanceVersion@12=_v3dv_EnumerateInstanceVersion_Null")
    #pragma comment(linker, "/alternatename:_v3dv_EnumerateInstanceVersion@16=_v3dv_EnumerateInstanceVersion_Null")
    #pragma comment(linker, "/alternatename:_v3dv_EnumerateInstanceVersion@20=_v3dv_EnumerateInstanceVersion_Null")
    #pragma comment(linker, "/alternatename:_v3dv_EnumerateInstanceVersion@24=_v3dv_EnumerateInstanceVersion_Null")
    #pragma comment(linker, "/alternatename:_v3dv_EnumerateInstanceVersion@28=_v3dv_EnumerateInstanceVersion_Null")
    #pragma comment(linker, "/alternatename:_v3dv_EnumerateInstanceVersion@32=_v3dv_EnumerateInstanceVersion_Null")
    #pragma comment(linker, "/alternatename:_v3dv_EnumerateInstanceVersion@36=_v3dv_EnumerateInstanceVersion_Null")
    #pragma comment(linker, "/alternatename:_v3dv_EnumerateInstanceVersion@40=_v3dv_EnumerateInstanceVersion_Null")
    #pragma comment(linker, "/alternatename:_v3dv_EnumerateInstanceVersion@44=_v3dv_EnumerateInstanceVersion_Null")
    #pragma comment(linker, "/alternatename:_v3dv_EnumerateInstanceVersion@48=_v3dv_EnumerateInstanceVersion_Null")
    #pragma comment(linker, "/alternatename:_v3dv_EnumerateInstanceVersion@60=_v3dv_EnumerateInstanceVersion_Null")
    #pragma comment(linker, "/alternatename:_v3dv_EnumerateInstanceVersion@104=_v3dv_EnumerateInstanceVersion_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_EnumerateInstanceVersion=v3dv_EnumerateInstanceVersion_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_EnumerateInstanceVersion(uint32_t* pApiVersion) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_EnumerateInstanceLayerProperties_Null)(uint32_t* pPropertyCount, VkLayerProperties* pProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_EnumerateInstanceLayerProperties@4=_v3dv_EnumerateInstanceLayerProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_EnumerateInstanceLayerProperties@8=_v3dv_EnumerateInstanceLayerProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_EnumerateInstanceLayerProperties@12=_v3dv_EnumerateInstanceLayerProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_EnumerateInstanceLayerProperties@16=_v3dv_EnumerateInstanceLayerProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_EnumerateInstanceLayerProperties@20=_v3dv_EnumerateInstanceLayerProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_EnumerateInstanceLayerProperties@24=_v3dv_EnumerateInstanceLayerProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_EnumerateInstanceLayerProperties@28=_v3dv_EnumerateInstanceLayerProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_EnumerateInstanceLayerProperties@32=_v3dv_EnumerateInstanceLayerProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_EnumerateInstanceLayerProperties@36=_v3dv_EnumerateInstanceLayerProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_EnumerateInstanceLayerProperties@40=_v3dv_EnumerateInstanceLayerProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_EnumerateInstanceLayerProperties@44=_v3dv_EnumerateInstanceLayerProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_EnumerateInstanceLayerProperties@48=_v3dv_EnumerateInstanceLayerProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_EnumerateInstanceLayerProperties@60=_v3dv_EnumerateInstanceLayerProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_EnumerateInstanceLayerProperties@104=_v3dv_EnumerateInstanceLayerProperties_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_EnumerateInstanceLayerProperties=v3dv_EnumerateInstanceLayerProperties_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_EnumerateInstanceLayerProperties(uint32_t* pPropertyCount, VkLayerProperties* pProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_EnumerateInstanceExtensionProperties_Null)(const char* pLayerName, uint32_t* pPropertyCount, VkExtensionProperties* pProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_EnumerateInstanceExtensionProperties@4=_v3dv_EnumerateInstanceExtensionProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_EnumerateInstanceExtensionProperties@8=_v3dv_EnumerateInstanceExtensionProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_EnumerateInstanceExtensionProperties@12=_v3dv_EnumerateInstanceExtensionProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_EnumerateInstanceExtensionProperties@16=_v3dv_EnumerateInstanceExtensionProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_EnumerateInstanceExtensionProperties@20=_v3dv_EnumerateInstanceExtensionProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_EnumerateInstanceExtensionProperties@24=_v3dv_EnumerateInstanceExtensionProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_EnumerateInstanceExtensionProperties@28=_v3dv_EnumerateInstanceExtensionProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_EnumerateInstanceExtensionProperties@32=_v3dv_EnumerateInstanceExtensionProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_EnumerateInstanceExtensionProperties@36=_v3dv_EnumerateInstanceExtensionProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_EnumerateInstanceExtensionProperties@40=_v3dv_EnumerateInstanceExtensionProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_EnumerateInstanceExtensionProperties@44=_v3dv_EnumerateInstanceExtensionProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_EnumerateInstanceExtensionProperties@48=_v3dv_EnumerateInstanceExtensionProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_EnumerateInstanceExtensionProperties@60=_v3dv_EnumerateInstanceExtensionProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_EnumerateInstanceExtensionProperties@104=_v3dv_EnumerateInstanceExtensionProperties_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_EnumerateInstanceExtensionProperties=v3dv_EnumerateInstanceExtensionProperties_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_EnumerateInstanceExtensionProperties(const char* pLayerName, uint32_t* pPropertyCount, VkExtensionProperties* pProperties) __attribute__ ((weak));
#endif
#ifdef VK_USE_PLATFORM_ANDROID_KHR
#ifdef _MSC_VER
    VkResult (*v3dv_CreateAndroidSurfaceKHR_Null)(VkInstance instance, const VkAndroidSurfaceCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CreateAndroidSurfaceKHR@4=_v3dv_CreateAndroidSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateAndroidSurfaceKHR@8=_v3dv_CreateAndroidSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateAndroidSurfaceKHR@12=_v3dv_CreateAndroidSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateAndroidSurfaceKHR@16=_v3dv_CreateAndroidSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateAndroidSurfaceKHR@20=_v3dv_CreateAndroidSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateAndroidSurfaceKHR@24=_v3dv_CreateAndroidSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateAndroidSurfaceKHR@28=_v3dv_CreateAndroidSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateAndroidSurfaceKHR@32=_v3dv_CreateAndroidSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateAndroidSurfaceKHR@36=_v3dv_CreateAndroidSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateAndroidSurfaceKHR@40=_v3dv_CreateAndroidSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateAndroidSurfaceKHR@44=_v3dv_CreateAndroidSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateAndroidSurfaceKHR@48=_v3dv_CreateAndroidSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateAndroidSurfaceKHR@60=_v3dv_CreateAndroidSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateAndroidSurfaceKHR@104=_v3dv_CreateAndroidSurfaceKHR_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CreateAndroidSurfaceKHR=v3dv_CreateAndroidSurfaceKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_CreateAndroidSurfaceKHR(VkInstance instance, const VkAndroidSurfaceCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_ANDROID_KHR
#ifdef _MSC_VER
    VkResult (*v3dv_CreateDisplayPlaneSurfaceKHR_Null)(VkInstance instance, const VkDisplaySurfaceCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CreateDisplayPlaneSurfaceKHR@4=_v3dv_CreateDisplayPlaneSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateDisplayPlaneSurfaceKHR@8=_v3dv_CreateDisplayPlaneSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateDisplayPlaneSurfaceKHR@12=_v3dv_CreateDisplayPlaneSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateDisplayPlaneSurfaceKHR@16=_v3dv_CreateDisplayPlaneSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateDisplayPlaneSurfaceKHR@20=_v3dv_CreateDisplayPlaneSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateDisplayPlaneSurfaceKHR@24=_v3dv_CreateDisplayPlaneSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateDisplayPlaneSurfaceKHR@28=_v3dv_CreateDisplayPlaneSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateDisplayPlaneSurfaceKHR@32=_v3dv_CreateDisplayPlaneSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateDisplayPlaneSurfaceKHR@36=_v3dv_CreateDisplayPlaneSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateDisplayPlaneSurfaceKHR@40=_v3dv_CreateDisplayPlaneSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateDisplayPlaneSurfaceKHR@44=_v3dv_CreateDisplayPlaneSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateDisplayPlaneSurfaceKHR@48=_v3dv_CreateDisplayPlaneSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateDisplayPlaneSurfaceKHR@60=_v3dv_CreateDisplayPlaneSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateDisplayPlaneSurfaceKHR@104=_v3dv_CreateDisplayPlaneSurfaceKHR_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CreateDisplayPlaneSurfaceKHR=v3dv_CreateDisplayPlaneSurfaceKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_CreateDisplayPlaneSurfaceKHR(VkInstance instance, const VkDisplaySurfaceCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_DestroySurfaceKHR_Null)(VkInstance instance, VkSurfaceKHR surface, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_DestroySurfaceKHR@4=_v3dv_DestroySurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroySurfaceKHR@8=_v3dv_DestroySurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroySurfaceKHR@12=_v3dv_DestroySurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroySurfaceKHR@16=_v3dv_DestroySurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroySurfaceKHR@20=_v3dv_DestroySurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroySurfaceKHR@24=_v3dv_DestroySurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroySurfaceKHR@28=_v3dv_DestroySurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroySurfaceKHR@32=_v3dv_DestroySurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroySurfaceKHR@36=_v3dv_DestroySurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroySurfaceKHR@40=_v3dv_DestroySurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroySurfaceKHR@44=_v3dv_DestroySurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroySurfaceKHR@48=_v3dv_DestroySurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroySurfaceKHR@60=_v3dv_DestroySurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroySurfaceKHR@104=_v3dv_DestroySurfaceKHR_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_DestroySurfaceKHR=v3dv_DestroySurfaceKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_DestroySurfaceKHR(VkInstance instance, VkSurfaceKHR surface, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef VK_USE_PLATFORM_VI_NN
#ifdef _MSC_VER
    VkResult (*v3dv_CreateViSurfaceNN_Null)(VkInstance instance, const VkViSurfaceCreateInfoNN* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CreateViSurfaceNN@4=_v3dv_CreateViSurfaceNN_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateViSurfaceNN@8=_v3dv_CreateViSurfaceNN_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateViSurfaceNN@12=_v3dv_CreateViSurfaceNN_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateViSurfaceNN@16=_v3dv_CreateViSurfaceNN_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateViSurfaceNN@20=_v3dv_CreateViSurfaceNN_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateViSurfaceNN@24=_v3dv_CreateViSurfaceNN_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateViSurfaceNN@28=_v3dv_CreateViSurfaceNN_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateViSurfaceNN@32=_v3dv_CreateViSurfaceNN_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateViSurfaceNN@36=_v3dv_CreateViSurfaceNN_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateViSurfaceNN@40=_v3dv_CreateViSurfaceNN_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateViSurfaceNN@44=_v3dv_CreateViSurfaceNN_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateViSurfaceNN@48=_v3dv_CreateViSurfaceNN_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateViSurfaceNN@60=_v3dv_CreateViSurfaceNN_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateViSurfaceNN@104=_v3dv_CreateViSurfaceNN_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CreateViSurfaceNN=v3dv_CreateViSurfaceNN_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_CreateViSurfaceNN(VkInstance instance, const VkViSurfaceCreateInfoNN* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_VI_NN
#ifdef VK_USE_PLATFORM_WAYLAND_KHR
#ifdef _MSC_VER
    VkResult (*v3dv_CreateWaylandSurfaceKHR_Null)(VkInstance instance, const VkWaylandSurfaceCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CreateWaylandSurfaceKHR@4=_v3dv_CreateWaylandSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateWaylandSurfaceKHR@8=_v3dv_CreateWaylandSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateWaylandSurfaceKHR@12=_v3dv_CreateWaylandSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateWaylandSurfaceKHR@16=_v3dv_CreateWaylandSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateWaylandSurfaceKHR@20=_v3dv_CreateWaylandSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateWaylandSurfaceKHR@24=_v3dv_CreateWaylandSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateWaylandSurfaceKHR@28=_v3dv_CreateWaylandSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateWaylandSurfaceKHR@32=_v3dv_CreateWaylandSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateWaylandSurfaceKHR@36=_v3dv_CreateWaylandSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateWaylandSurfaceKHR@40=_v3dv_CreateWaylandSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateWaylandSurfaceKHR@44=_v3dv_CreateWaylandSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateWaylandSurfaceKHR@48=_v3dv_CreateWaylandSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateWaylandSurfaceKHR@60=_v3dv_CreateWaylandSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateWaylandSurfaceKHR@104=_v3dv_CreateWaylandSurfaceKHR_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CreateWaylandSurfaceKHR=v3dv_CreateWaylandSurfaceKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_CreateWaylandSurfaceKHR(VkInstance instance, const VkWaylandSurfaceCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_WAYLAND_KHR
#ifdef VK_USE_PLATFORM_WIN32_KHR
#ifdef _MSC_VER
    VkResult (*v3dv_CreateWin32SurfaceKHR_Null)(VkInstance instance, const VkWin32SurfaceCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CreateWin32SurfaceKHR@4=_v3dv_CreateWin32SurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateWin32SurfaceKHR@8=_v3dv_CreateWin32SurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateWin32SurfaceKHR@12=_v3dv_CreateWin32SurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateWin32SurfaceKHR@16=_v3dv_CreateWin32SurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateWin32SurfaceKHR@20=_v3dv_CreateWin32SurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateWin32SurfaceKHR@24=_v3dv_CreateWin32SurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateWin32SurfaceKHR@28=_v3dv_CreateWin32SurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateWin32SurfaceKHR@32=_v3dv_CreateWin32SurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateWin32SurfaceKHR@36=_v3dv_CreateWin32SurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateWin32SurfaceKHR@40=_v3dv_CreateWin32SurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateWin32SurfaceKHR@44=_v3dv_CreateWin32SurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateWin32SurfaceKHR@48=_v3dv_CreateWin32SurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateWin32SurfaceKHR@60=_v3dv_CreateWin32SurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateWin32SurfaceKHR@104=_v3dv_CreateWin32SurfaceKHR_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CreateWin32SurfaceKHR=v3dv_CreateWin32SurfaceKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_CreateWin32SurfaceKHR(VkInstance instance, const VkWin32SurfaceCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef VK_USE_PLATFORM_XLIB_KHR
#ifdef _MSC_VER
    VkResult (*v3dv_CreateXlibSurfaceKHR_Null)(VkInstance instance, const VkXlibSurfaceCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CreateXlibSurfaceKHR@4=_v3dv_CreateXlibSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateXlibSurfaceKHR@8=_v3dv_CreateXlibSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateXlibSurfaceKHR@12=_v3dv_CreateXlibSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateXlibSurfaceKHR@16=_v3dv_CreateXlibSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateXlibSurfaceKHR@20=_v3dv_CreateXlibSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateXlibSurfaceKHR@24=_v3dv_CreateXlibSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateXlibSurfaceKHR@28=_v3dv_CreateXlibSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateXlibSurfaceKHR@32=_v3dv_CreateXlibSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateXlibSurfaceKHR@36=_v3dv_CreateXlibSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateXlibSurfaceKHR@40=_v3dv_CreateXlibSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateXlibSurfaceKHR@44=_v3dv_CreateXlibSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateXlibSurfaceKHR@48=_v3dv_CreateXlibSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateXlibSurfaceKHR@60=_v3dv_CreateXlibSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateXlibSurfaceKHR@104=_v3dv_CreateXlibSurfaceKHR_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CreateXlibSurfaceKHR=v3dv_CreateXlibSurfaceKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_CreateXlibSurfaceKHR(VkInstance instance, const VkXlibSurfaceCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_XLIB_KHR
#ifdef VK_USE_PLATFORM_XCB_KHR
#ifdef _MSC_VER
    VkResult (*v3dv_CreateXcbSurfaceKHR_Null)(VkInstance instance, const VkXcbSurfaceCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CreateXcbSurfaceKHR@4=_v3dv_CreateXcbSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateXcbSurfaceKHR@8=_v3dv_CreateXcbSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateXcbSurfaceKHR@12=_v3dv_CreateXcbSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateXcbSurfaceKHR@16=_v3dv_CreateXcbSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateXcbSurfaceKHR@20=_v3dv_CreateXcbSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateXcbSurfaceKHR@24=_v3dv_CreateXcbSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateXcbSurfaceKHR@28=_v3dv_CreateXcbSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateXcbSurfaceKHR@32=_v3dv_CreateXcbSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateXcbSurfaceKHR@36=_v3dv_CreateXcbSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateXcbSurfaceKHR@40=_v3dv_CreateXcbSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateXcbSurfaceKHR@44=_v3dv_CreateXcbSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateXcbSurfaceKHR@48=_v3dv_CreateXcbSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateXcbSurfaceKHR@60=_v3dv_CreateXcbSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateXcbSurfaceKHR@104=_v3dv_CreateXcbSurfaceKHR_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CreateXcbSurfaceKHR=v3dv_CreateXcbSurfaceKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_CreateXcbSurfaceKHR(VkInstance instance, const VkXcbSurfaceCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_XCB_KHR
#ifdef VK_USE_PLATFORM_DIRECTFB_EXT
#ifdef _MSC_VER
    VkResult (*v3dv_CreateDirectFBSurfaceEXT_Null)(VkInstance instance, const VkDirectFBSurfaceCreateInfoEXT* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CreateDirectFBSurfaceEXT@4=_v3dv_CreateDirectFBSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateDirectFBSurfaceEXT@8=_v3dv_CreateDirectFBSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateDirectFBSurfaceEXT@12=_v3dv_CreateDirectFBSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateDirectFBSurfaceEXT@16=_v3dv_CreateDirectFBSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateDirectFBSurfaceEXT@20=_v3dv_CreateDirectFBSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateDirectFBSurfaceEXT@24=_v3dv_CreateDirectFBSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateDirectFBSurfaceEXT@28=_v3dv_CreateDirectFBSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateDirectFBSurfaceEXT@32=_v3dv_CreateDirectFBSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateDirectFBSurfaceEXT@36=_v3dv_CreateDirectFBSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateDirectFBSurfaceEXT@40=_v3dv_CreateDirectFBSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateDirectFBSurfaceEXT@44=_v3dv_CreateDirectFBSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateDirectFBSurfaceEXT@48=_v3dv_CreateDirectFBSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateDirectFBSurfaceEXT@60=_v3dv_CreateDirectFBSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateDirectFBSurfaceEXT@104=_v3dv_CreateDirectFBSurfaceEXT_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CreateDirectFBSurfaceEXT=v3dv_CreateDirectFBSurfaceEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_CreateDirectFBSurfaceEXT(VkInstance instance, const VkDirectFBSurfaceCreateInfoEXT* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_DIRECTFB_EXT
#ifdef VK_USE_PLATFORM_FUCHSIA
#ifdef _MSC_VER
    VkResult (*v3dv_CreateImagePipeSurfaceFUCHSIA_Null)(VkInstance instance, const VkImagePipeSurfaceCreateInfoFUCHSIA* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CreateImagePipeSurfaceFUCHSIA@4=_v3dv_CreateImagePipeSurfaceFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateImagePipeSurfaceFUCHSIA@8=_v3dv_CreateImagePipeSurfaceFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateImagePipeSurfaceFUCHSIA@12=_v3dv_CreateImagePipeSurfaceFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateImagePipeSurfaceFUCHSIA@16=_v3dv_CreateImagePipeSurfaceFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateImagePipeSurfaceFUCHSIA@20=_v3dv_CreateImagePipeSurfaceFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateImagePipeSurfaceFUCHSIA@24=_v3dv_CreateImagePipeSurfaceFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateImagePipeSurfaceFUCHSIA@28=_v3dv_CreateImagePipeSurfaceFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateImagePipeSurfaceFUCHSIA@32=_v3dv_CreateImagePipeSurfaceFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateImagePipeSurfaceFUCHSIA@36=_v3dv_CreateImagePipeSurfaceFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateImagePipeSurfaceFUCHSIA@40=_v3dv_CreateImagePipeSurfaceFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateImagePipeSurfaceFUCHSIA@44=_v3dv_CreateImagePipeSurfaceFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateImagePipeSurfaceFUCHSIA@48=_v3dv_CreateImagePipeSurfaceFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateImagePipeSurfaceFUCHSIA@60=_v3dv_CreateImagePipeSurfaceFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateImagePipeSurfaceFUCHSIA@104=_v3dv_CreateImagePipeSurfaceFUCHSIA_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CreateImagePipeSurfaceFUCHSIA=v3dv_CreateImagePipeSurfaceFUCHSIA_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_CreateImagePipeSurfaceFUCHSIA(VkInstance instance, const VkImagePipeSurfaceCreateInfoFUCHSIA* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_FUCHSIA
#ifdef VK_USE_PLATFORM_GGP
#ifdef _MSC_VER
    VkResult (*v3dv_CreateStreamDescriptorSurfaceGGP_Null)(VkInstance instance, const VkStreamDescriptorSurfaceCreateInfoGGP* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CreateStreamDescriptorSurfaceGGP@4=_v3dv_CreateStreamDescriptorSurfaceGGP_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateStreamDescriptorSurfaceGGP@8=_v3dv_CreateStreamDescriptorSurfaceGGP_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateStreamDescriptorSurfaceGGP@12=_v3dv_CreateStreamDescriptorSurfaceGGP_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateStreamDescriptorSurfaceGGP@16=_v3dv_CreateStreamDescriptorSurfaceGGP_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateStreamDescriptorSurfaceGGP@20=_v3dv_CreateStreamDescriptorSurfaceGGP_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateStreamDescriptorSurfaceGGP@24=_v3dv_CreateStreamDescriptorSurfaceGGP_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateStreamDescriptorSurfaceGGP@28=_v3dv_CreateStreamDescriptorSurfaceGGP_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateStreamDescriptorSurfaceGGP@32=_v3dv_CreateStreamDescriptorSurfaceGGP_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateStreamDescriptorSurfaceGGP@36=_v3dv_CreateStreamDescriptorSurfaceGGP_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateStreamDescriptorSurfaceGGP@40=_v3dv_CreateStreamDescriptorSurfaceGGP_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateStreamDescriptorSurfaceGGP@44=_v3dv_CreateStreamDescriptorSurfaceGGP_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateStreamDescriptorSurfaceGGP@48=_v3dv_CreateStreamDescriptorSurfaceGGP_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateStreamDescriptorSurfaceGGP@60=_v3dv_CreateStreamDescriptorSurfaceGGP_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateStreamDescriptorSurfaceGGP@104=_v3dv_CreateStreamDescriptorSurfaceGGP_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CreateStreamDescriptorSurfaceGGP=v3dv_CreateStreamDescriptorSurfaceGGP_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_CreateStreamDescriptorSurfaceGGP(VkInstance instance, const VkStreamDescriptorSurfaceCreateInfoGGP* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_GGP
#ifdef _MSC_VER
    VkResult (*v3dv_CreateDebugReportCallbackEXT_Null)(VkInstance instance, const VkDebugReportCallbackCreateInfoEXT* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDebugReportCallbackEXT* pCallback) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CreateDebugReportCallbackEXT@4=_v3dv_CreateDebugReportCallbackEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateDebugReportCallbackEXT@8=_v3dv_CreateDebugReportCallbackEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateDebugReportCallbackEXT@12=_v3dv_CreateDebugReportCallbackEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateDebugReportCallbackEXT@16=_v3dv_CreateDebugReportCallbackEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateDebugReportCallbackEXT@20=_v3dv_CreateDebugReportCallbackEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateDebugReportCallbackEXT@24=_v3dv_CreateDebugReportCallbackEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateDebugReportCallbackEXT@28=_v3dv_CreateDebugReportCallbackEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateDebugReportCallbackEXT@32=_v3dv_CreateDebugReportCallbackEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateDebugReportCallbackEXT@36=_v3dv_CreateDebugReportCallbackEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateDebugReportCallbackEXT@40=_v3dv_CreateDebugReportCallbackEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateDebugReportCallbackEXT@44=_v3dv_CreateDebugReportCallbackEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateDebugReportCallbackEXT@48=_v3dv_CreateDebugReportCallbackEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateDebugReportCallbackEXT@60=_v3dv_CreateDebugReportCallbackEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateDebugReportCallbackEXT@104=_v3dv_CreateDebugReportCallbackEXT_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CreateDebugReportCallbackEXT=v3dv_CreateDebugReportCallbackEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_CreateDebugReportCallbackEXT(VkInstance instance, const VkDebugReportCallbackCreateInfoEXT* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDebugReportCallbackEXT* pCallback) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_DestroyDebugReportCallbackEXT_Null)(VkInstance instance, VkDebugReportCallbackEXT callback, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_DestroyDebugReportCallbackEXT@4=_v3dv_DestroyDebugReportCallbackEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyDebugReportCallbackEXT@8=_v3dv_DestroyDebugReportCallbackEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyDebugReportCallbackEXT@12=_v3dv_DestroyDebugReportCallbackEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyDebugReportCallbackEXT@16=_v3dv_DestroyDebugReportCallbackEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyDebugReportCallbackEXT@20=_v3dv_DestroyDebugReportCallbackEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyDebugReportCallbackEXT@24=_v3dv_DestroyDebugReportCallbackEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyDebugReportCallbackEXT@28=_v3dv_DestroyDebugReportCallbackEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyDebugReportCallbackEXT@32=_v3dv_DestroyDebugReportCallbackEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyDebugReportCallbackEXT@36=_v3dv_DestroyDebugReportCallbackEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyDebugReportCallbackEXT@40=_v3dv_DestroyDebugReportCallbackEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyDebugReportCallbackEXT@44=_v3dv_DestroyDebugReportCallbackEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyDebugReportCallbackEXT@48=_v3dv_DestroyDebugReportCallbackEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyDebugReportCallbackEXT@60=_v3dv_DestroyDebugReportCallbackEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyDebugReportCallbackEXT@104=_v3dv_DestroyDebugReportCallbackEXT_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_DestroyDebugReportCallbackEXT=v3dv_DestroyDebugReportCallbackEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_DestroyDebugReportCallbackEXT(VkInstance instance, VkDebugReportCallbackEXT callback, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_DebugReportMessageEXT_Null)(VkInstance instance, VkDebugReportFlagsEXT flags, VkDebugReportObjectTypeEXT objectType, uint64_t object, size_t location, int32_t messageCode, const char* pLayerPrefix, const char* pMessage) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_DebugReportMessageEXT@4=_v3dv_DebugReportMessageEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DebugReportMessageEXT@8=_v3dv_DebugReportMessageEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DebugReportMessageEXT@12=_v3dv_DebugReportMessageEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DebugReportMessageEXT@16=_v3dv_DebugReportMessageEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DebugReportMessageEXT@20=_v3dv_DebugReportMessageEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DebugReportMessageEXT@24=_v3dv_DebugReportMessageEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DebugReportMessageEXT@28=_v3dv_DebugReportMessageEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DebugReportMessageEXT@32=_v3dv_DebugReportMessageEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DebugReportMessageEXT@36=_v3dv_DebugReportMessageEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DebugReportMessageEXT@40=_v3dv_DebugReportMessageEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DebugReportMessageEXT@44=_v3dv_DebugReportMessageEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DebugReportMessageEXT@48=_v3dv_DebugReportMessageEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DebugReportMessageEXT@60=_v3dv_DebugReportMessageEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DebugReportMessageEXT@104=_v3dv_DebugReportMessageEXT_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_DebugReportMessageEXT=v3dv_DebugReportMessageEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_DebugReportMessageEXT(VkInstance instance, VkDebugReportFlagsEXT flags, VkDebugReportObjectTypeEXT objectType, uint64_t object, size_t location, int32_t messageCode, const char* pLayerPrefix, const char* pMessage) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_EnumeratePhysicalDeviceGroups_Null)(VkInstance instance, uint32_t* pPhysicalDeviceGroupCount, VkPhysicalDeviceGroupProperties* pPhysicalDeviceGroupProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_EnumeratePhysicalDeviceGroups@4=_v3dv_EnumeratePhysicalDeviceGroups_Null")
    #pragma comment(linker, "/alternatename:_v3dv_EnumeratePhysicalDeviceGroups@8=_v3dv_EnumeratePhysicalDeviceGroups_Null")
    #pragma comment(linker, "/alternatename:_v3dv_EnumeratePhysicalDeviceGroups@12=_v3dv_EnumeratePhysicalDeviceGroups_Null")
    #pragma comment(linker, "/alternatename:_v3dv_EnumeratePhysicalDeviceGroups@16=_v3dv_EnumeratePhysicalDeviceGroups_Null")
    #pragma comment(linker, "/alternatename:_v3dv_EnumeratePhysicalDeviceGroups@20=_v3dv_EnumeratePhysicalDeviceGroups_Null")
    #pragma comment(linker, "/alternatename:_v3dv_EnumeratePhysicalDeviceGroups@24=_v3dv_EnumeratePhysicalDeviceGroups_Null")
    #pragma comment(linker, "/alternatename:_v3dv_EnumeratePhysicalDeviceGroups@28=_v3dv_EnumeratePhysicalDeviceGroups_Null")
    #pragma comment(linker, "/alternatename:_v3dv_EnumeratePhysicalDeviceGroups@32=_v3dv_EnumeratePhysicalDeviceGroups_Null")
    #pragma comment(linker, "/alternatename:_v3dv_EnumeratePhysicalDeviceGroups@36=_v3dv_EnumeratePhysicalDeviceGroups_Null")
    #pragma comment(linker, "/alternatename:_v3dv_EnumeratePhysicalDeviceGroups@40=_v3dv_EnumeratePhysicalDeviceGroups_Null")
    #pragma comment(linker, "/alternatename:_v3dv_EnumeratePhysicalDeviceGroups@44=_v3dv_EnumeratePhysicalDeviceGroups_Null")
    #pragma comment(linker, "/alternatename:_v3dv_EnumeratePhysicalDeviceGroups@48=_v3dv_EnumeratePhysicalDeviceGroups_Null")
    #pragma comment(linker, "/alternatename:_v3dv_EnumeratePhysicalDeviceGroups@60=_v3dv_EnumeratePhysicalDeviceGroups_Null")
    #pragma comment(linker, "/alternatename:_v3dv_EnumeratePhysicalDeviceGroups@104=_v3dv_EnumeratePhysicalDeviceGroups_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_EnumeratePhysicalDeviceGroups=v3dv_EnumeratePhysicalDeviceGroups_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_EnumeratePhysicalDeviceGroups(VkInstance instance, uint32_t* pPhysicalDeviceGroupCount, VkPhysicalDeviceGroupProperties* pPhysicalDeviceGroupProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_EnumeratePhysicalDeviceGroupsKHR_Null)(VkInstance instance, uint32_t* pPhysicalDeviceGroupCount, VkPhysicalDeviceGroupProperties* pPhysicalDeviceGroupProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_EnumeratePhysicalDeviceGroupsKHR@4=_v3dv_EnumeratePhysicalDeviceGroupsKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_EnumeratePhysicalDeviceGroupsKHR@8=_v3dv_EnumeratePhysicalDeviceGroupsKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_EnumeratePhysicalDeviceGroupsKHR@12=_v3dv_EnumeratePhysicalDeviceGroupsKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_EnumeratePhysicalDeviceGroupsKHR@16=_v3dv_EnumeratePhysicalDeviceGroupsKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_EnumeratePhysicalDeviceGroupsKHR@20=_v3dv_EnumeratePhysicalDeviceGroupsKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_EnumeratePhysicalDeviceGroupsKHR@24=_v3dv_EnumeratePhysicalDeviceGroupsKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_EnumeratePhysicalDeviceGroupsKHR@28=_v3dv_EnumeratePhysicalDeviceGroupsKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_EnumeratePhysicalDeviceGroupsKHR@32=_v3dv_EnumeratePhysicalDeviceGroupsKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_EnumeratePhysicalDeviceGroupsKHR@36=_v3dv_EnumeratePhysicalDeviceGroupsKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_EnumeratePhysicalDeviceGroupsKHR@40=_v3dv_EnumeratePhysicalDeviceGroupsKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_EnumeratePhysicalDeviceGroupsKHR@44=_v3dv_EnumeratePhysicalDeviceGroupsKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_EnumeratePhysicalDeviceGroupsKHR@48=_v3dv_EnumeratePhysicalDeviceGroupsKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_EnumeratePhysicalDeviceGroupsKHR@60=_v3dv_EnumeratePhysicalDeviceGroupsKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_EnumeratePhysicalDeviceGroupsKHR@104=_v3dv_EnumeratePhysicalDeviceGroupsKHR_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_EnumeratePhysicalDeviceGroupsKHR=v3dv_EnumeratePhysicalDeviceGroupsKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_EnumeratePhysicalDeviceGroupsKHR(VkInstance instance, uint32_t* pPhysicalDeviceGroupCount, VkPhysicalDeviceGroupProperties* pPhysicalDeviceGroupProperties) __attribute__ ((weak));
#endif
#ifdef VK_USE_PLATFORM_IOS_MVK
#ifdef _MSC_VER
    VkResult (*v3dv_CreateIOSSurfaceMVK_Null)(VkInstance instance, const VkIOSSurfaceCreateInfoMVK* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CreateIOSSurfaceMVK@4=_v3dv_CreateIOSSurfaceMVK_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateIOSSurfaceMVK@8=_v3dv_CreateIOSSurfaceMVK_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateIOSSurfaceMVK@12=_v3dv_CreateIOSSurfaceMVK_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateIOSSurfaceMVK@16=_v3dv_CreateIOSSurfaceMVK_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateIOSSurfaceMVK@20=_v3dv_CreateIOSSurfaceMVK_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateIOSSurfaceMVK@24=_v3dv_CreateIOSSurfaceMVK_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateIOSSurfaceMVK@28=_v3dv_CreateIOSSurfaceMVK_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateIOSSurfaceMVK@32=_v3dv_CreateIOSSurfaceMVK_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateIOSSurfaceMVK@36=_v3dv_CreateIOSSurfaceMVK_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateIOSSurfaceMVK@40=_v3dv_CreateIOSSurfaceMVK_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateIOSSurfaceMVK@44=_v3dv_CreateIOSSurfaceMVK_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateIOSSurfaceMVK@48=_v3dv_CreateIOSSurfaceMVK_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateIOSSurfaceMVK@60=_v3dv_CreateIOSSurfaceMVK_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateIOSSurfaceMVK@104=_v3dv_CreateIOSSurfaceMVK_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CreateIOSSurfaceMVK=v3dv_CreateIOSSurfaceMVK_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_CreateIOSSurfaceMVK(VkInstance instance, const VkIOSSurfaceCreateInfoMVK* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_IOS_MVK
#ifdef VK_USE_PLATFORM_MACOS_MVK
#ifdef _MSC_VER
    VkResult (*v3dv_CreateMacOSSurfaceMVK_Null)(VkInstance instance, const VkMacOSSurfaceCreateInfoMVK* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CreateMacOSSurfaceMVK@4=_v3dv_CreateMacOSSurfaceMVK_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateMacOSSurfaceMVK@8=_v3dv_CreateMacOSSurfaceMVK_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateMacOSSurfaceMVK@12=_v3dv_CreateMacOSSurfaceMVK_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateMacOSSurfaceMVK@16=_v3dv_CreateMacOSSurfaceMVK_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateMacOSSurfaceMVK@20=_v3dv_CreateMacOSSurfaceMVK_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateMacOSSurfaceMVK@24=_v3dv_CreateMacOSSurfaceMVK_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateMacOSSurfaceMVK@28=_v3dv_CreateMacOSSurfaceMVK_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateMacOSSurfaceMVK@32=_v3dv_CreateMacOSSurfaceMVK_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateMacOSSurfaceMVK@36=_v3dv_CreateMacOSSurfaceMVK_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateMacOSSurfaceMVK@40=_v3dv_CreateMacOSSurfaceMVK_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateMacOSSurfaceMVK@44=_v3dv_CreateMacOSSurfaceMVK_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateMacOSSurfaceMVK@48=_v3dv_CreateMacOSSurfaceMVK_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateMacOSSurfaceMVK@60=_v3dv_CreateMacOSSurfaceMVK_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateMacOSSurfaceMVK@104=_v3dv_CreateMacOSSurfaceMVK_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CreateMacOSSurfaceMVK=v3dv_CreateMacOSSurfaceMVK_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_CreateMacOSSurfaceMVK(VkInstance instance, const VkMacOSSurfaceCreateInfoMVK* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_MACOS_MVK
#ifdef VK_USE_PLATFORM_METAL_EXT
#ifdef _MSC_VER
    VkResult (*v3dv_CreateMetalSurfaceEXT_Null)(VkInstance instance, const VkMetalSurfaceCreateInfoEXT* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CreateMetalSurfaceEXT@4=_v3dv_CreateMetalSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateMetalSurfaceEXT@8=_v3dv_CreateMetalSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateMetalSurfaceEXT@12=_v3dv_CreateMetalSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateMetalSurfaceEXT@16=_v3dv_CreateMetalSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateMetalSurfaceEXT@20=_v3dv_CreateMetalSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateMetalSurfaceEXT@24=_v3dv_CreateMetalSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateMetalSurfaceEXT@28=_v3dv_CreateMetalSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateMetalSurfaceEXT@32=_v3dv_CreateMetalSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateMetalSurfaceEXT@36=_v3dv_CreateMetalSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateMetalSurfaceEXT@40=_v3dv_CreateMetalSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateMetalSurfaceEXT@44=_v3dv_CreateMetalSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateMetalSurfaceEXT@48=_v3dv_CreateMetalSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateMetalSurfaceEXT@60=_v3dv_CreateMetalSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateMetalSurfaceEXT@104=_v3dv_CreateMetalSurfaceEXT_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CreateMetalSurfaceEXT=v3dv_CreateMetalSurfaceEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_CreateMetalSurfaceEXT(VkInstance instance, const VkMetalSurfaceCreateInfoEXT* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_METAL_EXT
#ifdef _MSC_VER
    VkResult (*v3dv_CreateDebugUtilsMessengerEXT_Null)(VkInstance instance, const VkDebugUtilsMessengerCreateInfoEXT* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDebugUtilsMessengerEXT* pMessenger) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CreateDebugUtilsMessengerEXT@4=_v3dv_CreateDebugUtilsMessengerEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateDebugUtilsMessengerEXT@8=_v3dv_CreateDebugUtilsMessengerEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateDebugUtilsMessengerEXT@12=_v3dv_CreateDebugUtilsMessengerEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateDebugUtilsMessengerEXT@16=_v3dv_CreateDebugUtilsMessengerEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateDebugUtilsMessengerEXT@20=_v3dv_CreateDebugUtilsMessengerEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateDebugUtilsMessengerEXT@24=_v3dv_CreateDebugUtilsMessengerEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateDebugUtilsMessengerEXT@28=_v3dv_CreateDebugUtilsMessengerEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateDebugUtilsMessengerEXT@32=_v3dv_CreateDebugUtilsMessengerEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateDebugUtilsMessengerEXT@36=_v3dv_CreateDebugUtilsMessengerEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateDebugUtilsMessengerEXT@40=_v3dv_CreateDebugUtilsMessengerEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateDebugUtilsMessengerEXT@44=_v3dv_CreateDebugUtilsMessengerEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateDebugUtilsMessengerEXT@48=_v3dv_CreateDebugUtilsMessengerEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateDebugUtilsMessengerEXT@60=_v3dv_CreateDebugUtilsMessengerEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateDebugUtilsMessengerEXT@104=_v3dv_CreateDebugUtilsMessengerEXT_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CreateDebugUtilsMessengerEXT=v3dv_CreateDebugUtilsMessengerEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_CreateDebugUtilsMessengerEXT(VkInstance instance, const VkDebugUtilsMessengerCreateInfoEXT* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDebugUtilsMessengerEXT* pMessenger) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_DestroyDebugUtilsMessengerEXT_Null)(VkInstance instance, VkDebugUtilsMessengerEXT messenger, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_DestroyDebugUtilsMessengerEXT@4=_v3dv_DestroyDebugUtilsMessengerEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyDebugUtilsMessengerEXT@8=_v3dv_DestroyDebugUtilsMessengerEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyDebugUtilsMessengerEXT@12=_v3dv_DestroyDebugUtilsMessengerEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyDebugUtilsMessengerEXT@16=_v3dv_DestroyDebugUtilsMessengerEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyDebugUtilsMessengerEXT@20=_v3dv_DestroyDebugUtilsMessengerEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyDebugUtilsMessengerEXT@24=_v3dv_DestroyDebugUtilsMessengerEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyDebugUtilsMessengerEXT@28=_v3dv_DestroyDebugUtilsMessengerEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyDebugUtilsMessengerEXT@32=_v3dv_DestroyDebugUtilsMessengerEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyDebugUtilsMessengerEXT@36=_v3dv_DestroyDebugUtilsMessengerEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyDebugUtilsMessengerEXT@40=_v3dv_DestroyDebugUtilsMessengerEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyDebugUtilsMessengerEXT@44=_v3dv_DestroyDebugUtilsMessengerEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyDebugUtilsMessengerEXT@48=_v3dv_DestroyDebugUtilsMessengerEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyDebugUtilsMessengerEXT@60=_v3dv_DestroyDebugUtilsMessengerEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyDebugUtilsMessengerEXT@104=_v3dv_DestroyDebugUtilsMessengerEXT_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_DestroyDebugUtilsMessengerEXT=v3dv_DestroyDebugUtilsMessengerEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_DestroyDebugUtilsMessengerEXT(VkInstance instance, VkDebugUtilsMessengerEXT messenger, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_SubmitDebugUtilsMessageEXT_Null)(VkInstance instance, VkDebugUtilsMessageSeverityFlagBitsEXT messageSeverity, VkDebugUtilsMessageTypeFlagsEXT messageTypes, const VkDebugUtilsMessengerCallbackDataEXT* pCallbackData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_SubmitDebugUtilsMessageEXT@4=_v3dv_SubmitDebugUtilsMessageEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_SubmitDebugUtilsMessageEXT@8=_v3dv_SubmitDebugUtilsMessageEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_SubmitDebugUtilsMessageEXT@12=_v3dv_SubmitDebugUtilsMessageEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_SubmitDebugUtilsMessageEXT@16=_v3dv_SubmitDebugUtilsMessageEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_SubmitDebugUtilsMessageEXT@20=_v3dv_SubmitDebugUtilsMessageEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_SubmitDebugUtilsMessageEXT@24=_v3dv_SubmitDebugUtilsMessageEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_SubmitDebugUtilsMessageEXT@28=_v3dv_SubmitDebugUtilsMessageEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_SubmitDebugUtilsMessageEXT@32=_v3dv_SubmitDebugUtilsMessageEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_SubmitDebugUtilsMessageEXT@36=_v3dv_SubmitDebugUtilsMessageEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_SubmitDebugUtilsMessageEXT@40=_v3dv_SubmitDebugUtilsMessageEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_SubmitDebugUtilsMessageEXT@44=_v3dv_SubmitDebugUtilsMessageEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_SubmitDebugUtilsMessageEXT@48=_v3dv_SubmitDebugUtilsMessageEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_SubmitDebugUtilsMessageEXT@60=_v3dv_SubmitDebugUtilsMessageEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_SubmitDebugUtilsMessageEXT@104=_v3dv_SubmitDebugUtilsMessageEXT_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_SubmitDebugUtilsMessageEXT=v3dv_SubmitDebugUtilsMessageEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_SubmitDebugUtilsMessageEXT(VkInstance instance, VkDebugUtilsMessageSeverityFlagBitsEXT messageSeverity, VkDebugUtilsMessageTypeFlagsEXT messageTypes, const VkDebugUtilsMessengerCallbackDataEXT* pCallbackData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_CreateHeadlessSurfaceEXT_Null)(VkInstance instance, const VkHeadlessSurfaceCreateInfoEXT* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CreateHeadlessSurfaceEXT@4=_v3dv_CreateHeadlessSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateHeadlessSurfaceEXT@8=_v3dv_CreateHeadlessSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateHeadlessSurfaceEXT@12=_v3dv_CreateHeadlessSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateHeadlessSurfaceEXT@16=_v3dv_CreateHeadlessSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateHeadlessSurfaceEXT@20=_v3dv_CreateHeadlessSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateHeadlessSurfaceEXT@24=_v3dv_CreateHeadlessSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateHeadlessSurfaceEXT@28=_v3dv_CreateHeadlessSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateHeadlessSurfaceEXT@32=_v3dv_CreateHeadlessSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateHeadlessSurfaceEXT@36=_v3dv_CreateHeadlessSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateHeadlessSurfaceEXT@40=_v3dv_CreateHeadlessSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateHeadlessSurfaceEXT@44=_v3dv_CreateHeadlessSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateHeadlessSurfaceEXT@48=_v3dv_CreateHeadlessSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateHeadlessSurfaceEXT@60=_v3dv_CreateHeadlessSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateHeadlessSurfaceEXT@104=_v3dv_CreateHeadlessSurfaceEXT_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CreateHeadlessSurfaceEXT=v3dv_CreateHeadlessSurfaceEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_CreateHeadlessSurfaceEXT(VkInstance instance, const VkHeadlessSurfaceCreateInfoEXT* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) __attribute__ ((weak));
#endif

const struct vk_instance_entrypoint_table v3dv_instance_entrypoints = {
    .CreateInstance = v3dv_CreateInstance,
    .DestroyInstance = v3dv_DestroyInstance,
    .EnumeratePhysicalDevices = v3dv_EnumeratePhysicalDevices,
    .GetInstanceProcAddr = v3dv_GetInstanceProcAddr,
    .EnumerateInstanceVersion = v3dv_EnumerateInstanceVersion,
    .EnumerateInstanceLayerProperties = v3dv_EnumerateInstanceLayerProperties,
    .EnumerateInstanceExtensionProperties = v3dv_EnumerateInstanceExtensionProperties,
#ifdef VK_USE_PLATFORM_ANDROID_KHR
    .CreateAndroidSurfaceKHR = v3dv_CreateAndroidSurfaceKHR,
#endif // VK_USE_PLATFORM_ANDROID_KHR
    .CreateDisplayPlaneSurfaceKHR = v3dv_CreateDisplayPlaneSurfaceKHR,
    .DestroySurfaceKHR = v3dv_DestroySurfaceKHR,
#ifdef VK_USE_PLATFORM_VI_NN
    .CreateViSurfaceNN = v3dv_CreateViSurfaceNN,
#endif // VK_USE_PLATFORM_VI_NN
#ifdef VK_USE_PLATFORM_WAYLAND_KHR
    .CreateWaylandSurfaceKHR = v3dv_CreateWaylandSurfaceKHR,
#endif // VK_USE_PLATFORM_WAYLAND_KHR
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .CreateWin32SurfaceKHR = v3dv_CreateWin32SurfaceKHR,
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef VK_USE_PLATFORM_XLIB_KHR
    .CreateXlibSurfaceKHR = v3dv_CreateXlibSurfaceKHR,
#endif // VK_USE_PLATFORM_XLIB_KHR
#ifdef VK_USE_PLATFORM_XCB_KHR
    .CreateXcbSurfaceKHR = v3dv_CreateXcbSurfaceKHR,
#endif // VK_USE_PLATFORM_XCB_KHR
#ifdef VK_USE_PLATFORM_DIRECTFB_EXT
    .CreateDirectFBSurfaceEXT = v3dv_CreateDirectFBSurfaceEXT,
#endif // VK_USE_PLATFORM_DIRECTFB_EXT
#ifdef VK_USE_PLATFORM_FUCHSIA
    .CreateImagePipeSurfaceFUCHSIA = v3dv_CreateImagePipeSurfaceFUCHSIA,
#endif // VK_USE_PLATFORM_FUCHSIA
#ifdef VK_USE_PLATFORM_GGP
    .CreateStreamDescriptorSurfaceGGP = v3dv_CreateStreamDescriptorSurfaceGGP,
#endif // VK_USE_PLATFORM_GGP
    .CreateDebugReportCallbackEXT = v3dv_CreateDebugReportCallbackEXT,
    .DestroyDebugReportCallbackEXT = v3dv_DestroyDebugReportCallbackEXT,
    .DebugReportMessageEXT = v3dv_DebugReportMessageEXT,
    .EnumeratePhysicalDeviceGroups = v3dv_EnumeratePhysicalDeviceGroups,
    .EnumeratePhysicalDeviceGroupsKHR = v3dv_EnumeratePhysicalDeviceGroupsKHR,
#ifdef VK_USE_PLATFORM_IOS_MVK
    .CreateIOSSurfaceMVK = v3dv_CreateIOSSurfaceMVK,
#endif // VK_USE_PLATFORM_IOS_MVK
#ifdef VK_USE_PLATFORM_MACOS_MVK
    .CreateMacOSSurfaceMVK = v3dv_CreateMacOSSurfaceMVK,
#endif // VK_USE_PLATFORM_MACOS_MVK
#ifdef VK_USE_PLATFORM_METAL_EXT
    .CreateMetalSurfaceEXT = v3dv_CreateMetalSurfaceEXT,
#endif // VK_USE_PLATFORM_METAL_EXT
    .CreateDebugUtilsMessengerEXT = v3dv_CreateDebugUtilsMessengerEXT,
    .DestroyDebugUtilsMessengerEXT = v3dv_DestroyDebugUtilsMessengerEXT,
    .SubmitDebugUtilsMessageEXT = v3dv_SubmitDebugUtilsMessageEXT,
    .CreateHeadlessSurfaceEXT = v3dv_CreateHeadlessSurfaceEXT,
};


#ifdef _MSC_VER
    void (*v3dv_GetPhysicalDeviceProperties_Null)(VkPhysicalDevice physicalDevice, VkPhysicalDeviceProperties* pProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceProperties@4=_v3dv_GetPhysicalDeviceProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceProperties@8=_v3dv_GetPhysicalDeviceProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceProperties@12=_v3dv_GetPhysicalDeviceProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceProperties@16=_v3dv_GetPhysicalDeviceProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceProperties@20=_v3dv_GetPhysicalDeviceProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceProperties@24=_v3dv_GetPhysicalDeviceProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceProperties@28=_v3dv_GetPhysicalDeviceProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceProperties@32=_v3dv_GetPhysicalDeviceProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceProperties@36=_v3dv_GetPhysicalDeviceProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceProperties@40=_v3dv_GetPhysicalDeviceProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceProperties@44=_v3dv_GetPhysicalDeviceProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceProperties@48=_v3dv_GetPhysicalDeviceProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceProperties@60=_v3dv_GetPhysicalDeviceProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceProperties@104=_v3dv_GetPhysicalDeviceProperties_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_GetPhysicalDeviceProperties=v3dv_GetPhysicalDeviceProperties_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_GetPhysicalDeviceProperties(VkPhysicalDevice physicalDevice, VkPhysicalDeviceProperties* pProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_GetPhysicalDeviceQueueFamilyProperties_Null)(VkPhysicalDevice physicalDevice, uint32_t* pQueueFamilyPropertyCount, VkQueueFamilyProperties* pQueueFamilyProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceQueueFamilyProperties@4=_v3dv_GetPhysicalDeviceQueueFamilyProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceQueueFamilyProperties@8=_v3dv_GetPhysicalDeviceQueueFamilyProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceQueueFamilyProperties@12=_v3dv_GetPhysicalDeviceQueueFamilyProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceQueueFamilyProperties@16=_v3dv_GetPhysicalDeviceQueueFamilyProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceQueueFamilyProperties@20=_v3dv_GetPhysicalDeviceQueueFamilyProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceQueueFamilyProperties@24=_v3dv_GetPhysicalDeviceQueueFamilyProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceQueueFamilyProperties@28=_v3dv_GetPhysicalDeviceQueueFamilyProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceQueueFamilyProperties@32=_v3dv_GetPhysicalDeviceQueueFamilyProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceQueueFamilyProperties@36=_v3dv_GetPhysicalDeviceQueueFamilyProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceQueueFamilyProperties@40=_v3dv_GetPhysicalDeviceQueueFamilyProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceQueueFamilyProperties@44=_v3dv_GetPhysicalDeviceQueueFamilyProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceQueueFamilyProperties@48=_v3dv_GetPhysicalDeviceQueueFamilyProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceQueueFamilyProperties@60=_v3dv_GetPhysicalDeviceQueueFamilyProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceQueueFamilyProperties@104=_v3dv_GetPhysicalDeviceQueueFamilyProperties_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_GetPhysicalDeviceQueueFamilyProperties=v3dv_GetPhysicalDeviceQueueFamilyProperties_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_GetPhysicalDeviceQueueFamilyProperties(VkPhysicalDevice physicalDevice, uint32_t* pQueueFamilyPropertyCount, VkQueueFamilyProperties* pQueueFamilyProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_GetPhysicalDeviceMemoryProperties_Null)(VkPhysicalDevice physicalDevice, VkPhysicalDeviceMemoryProperties* pMemoryProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceMemoryProperties@4=_v3dv_GetPhysicalDeviceMemoryProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceMemoryProperties@8=_v3dv_GetPhysicalDeviceMemoryProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceMemoryProperties@12=_v3dv_GetPhysicalDeviceMemoryProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceMemoryProperties@16=_v3dv_GetPhysicalDeviceMemoryProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceMemoryProperties@20=_v3dv_GetPhysicalDeviceMemoryProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceMemoryProperties@24=_v3dv_GetPhysicalDeviceMemoryProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceMemoryProperties@28=_v3dv_GetPhysicalDeviceMemoryProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceMemoryProperties@32=_v3dv_GetPhysicalDeviceMemoryProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceMemoryProperties@36=_v3dv_GetPhysicalDeviceMemoryProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceMemoryProperties@40=_v3dv_GetPhysicalDeviceMemoryProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceMemoryProperties@44=_v3dv_GetPhysicalDeviceMemoryProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceMemoryProperties@48=_v3dv_GetPhysicalDeviceMemoryProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceMemoryProperties@60=_v3dv_GetPhysicalDeviceMemoryProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceMemoryProperties@104=_v3dv_GetPhysicalDeviceMemoryProperties_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_GetPhysicalDeviceMemoryProperties=v3dv_GetPhysicalDeviceMemoryProperties_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_GetPhysicalDeviceMemoryProperties(VkPhysicalDevice physicalDevice, VkPhysicalDeviceMemoryProperties* pMemoryProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_GetPhysicalDeviceFeatures_Null)(VkPhysicalDevice physicalDevice, VkPhysicalDeviceFeatures* pFeatures) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceFeatures@4=_v3dv_GetPhysicalDeviceFeatures_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceFeatures@8=_v3dv_GetPhysicalDeviceFeatures_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceFeatures@12=_v3dv_GetPhysicalDeviceFeatures_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceFeatures@16=_v3dv_GetPhysicalDeviceFeatures_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceFeatures@20=_v3dv_GetPhysicalDeviceFeatures_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceFeatures@24=_v3dv_GetPhysicalDeviceFeatures_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceFeatures@28=_v3dv_GetPhysicalDeviceFeatures_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceFeatures@32=_v3dv_GetPhysicalDeviceFeatures_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceFeatures@36=_v3dv_GetPhysicalDeviceFeatures_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceFeatures@40=_v3dv_GetPhysicalDeviceFeatures_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceFeatures@44=_v3dv_GetPhysicalDeviceFeatures_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceFeatures@48=_v3dv_GetPhysicalDeviceFeatures_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceFeatures@60=_v3dv_GetPhysicalDeviceFeatures_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceFeatures@104=_v3dv_GetPhysicalDeviceFeatures_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_GetPhysicalDeviceFeatures=v3dv_GetPhysicalDeviceFeatures_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_GetPhysicalDeviceFeatures(VkPhysicalDevice physicalDevice, VkPhysicalDeviceFeatures* pFeatures) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_GetPhysicalDeviceFormatProperties_Null)(VkPhysicalDevice physicalDevice, VkFormat format, VkFormatProperties* pFormatProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceFormatProperties@4=_v3dv_GetPhysicalDeviceFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceFormatProperties@8=_v3dv_GetPhysicalDeviceFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceFormatProperties@12=_v3dv_GetPhysicalDeviceFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceFormatProperties@16=_v3dv_GetPhysicalDeviceFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceFormatProperties@20=_v3dv_GetPhysicalDeviceFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceFormatProperties@24=_v3dv_GetPhysicalDeviceFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceFormatProperties@28=_v3dv_GetPhysicalDeviceFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceFormatProperties@32=_v3dv_GetPhysicalDeviceFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceFormatProperties@36=_v3dv_GetPhysicalDeviceFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceFormatProperties@40=_v3dv_GetPhysicalDeviceFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceFormatProperties@44=_v3dv_GetPhysicalDeviceFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceFormatProperties@48=_v3dv_GetPhysicalDeviceFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceFormatProperties@60=_v3dv_GetPhysicalDeviceFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceFormatProperties@104=_v3dv_GetPhysicalDeviceFormatProperties_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_GetPhysicalDeviceFormatProperties=v3dv_GetPhysicalDeviceFormatProperties_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_GetPhysicalDeviceFormatProperties(VkPhysicalDevice physicalDevice, VkFormat format, VkFormatProperties* pFormatProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_GetPhysicalDeviceImageFormatProperties_Null)(VkPhysicalDevice physicalDevice, VkFormat format, VkImageType type, VkImageTiling tiling, VkImageUsageFlags usage, VkImageCreateFlags flags, VkImageFormatProperties* pImageFormatProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceImageFormatProperties@4=_v3dv_GetPhysicalDeviceImageFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceImageFormatProperties@8=_v3dv_GetPhysicalDeviceImageFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceImageFormatProperties@12=_v3dv_GetPhysicalDeviceImageFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceImageFormatProperties@16=_v3dv_GetPhysicalDeviceImageFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceImageFormatProperties@20=_v3dv_GetPhysicalDeviceImageFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceImageFormatProperties@24=_v3dv_GetPhysicalDeviceImageFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceImageFormatProperties@28=_v3dv_GetPhysicalDeviceImageFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceImageFormatProperties@32=_v3dv_GetPhysicalDeviceImageFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceImageFormatProperties@36=_v3dv_GetPhysicalDeviceImageFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceImageFormatProperties@40=_v3dv_GetPhysicalDeviceImageFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceImageFormatProperties@44=_v3dv_GetPhysicalDeviceImageFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceImageFormatProperties@48=_v3dv_GetPhysicalDeviceImageFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceImageFormatProperties@60=_v3dv_GetPhysicalDeviceImageFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceImageFormatProperties@104=_v3dv_GetPhysicalDeviceImageFormatProperties_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_GetPhysicalDeviceImageFormatProperties=v3dv_GetPhysicalDeviceImageFormatProperties_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_GetPhysicalDeviceImageFormatProperties(VkPhysicalDevice physicalDevice, VkFormat format, VkImageType type, VkImageTiling tiling, VkImageUsageFlags usage, VkImageCreateFlags flags, VkImageFormatProperties* pImageFormatProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_CreateDevice_Null)(VkPhysicalDevice physicalDevice, const VkDeviceCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDevice* pDevice) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CreateDevice@4=_v3dv_CreateDevice_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateDevice@8=_v3dv_CreateDevice_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateDevice@12=_v3dv_CreateDevice_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateDevice@16=_v3dv_CreateDevice_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateDevice@20=_v3dv_CreateDevice_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateDevice@24=_v3dv_CreateDevice_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateDevice@28=_v3dv_CreateDevice_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateDevice@32=_v3dv_CreateDevice_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateDevice@36=_v3dv_CreateDevice_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateDevice@40=_v3dv_CreateDevice_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateDevice@44=_v3dv_CreateDevice_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateDevice@48=_v3dv_CreateDevice_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateDevice@60=_v3dv_CreateDevice_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateDevice@104=_v3dv_CreateDevice_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CreateDevice=v3dv_CreateDevice_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_CreateDevice(VkPhysicalDevice physicalDevice, const VkDeviceCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDevice* pDevice) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_EnumerateDeviceLayerProperties_Null)(VkPhysicalDevice physicalDevice, uint32_t* pPropertyCount, VkLayerProperties* pProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_EnumerateDeviceLayerProperties@4=_v3dv_EnumerateDeviceLayerProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_EnumerateDeviceLayerProperties@8=_v3dv_EnumerateDeviceLayerProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_EnumerateDeviceLayerProperties@12=_v3dv_EnumerateDeviceLayerProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_EnumerateDeviceLayerProperties@16=_v3dv_EnumerateDeviceLayerProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_EnumerateDeviceLayerProperties@20=_v3dv_EnumerateDeviceLayerProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_EnumerateDeviceLayerProperties@24=_v3dv_EnumerateDeviceLayerProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_EnumerateDeviceLayerProperties@28=_v3dv_EnumerateDeviceLayerProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_EnumerateDeviceLayerProperties@32=_v3dv_EnumerateDeviceLayerProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_EnumerateDeviceLayerProperties@36=_v3dv_EnumerateDeviceLayerProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_EnumerateDeviceLayerProperties@40=_v3dv_EnumerateDeviceLayerProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_EnumerateDeviceLayerProperties@44=_v3dv_EnumerateDeviceLayerProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_EnumerateDeviceLayerProperties@48=_v3dv_EnumerateDeviceLayerProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_EnumerateDeviceLayerProperties@60=_v3dv_EnumerateDeviceLayerProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_EnumerateDeviceLayerProperties@104=_v3dv_EnumerateDeviceLayerProperties_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_EnumerateDeviceLayerProperties=v3dv_EnumerateDeviceLayerProperties_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_EnumerateDeviceLayerProperties(VkPhysicalDevice physicalDevice, uint32_t* pPropertyCount, VkLayerProperties* pProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_EnumerateDeviceExtensionProperties_Null)(VkPhysicalDevice physicalDevice, const char* pLayerName, uint32_t* pPropertyCount, VkExtensionProperties* pProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_EnumerateDeviceExtensionProperties@4=_v3dv_EnumerateDeviceExtensionProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_EnumerateDeviceExtensionProperties@8=_v3dv_EnumerateDeviceExtensionProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_EnumerateDeviceExtensionProperties@12=_v3dv_EnumerateDeviceExtensionProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_EnumerateDeviceExtensionProperties@16=_v3dv_EnumerateDeviceExtensionProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_EnumerateDeviceExtensionProperties@20=_v3dv_EnumerateDeviceExtensionProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_EnumerateDeviceExtensionProperties@24=_v3dv_EnumerateDeviceExtensionProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_EnumerateDeviceExtensionProperties@28=_v3dv_EnumerateDeviceExtensionProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_EnumerateDeviceExtensionProperties@32=_v3dv_EnumerateDeviceExtensionProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_EnumerateDeviceExtensionProperties@36=_v3dv_EnumerateDeviceExtensionProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_EnumerateDeviceExtensionProperties@40=_v3dv_EnumerateDeviceExtensionProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_EnumerateDeviceExtensionProperties@44=_v3dv_EnumerateDeviceExtensionProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_EnumerateDeviceExtensionProperties@48=_v3dv_EnumerateDeviceExtensionProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_EnumerateDeviceExtensionProperties@60=_v3dv_EnumerateDeviceExtensionProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_EnumerateDeviceExtensionProperties@104=_v3dv_EnumerateDeviceExtensionProperties_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_EnumerateDeviceExtensionProperties=v3dv_EnumerateDeviceExtensionProperties_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_EnumerateDeviceExtensionProperties(VkPhysicalDevice physicalDevice, const char* pLayerName, uint32_t* pPropertyCount, VkExtensionProperties* pProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_GetPhysicalDeviceSparseImageFormatProperties_Null)(VkPhysicalDevice physicalDevice, VkFormat format, VkImageType type, VkSampleCountFlagBits samples, VkImageUsageFlags usage, VkImageTiling tiling, uint32_t* pPropertyCount, VkSparseImageFormatProperties* pProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSparseImageFormatProperties@4=_v3dv_GetPhysicalDeviceSparseImageFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSparseImageFormatProperties@8=_v3dv_GetPhysicalDeviceSparseImageFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSparseImageFormatProperties@12=_v3dv_GetPhysicalDeviceSparseImageFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSparseImageFormatProperties@16=_v3dv_GetPhysicalDeviceSparseImageFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSparseImageFormatProperties@20=_v3dv_GetPhysicalDeviceSparseImageFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSparseImageFormatProperties@24=_v3dv_GetPhysicalDeviceSparseImageFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSparseImageFormatProperties@28=_v3dv_GetPhysicalDeviceSparseImageFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSparseImageFormatProperties@32=_v3dv_GetPhysicalDeviceSparseImageFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSparseImageFormatProperties@36=_v3dv_GetPhysicalDeviceSparseImageFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSparseImageFormatProperties@40=_v3dv_GetPhysicalDeviceSparseImageFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSparseImageFormatProperties@44=_v3dv_GetPhysicalDeviceSparseImageFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSparseImageFormatProperties@48=_v3dv_GetPhysicalDeviceSparseImageFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSparseImageFormatProperties@60=_v3dv_GetPhysicalDeviceSparseImageFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSparseImageFormatProperties@104=_v3dv_GetPhysicalDeviceSparseImageFormatProperties_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_GetPhysicalDeviceSparseImageFormatProperties=v3dv_GetPhysicalDeviceSparseImageFormatProperties_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_GetPhysicalDeviceSparseImageFormatProperties(VkPhysicalDevice physicalDevice, VkFormat format, VkImageType type, VkSampleCountFlagBits samples, VkImageUsageFlags usage, VkImageTiling tiling, uint32_t* pPropertyCount, VkSparseImageFormatProperties* pProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_GetPhysicalDeviceDisplayPropertiesKHR_Null)(VkPhysicalDevice physicalDevice, uint32_t* pPropertyCount, VkDisplayPropertiesKHR* pProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceDisplayPropertiesKHR@4=_v3dv_GetPhysicalDeviceDisplayPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceDisplayPropertiesKHR@8=_v3dv_GetPhysicalDeviceDisplayPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceDisplayPropertiesKHR@12=_v3dv_GetPhysicalDeviceDisplayPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceDisplayPropertiesKHR@16=_v3dv_GetPhysicalDeviceDisplayPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceDisplayPropertiesKHR@20=_v3dv_GetPhysicalDeviceDisplayPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceDisplayPropertiesKHR@24=_v3dv_GetPhysicalDeviceDisplayPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceDisplayPropertiesKHR@28=_v3dv_GetPhysicalDeviceDisplayPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceDisplayPropertiesKHR@32=_v3dv_GetPhysicalDeviceDisplayPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceDisplayPropertiesKHR@36=_v3dv_GetPhysicalDeviceDisplayPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceDisplayPropertiesKHR@40=_v3dv_GetPhysicalDeviceDisplayPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceDisplayPropertiesKHR@44=_v3dv_GetPhysicalDeviceDisplayPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceDisplayPropertiesKHR@48=_v3dv_GetPhysicalDeviceDisplayPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceDisplayPropertiesKHR@60=_v3dv_GetPhysicalDeviceDisplayPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceDisplayPropertiesKHR@104=_v3dv_GetPhysicalDeviceDisplayPropertiesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_GetPhysicalDeviceDisplayPropertiesKHR=v3dv_GetPhysicalDeviceDisplayPropertiesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_GetPhysicalDeviceDisplayPropertiesKHR(VkPhysicalDevice physicalDevice, uint32_t* pPropertyCount, VkDisplayPropertiesKHR* pProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_GetPhysicalDeviceDisplayPlanePropertiesKHR_Null)(VkPhysicalDevice physicalDevice, uint32_t* pPropertyCount, VkDisplayPlanePropertiesKHR* pProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceDisplayPlanePropertiesKHR@4=_v3dv_GetPhysicalDeviceDisplayPlanePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceDisplayPlanePropertiesKHR@8=_v3dv_GetPhysicalDeviceDisplayPlanePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceDisplayPlanePropertiesKHR@12=_v3dv_GetPhysicalDeviceDisplayPlanePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceDisplayPlanePropertiesKHR@16=_v3dv_GetPhysicalDeviceDisplayPlanePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceDisplayPlanePropertiesKHR@20=_v3dv_GetPhysicalDeviceDisplayPlanePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceDisplayPlanePropertiesKHR@24=_v3dv_GetPhysicalDeviceDisplayPlanePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceDisplayPlanePropertiesKHR@28=_v3dv_GetPhysicalDeviceDisplayPlanePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceDisplayPlanePropertiesKHR@32=_v3dv_GetPhysicalDeviceDisplayPlanePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceDisplayPlanePropertiesKHR@36=_v3dv_GetPhysicalDeviceDisplayPlanePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceDisplayPlanePropertiesKHR@40=_v3dv_GetPhysicalDeviceDisplayPlanePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceDisplayPlanePropertiesKHR@44=_v3dv_GetPhysicalDeviceDisplayPlanePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceDisplayPlanePropertiesKHR@48=_v3dv_GetPhysicalDeviceDisplayPlanePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceDisplayPlanePropertiesKHR@60=_v3dv_GetPhysicalDeviceDisplayPlanePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceDisplayPlanePropertiesKHR@104=_v3dv_GetPhysicalDeviceDisplayPlanePropertiesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_GetPhysicalDeviceDisplayPlanePropertiesKHR=v3dv_GetPhysicalDeviceDisplayPlanePropertiesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_GetPhysicalDeviceDisplayPlanePropertiesKHR(VkPhysicalDevice physicalDevice, uint32_t* pPropertyCount, VkDisplayPlanePropertiesKHR* pProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_GetDisplayPlaneSupportedDisplaysKHR_Null)(VkPhysicalDevice physicalDevice, uint32_t planeIndex, uint32_t* pDisplayCount, VkDisplayKHR* pDisplays) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_GetDisplayPlaneSupportedDisplaysKHR@4=_v3dv_GetDisplayPlaneSupportedDisplaysKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDisplayPlaneSupportedDisplaysKHR@8=_v3dv_GetDisplayPlaneSupportedDisplaysKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDisplayPlaneSupportedDisplaysKHR@12=_v3dv_GetDisplayPlaneSupportedDisplaysKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDisplayPlaneSupportedDisplaysKHR@16=_v3dv_GetDisplayPlaneSupportedDisplaysKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDisplayPlaneSupportedDisplaysKHR@20=_v3dv_GetDisplayPlaneSupportedDisplaysKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDisplayPlaneSupportedDisplaysKHR@24=_v3dv_GetDisplayPlaneSupportedDisplaysKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDisplayPlaneSupportedDisplaysKHR@28=_v3dv_GetDisplayPlaneSupportedDisplaysKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDisplayPlaneSupportedDisplaysKHR@32=_v3dv_GetDisplayPlaneSupportedDisplaysKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDisplayPlaneSupportedDisplaysKHR@36=_v3dv_GetDisplayPlaneSupportedDisplaysKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDisplayPlaneSupportedDisplaysKHR@40=_v3dv_GetDisplayPlaneSupportedDisplaysKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDisplayPlaneSupportedDisplaysKHR@44=_v3dv_GetDisplayPlaneSupportedDisplaysKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDisplayPlaneSupportedDisplaysKHR@48=_v3dv_GetDisplayPlaneSupportedDisplaysKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDisplayPlaneSupportedDisplaysKHR@60=_v3dv_GetDisplayPlaneSupportedDisplaysKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDisplayPlaneSupportedDisplaysKHR@104=_v3dv_GetDisplayPlaneSupportedDisplaysKHR_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_GetDisplayPlaneSupportedDisplaysKHR=v3dv_GetDisplayPlaneSupportedDisplaysKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_GetDisplayPlaneSupportedDisplaysKHR(VkPhysicalDevice physicalDevice, uint32_t planeIndex, uint32_t* pDisplayCount, VkDisplayKHR* pDisplays) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_GetDisplayModePropertiesKHR_Null)(VkPhysicalDevice physicalDevice, VkDisplayKHR display, uint32_t* pPropertyCount, VkDisplayModePropertiesKHR* pProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_GetDisplayModePropertiesKHR@4=_v3dv_GetDisplayModePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDisplayModePropertiesKHR@8=_v3dv_GetDisplayModePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDisplayModePropertiesKHR@12=_v3dv_GetDisplayModePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDisplayModePropertiesKHR@16=_v3dv_GetDisplayModePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDisplayModePropertiesKHR@20=_v3dv_GetDisplayModePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDisplayModePropertiesKHR@24=_v3dv_GetDisplayModePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDisplayModePropertiesKHR@28=_v3dv_GetDisplayModePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDisplayModePropertiesKHR@32=_v3dv_GetDisplayModePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDisplayModePropertiesKHR@36=_v3dv_GetDisplayModePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDisplayModePropertiesKHR@40=_v3dv_GetDisplayModePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDisplayModePropertiesKHR@44=_v3dv_GetDisplayModePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDisplayModePropertiesKHR@48=_v3dv_GetDisplayModePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDisplayModePropertiesKHR@60=_v3dv_GetDisplayModePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDisplayModePropertiesKHR@104=_v3dv_GetDisplayModePropertiesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_GetDisplayModePropertiesKHR=v3dv_GetDisplayModePropertiesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_GetDisplayModePropertiesKHR(VkPhysicalDevice physicalDevice, VkDisplayKHR display, uint32_t* pPropertyCount, VkDisplayModePropertiesKHR* pProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_CreateDisplayModeKHR_Null)(VkPhysicalDevice physicalDevice, VkDisplayKHR display, const VkDisplayModeCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDisplayModeKHR* pMode) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CreateDisplayModeKHR@4=_v3dv_CreateDisplayModeKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateDisplayModeKHR@8=_v3dv_CreateDisplayModeKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateDisplayModeKHR@12=_v3dv_CreateDisplayModeKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateDisplayModeKHR@16=_v3dv_CreateDisplayModeKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateDisplayModeKHR@20=_v3dv_CreateDisplayModeKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateDisplayModeKHR@24=_v3dv_CreateDisplayModeKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateDisplayModeKHR@28=_v3dv_CreateDisplayModeKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateDisplayModeKHR@32=_v3dv_CreateDisplayModeKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateDisplayModeKHR@36=_v3dv_CreateDisplayModeKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateDisplayModeKHR@40=_v3dv_CreateDisplayModeKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateDisplayModeKHR@44=_v3dv_CreateDisplayModeKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateDisplayModeKHR@48=_v3dv_CreateDisplayModeKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateDisplayModeKHR@60=_v3dv_CreateDisplayModeKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateDisplayModeKHR@104=_v3dv_CreateDisplayModeKHR_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CreateDisplayModeKHR=v3dv_CreateDisplayModeKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_CreateDisplayModeKHR(VkPhysicalDevice physicalDevice, VkDisplayKHR display, const VkDisplayModeCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDisplayModeKHR* pMode) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_GetDisplayPlaneCapabilitiesKHR_Null)(VkPhysicalDevice physicalDevice, VkDisplayModeKHR mode, uint32_t planeIndex, VkDisplayPlaneCapabilitiesKHR* pCapabilities) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_GetDisplayPlaneCapabilitiesKHR@4=_v3dv_GetDisplayPlaneCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDisplayPlaneCapabilitiesKHR@8=_v3dv_GetDisplayPlaneCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDisplayPlaneCapabilitiesKHR@12=_v3dv_GetDisplayPlaneCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDisplayPlaneCapabilitiesKHR@16=_v3dv_GetDisplayPlaneCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDisplayPlaneCapabilitiesKHR@20=_v3dv_GetDisplayPlaneCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDisplayPlaneCapabilitiesKHR@24=_v3dv_GetDisplayPlaneCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDisplayPlaneCapabilitiesKHR@28=_v3dv_GetDisplayPlaneCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDisplayPlaneCapabilitiesKHR@32=_v3dv_GetDisplayPlaneCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDisplayPlaneCapabilitiesKHR@36=_v3dv_GetDisplayPlaneCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDisplayPlaneCapabilitiesKHR@40=_v3dv_GetDisplayPlaneCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDisplayPlaneCapabilitiesKHR@44=_v3dv_GetDisplayPlaneCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDisplayPlaneCapabilitiesKHR@48=_v3dv_GetDisplayPlaneCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDisplayPlaneCapabilitiesKHR@60=_v3dv_GetDisplayPlaneCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDisplayPlaneCapabilitiesKHR@104=_v3dv_GetDisplayPlaneCapabilitiesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_GetDisplayPlaneCapabilitiesKHR=v3dv_GetDisplayPlaneCapabilitiesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_GetDisplayPlaneCapabilitiesKHR(VkPhysicalDevice physicalDevice, VkDisplayModeKHR mode, uint32_t planeIndex, VkDisplayPlaneCapabilitiesKHR* pCapabilities) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_GetPhysicalDeviceSurfaceSupportKHR_Null)(VkPhysicalDevice physicalDevice, uint32_t queueFamilyIndex, VkSurfaceKHR surface, VkBool32* pSupported) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSurfaceSupportKHR@4=_v3dv_GetPhysicalDeviceSurfaceSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSurfaceSupportKHR@8=_v3dv_GetPhysicalDeviceSurfaceSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSurfaceSupportKHR@12=_v3dv_GetPhysicalDeviceSurfaceSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSurfaceSupportKHR@16=_v3dv_GetPhysicalDeviceSurfaceSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSurfaceSupportKHR@20=_v3dv_GetPhysicalDeviceSurfaceSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSurfaceSupportKHR@24=_v3dv_GetPhysicalDeviceSurfaceSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSurfaceSupportKHR@28=_v3dv_GetPhysicalDeviceSurfaceSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSurfaceSupportKHR@32=_v3dv_GetPhysicalDeviceSurfaceSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSurfaceSupportKHR@36=_v3dv_GetPhysicalDeviceSurfaceSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSurfaceSupportKHR@40=_v3dv_GetPhysicalDeviceSurfaceSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSurfaceSupportKHR@44=_v3dv_GetPhysicalDeviceSurfaceSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSurfaceSupportKHR@48=_v3dv_GetPhysicalDeviceSurfaceSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSurfaceSupportKHR@60=_v3dv_GetPhysicalDeviceSurfaceSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSurfaceSupportKHR@104=_v3dv_GetPhysicalDeviceSurfaceSupportKHR_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_GetPhysicalDeviceSurfaceSupportKHR=v3dv_GetPhysicalDeviceSurfaceSupportKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_GetPhysicalDeviceSurfaceSupportKHR(VkPhysicalDevice physicalDevice, uint32_t queueFamilyIndex, VkSurfaceKHR surface, VkBool32* pSupported) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_GetPhysicalDeviceSurfaceCapabilitiesKHR_Null)(VkPhysicalDevice physicalDevice, VkSurfaceKHR surface, VkSurfaceCapabilitiesKHR* pSurfaceCapabilities) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSurfaceCapabilitiesKHR@4=_v3dv_GetPhysicalDeviceSurfaceCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSurfaceCapabilitiesKHR@8=_v3dv_GetPhysicalDeviceSurfaceCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSurfaceCapabilitiesKHR@12=_v3dv_GetPhysicalDeviceSurfaceCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSurfaceCapabilitiesKHR@16=_v3dv_GetPhysicalDeviceSurfaceCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSurfaceCapabilitiesKHR@20=_v3dv_GetPhysicalDeviceSurfaceCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSurfaceCapabilitiesKHR@24=_v3dv_GetPhysicalDeviceSurfaceCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSurfaceCapabilitiesKHR@28=_v3dv_GetPhysicalDeviceSurfaceCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSurfaceCapabilitiesKHR@32=_v3dv_GetPhysicalDeviceSurfaceCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSurfaceCapabilitiesKHR@36=_v3dv_GetPhysicalDeviceSurfaceCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSurfaceCapabilitiesKHR@40=_v3dv_GetPhysicalDeviceSurfaceCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSurfaceCapabilitiesKHR@44=_v3dv_GetPhysicalDeviceSurfaceCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSurfaceCapabilitiesKHR@48=_v3dv_GetPhysicalDeviceSurfaceCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSurfaceCapabilitiesKHR@60=_v3dv_GetPhysicalDeviceSurfaceCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSurfaceCapabilitiesKHR@104=_v3dv_GetPhysicalDeviceSurfaceCapabilitiesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_GetPhysicalDeviceSurfaceCapabilitiesKHR=v3dv_GetPhysicalDeviceSurfaceCapabilitiesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_GetPhysicalDeviceSurfaceCapabilitiesKHR(VkPhysicalDevice physicalDevice, VkSurfaceKHR surface, VkSurfaceCapabilitiesKHR* pSurfaceCapabilities) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_GetPhysicalDeviceSurfaceFormatsKHR_Null)(VkPhysicalDevice physicalDevice, VkSurfaceKHR surface, uint32_t* pSurfaceFormatCount, VkSurfaceFormatKHR* pSurfaceFormats) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSurfaceFormatsKHR@4=_v3dv_GetPhysicalDeviceSurfaceFormatsKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSurfaceFormatsKHR@8=_v3dv_GetPhysicalDeviceSurfaceFormatsKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSurfaceFormatsKHR@12=_v3dv_GetPhysicalDeviceSurfaceFormatsKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSurfaceFormatsKHR@16=_v3dv_GetPhysicalDeviceSurfaceFormatsKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSurfaceFormatsKHR@20=_v3dv_GetPhysicalDeviceSurfaceFormatsKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSurfaceFormatsKHR@24=_v3dv_GetPhysicalDeviceSurfaceFormatsKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSurfaceFormatsKHR@28=_v3dv_GetPhysicalDeviceSurfaceFormatsKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSurfaceFormatsKHR@32=_v3dv_GetPhysicalDeviceSurfaceFormatsKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSurfaceFormatsKHR@36=_v3dv_GetPhysicalDeviceSurfaceFormatsKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSurfaceFormatsKHR@40=_v3dv_GetPhysicalDeviceSurfaceFormatsKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSurfaceFormatsKHR@44=_v3dv_GetPhysicalDeviceSurfaceFormatsKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSurfaceFormatsKHR@48=_v3dv_GetPhysicalDeviceSurfaceFormatsKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSurfaceFormatsKHR@60=_v3dv_GetPhysicalDeviceSurfaceFormatsKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSurfaceFormatsKHR@104=_v3dv_GetPhysicalDeviceSurfaceFormatsKHR_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_GetPhysicalDeviceSurfaceFormatsKHR=v3dv_GetPhysicalDeviceSurfaceFormatsKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_GetPhysicalDeviceSurfaceFormatsKHR(VkPhysicalDevice physicalDevice, VkSurfaceKHR surface, uint32_t* pSurfaceFormatCount, VkSurfaceFormatKHR* pSurfaceFormats) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_GetPhysicalDeviceSurfacePresentModesKHR_Null)(VkPhysicalDevice physicalDevice, VkSurfaceKHR surface, uint32_t* pPresentModeCount, VkPresentModeKHR* pPresentModes) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSurfacePresentModesKHR@4=_v3dv_GetPhysicalDeviceSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSurfacePresentModesKHR@8=_v3dv_GetPhysicalDeviceSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSurfacePresentModesKHR@12=_v3dv_GetPhysicalDeviceSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSurfacePresentModesKHR@16=_v3dv_GetPhysicalDeviceSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSurfacePresentModesKHR@20=_v3dv_GetPhysicalDeviceSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSurfacePresentModesKHR@24=_v3dv_GetPhysicalDeviceSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSurfacePresentModesKHR@28=_v3dv_GetPhysicalDeviceSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSurfacePresentModesKHR@32=_v3dv_GetPhysicalDeviceSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSurfacePresentModesKHR@36=_v3dv_GetPhysicalDeviceSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSurfacePresentModesKHR@40=_v3dv_GetPhysicalDeviceSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSurfacePresentModesKHR@44=_v3dv_GetPhysicalDeviceSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSurfacePresentModesKHR@48=_v3dv_GetPhysicalDeviceSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSurfacePresentModesKHR@60=_v3dv_GetPhysicalDeviceSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSurfacePresentModesKHR@104=_v3dv_GetPhysicalDeviceSurfacePresentModesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_GetPhysicalDeviceSurfacePresentModesKHR=v3dv_GetPhysicalDeviceSurfacePresentModesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_GetPhysicalDeviceSurfacePresentModesKHR(VkPhysicalDevice physicalDevice, VkSurfaceKHR surface, uint32_t* pPresentModeCount, VkPresentModeKHR* pPresentModes) __attribute__ ((weak));
#endif
#ifdef VK_USE_PLATFORM_WAYLAND_KHR
#ifdef _MSC_VER
    VkBool32 (*v3dv_GetPhysicalDeviceWaylandPresentationSupportKHR_Null)(VkPhysicalDevice physicalDevice, uint32_t queueFamilyIndex, struct wl_display* display) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceWaylandPresentationSupportKHR@4=_v3dv_GetPhysicalDeviceWaylandPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceWaylandPresentationSupportKHR@8=_v3dv_GetPhysicalDeviceWaylandPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceWaylandPresentationSupportKHR@12=_v3dv_GetPhysicalDeviceWaylandPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceWaylandPresentationSupportKHR@16=_v3dv_GetPhysicalDeviceWaylandPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceWaylandPresentationSupportKHR@20=_v3dv_GetPhysicalDeviceWaylandPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceWaylandPresentationSupportKHR@24=_v3dv_GetPhysicalDeviceWaylandPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceWaylandPresentationSupportKHR@28=_v3dv_GetPhysicalDeviceWaylandPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceWaylandPresentationSupportKHR@32=_v3dv_GetPhysicalDeviceWaylandPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceWaylandPresentationSupportKHR@36=_v3dv_GetPhysicalDeviceWaylandPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceWaylandPresentationSupportKHR@40=_v3dv_GetPhysicalDeviceWaylandPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceWaylandPresentationSupportKHR@44=_v3dv_GetPhysicalDeviceWaylandPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceWaylandPresentationSupportKHR@48=_v3dv_GetPhysicalDeviceWaylandPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceWaylandPresentationSupportKHR@60=_v3dv_GetPhysicalDeviceWaylandPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceWaylandPresentationSupportKHR@104=_v3dv_GetPhysicalDeviceWaylandPresentationSupportKHR_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_GetPhysicalDeviceWaylandPresentationSupportKHR=v3dv_GetPhysicalDeviceWaylandPresentationSupportKHR_Null")
#endif
#else
    VKAPI_ATTR VkBool32 VKAPI_CALL v3dv_GetPhysicalDeviceWaylandPresentationSupportKHR(VkPhysicalDevice physicalDevice, uint32_t queueFamilyIndex, struct wl_display* display) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_WAYLAND_KHR
#ifdef VK_USE_PLATFORM_WIN32_KHR
#ifdef _MSC_VER
    VkBool32 (*v3dv_GetPhysicalDeviceWin32PresentationSupportKHR_Null)(VkPhysicalDevice physicalDevice, uint32_t queueFamilyIndex) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceWin32PresentationSupportKHR@4=_v3dv_GetPhysicalDeviceWin32PresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceWin32PresentationSupportKHR@8=_v3dv_GetPhysicalDeviceWin32PresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceWin32PresentationSupportKHR@12=_v3dv_GetPhysicalDeviceWin32PresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceWin32PresentationSupportKHR@16=_v3dv_GetPhysicalDeviceWin32PresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceWin32PresentationSupportKHR@20=_v3dv_GetPhysicalDeviceWin32PresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceWin32PresentationSupportKHR@24=_v3dv_GetPhysicalDeviceWin32PresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceWin32PresentationSupportKHR@28=_v3dv_GetPhysicalDeviceWin32PresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceWin32PresentationSupportKHR@32=_v3dv_GetPhysicalDeviceWin32PresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceWin32PresentationSupportKHR@36=_v3dv_GetPhysicalDeviceWin32PresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceWin32PresentationSupportKHR@40=_v3dv_GetPhysicalDeviceWin32PresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceWin32PresentationSupportKHR@44=_v3dv_GetPhysicalDeviceWin32PresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceWin32PresentationSupportKHR@48=_v3dv_GetPhysicalDeviceWin32PresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceWin32PresentationSupportKHR@60=_v3dv_GetPhysicalDeviceWin32PresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceWin32PresentationSupportKHR@104=_v3dv_GetPhysicalDeviceWin32PresentationSupportKHR_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_GetPhysicalDeviceWin32PresentationSupportKHR=v3dv_GetPhysicalDeviceWin32PresentationSupportKHR_Null")
#endif
#else
    VKAPI_ATTR VkBool32 VKAPI_CALL v3dv_GetPhysicalDeviceWin32PresentationSupportKHR(VkPhysicalDevice physicalDevice, uint32_t queueFamilyIndex) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef VK_USE_PLATFORM_XLIB_KHR
#ifdef _MSC_VER
    VkBool32 (*v3dv_GetPhysicalDeviceXlibPresentationSupportKHR_Null)(VkPhysicalDevice physicalDevice, uint32_t queueFamilyIndex, Display* dpy, VisualID visualID) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceXlibPresentationSupportKHR@4=_v3dv_GetPhysicalDeviceXlibPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceXlibPresentationSupportKHR@8=_v3dv_GetPhysicalDeviceXlibPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceXlibPresentationSupportKHR@12=_v3dv_GetPhysicalDeviceXlibPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceXlibPresentationSupportKHR@16=_v3dv_GetPhysicalDeviceXlibPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceXlibPresentationSupportKHR@20=_v3dv_GetPhysicalDeviceXlibPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceXlibPresentationSupportKHR@24=_v3dv_GetPhysicalDeviceXlibPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceXlibPresentationSupportKHR@28=_v3dv_GetPhysicalDeviceXlibPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceXlibPresentationSupportKHR@32=_v3dv_GetPhysicalDeviceXlibPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceXlibPresentationSupportKHR@36=_v3dv_GetPhysicalDeviceXlibPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceXlibPresentationSupportKHR@40=_v3dv_GetPhysicalDeviceXlibPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceXlibPresentationSupportKHR@44=_v3dv_GetPhysicalDeviceXlibPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceXlibPresentationSupportKHR@48=_v3dv_GetPhysicalDeviceXlibPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceXlibPresentationSupportKHR@60=_v3dv_GetPhysicalDeviceXlibPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceXlibPresentationSupportKHR@104=_v3dv_GetPhysicalDeviceXlibPresentationSupportKHR_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_GetPhysicalDeviceXlibPresentationSupportKHR=v3dv_GetPhysicalDeviceXlibPresentationSupportKHR_Null")
#endif
#else
    VKAPI_ATTR VkBool32 VKAPI_CALL v3dv_GetPhysicalDeviceXlibPresentationSupportKHR(VkPhysicalDevice physicalDevice, uint32_t queueFamilyIndex, Display* dpy, VisualID visualID) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_XLIB_KHR
#ifdef VK_USE_PLATFORM_XCB_KHR
#ifdef _MSC_VER
    VkBool32 (*v3dv_GetPhysicalDeviceXcbPresentationSupportKHR_Null)(VkPhysicalDevice physicalDevice, uint32_t queueFamilyIndex, xcb_connection_t* connection, xcb_visualid_t visual_id) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceXcbPresentationSupportKHR@4=_v3dv_GetPhysicalDeviceXcbPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceXcbPresentationSupportKHR@8=_v3dv_GetPhysicalDeviceXcbPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceXcbPresentationSupportKHR@12=_v3dv_GetPhysicalDeviceXcbPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceXcbPresentationSupportKHR@16=_v3dv_GetPhysicalDeviceXcbPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceXcbPresentationSupportKHR@20=_v3dv_GetPhysicalDeviceXcbPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceXcbPresentationSupportKHR@24=_v3dv_GetPhysicalDeviceXcbPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceXcbPresentationSupportKHR@28=_v3dv_GetPhysicalDeviceXcbPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceXcbPresentationSupportKHR@32=_v3dv_GetPhysicalDeviceXcbPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceXcbPresentationSupportKHR@36=_v3dv_GetPhysicalDeviceXcbPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceXcbPresentationSupportKHR@40=_v3dv_GetPhysicalDeviceXcbPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceXcbPresentationSupportKHR@44=_v3dv_GetPhysicalDeviceXcbPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceXcbPresentationSupportKHR@48=_v3dv_GetPhysicalDeviceXcbPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceXcbPresentationSupportKHR@60=_v3dv_GetPhysicalDeviceXcbPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceXcbPresentationSupportKHR@104=_v3dv_GetPhysicalDeviceXcbPresentationSupportKHR_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_GetPhysicalDeviceXcbPresentationSupportKHR=v3dv_GetPhysicalDeviceXcbPresentationSupportKHR_Null")
#endif
#else
    VKAPI_ATTR VkBool32 VKAPI_CALL v3dv_GetPhysicalDeviceXcbPresentationSupportKHR(VkPhysicalDevice physicalDevice, uint32_t queueFamilyIndex, xcb_connection_t* connection, xcb_visualid_t visual_id) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_XCB_KHR
#ifdef VK_USE_PLATFORM_DIRECTFB_EXT
#ifdef _MSC_VER
    VkBool32 (*v3dv_GetPhysicalDeviceDirectFBPresentationSupportEXT_Null)(VkPhysicalDevice physicalDevice, uint32_t queueFamilyIndex, IDirectFB* dfb) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceDirectFBPresentationSupportEXT@4=_v3dv_GetPhysicalDeviceDirectFBPresentationSupportEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceDirectFBPresentationSupportEXT@8=_v3dv_GetPhysicalDeviceDirectFBPresentationSupportEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceDirectFBPresentationSupportEXT@12=_v3dv_GetPhysicalDeviceDirectFBPresentationSupportEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceDirectFBPresentationSupportEXT@16=_v3dv_GetPhysicalDeviceDirectFBPresentationSupportEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceDirectFBPresentationSupportEXT@20=_v3dv_GetPhysicalDeviceDirectFBPresentationSupportEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceDirectFBPresentationSupportEXT@24=_v3dv_GetPhysicalDeviceDirectFBPresentationSupportEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceDirectFBPresentationSupportEXT@28=_v3dv_GetPhysicalDeviceDirectFBPresentationSupportEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceDirectFBPresentationSupportEXT@32=_v3dv_GetPhysicalDeviceDirectFBPresentationSupportEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceDirectFBPresentationSupportEXT@36=_v3dv_GetPhysicalDeviceDirectFBPresentationSupportEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceDirectFBPresentationSupportEXT@40=_v3dv_GetPhysicalDeviceDirectFBPresentationSupportEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceDirectFBPresentationSupportEXT@44=_v3dv_GetPhysicalDeviceDirectFBPresentationSupportEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceDirectFBPresentationSupportEXT@48=_v3dv_GetPhysicalDeviceDirectFBPresentationSupportEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceDirectFBPresentationSupportEXT@60=_v3dv_GetPhysicalDeviceDirectFBPresentationSupportEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceDirectFBPresentationSupportEXT@104=_v3dv_GetPhysicalDeviceDirectFBPresentationSupportEXT_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_GetPhysicalDeviceDirectFBPresentationSupportEXT=v3dv_GetPhysicalDeviceDirectFBPresentationSupportEXT_Null")
#endif
#else
    VKAPI_ATTR VkBool32 VKAPI_CALL v3dv_GetPhysicalDeviceDirectFBPresentationSupportEXT(VkPhysicalDevice physicalDevice, uint32_t queueFamilyIndex, IDirectFB* dfb) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_DIRECTFB_EXT
#ifdef _MSC_VER
    VkResult (*v3dv_GetPhysicalDeviceExternalImageFormatPropertiesNV_Null)(VkPhysicalDevice physicalDevice, VkFormat format, VkImageType type, VkImageTiling tiling, VkImageUsageFlags usage, VkImageCreateFlags flags, VkExternalMemoryHandleTypeFlagsNV externalHandleType, VkExternalImageFormatPropertiesNV* pExternalImageFormatProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceExternalImageFormatPropertiesNV@4=_v3dv_GetPhysicalDeviceExternalImageFormatPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceExternalImageFormatPropertiesNV@8=_v3dv_GetPhysicalDeviceExternalImageFormatPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceExternalImageFormatPropertiesNV@12=_v3dv_GetPhysicalDeviceExternalImageFormatPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceExternalImageFormatPropertiesNV@16=_v3dv_GetPhysicalDeviceExternalImageFormatPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceExternalImageFormatPropertiesNV@20=_v3dv_GetPhysicalDeviceExternalImageFormatPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceExternalImageFormatPropertiesNV@24=_v3dv_GetPhysicalDeviceExternalImageFormatPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceExternalImageFormatPropertiesNV@28=_v3dv_GetPhysicalDeviceExternalImageFormatPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceExternalImageFormatPropertiesNV@32=_v3dv_GetPhysicalDeviceExternalImageFormatPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceExternalImageFormatPropertiesNV@36=_v3dv_GetPhysicalDeviceExternalImageFormatPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceExternalImageFormatPropertiesNV@40=_v3dv_GetPhysicalDeviceExternalImageFormatPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceExternalImageFormatPropertiesNV@44=_v3dv_GetPhysicalDeviceExternalImageFormatPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceExternalImageFormatPropertiesNV@48=_v3dv_GetPhysicalDeviceExternalImageFormatPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceExternalImageFormatPropertiesNV@60=_v3dv_GetPhysicalDeviceExternalImageFormatPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceExternalImageFormatPropertiesNV@104=_v3dv_GetPhysicalDeviceExternalImageFormatPropertiesNV_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_GetPhysicalDeviceExternalImageFormatPropertiesNV=v3dv_GetPhysicalDeviceExternalImageFormatPropertiesNV_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_GetPhysicalDeviceExternalImageFormatPropertiesNV(VkPhysicalDevice physicalDevice, VkFormat format, VkImageType type, VkImageTiling tiling, VkImageUsageFlags usage, VkImageCreateFlags flags, VkExternalMemoryHandleTypeFlagsNV externalHandleType, VkExternalImageFormatPropertiesNV* pExternalImageFormatProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_GetPhysicalDeviceFeatures2_Null)(VkPhysicalDevice physicalDevice, VkPhysicalDeviceFeatures2* pFeatures) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceFeatures2@4=_v3dv_GetPhysicalDeviceFeatures2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceFeatures2@8=_v3dv_GetPhysicalDeviceFeatures2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceFeatures2@12=_v3dv_GetPhysicalDeviceFeatures2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceFeatures2@16=_v3dv_GetPhysicalDeviceFeatures2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceFeatures2@20=_v3dv_GetPhysicalDeviceFeatures2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceFeatures2@24=_v3dv_GetPhysicalDeviceFeatures2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceFeatures2@28=_v3dv_GetPhysicalDeviceFeatures2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceFeatures2@32=_v3dv_GetPhysicalDeviceFeatures2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceFeatures2@36=_v3dv_GetPhysicalDeviceFeatures2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceFeatures2@40=_v3dv_GetPhysicalDeviceFeatures2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceFeatures2@44=_v3dv_GetPhysicalDeviceFeatures2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceFeatures2@48=_v3dv_GetPhysicalDeviceFeatures2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceFeatures2@60=_v3dv_GetPhysicalDeviceFeatures2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceFeatures2@104=_v3dv_GetPhysicalDeviceFeatures2_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_GetPhysicalDeviceFeatures2=v3dv_GetPhysicalDeviceFeatures2_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_GetPhysicalDeviceFeatures2(VkPhysicalDevice physicalDevice, VkPhysicalDeviceFeatures2* pFeatures) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_GetPhysicalDeviceFeatures2KHR_Null)(VkPhysicalDevice physicalDevice, VkPhysicalDeviceFeatures2* pFeatures) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceFeatures2KHR@4=_v3dv_GetPhysicalDeviceFeatures2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceFeatures2KHR@8=_v3dv_GetPhysicalDeviceFeatures2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceFeatures2KHR@12=_v3dv_GetPhysicalDeviceFeatures2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceFeatures2KHR@16=_v3dv_GetPhysicalDeviceFeatures2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceFeatures2KHR@20=_v3dv_GetPhysicalDeviceFeatures2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceFeatures2KHR@24=_v3dv_GetPhysicalDeviceFeatures2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceFeatures2KHR@28=_v3dv_GetPhysicalDeviceFeatures2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceFeatures2KHR@32=_v3dv_GetPhysicalDeviceFeatures2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceFeatures2KHR@36=_v3dv_GetPhysicalDeviceFeatures2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceFeatures2KHR@40=_v3dv_GetPhysicalDeviceFeatures2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceFeatures2KHR@44=_v3dv_GetPhysicalDeviceFeatures2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceFeatures2KHR@48=_v3dv_GetPhysicalDeviceFeatures2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceFeatures2KHR@60=_v3dv_GetPhysicalDeviceFeatures2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceFeatures2KHR@104=_v3dv_GetPhysicalDeviceFeatures2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_GetPhysicalDeviceFeatures2KHR=v3dv_GetPhysicalDeviceFeatures2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_GetPhysicalDeviceFeatures2KHR(VkPhysicalDevice physicalDevice, VkPhysicalDeviceFeatures2* pFeatures) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_GetPhysicalDeviceProperties2_Null)(VkPhysicalDevice physicalDevice, VkPhysicalDeviceProperties2* pProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceProperties2@4=_v3dv_GetPhysicalDeviceProperties2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceProperties2@8=_v3dv_GetPhysicalDeviceProperties2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceProperties2@12=_v3dv_GetPhysicalDeviceProperties2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceProperties2@16=_v3dv_GetPhysicalDeviceProperties2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceProperties2@20=_v3dv_GetPhysicalDeviceProperties2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceProperties2@24=_v3dv_GetPhysicalDeviceProperties2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceProperties2@28=_v3dv_GetPhysicalDeviceProperties2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceProperties2@32=_v3dv_GetPhysicalDeviceProperties2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceProperties2@36=_v3dv_GetPhysicalDeviceProperties2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceProperties2@40=_v3dv_GetPhysicalDeviceProperties2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceProperties2@44=_v3dv_GetPhysicalDeviceProperties2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceProperties2@48=_v3dv_GetPhysicalDeviceProperties2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceProperties2@60=_v3dv_GetPhysicalDeviceProperties2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceProperties2@104=_v3dv_GetPhysicalDeviceProperties2_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_GetPhysicalDeviceProperties2=v3dv_GetPhysicalDeviceProperties2_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_GetPhysicalDeviceProperties2(VkPhysicalDevice physicalDevice, VkPhysicalDeviceProperties2* pProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_GetPhysicalDeviceProperties2KHR_Null)(VkPhysicalDevice physicalDevice, VkPhysicalDeviceProperties2* pProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceProperties2KHR@4=_v3dv_GetPhysicalDeviceProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceProperties2KHR@8=_v3dv_GetPhysicalDeviceProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceProperties2KHR@12=_v3dv_GetPhysicalDeviceProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceProperties2KHR@16=_v3dv_GetPhysicalDeviceProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceProperties2KHR@20=_v3dv_GetPhysicalDeviceProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceProperties2KHR@24=_v3dv_GetPhysicalDeviceProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceProperties2KHR@28=_v3dv_GetPhysicalDeviceProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceProperties2KHR@32=_v3dv_GetPhysicalDeviceProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceProperties2KHR@36=_v3dv_GetPhysicalDeviceProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceProperties2KHR@40=_v3dv_GetPhysicalDeviceProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceProperties2KHR@44=_v3dv_GetPhysicalDeviceProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceProperties2KHR@48=_v3dv_GetPhysicalDeviceProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceProperties2KHR@60=_v3dv_GetPhysicalDeviceProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceProperties2KHR@104=_v3dv_GetPhysicalDeviceProperties2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_GetPhysicalDeviceProperties2KHR=v3dv_GetPhysicalDeviceProperties2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_GetPhysicalDeviceProperties2KHR(VkPhysicalDevice physicalDevice, VkPhysicalDeviceProperties2* pProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_GetPhysicalDeviceFormatProperties2_Null)(VkPhysicalDevice physicalDevice, VkFormat format, VkFormatProperties2* pFormatProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceFormatProperties2@4=_v3dv_GetPhysicalDeviceFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceFormatProperties2@8=_v3dv_GetPhysicalDeviceFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceFormatProperties2@12=_v3dv_GetPhysicalDeviceFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceFormatProperties2@16=_v3dv_GetPhysicalDeviceFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceFormatProperties2@20=_v3dv_GetPhysicalDeviceFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceFormatProperties2@24=_v3dv_GetPhysicalDeviceFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceFormatProperties2@28=_v3dv_GetPhysicalDeviceFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceFormatProperties2@32=_v3dv_GetPhysicalDeviceFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceFormatProperties2@36=_v3dv_GetPhysicalDeviceFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceFormatProperties2@40=_v3dv_GetPhysicalDeviceFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceFormatProperties2@44=_v3dv_GetPhysicalDeviceFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceFormatProperties2@48=_v3dv_GetPhysicalDeviceFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceFormatProperties2@60=_v3dv_GetPhysicalDeviceFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceFormatProperties2@104=_v3dv_GetPhysicalDeviceFormatProperties2_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_GetPhysicalDeviceFormatProperties2=v3dv_GetPhysicalDeviceFormatProperties2_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_GetPhysicalDeviceFormatProperties2(VkPhysicalDevice physicalDevice, VkFormat format, VkFormatProperties2* pFormatProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_GetPhysicalDeviceFormatProperties2KHR_Null)(VkPhysicalDevice physicalDevice, VkFormat format, VkFormatProperties2* pFormatProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceFormatProperties2KHR@4=_v3dv_GetPhysicalDeviceFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceFormatProperties2KHR@8=_v3dv_GetPhysicalDeviceFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceFormatProperties2KHR@12=_v3dv_GetPhysicalDeviceFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceFormatProperties2KHR@16=_v3dv_GetPhysicalDeviceFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceFormatProperties2KHR@20=_v3dv_GetPhysicalDeviceFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceFormatProperties2KHR@24=_v3dv_GetPhysicalDeviceFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceFormatProperties2KHR@28=_v3dv_GetPhysicalDeviceFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceFormatProperties2KHR@32=_v3dv_GetPhysicalDeviceFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceFormatProperties2KHR@36=_v3dv_GetPhysicalDeviceFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceFormatProperties2KHR@40=_v3dv_GetPhysicalDeviceFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceFormatProperties2KHR@44=_v3dv_GetPhysicalDeviceFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceFormatProperties2KHR@48=_v3dv_GetPhysicalDeviceFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceFormatProperties2KHR@60=_v3dv_GetPhysicalDeviceFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceFormatProperties2KHR@104=_v3dv_GetPhysicalDeviceFormatProperties2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_GetPhysicalDeviceFormatProperties2KHR=v3dv_GetPhysicalDeviceFormatProperties2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_GetPhysicalDeviceFormatProperties2KHR(VkPhysicalDevice physicalDevice, VkFormat format, VkFormatProperties2* pFormatProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_GetPhysicalDeviceImageFormatProperties2_Null)(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceImageFormatInfo2* pImageFormatInfo, VkImageFormatProperties2* pImageFormatProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceImageFormatProperties2@4=_v3dv_GetPhysicalDeviceImageFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceImageFormatProperties2@8=_v3dv_GetPhysicalDeviceImageFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceImageFormatProperties2@12=_v3dv_GetPhysicalDeviceImageFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceImageFormatProperties2@16=_v3dv_GetPhysicalDeviceImageFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceImageFormatProperties2@20=_v3dv_GetPhysicalDeviceImageFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceImageFormatProperties2@24=_v3dv_GetPhysicalDeviceImageFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceImageFormatProperties2@28=_v3dv_GetPhysicalDeviceImageFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceImageFormatProperties2@32=_v3dv_GetPhysicalDeviceImageFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceImageFormatProperties2@36=_v3dv_GetPhysicalDeviceImageFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceImageFormatProperties2@40=_v3dv_GetPhysicalDeviceImageFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceImageFormatProperties2@44=_v3dv_GetPhysicalDeviceImageFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceImageFormatProperties2@48=_v3dv_GetPhysicalDeviceImageFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceImageFormatProperties2@60=_v3dv_GetPhysicalDeviceImageFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceImageFormatProperties2@104=_v3dv_GetPhysicalDeviceImageFormatProperties2_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_GetPhysicalDeviceImageFormatProperties2=v3dv_GetPhysicalDeviceImageFormatProperties2_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_GetPhysicalDeviceImageFormatProperties2(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceImageFormatInfo2* pImageFormatInfo, VkImageFormatProperties2* pImageFormatProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_GetPhysicalDeviceImageFormatProperties2KHR_Null)(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceImageFormatInfo2* pImageFormatInfo, VkImageFormatProperties2* pImageFormatProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceImageFormatProperties2KHR@4=_v3dv_GetPhysicalDeviceImageFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceImageFormatProperties2KHR@8=_v3dv_GetPhysicalDeviceImageFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceImageFormatProperties2KHR@12=_v3dv_GetPhysicalDeviceImageFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceImageFormatProperties2KHR@16=_v3dv_GetPhysicalDeviceImageFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceImageFormatProperties2KHR@20=_v3dv_GetPhysicalDeviceImageFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceImageFormatProperties2KHR@24=_v3dv_GetPhysicalDeviceImageFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceImageFormatProperties2KHR@28=_v3dv_GetPhysicalDeviceImageFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceImageFormatProperties2KHR@32=_v3dv_GetPhysicalDeviceImageFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceImageFormatProperties2KHR@36=_v3dv_GetPhysicalDeviceImageFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceImageFormatProperties2KHR@40=_v3dv_GetPhysicalDeviceImageFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceImageFormatProperties2KHR@44=_v3dv_GetPhysicalDeviceImageFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceImageFormatProperties2KHR@48=_v3dv_GetPhysicalDeviceImageFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceImageFormatProperties2KHR@60=_v3dv_GetPhysicalDeviceImageFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceImageFormatProperties2KHR@104=_v3dv_GetPhysicalDeviceImageFormatProperties2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_GetPhysicalDeviceImageFormatProperties2KHR=v3dv_GetPhysicalDeviceImageFormatProperties2KHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_GetPhysicalDeviceImageFormatProperties2KHR(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceImageFormatInfo2* pImageFormatInfo, VkImageFormatProperties2* pImageFormatProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_GetPhysicalDeviceQueueFamilyProperties2_Null)(VkPhysicalDevice physicalDevice, uint32_t* pQueueFamilyPropertyCount, VkQueueFamilyProperties2* pQueueFamilyProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceQueueFamilyProperties2@4=_v3dv_GetPhysicalDeviceQueueFamilyProperties2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceQueueFamilyProperties2@8=_v3dv_GetPhysicalDeviceQueueFamilyProperties2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceQueueFamilyProperties2@12=_v3dv_GetPhysicalDeviceQueueFamilyProperties2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceQueueFamilyProperties2@16=_v3dv_GetPhysicalDeviceQueueFamilyProperties2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceQueueFamilyProperties2@20=_v3dv_GetPhysicalDeviceQueueFamilyProperties2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceQueueFamilyProperties2@24=_v3dv_GetPhysicalDeviceQueueFamilyProperties2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceQueueFamilyProperties2@28=_v3dv_GetPhysicalDeviceQueueFamilyProperties2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceQueueFamilyProperties2@32=_v3dv_GetPhysicalDeviceQueueFamilyProperties2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceQueueFamilyProperties2@36=_v3dv_GetPhysicalDeviceQueueFamilyProperties2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceQueueFamilyProperties2@40=_v3dv_GetPhysicalDeviceQueueFamilyProperties2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceQueueFamilyProperties2@44=_v3dv_GetPhysicalDeviceQueueFamilyProperties2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceQueueFamilyProperties2@48=_v3dv_GetPhysicalDeviceQueueFamilyProperties2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceQueueFamilyProperties2@60=_v3dv_GetPhysicalDeviceQueueFamilyProperties2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceQueueFamilyProperties2@104=_v3dv_GetPhysicalDeviceQueueFamilyProperties2_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_GetPhysicalDeviceQueueFamilyProperties2=v3dv_GetPhysicalDeviceQueueFamilyProperties2_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_GetPhysicalDeviceQueueFamilyProperties2(VkPhysicalDevice physicalDevice, uint32_t* pQueueFamilyPropertyCount, VkQueueFamilyProperties2* pQueueFamilyProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_GetPhysicalDeviceQueueFamilyProperties2KHR_Null)(VkPhysicalDevice physicalDevice, uint32_t* pQueueFamilyPropertyCount, VkQueueFamilyProperties2* pQueueFamilyProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceQueueFamilyProperties2KHR@4=_v3dv_GetPhysicalDeviceQueueFamilyProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceQueueFamilyProperties2KHR@8=_v3dv_GetPhysicalDeviceQueueFamilyProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceQueueFamilyProperties2KHR@12=_v3dv_GetPhysicalDeviceQueueFamilyProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceQueueFamilyProperties2KHR@16=_v3dv_GetPhysicalDeviceQueueFamilyProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceQueueFamilyProperties2KHR@20=_v3dv_GetPhysicalDeviceQueueFamilyProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceQueueFamilyProperties2KHR@24=_v3dv_GetPhysicalDeviceQueueFamilyProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceQueueFamilyProperties2KHR@28=_v3dv_GetPhysicalDeviceQueueFamilyProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceQueueFamilyProperties2KHR@32=_v3dv_GetPhysicalDeviceQueueFamilyProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceQueueFamilyProperties2KHR@36=_v3dv_GetPhysicalDeviceQueueFamilyProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceQueueFamilyProperties2KHR@40=_v3dv_GetPhysicalDeviceQueueFamilyProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceQueueFamilyProperties2KHR@44=_v3dv_GetPhysicalDeviceQueueFamilyProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceQueueFamilyProperties2KHR@48=_v3dv_GetPhysicalDeviceQueueFamilyProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceQueueFamilyProperties2KHR@60=_v3dv_GetPhysicalDeviceQueueFamilyProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceQueueFamilyProperties2KHR@104=_v3dv_GetPhysicalDeviceQueueFamilyProperties2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_GetPhysicalDeviceQueueFamilyProperties2KHR=v3dv_GetPhysicalDeviceQueueFamilyProperties2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_GetPhysicalDeviceQueueFamilyProperties2KHR(VkPhysicalDevice physicalDevice, uint32_t* pQueueFamilyPropertyCount, VkQueueFamilyProperties2* pQueueFamilyProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_GetPhysicalDeviceMemoryProperties2_Null)(VkPhysicalDevice physicalDevice, VkPhysicalDeviceMemoryProperties2* pMemoryProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceMemoryProperties2@4=_v3dv_GetPhysicalDeviceMemoryProperties2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceMemoryProperties2@8=_v3dv_GetPhysicalDeviceMemoryProperties2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceMemoryProperties2@12=_v3dv_GetPhysicalDeviceMemoryProperties2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceMemoryProperties2@16=_v3dv_GetPhysicalDeviceMemoryProperties2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceMemoryProperties2@20=_v3dv_GetPhysicalDeviceMemoryProperties2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceMemoryProperties2@24=_v3dv_GetPhysicalDeviceMemoryProperties2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceMemoryProperties2@28=_v3dv_GetPhysicalDeviceMemoryProperties2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceMemoryProperties2@32=_v3dv_GetPhysicalDeviceMemoryProperties2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceMemoryProperties2@36=_v3dv_GetPhysicalDeviceMemoryProperties2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceMemoryProperties2@40=_v3dv_GetPhysicalDeviceMemoryProperties2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceMemoryProperties2@44=_v3dv_GetPhysicalDeviceMemoryProperties2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceMemoryProperties2@48=_v3dv_GetPhysicalDeviceMemoryProperties2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceMemoryProperties2@60=_v3dv_GetPhysicalDeviceMemoryProperties2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceMemoryProperties2@104=_v3dv_GetPhysicalDeviceMemoryProperties2_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_GetPhysicalDeviceMemoryProperties2=v3dv_GetPhysicalDeviceMemoryProperties2_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_GetPhysicalDeviceMemoryProperties2(VkPhysicalDevice physicalDevice, VkPhysicalDeviceMemoryProperties2* pMemoryProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_GetPhysicalDeviceMemoryProperties2KHR_Null)(VkPhysicalDevice physicalDevice, VkPhysicalDeviceMemoryProperties2* pMemoryProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceMemoryProperties2KHR@4=_v3dv_GetPhysicalDeviceMemoryProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceMemoryProperties2KHR@8=_v3dv_GetPhysicalDeviceMemoryProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceMemoryProperties2KHR@12=_v3dv_GetPhysicalDeviceMemoryProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceMemoryProperties2KHR@16=_v3dv_GetPhysicalDeviceMemoryProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceMemoryProperties2KHR@20=_v3dv_GetPhysicalDeviceMemoryProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceMemoryProperties2KHR@24=_v3dv_GetPhysicalDeviceMemoryProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceMemoryProperties2KHR@28=_v3dv_GetPhysicalDeviceMemoryProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceMemoryProperties2KHR@32=_v3dv_GetPhysicalDeviceMemoryProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceMemoryProperties2KHR@36=_v3dv_GetPhysicalDeviceMemoryProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceMemoryProperties2KHR@40=_v3dv_GetPhysicalDeviceMemoryProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceMemoryProperties2KHR@44=_v3dv_GetPhysicalDeviceMemoryProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceMemoryProperties2KHR@48=_v3dv_GetPhysicalDeviceMemoryProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceMemoryProperties2KHR@60=_v3dv_GetPhysicalDeviceMemoryProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceMemoryProperties2KHR@104=_v3dv_GetPhysicalDeviceMemoryProperties2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_GetPhysicalDeviceMemoryProperties2KHR=v3dv_GetPhysicalDeviceMemoryProperties2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_GetPhysicalDeviceMemoryProperties2KHR(VkPhysicalDevice physicalDevice, VkPhysicalDeviceMemoryProperties2* pMemoryProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_GetPhysicalDeviceSparseImageFormatProperties2_Null)(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceSparseImageFormatInfo2* pFormatInfo, uint32_t* pPropertyCount, VkSparseImageFormatProperties2* pProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSparseImageFormatProperties2@4=_v3dv_GetPhysicalDeviceSparseImageFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSparseImageFormatProperties2@8=_v3dv_GetPhysicalDeviceSparseImageFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSparseImageFormatProperties2@12=_v3dv_GetPhysicalDeviceSparseImageFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSparseImageFormatProperties2@16=_v3dv_GetPhysicalDeviceSparseImageFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSparseImageFormatProperties2@20=_v3dv_GetPhysicalDeviceSparseImageFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSparseImageFormatProperties2@24=_v3dv_GetPhysicalDeviceSparseImageFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSparseImageFormatProperties2@28=_v3dv_GetPhysicalDeviceSparseImageFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSparseImageFormatProperties2@32=_v3dv_GetPhysicalDeviceSparseImageFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSparseImageFormatProperties2@36=_v3dv_GetPhysicalDeviceSparseImageFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSparseImageFormatProperties2@40=_v3dv_GetPhysicalDeviceSparseImageFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSparseImageFormatProperties2@44=_v3dv_GetPhysicalDeviceSparseImageFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSparseImageFormatProperties2@48=_v3dv_GetPhysicalDeviceSparseImageFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSparseImageFormatProperties2@60=_v3dv_GetPhysicalDeviceSparseImageFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSparseImageFormatProperties2@104=_v3dv_GetPhysicalDeviceSparseImageFormatProperties2_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_GetPhysicalDeviceSparseImageFormatProperties2=v3dv_GetPhysicalDeviceSparseImageFormatProperties2_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_GetPhysicalDeviceSparseImageFormatProperties2(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceSparseImageFormatInfo2* pFormatInfo, uint32_t* pPropertyCount, VkSparseImageFormatProperties2* pProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_GetPhysicalDeviceSparseImageFormatProperties2KHR_Null)(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceSparseImageFormatInfo2* pFormatInfo, uint32_t* pPropertyCount, VkSparseImageFormatProperties2* pProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSparseImageFormatProperties2KHR@4=_v3dv_GetPhysicalDeviceSparseImageFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSparseImageFormatProperties2KHR@8=_v3dv_GetPhysicalDeviceSparseImageFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSparseImageFormatProperties2KHR@12=_v3dv_GetPhysicalDeviceSparseImageFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSparseImageFormatProperties2KHR@16=_v3dv_GetPhysicalDeviceSparseImageFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSparseImageFormatProperties2KHR@20=_v3dv_GetPhysicalDeviceSparseImageFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSparseImageFormatProperties2KHR@24=_v3dv_GetPhysicalDeviceSparseImageFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSparseImageFormatProperties2KHR@28=_v3dv_GetPhysicalDeviceSparseImageFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSparseImageFormatProperties2KHR@32=_v3dv_GetPhysicalDeviceSparseImageFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSparseImageFormatProperties2KHR@36=_v3dv_GetPhysicalDeviceSparseImageFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSparseImageFormatProperties2KHR@40=_v3dv_GetPhysicalDeviceSparseImageFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSparseImageFormatProperties2KHR@44=_v3dv_GetPhysicalDeviceSparseImageFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSparseImageFormatProperties2KHR@48=_v3dv_GetPhysicalDeviceSparseImageFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSparseImageFormatProperties2KHR@60=_v3dv_GetPhysicalDeviceSparseImageFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSparseImageFormatProperties2KHR@104=_v3dv_GetPhysicalDeviceSparseImageFormatProperties2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_GetPhysicalDeviceSparseImageFormatProperties2KHR=v3dv_GetPhysicalDeviceSparseImageFormatProperties2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_GetPhysicalDeviceSparseImageFormatProperties2KHR(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceSparseImageFormatInfo2* pFormatInfo, uint32_t* pPropertyCount, VkSparseImageFormatProperties2* pProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_GetPhysicalDeviceExternalBufferProperties_Null)(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceExternalBufferInfo* pExternalBufferInfo, VkExternalBufferProperties* pExternalBufferProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceExternalBufferProperties@4=_v3dv_GetPhysicalDeviceExternalBufferProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceExternalBufferProperties@8=_v3dv_GetPhysicalDeviceExternalBufferProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceExternalBufferProperties@12=_v3dv_GetPhysicalDeviceExternalBufferProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceExternalBufferProperties@16=_v3dv_GetPhysicalDeviceExternalBufferProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceExternalBufferProperties@20=_v3dv_GetPhysicalDeviceExternalBufferProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceExternalBufferProperties@24=_v3dv_GetPhysicalDeviceExternalBufferProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceExternalBufferProperties@28=_v3dv_GetPhysicalDeviceExternalBufferProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceExternalBufferProperties@32=_v3dv_GetPhysicalDeviceExternalBufferProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceExternalBufferProperties@36=_v3dv_GetPhysicalDeviceExternalBufferProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceExternalBufferProperties@40=_v3dv_GetPhysicalDeviceExternalBufferProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceExternalBufferProperties@44=_v3dv_GetPhysicalDeviceExternalBufferProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceExternalBufferProperties@48=_v3dv_GetPhysicalDeviceExternalBufferProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceExternalBufferProperties@60=_v3dv_GetPhysicalDeviceExternalBufferProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceExternalBufferProperties@104=_v3dv_GetPhysicalDeviceExternalBufferProperties_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_GetPhysicalDeviceExternalBufferProperties=v3dv_GetPhysicalDeviceExternalBufferProperties_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_GetPhysicalDeviceExternalBufferProperties(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceExternalBufferInfo* pExternalBufferInfo, VkExternalBufferProperties* pExternalBufferProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_GetPhysicalDeviceExternalBufferPropertiesKHR_Null)(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceExternalBufferInfo* pExternalBufferInfo, VkExternalBufferProperties* pExternalBufferProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceExternalBufferPropertiesKHR@4=_v3dv_GetPhysicalDeviceExternalBufferPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceExternalBufferPropertiesKHR@8=_v3dv_GetPhysicalDeviceExternalBufferPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceExternalBufferPropertiesKHR@12=_v3dv_GetPhysicalDeviceExternalBufferPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceExternalBufferPropertiesKHR@16=_v3dv_GetPhysicalDeviceExternalBufferPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceExternalBufferPropertiesKHR@20=_v3dv_GetPhysicalDeviceExternalBufferPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceExternalBufferPropertiesKHR@24=_v3dv_GetPhysicalDeviceExternalBufferPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceExternalBufferPropertiesKHR@28=_v3dv_GetPhysicalDeviceExternalBufferPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceExternalBufferPropertiesKHR@32=_v3dv_GetPhysicalDeviceExternalBufferPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceExternalBufferPropertiesKHR@36=_v3dv_GetPhysicalDeviceExternalBufferPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceExternalBufferPropertiesKHR@40=_v3dv_GetPhysicalDeviceExternalBufferPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceExternalBufferPropertiesKHR@44=_v3dv_GetPhysicalDeviceExternalBufferPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceExternalBufferPropertiesKHR@48=_v3dv_GetPhysicalDeviceExternalBufferPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceExternalBufferPropertiesKHR@60=_v3dv_GetPhysicalDeviceExternalBufferPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceExternalBufferPropertiesKHR@104=_v3dv_GetPhysicalDeviceExternalBufferPropertiesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_GetPhysicalDeviceExternalBufferPropertiesKHR=v3dv_GetPhysicalDeviceExternalBufferPropertiesKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_GetPhysicalDeviceExternalBufferPropertiesKHR(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceExternalBufferInfo* pExternalBufferInfo, VkExternalBufferProperties* pExternalBufferProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_GetPhysicalDeviceExternalSemaphoreProperties_Null)(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceExternalSemaphoreInfo* pExternalSemaphoreInfo, VkExternalSemaphoreProperties* pExternalSemaphoreProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceExternalSemaphoreProperties@4=_v3dv_GetPhysicalDeviceExternalSemaphoreProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceExternalSemaphoreProperties@8=_v3dv_GetPhysicalDeviceExternalSemaphoreProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceExternalSemaphoreProperties@12=_v3dv_GetPhysicalDeviceExternalSemaphoreProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceExternalSemaphoreProperties@16=_v3dv_GetPhysicalDeviceExternalSemaphoreProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceExternalSemaphoreProperties@20=_v3dv_GetPhysicalDeviceExternalSemaphoreProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceExternalSemaphoreProperties@24=_v3dv_GetPhysicalDeviceExternalSemaphoreProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceExternalSemaphoreProperties@28=_v3dv_GetPhysicalDeviceExternalSemaphoreProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceExternalSemaphoreProperties@32=_v3dv_GetPhysicalDeviceExternalSemaphoreProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceExternalSemaphoreProperties@36=_v3dv_GetPhysicalDeviceExternalSemaphoreProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceExternalSemaphoreProperties@40=_v3dv_GetPhysicalDeviceExternalSemaphoreProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceExternalSemaphoreProperties@44=_v3dv_GetPhysicalDeviceExternalSemaphoreProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceExternalSemaphoreProperties@48=_v3dv_GetPhysicalDeviceExternalSemaphoreProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceExternalSemaphoreProperties@60=_v3dv_GetPhysicalDeviceExternalSemaphoreProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceExternalSemaphoreProperties@104=_v3dv_GetPhysicalDeviceExternalSemaphoreProperties_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_GetPhysicalDeviceExternalSemaphoreProperties=v3dv_GetPhysicalDeviceExternalSemaphoreProperties_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_GetPhysicalDeviceExternalSemaphoreProperties(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceExternalSemaphoreInfo* pExternalSemaphoreInfo, VkExternalSemaphoreProperties* pExternalSemaphoreProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_GetPhysicalDeviceExternalSemaphorePropertiesKHR_Null)(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceExternalSemaphoreInfo* pExternalSemaphoreInfo, VkExternalSemaphoreProperties* pExternalSemaphoreProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceExternalSemaphorePropertiesKHR@4=_v3dv_GetPhysicalDeviceExternalSemaphorePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceExternalSemaphorePropertiesKHR@8=_v3dv_GetPhysicalDeviceExternalSemaphorePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceExternalSemaphorePropertiesKHR@12=_v3dv_GetPhysicalDeviceExternalSemaphorePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceExternalSemaphorePropertiesKHR@16=_v3dv_GetPhysicalDeviceExternalSemaphorePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceExternalSemaphorePropertiesKHR@20=_v3dv_GetPhysicalDeviceExternalSemaphorePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceExternalSemaphorePropertiesKHR@24=_v3dv_GetPhysicalDeviceExternalSemaphorePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceExternalSemaphorePropertiesKHR@28=_v3dv_GetPhysicalDeviceExternalSemaphorePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceExternalSemaphorePropertiesKHR@32=_v3dv_GetPhysicalDeviceExternalSemaphorePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceExternalSemaphorePropertiesKHR@36=_v3dv_GetPhysicalDeviceExternalSemaphorePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceExternalSemaphorePropertiesKHR@40=_v3dv_GetPhysicalDeviceExternalSemaphorePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceExternalSemaphorePropertiesKHR@44=_v3dv_GetPhysicalDeviceExternalSemaphorePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceExternalSemaphorePropertiesKHR@48=_v3dv_GetPhysicalDeviceExternalSemaphorePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceExternalSemaphorePropertiesKHR@60=_v3dv_GetPhysicalDeviceExternalSemaphorePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceExternalSemaphorePropertiesKHR@104=_v3dv_GetPhysicalDeviceExternalSemaphorePropertiesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_GetPhysicalDeviceExternalSemaphorePropertiesKHR=v3dv_GetPhysicalDeviceExternalSemaphorePropertiesKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_GetPhysicalDeviceExternalSemaphorePropertiesKHR(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceExternalSemaphoreInfo* pExternalSemaphoreInfo, VkExternalSemaphoreProperties* pExternalSemaphoreProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_GetPhysicalDeviceExternalFenceProperties_Null)(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceExternalFenceInfo* pExternalFenceInfo, VkExternalFenceProperties* pExternalFenceProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceExternalFenceProperties@4=_v3dv_GetPhysicalDeviceExternalFenceProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceExternalFenceProperties@8=_v3dv_GetPhysicalDeviceExternalFenceProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceExternalFenceProperties@12=_v3dv_GetPhysicalDeviceExternalFenceProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceExternalFenceProperties@16=_v3dv_GetPhysicalDeviceExternalFenceProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceExternalFenceProperties@20=_v3dv_GetPhysicalDeviceExternalFenceProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceExternalFenceProperties@24=_v3dv_GetPhysicalDeviceExternalFenceProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceExternalFenceProperties@28=_v3dv_GetPhysicalDeviceExternalFenceProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceExternalFenceProperties@32=_v3dv_GetPhysicalDeviceExternalFenceProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceExternalFenceProperties@36=_v3dv_GetPhysicalDeviceExternalFenceProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceExternalFenceProperties@40=_v3dv_GetPhysicalDeviceExternalFenceProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceExternalFenceProperties@44=_v3dv_GetPhysicalDeviceExternalFenceProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceExternalFenceProperties@48=_v3dv_GetPhysicalDeviceExternalFenceProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceExternalFenceProperties@60=_v3dv_GetPhysicalDeviceExternalFenceProperties_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceExternalFenceProperties@104=_v3dv_GetPhysicalDeviceExternalFenceProperties_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_GetPhysicalDeviceExternalFenceProperties=v3dv_GetPhysicalDeviceExternalFenceProperties_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_GetPhysicalDeviceExternalFenceProperties(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceExternalFenceInfo* pExternalFenceInfo, VkExternalFenceProperties* pExternalFenceProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_GetPhysicalDeviceExternalFencePropertiesKHR_Null)(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceExternalFenceInfo* pExternalFenceInfo, VkExternalFenceProperties* pExternalFenceProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceExternalFencePropertiesKHR@4=_v3dv_GetPhysicalDeviceExternalFencePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceExternalFencePropertiesKHR@8=_v3dv_GetPhysicalDeviceExternalFencePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceExternalFencePropertiesKHR@12=_v3dv_GetPhysicalDeviceExternalFencePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceExternalFencePropertiesKHR@16=_v3dv_GetPhysicalDeviceExternalFencePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceExternalFencePropertiesKHR@20=_v3dv_GetPhysicalDeviceExternalFencePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceExternalFencePropertiesKHR@24=_v3dv_GetPhysicalDeviceExternalFencePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceExternalFencePropertiesKHR@28=_v3dv_GetPhysicalDeviceExternalFencePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceExternalFencePropertiesKHR@32=_v3dv_GetPhysicalDeviceExternalFencePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceExternalFencePropertiesKHR@36=_v3dv_GetPhysicalDeviceExternalFencePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceExternalFencePropertiesKHR@40=_v3dv_GetPhysicalDeviceExternalFencePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceExternalFencePropertiesKHR@44=_v3dv_GetPhysicalDeviceExternalFencePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceExternalFencePropertiesKHR@48=_v3dv_GetPhysicalDeviceExternalFencePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceExternalFencePropertiesKHR@60=_v3dv_GetPhysicalDeviceExternalFencePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceExternalFencePropertiesKHR@104=_v3dv_GetPhysicalDeviceExternalFencePropertiesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_GetPhysicalDeviceExternalFencePropertiesKHR=v3dv_GetPhysicalDeviceExternalFencePropertiesKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_GetPhysicalDeviceExternalFencePropertiesKHR(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceExternalFenceInfo* pExternalFenceInfo, VkExternalFenceProperties* pExternalFenceProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_ReleaseDisplayEXT_Null)(VkPhysicalDevice physicalDevice, VkDisplayKHR display) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_ReleaseDisplayEXT@4=_v3dv_ReleaseDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ReleaseDisplayEXT@8=_v3dv_ReleaseDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ReleaseDisplayEXT@12=_v3dv_ReleaseDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ReleaseDisplayEXT@16=_v3dv_ReleaseDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ReleaseDisplayEXT@20=_v3dv_ReleaseDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ReleaseDisplayEXT@24=_v3dv_ReleaseDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ReleaseDisplayEXT@28=_v3dv_ReleaseDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ReleaseDisplayEXT@32=_v3dv_ReleaseDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ReleaseDisplayEXT@36=_v3dv_ReleaseDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ReleaseDisplayEXT@40=_v3dv_ReleaseDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ReleaseDisplayEXT@44=_v3dv_ReleaseDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ReleaseDisplayEXT@48=_v3dv_ReleaseDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ReleaseDisplayEXT@60=_v3dv_ReleaseDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ReleaseDisplayEXT@104=_v3dv_ReleaseDisplayEXT_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_ReleaseDisplayEXT=v3dv_ReleaseDisplayEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_ReleaseDisplayEXT(VkPhysicalDevice physicalDevice, VkDisplayKHR display) __attribute__ ((weak));
#endif
#ifdef VK_USE_PLATFORM_XLIB_XRANDR_EXT
#ifdef _MSC_VER
    VkResult (*v3dv_AcquireXlibDisplayEXT_Null)(VkPhysicalDevice physicalDevice, Display* dpy, VkDisplayKHR display) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_AcquireXlibDisplayEXT@4=_v3dv_AcquireXlibDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_AcquireXlibDisplayEXT@8=_v3dv_AcquireXlibDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_AcquireXlibDisplayEXT@12=_v3dv_AcquireXlibDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_AcquireXlibDisplayEXT@16=_v3dv_AcquireXlibDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_AcquireXlibDisplayEXT@20=_v3dv_AcquireXlibDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_AcquireXlibDisplayEXT@24=_v3dv_AcquireXlibDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_AcquireXlibDisplayEXT@28=_v3dv_AcquireXlibDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_AcquireXlibDisplayEXT@32=_v3dv_AcquireXlibDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_AcquireXlibDisplayEXT@36=_v3dv_AcquireXlibDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_AcquireXlibDisplayEXT@40=_v3dv_AcquireXlibDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_AcquireXlibDisplayEXT@44=_v3dv_AcquireXlibDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_AcquireXlibDisplayEXT@48=_v3dv_AcquireXlibDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_AcquireXlibDisplayEXT@60=_v3dv_AcquireXlibDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_AcquireXlibDisplayEXT@104=_v3dv_AcquireXlibDisplayEXT_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_AcquireXlibDisplayEXT=v3dv_AcquireXlibDisplayEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_AcquireXlibDisplayEXT(VkPhysicalDevice physicalDevice, Display* dpy, VkDisplayKHR display) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_XLIB_XRANDR_EXT
#ifdef VK_USE_PLATFORM_XLIB_XRANDR_EXT
#ifdef _MSC_VER
    VkResult (*v3dv_GetRandROutputDisplayEXT_Null)(VkPhysicalDevice physicalDevice, Display* dpy, RROutput rrOutput, VkDisplayKHR* pDisplay) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_GetRandROutputDisplayEXT@4=_v3dv_GetRandROutputDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetRandROutputDisplayEXT@8=_v3dv_GetRandROutputDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetRandROutputDisplayEXT@12=_v3dv_GetRandROutputDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetRandROutputDisplayEXT@16=_v3dv_GetRandROutputDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetRandROutputDisplayEXT@20=_v3dv_GetRandROutputDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetRandROutputDisplayEXT@24=_v3dv_GetRandROutputDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetRandROutputDisplayEXT@28=_v3dv_GetRandROutputDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetRandROutputDisplayEXT@32=_v3dv_GetRandROutputDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetRandROutputDisplayEXT@36=_v3dv_GetRandROutputDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetRandROutputDisplayEXT@40=_v3dv_GetRandROutputDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetRandROutputDisplayEXT@44=_v3dv_GetRandROutputDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetRandROutputDisplayEXT@48=_v3dv_GetRandROutputDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetRandROutputDisplayEXT@60=_v3dv_GetRandROutputDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetRandROutputDisplayEXT@104=_v3dv_GetRandROutputDisplayEXT_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_GetRandROutputDisplayEXT=v3dv_GetRandROutputDisplayEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_GetRandROutputDisplayEXT(VkPhysicalDevice physicalDevice, Display* dpy, RROutput rrOutput, VkDisplayKHR* pDisplay) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_XLIB_XRANDR_EXT
#ifdef VK_USE_PLATFORM_WIN32_KHR
#ifdef _MSC_VER
    VkResult (*v3dv_AcquireWinrtDisplayNV_Null)(VkPhysicalDevice physicalDevice, VkDisplayKHR display) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_AcquireWinrtDisplayNV@4=_v3dv_AcquireWinrtDisplayNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_AcquireWinrtDisplayNV@8=_v3dv_AcquireWinrtDisplayNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_AcquireWinrtDisplayNV@12=_v3dv_AcquireWinrtDisplayNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_AcquireWinrtDisplayNV@16=_v3dv_AcquireWinrtDisplayNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_AcquireWinrtDisplayNV@20=_v3dv_AcquireWinrtDisplayNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_AcquireWinrtDisplayNV@24=_v3dv_AcquireWinrtDisplayNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_AcquireWinrtDisplayNV@28=_v3dv_AcquireWinrtDisplayNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_AcquireWinrtDisplayNV@32=_v3dv_AcquireWinrtDisplayNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_AcquireWinrtDisplayNV@36=_v3dv_AcquireWinrtDisplayNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_AcquireWinrtDisplayNV@40=_v3dv_AcquireWinrtDisplayNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_AcquireWinrtDisplayNV@44=_v3dv_AcquireWinrtDisplayNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_AcquireWinrtDisplayNV@48=_v3dv_AcquireWinrtDisplayNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_AcquireWinrtDisplayNV@60=_v3dv_AcquireWinrtDisplayNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_AcquireWinrtDisplayNV@104=_v3dv_AcquireWinrtDisplayNV_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_AcquireWinrtDisplayNV=v3dv_AcquireWinrtDisplayNV_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_AcquireWinrtDisplayNV(VkPhysicalDevice physicalDevice, VkDisplayKHR display) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef VK_USE_PLATFORM_WIN32_KHR
#ifdef _MSC_VER
    VkResult (*v3dv_GetWinrtDisplayNV_Null)(VkPhysicalDevice physicalDevice, uint32_t deviceRelativeId, VkDisplayKHR* pDisplay) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_GetWinrtDisplayNV@4=_v3dv_GetWinrtDisplayNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetWinrtDisplayNV@8=_v3dv_GetWinrtDisplayNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetWinrtDisplayNV@12=_v3dv_GetWinrtDisplayNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetWinrtDisplayNV@16=_v3dv_GetWinrtDisplayNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetWinrtDisplayNV@20=_v3dv_GetWinrtDisplayNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetWinrtDisplayNV@24=_v3dv_GetWinrtDisplayNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetWinrtDisplayNV@28=_v3dv_GetWinrtDisplayNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetWinrtDisplayNV@32=_v3dv_GetWinrtDisplayNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetWinrtDisplayNV@36=_v3dv_GetWinrtDisplayNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetWinrtDisplayNV@40=_v3dv_GetWinrtDisplayNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetWinrtDisplayNV@44=_v3dv_GetWinrtDisplayNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetWinrtDisplayNV@48=_v3dv_GetWinrtDisplayNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetWinrtDisplayNV@60=_v3dv_GetWinrtDisplayNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetWinrtDisplayNV@104=_v3dv_GetWinrtDisplayNV_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_GetWinrtDisplayNV=v3dv_GetWinrtDisplayNV_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_GetWinrtDisplayNV(VkPhysicalDevice physicalDevice, uint32_t deviceRelativeId, VkDisplayKHR* pDisplay) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef _MSC_VER
    VkResult (*v3dv_GetPhysicalDeviceSurfaceCapabilities2EXT_Null)(VkPhysicalDevice physicalDevice, VkSurfaceKHR surface, VkSurfaceCapabilities2EXT* pSurfaceCapabilities) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSurfaceCapabilities2EXT@4=_v3dv_GetPhysicalDeviceSurfaceCapabilities2EXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSurfaceCapabilities2EXT@8=_v3dv_GetPhysicalDeviceSurfaceCapabilities2EXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSurfaceCapabilities2EXT@12=_v3dv_GetPhysicalDeviceSurfaceCapabilities2EXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSurfaceCapabilities2EXT@16=_v3dv_GetPhysicalDeviceSurfaceCapabilities2EXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSurfaceCapabilities2EXT@20=_v3dv_GetPhysicalDeviceSurfaceCapabilities2EXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSurfaceCapabilities2EXT@24=_v3dv_GetPhysicalDeviceSurfaceCapabilities2EXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSurfaceCapabilities2EXT@28=_v3dv_GetPhysicalDeviceSurfaceCapabilities2EXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSurfaceCapabilities2EXT@32=_v3dv_GetPhysicalDeviceSurfaceCapabilities2EXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSurfaceCapabilities2EXT@36=_v3dv_GetPhysicalDeviceSurfaceCapabilities2EXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSurfaceCapabilities2EXT@40=_v3dv_GetPhysicalDeviceSurfaceCapabilities2EXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSurfaceCapabilities2EXT@44=_v3dv_GetPhysicalDeviceSurfaceCapabilities2EXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSurfaceCapabilities2EXT@48=_v3dv_GetPhysicalDeviceSurfaceCapabilities2EXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSurfaceCapabilities2EXT@60=_v3dv_GetPhysicalDeviceSurfaceCapabilities2EXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSurfaceCapabilities2EXT@104=_v3dv_GetPhysicalDeviceSurfaceCapabilities2EXT_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_GetPhysicalDeviceSurfaceCapabilities2EXT=v3dv_GetPhysicalDeviceSurfaceCapabilities2EXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_GetPhysicalDeviceSurfaceCapabilities2EXT(VkPhysicalDevice physicalDevice, VkSurfaceKHR surface, VkSurfaceCapabilities2EXT* pSurfaceCapabilities) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_GetPhysicalDevicePresentRectanglesKHR_Null)(VkPhysicalDevice physicalDevice, VkSurfaceKHR surface, uint32_t* pRectCount, VkRect2D* pRects) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDevicePresentRectanglesKHR@4=_v3dv_GetPhysicalDevicePresentRectanglesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDevicePresentRectanglesKHR@8=_v3dv_GetPhysicalDevicePresentRectanglesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDevicePresentRectanglesKHR@12=_v3dv_GetPhysicalDevicePresentRectanglesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDevicePresentRectanglesKHR@16=_v3dv_GetPhysicalDevicePresentRectanglesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDevicePresentRectanglesKHR@20=_v3dv_GetPhysicalDevicePresentRectanglesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDevicePresentRectanglesKHR@24=_v3dv_GetPhysicalDevicePresentRectanglesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDevicePresentRectanglesKHR@28=_v3dv_GetPhysicalDevicePresentRectanglesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDevicePresentRectanglesKHR@32=_v3dv_GetPhysicalDevicePresentRectanglesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDevicePresentRectanglesKHR@36=_v3dv_GetPhysicalDevicePresentRectanglesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDevicePresentRectanglesKHR@40=_v3dv_GetPhysicalDevicePresentRectanglesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDevicePresentRectanglesKHR@44=_v3dv_GetPhysicalDevicePresentRectanglesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDevicePresentRectanglesKHR@48=_v3dv_GetPhysicalDevicePresentRectanglesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDevicePresentRectanglesKHR@60=_v3dv_GetPhysicalDevicePresentRectanglesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDevicePresentRectanglesKHR@104=_v3dv_GetPhysicalDevicePresentRectanglesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_GetPhysicalDevicePresentRectanglesKHR=v3dv_GetPhysicalDevicePresentRectanglesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_GetPhysicalDevicePresentRectanglesKHR(VkPhysicalDevice physicalDevice, VkSurfaceKHR surface, uint32_t* pRectCount, VkRect2D* pRects) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_GetPhysicalDeviceMultisamplePropertiesEXT_Null)(VkPhysicalDevice physicalDevice, VkSampleCountFlagBits samples, VkMultisamplePropertiesEXT* pMultisampleProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceMultisamplePropertiesEXT@4=_v3dv_GetPhysicalDeviceMultisamplePropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceMultisamplePropertiesEXT@8=_v3dv_GetPhysicalDeviceMultisamplePropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceMultisamplePropertiesEXT@12=_v3dv_GetPhysicalDeviceMultisamplePropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceMultisamplePropertiesEXT@16=_v3dv_GetPhysicalDeviceMultisamplePropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceMultisamplePropertiesEXT@20=_v3dv_GetPhysicalDeviceMultisamplePropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceMultisamplePropertiesEXT@24=_v3dv_GetPhysicalDeviceMultisamplePropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceMultisamplePropertiesEXT@28=_v3dv_GetPhysicalDeviceMultisamplePropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceMultisamplePropertiesEXT@32=_v3dv_GetPhysicalDeviceMultisamplePropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceMultisamplePropertiesEXT@36=_v3dv_GetPhysicalDeviceMultisamplePropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceMultisamplePropertiesEXT@40=_v3dv_GetPhysicalDeviceMultisamplePropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceMultisamplePropertiesEXT@44=_v3dv_GetPhysicalDeviceMultisamplePropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceMultisamplePropertiesEXT@48=_v3dv_GetPhysicalDeviceMultisamplePropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceMultisamplePropertiesEXT@60=_v3dv_GetPhysicalDeviceMultisamplePropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceMultisamplePropertiesEXT@104=_v3dv_GetPhysicalDeviceMultisamplePropertiesEXT_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_GetPhysicalDeviceMultisamplePropertiesEXT=v3dv_GetPhysicalDeviceMultisamplePropertiesEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_GetPhysicalDeviceMultisamplePropertiesEXT(VkPhysicalDevice physicalDevice, VkSampleCountFlagBits samples, VkMultisamplePropertiesEXT* pMultisampleProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_GetPhysicalDeviceSurfaceCapabilities2KHR_Null)(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceSurfaceInfo2KHR* pSurfaceInfo, VkSurfaceCapabilities2KHR* pSurfaceCapabilities) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSurfaceCapabilities2KHR@4=_v3dv_GetPhysicalDeviceSurfaceCapabilities2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSurfaceCapabilities2KHR@8=_v3dv_GetPhysicalDeviceSurfaceCapabilities2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSurfaceCapabilities2KHR@12=_v3dv_GetPhysicalDeviceSurfaceCapabilities2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSurfaceCapabilities2KHR@16=_v3dv_GetPhysicalDeviceSurfaceCapabilities2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSurfaceCapabilities2KHR@20=_v3dv_GetPhysicalDeviceSurfaceCapabilities2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSurfaceCapabilities2KHR@24=_v3dv_GetPhysicalDeviceSurfaceCapabilities2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSurfaceCapabilities2KHR@28=_v3dv_GetPhysicalDeviceSurfaceCapabilities2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSurfaceCapabilities2KHR@32=_v3dv_GetPhysicalDeviceSurfaceCapabilities2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSurfaceCapabilities2KHR@36=_v3dv_GetPhysicalDeviceSurfaceCapabilities2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSurfaceCapabilities2KHR@40=_v3dv_GetPhysicalDeviceSurfaceCapabilities2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSurfaceCapabilities2KHR@44=_v3dv_GetPhysicalDeviceSurfaceCapabilities2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSurfaceCapabilities2KHR@48=_v3dv_GetPhysicalDeviceSurfaceCapabilities2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSurfaceCapabilities2KHR@60=_v3dv_GetPhysicalDeviceSurfaceCapabilities2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSurfaceCapabilities2KHR@104=_v3dv_GetPhysicalDeviceSurfaceCapabilities2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_GetPhysicalDeviceSurfaceCapabilities2KHR=v3dv_GetPhysicalDeviceSurfaceCapabilities2KHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_GetPhysicalDeviceSurfaceCapabilities2KHR(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceSurfaceInfo2KHR* pSurfaceInfo, VkSurfaceCapabilities2KHR* pSurfaceCapabilities) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_GetPhysicalDeviceSurfaceFormats2KHR_Null)(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceSurfaceInfo2KHR* pSurfaceInfo, uint32_t* pSurfaceFormatCount, VkSurfaceFormat2KHR* pSurfaceFormats) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSurfaceFormats2KHR@4=_v3dv_GetPhysicalDeviceSurfaceFormats2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSurfaceFormats2KHR@8=_v3dv_GetPhysicalDeviceSurfaceFormats2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSurfaceFormats2KHR@12=_v3dv_GetPhysicalDeviceSurfaceFormats2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSurfaceFormats2KHR@16=_v3dv_GetPhysicalDeviceSurfaceFormats2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSurfaceFormats2KHR@20=_v3dv_GetPhysicalDeviceSurfaceFormats2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSurfaceFormats2KHR@24=_v3dv_GetPhysicalDeviceSurfaceFormats2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSurfaceFormats2KHR@28=_v3dv_GetPhysicalDeviceSurfaceFormats2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSurfaceFormats2KHR@32=_v3dv_GetPhysicalDeviceSurfaceFormats2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSurfaceFormats2KHR@36=_v3dv_GetPhysicalDeviceSurfaceFormats2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSurfaceFormats2KHR@40=_v3dv_GetPhysicalDeviceSurfaceFormats2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSurfaceFormats2KHR@44=_v3dv_GetPhysicalDeviceSurfaceFormats2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSurfaceFormats2KHR@48=_v3dv_GetPhysicalDeviceSurfaceFormats2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSurfaceFormats2KHR@60=_v3dv_GetPhysicalDeviceSurfaceFormats2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSurfaceFormats2KHR@104=_v3dv_GetPhysicalDeviceSurfaceFormats2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_GetPhysicalDeviceSurfaceFormats2KHR=v3dv_GetPhysicalDeviceSurfaceFormats2KHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_GetPhysicalDeviceSurfaceFormats2KHR(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceSurfaceInfo2KHR* pSurfaceInfo, uint32_t* pSurfaceFormatCount, VkSurfaceFormat2KHR* pSurfaceFormats) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_GetPhysicalDeviceDisplayProperties2KHR_Null)(VkPhysicalDevice physicalDevice, uint32_t* pPropertyCount, VkDisplayProperties2KHR* pProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceDisplayProperties2KHR@4=_v3dv_GetPhysicalDeviceDisplayProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceDisplayProperties2KHR@8=_v3dv_GetPhysicalDeviceDisplayProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceDisplayProperties2KHR@12=_v3dv_GetPhysicalDeviceDisplayProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceDisplayProperties2KHR@16=_v3dv_GetPhysicalDeviceDisplayProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceDisplayProperties2KHR@20=_v3dv_GetPhysicalDeviceDisplayProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceDisplayProperties2KHR@24=_v3dv_GetPhysicalDeviceDisplayProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceDisplayProperties2KHR@28=_v3dv_GetPhysicalDeviceDisplayProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceDisplayProperties2KHR@32=_v3dv_GetPhysicalDeviceDisplayProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceDisplayProperties2KHR@36=_v3dv_GetPhysicalDeviceDisplayProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceDisplayProperties2KHR@40=_v3dv_GetPhysicalDeviceDisplayProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceDisplayProperties2KHR@44=_v3dv_GetPhysicalDeviceDisplayProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceDisplayProperties2KHR@48=_v3dv_GetPhysicalDeviceDisplayProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceDisplayProperties2KHR@60=_v3dv_GetPhysicalDeviceDisplayProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceDisplayProperties2KHR@104=_v3dv_GetPhysicalDeviceDisplayProperties2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_GetPhysicalDeviceDisplayProperties2KHR=v3dv_GetPhysicalDeviceDisplayProperties2KHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_GetPhysicalDeviceDisplayProperties2KHR(VkPhysicalDevice physicalDevice, uint32_t* pPropertyCount, VkDisplayProperties2KHR* pProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_GetPhysicalDeviceDisplayPlaneProperties2KHR_Null)(VkPhysicalDevice physicalDevice, uint32_t* pPropertyCount, VkDisplayPlaneProperties2KHR* pProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceDisplayPlaneProperties2KHR@4=_v3dv_GetPhysicalDeviceDisplayPlaneProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceDisplayPlaneProperties2KHR@8=_v3dv_GetPhysicalDeviceDisplayPlaneProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceDisplayPlaneProperties2KHR@12=_v3dv_GetPhysicalDeviceDisplayPlaneProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceDisplayPlaneProperties2KHR@16=_v3dv_GetPhysicalDeviceDisplayPlaneProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceDisplayPlaneProperties2KHR@20=_v3dv_GetPhysicalDeviceDisplayPlaneProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceDisplayPlaneProperties2KHR@24=_v3dv_GetPhysicalDeviceDisplayPlaneProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceDisplayPlaneProperties2KHR@28=_v3dv_GetPhysicalDeviceDisplayPlaneProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceDisplayPlaneProperties2KHR@32=_v3dv_GetPhysicalDeviceDisplayPlaneProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceDisplayPlaneProperties2KHR@36=_v3dv_GetPhysicalDeviceDisplayPlaneProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceDisplayPlaneProperties2KHR@40=_v3dv_GetPhysicalDeviceDisplayPlaneProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceDisplayPlaneProperties2KHR@44=_v3dv_GetPhysicalDeviceDisplayPlaneProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceDisplayPlaneProperties2KHR@48=_v3dv_GetPhysicalDeviceDisplayPlaneProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceDisplayPlaneProperties2KHR@60=_v3dv_GetPhysicalDeviceDisplayPlaneProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceDisplayPlaneProperties2KHR@104=_v3dv_GetPhysicalDeviceDisplayPlaneProperties2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_GetPhysicalDeviceDisplayPlaneProperties2KHR=v3dv_GetPhysicalDeviceDisplayPlaneProperties2KHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_GetPhysicalDeviceDisplayPlaneProperties2KHR(VkPhysicalDevice physicalDevice, uint32_t* pPropertyCount, VkDisplayPlaneProperties2KHR* pProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_GetDisplayModeProperties2KHR_Null)(VkPhysicalDevice physicalDevice, VkDisplayKHR display, uint32_t* pPropertyCount, VkDisplayModeProperties2KHR* pProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_GetDisplayModeProperties2KHR@4=_v3dv_GetDisplayModeProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDisplayModeProperties2KHR@8=_v3dv_GetDisplayModeProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDisplayModeProperties2KHR@12=_v3dv_GetDisplayModeProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDisplayModeProperties2KHR@16=_v3dv_GetDisplayModeProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDisplayModeProperties2KHR@20=_v3dv_GetDisplayModeProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDisplayModeProperties2KHR@24=_v3dv_GetDisplayModeProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDisplayModeProperties2KHR@28=_v3dv_GetDisplayModeProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDisplayModeProperties2KHR@32=_v3dv_GetDisplayModeProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDisplayModeProperties2KHR@36=_v3dv_GetDisplayModeProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDisplayModeProperties2KHR@40=_v3dv_GetDisplayModeProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDisplayModeProperties2KHR@44=_v3dv_GetDisplayModeProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDisplayModeProperties2KHR@48=_v3dv_GetDisplayModeProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDisplayModeProperties2KHR@60=_v3dv_GetDisplayModeProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDisplayModeProperties2KHR@104=_v3dv_GetDisplayModeProperties2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_GetDisplayModeProperties2KHR=v3dv_GetDisplayModeProperties2KHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_GetDisplayModeProperties2KHR(VkPhysicalDevice physicalDevice, VkDisplayKHR display, uint32_t* pPropertyCount, VkDisplayModeProperties2KHR* pProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_GetDisplayPlaneCapabilities2KHR_Null)(VkPhysicalDevice physicalDevice, const VkDisplayPlaneInfo2KHR* pDisplayPlaneInfo, VkDisplayPlaneCapabilities2KHR* pCapabilities) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_GetDisplayPlaneCapabilities2KHR@4=_v3dv_GetDisplayPlaneCapabilities2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDisplayPlaneCapabilities2KHR@8=_v3dv_GetDisplayPlaneCapabilities2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDisplayPlaneCapabilities2KHR@12=_v3dv_GetDisplayPlaneCapabilities2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDisplayPlaneCapabilities2KHR@16=_v3dv_GetDisplayPlaneCapabilities2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDisplayPlaneCapabilities2KHR@20=_v3dv_GetDisplayPlaneCapabilities2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDisplayPlaneCapabilities2KHR@24=_v3dv_GetDisplayPlaneCapabilities2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDisplayPlaneCapabilities2KHR@28=_v3dv_GetDisplayPlaneCapabilities2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDisplayPlaneCapabilities2KHR@32=_v3dv_GetDisplayPlaneCapabilities2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDisplayPlaneCapabilities2KHR@36=_v3dv_GetDisplayPlaneCapabilities2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDisplayPlaneCapabilities2KHR@40=_v3dv_GetDisplayPlaneCapabilities2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDisplayPlaneCapabilities2KHR@44=_v3dv_GetDisplayPlaneCapabilities2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDisplayPlaneCapabilities2KHR@48=_v3dv_GetDisplayPlaneCapabilities2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDisplayPlaneCapabilities2KHR@60=_v3dv_GetDisplayPlaneCapabilities2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDisplayPlaneCapabilities2KHR@104=_v3dv_GetDisplayPlaneCapabilities2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_GetDisplayPlaneCapabilities2KHR=v3dv_GetDisplayPlaneCapabilities2KHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_GetDisplayPlaneCapabilities2KHR(VkPhysicalDevice physicalDevice, const VkDisplayPlaneInfo2KHR* pDisplayPlaneInfo, VkDisplayPlaneCapabilities2KHR* pCapabilities) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_GetPhysicalDeviceCalibrateableTimeDomainsEXT_Null)(VkPhysicalDevice physicalDevice, uint32_t* pTimeDomainCount, VkTimeDomainEXT* pTimeDomains) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceCalibrateableTimeDomainsEXT@4=_v3dv_GetPhysicalDeviceCalibrateableTimeDomainsEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceCalibrateableTimeDomainsEXT@8=_v3dv_GetPhysicalDeviceCalibrateableTimeDomainsEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceCalibrateableTimeDomainsEXT@12=_v3dv_GetPhysicalDeviceCalibrateableTimeDomainsEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceCalibrateableTimeDomainsEXT@16=_v3dv_GetPhysicalDeviceCalibrateableTimeDomainsEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceCalibrateableTimeDomainsEXT@20=_v3dv_GetPhysicalDeviceCalibrateableTimeDomainsEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceCalibrateableTimeDomainsEXT@24=_v3dv_GetPhysicalDeviceCalibrateableTimeDomainsEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceCalibrateableTimeDomainsEXT@28=_v3dv_GetPhysicalDeviceCalibrateableTimeDomainsEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceCalibrateableTimeDomainsEXT@32=_v3dv_GetPhysicalDeviceCalibrateableTimeDomainsEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceCalibrateableTimeDomainsEXT@36=_v3dv_GetPhysicalDeviceCalibrateableTimeDomainsEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceCalibrateableTimeDomainsEXT@40=_v3dv_GetPhysicalDeviceCalibrateableTimeDomainsEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceCalibrateableTimeDomainsEXT@44=_v3dv_GetPhysicalDeviceCalibrateableTimeDomainsEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceCalibrateableTimeDomainsEXT@48=_v3dv_GetPhysicalDeviceCalibrateableTimeDomainsEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceCalibrateableTimeDomainsEXT@60=_v3dv_GetPhysicalDeviceCalibrateableTimeDomainsEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceCalibrateableTimeDomainsEXT@104=_v3dv_GetPhysicalDeviceCalibrateableTimeDomainsEXT_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_GetPhysicalDeviceCalibrateableTimeDomainsEXT=v3dv_GetPhysicalDeviceCalibrateableTimeDomainsEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_GetPhysicalDeviceCalibrateableTimeDomainsEXT(VkPhysicalDevice physicalDevice, uint32_t* pTimeDomainCount, VkTimeDomainEXT* pTimeDomains) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_GetPhysicalDeviceCooperativeMatrixPropertiesNV_Null)(VkPhysicalDevice physicalDevice, uint32_t* pPropertyCount, VkCooperativeMatrixPropertiesNV* pProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceCooperativeMatrixPropertiesNV@4=_v3dv_GetPhysicalDeviceCooperativeMatrixPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceCooperativeMatrixPropertiesNV@8=_v3dv_GetPhysicalDeviceCooperativeMatrixPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceCooperativeMatrixPropertiesNV@12=_v3dv_GetPhysicalDeviceCooperativeMatrixPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceCooperativeMatrixPropertiesNV@16=_v3dv_GetPhysicalDeviceCooperativeMatrixPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceCooperativeMatrixPropertiesNV@20=_v3dv_GetPhysicalDeviceCooperativeMatrixPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceCooperativeMatrixPropertiesNV@24=_v3dv_GetPhysicalDeviceCooperativeMatrixPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceCooperativeMatrixPropertiesNV@28=_v3dv_GetPhysicalDeviceCooperativeMatrixPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceCooperativeMatrixPropertiesNV@32=_v3dv_GetPhysicalDeviceCooperativeMatrixPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceCooperativeMatrixPropertiesNV@36=_v3dv_GetPhysicalDeviceCooperativeMatrixPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceCooperativeMatrixPropertiesNV@40=_v3dv_GetPhysicalDeviceCooperativeMatrixPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceCooperativeMatrixPropertiesNV@44=_v3dv_GetPhysicalDeviceCooperativeMatrixPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceCooperativeMatrixPropertiesNV@48=_v3dv_GetPhysicalDeviceCooperativeMatrixPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceCooperativeMatrixPropertiesNV@60=_v3dv_GetPhysicalDeviceCooperativeMatrixPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceCooperativeMatrixPropertiesNV@104=_v3dv_GetPhysicalDeviceCooperativeMatrixPropertiesNV_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_GetPhysicalDeviceCooperativeMatrixPropertiesNV=v3dv_GetPhysicalDeviceCooperativeMatrixPropertiesNV_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_GetPhysicalDeviceCooperativeMatrixPropertiesNV(VkPhysicalDevice physicalDevice, uint32_t* pPropertyCount, VkCooperativeMatrixPropertiesNV* pProperties) __attribute__ ((weak));
#endif
#ifdef VK_USE_PLATFORM_WIN32_KHR
#ifdef _MSC_VER
    VkResult (*v3dv_GetPhysicalDeviceSurfacePresentModes2EXT_Null)(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceSurfaceInfo2KHR* pSurfaceInfo, uint32_t* pPresentModeCount, VkPresentModeKHR* pPresentModes) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSurfacePresentModes2EXT@4=_v3dv_GetPhysicalDeviceSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSurfacePresentModes2EXT@8=_v3dv_GetPhysicalDeviceSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSurfacePresentModes2EXT@12=_v3dv_GetPhysicalDeviceSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSurfacePresentModes2EXT@16=_v3dv_GetPhysicalDeviceSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSurfacePresentModes2EXT@20=_v3dv_GetPhysicalDeviceSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSurfacePresentModes2EXT@24=_v3dv_GetPhysicalDeviceSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSurfacePresentModes2EXT@28=_v3dv_GetPhysicalDeviceSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSurfacePresentModes2EXT@32=_v3dv_GetPhysicalDeviceSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSurfacePresentModes2EXT@36=_v3dv_GetPhysicalDeviceSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSurfacePresentModes2EXT@40=_v3dv_GetPhysicalDeviceSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSurfacePresentModes2EXT@44=_v3dv_GetPhysicalDeviceSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSurfacePresentModes2EXT@48=_v3dv_GetPhysicalDeviceSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSurfacePresentModes2EXT@60=_v3dv_GetPhysicalDeviceSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSurfacePresentModes2EXT@104=_v3dv_GetPhysicalDeviceSurfacePresentModes2EXT_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_GetPhysicalDeviceSurfacePresentModes2EXT=v3dv_GetPhysicalDeviceSurfacePresentModes2EXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_GetPhysicalDeviceSurfacePresentModes2EXT(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceSurfaceInfo2KHR* pSurfaceInfo, uint32_t* pPresentModeCount, VkPresentModeKHR* pPresentModes) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef _MSC_VER
    VkResult (*v3dv_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR_Null)(VkPhysicalDevice physicalDevice, uint32_t queueFamilyIndex, uint32_t* pCounterCount, VkPerformanceCounterKHR* pCounters, VkPerformanceCounterDescriptionKHR* pCounterDescriptions) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR@4=_v3dv_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR@8=_v3dv_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR@12=_v3dv_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR@16=_v3dv_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR@20=_v3dv_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR@24=_v3dv_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR@28=_v3dv_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR@32=_v3dv_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR@36=_v3dv_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR@40=_v3dv_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR@44=_v3dv_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR@48=_v3dv_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR@60=_v3dv_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR@104=_v3dv_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR=v3dv_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR(VkPhysicalDevice physicalDevice, uint32_t queueFamilyIndex, uint32_t* pCounterCount, VkPerformanceCounterKHR* pCounters, VkPerformanceCounterDescriptionKHR* pCounterDescriptions) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR_Null)(VkPhysicalDevice physicalDevice, const VkQueryPoolPerformanceCreateInfoKHR* pPerformanceQueryCreateInfo, uint32_t* pNumPasses) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR@4=_v3dv_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR@8=_v3dv_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR@12=_v3dv_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR@16=_v3dv_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR@20=_v3dv_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR@24=_v3dv_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR@28=_v3dv_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR@32=_v3dv_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR@36=_v3dv_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR@40=_v3dv_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR@44=_v3dv_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR@48=_v3dv_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR@60=_v3dv_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR@104=_v3dv_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR=v3dv_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR(VkPhysicalDevice physicalDevice, const VkQueryPoolPerformanceCreateInfoKHR* pPerformanceQueryCreateInfo, uint32_t* pNumPasses) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV_Null)(VkPhysicalDevice physicalDevice, uint32_t* pCombinationCount, VkFramebufferMixedSamplesCombinationNV* pCombinations) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV@4=_v3dv_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV@8=_v3dv_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV@12=_v3dv_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV@16=_v3dv_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV@20=_v3dv_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV@24=_v3dv_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV@28=_v3dv_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV@32=_v3dv_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV@36=_v3dv_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV@40=_v3dv_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV@44=_v3dv_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV@48=_v3dv_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV@60=_v3dv_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV@104=_v3dv_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV=v3dv_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV(VkPhysicalDevice physicalDevice, uint32_t* pCombinationCount, VkFramebufferMixedSamplesCombinationNV* pCombinations) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_GetPhysicalDeviceToolPropertiesEXT_Null)(VkPhysicalDevice physicalDevice, uint32_t* pToolCount, VkPhysicalDeviceToolPropertiesEXT* pToolProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceToolPropertiesEXT@4=_v3dv_GetPhysicalDeviceToolPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceToolPropertiesEXT@8=_v3dv_GetPhysicalDeviceToolPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceToolPropertiesEXT@12=_v3dv_GetPhysicalDeviceToolPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceToolPropertiesEXT@16=_v3dv_GetPhysicalDeviceToolPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceToolPropertiesEXT@20=_v3dv_GetPhysicalDeviceToolPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceToolPropertiesEXT@24=_v3dv_GetPhysicalDeviceToolPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceToolPropertiesEXT@28=_v3dv_GetPhysicalDeviceToolPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceToolPropertiesEXT@32=_v3dv_GetPhysicalDeviceToolPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceToolPropertiesEXT@36=_v3dv_GetPhysicalDeviceToolPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceToolPropertiesEXT@40=_v3dv_GetPhysicalDeviceToolPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceToolPropertiesEXT@44=_v3dv_GetPhysicalDeviceToolPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceToolPropertiesEXT@48=_v3dv_GetPhysicalDeviceToolPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceToolPropertiesEXT@60=_v3dv_GetPhysicalDeviceToolPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceToolPropertiesEXT@104=_v3dv_GetPhysicalDeviceToolPropertiesEXT_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_GetPhysicalDeviceToolPropertiesEXT=v3dv_GetPhysicalDeviceToolPropertiesEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_GetPhysicalDeviceToolPropertiesEXT(VkPhysicalDevice physicalDevice, uint32_t* pToolCount, VkPhysicalDeviceToolPropertiesEXT* pToolProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_GetPhysicalDeviceFragmentShadingRatesKHR_Null)(VkPhysicalDevice physicalDevice, uint32_t* pFragmentShadingRateCount, VkPhysicalDeviceFragmentShadingRateKHR* pFragmentShadingRates) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceFragmentShadingRatesKHR@4=_v3dv_GetPhysicalDeviceFragmentShadingRatesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceFragmentShadingRatesKHR@8=_v3dv_GetPhysicalDeviceFragmentShadingRatesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceFragmentShadingRatesKHR@12=_v3dv_GetPhysicalDeviceFragmentShadingRatesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceFragmentShadingRatesKHR@16=_v3dv_GetPhysicalDeviceFragmentShadingRatesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceFragmentShadingRatesKHR@20=_v3dv_GetPhysicalDeviceFragmentShadingRatesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceFragmentShadingRatesKHR@24=_v3dv_GetPhysicalDeviceFragmentShadingRatesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceFragmentShadingRatesKHR@28=_v3dv_GetPhysicalDeviceFragmentShadingRatesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceFragmentShadingRatesKHR@32=_v3dv_GetPhysicalDeviceFragmentShadingRatesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceFragmentShadingRatesKHR@36=_v3dv_GetPhysicalDeviceFragmentShadingRatesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceFragmentShadingRatesKHR@40=_v3dv_GetPhysicalDeviceFragmentShadingRatesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceFragmentShadingRatesKHR@44=_v3dv_GetPhysicalDeviceFragmentShadingRatesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceFragmentShadingRatesKHR@48=_v3dv_GetPhysicalDeviceFragmentShadingRatesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceFragmentShadingRatesKHR@60=_v3dv_GetPhysicalDeviceFragmentShadingRatesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPhysicalDeviceFragmentShadingRatesKHR@104=_v3dv_GetPhysicalDeviceFragmentShadingRatesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_GetPhysicalDeviceFragmentShadingRatesKHR=v3dv_GetPhysicalDeviceFragmentShadingRatesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_GetPhysicalDeviceFragmentShadingRatesKHR(VkPhysicalDevice physicalDevice, uint32_t* pFragmentShadingRateCount, VkPhysicalDeviceFragmentShadingRateKHR* pFragmentShadingRates) __attribute__ ((weak));
#endif

const struct vk_physical_device_entrypoint_table v3dv_physical_device_entrypoints = {
    .GetPhysicalDeviceProperties = v3dv_GetPhysicalDeviceProperties,
    .GetPhysicalDeviceQueueFamilyProperties = v3dv_GetPhysicalDeviceQueueFamilyProperties,
    .GetPhysicalDeviceMemoryProperties = v3dv_GetPhysicalDeviceMemoryProperties,
    .GetPhysicalDeviceFeatures = v3dv_GetPhysicalDeviceFeatures,
    .GetPhysicalDeviceFormatProperties = v3dv_GetPhysicalDeviceFormatProperties,
    .GetPhysicalDeviceImageFormatProperties = v3dv_GetPhysicalDeviceImageFormatProperties,
    .CreateDevice = v3dv_CreateDevice,
    .EnumerateDeviceLayerProperties = v3dv_EnumerateDeviceLayerProperties,
    .EnumerateDeviceExtensionProperties = v3dv_EnumerateDeviceExtensionProperties,
    .GetPhysicalDeviceSparseImageFormatProperties = v3dv_GetPhysicalDeviceSparseImageFormatProperties,
    .GetPhysicalDeviceDisplayPropertiesKHR = v3dv_GetPhysicalDeviceDisplayPropertiesKHR,
    .GetPhysicalDeviceDisplayPlanePropertiesKHR = v3dv_GetPhysicalDeviceDisplayPlanePropertiesKHR,
    .GetDisplayPlaneSupportedDisplaysKHR = v3dv_GetDisplayPlaneSupportedDisplaysKHR,
    .GetDisplayModePropertiesKHR = v3dv_GetDisplayModePropertiesKHR,
    .CreateDisplayModeKHR = v3dv_CreateDisplayModeKHR,
    .GetDisplayPlaneCapabilitiesKHR = v3dv_GetDisplayPlaneCapabilitiesKHR,
    .GetPhysicalDeviceSurfaceSupportKHR = v3dv_GetPhysicalDeviceSurfaceSupportKHR,
    .GetPhysicalDeviceSurfaceCapabilitiesKHR = v3dv_GetPhysicalDeviceSurfaceCapabilitiesKHR,
    .GetPhysicalDeviceSurfaceFormatsKHR = v3dv_GetPhysicalDeviceSurfaceFormatsKHR,
    .GetPhysicalDeviceSurfacePresentModesKHR = v3dv_GetPhysicalDeviceSurfacePresentModesKHR,
#ifdef VK_USE_PLATFORM_WAYLAND_KHR
    .GetPhysicalDeviceWaylandPresentationSupportKHR = v3dv_GetPhysicalDeviceWaylandPresentationSupportKHR,
#endif // VK_USE_PLATFORM_WAYLAND_KHR
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .GetPhysicalDeviceWin32PresentationSupportKHR = v3dv_GetPhysicalDeviceWin32PresentationSupportKHR,
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef VK_USE_PLATFORM_XLIB_KHR
    .GetPhysicalDeviceXlibPresentationSupportKHR = v3dv_GetPhysicalDeviceXlibPresentationSupportKHR,
#endif // VK_USE_PLATFORM_XLIB_KHR
#ifdef VK_USE_PLATFORM_XCB_KHR
    .GetPhysicalDeviceXcbPresentationSupportKHR = v3dv_GetPhysicalDeviceXcbPresentationSupportKHR,
#endif // VK_USE_PLATFORM_XCB_KHR
#ifdef VK_USE_PLATFORM_DIRECTFB_EXT
    .GetPhysicalDeviceDirectFBPresentationSupportEXT = v3dv_GetPhysicalDeviceDirectFBPresentationSupportEXT,
#endif // VK_USE_PLATFORM_DIRECTFB_EXT
    .GetPhysicalDeviceExternalImageFormatPropertiesNV = v3dv_GetPhysicalDeviceExternalImageFormatPropertiesNV,
    .GetPhysicalDeviceFeatures2 = v3dv_GetPhysicalDeviceFeatures2,
    .GetPhysicalDeviceFeatures2KHR = v3dv_GetPhysicalDeviceFeatures2KHR,
    .GetPhysicalDeviceProperties2 = v3dv_GetPhysicalDeviceProperties2,
    .GetPhysicalDeviceProperties2KHR = v3dv_GetPhysicalDeviceProperties2KHR,
    .GetPhysicalDeviceFormatProperties2 = v3dv_GetPhysicalDeviceFormatProperties2,
    .GetPhysicalDeviceFormatProperties2KHR = v3dv_GetPhysicalDeviceFormatProperties2KHR,
    .GetPhysicalDeviceImageFormatProperties2 = v3dv_GetPhysicalDeviceImageFormatProperties2,
    .GetPhysicalDeviceImageFormatProperties2KHR = v3dv_GetPhysicalDeviceImageFormatProperties2KHR,
    .GetPhysicalDeviceQueueFamilyProperties2 = v3dv_GetPhysicalDeviceQueueFamilyProperties2,
    .GetPhysicalDeviceQueueFamilyProperties2KHR = v3dv_GetPhysicalDeviceQueueFamilyProperties2KHR,
    .GetPhysicalDeviceMemoryProperties2 = v3dv_GetPhysicalDeviceMemoryProperties2,
    .GetPhysicalDeviceMemoryProperties2KHR = v3dv_GetPhysicalDeviceMemoryProperties2KHR,
    .GetPhysicalDeviceSparseImageFormatProperties2 = v3dv_GetPhysicalDeviceSparseImageFormatProperties2,
    .GetPhysicalDeviceSparseImageFormatProperties2KHR = v3dv_GetPhysicalDeviceSparseImageFormatProperties2KHR,
    .GetPhysicalDeviceExternalBufferProperties = v3dv_GetPhysicalDeviceExternalBufferProperties,
    .GetPhysicalDeviceExternalBufferPropertiesKHR = v3dv_GetPhysicalDeviceExternalBufferPropertiesKHR,
    .GetPhysicalDeviceExternalSemaphoreProperties = v3dv_GetPhysicalDeviceExternalSemaphoreProperties,
    .GetPhysicalDeviceExternalSemaphorePropertiesKHR = v3dv_GetPhysicalDeviceExternalSemaphorePropertiesKHR,
    .GetPhysicalDeviceExternalFenceProperties = v3dv_GetPhysicalDeviceExternalFenceProperties,
    .GetPhysicalDeviceExternalFencePropertiesKHR = v3dv_GetPhysicalDeviceExternalFencePropertiesKHR,
    .ReleaseDisplayEXT = v3dv_ReleaseDisplayEXT,
#ifdef VK_USE_PLATFORM_XLIB_XRANDR_EXT
    .AcquireXlibDisplayEXT = v3dv_AcquireXlibDisplayEXT,
#endif // VK_USE_PLATFORM_XLIB_XRANDR_EXT
#ifdef VK_USE_PLATFORM_XLIB_XRANDR_EXT
    .GetRandROutputDisplayEXT = v3dv_GetRandROutputDisplayEXT,
#endif // VK_USE_PLATFORM_XLIB_XRANDR_EXT
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .AcquireWinrtDisplayNV = v3dv_AcquireWinrtDisplayNV,
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .GetWinrtDisplayNV = v3dv_GetWinrtDisplayNV,
#endif // VK_USE_PLATFORM_WIN32_KHR
    .GetPhysicalDeviceSurfaceCapabilities2EXT = v3dv_GetPhysicalDeviceSurfaceCapabilities2EXT,
    .GetPhysicalDevicePresentRectanglesKHR = v3dv_GetPhysicalDevicePresentRectanglesKHR,
    .GetPhysicalDeviceMultisamplePropertiesEXT = v3dv_GetPhysicalDeviceMultisamplePropertiesEXT,
    .GetPhysicalDeviceSurfaceCapabilities2KHR = v3dv_GetPhysicalDeviceSurfaceCapabilities2KHR,
    .GetPhysicalDeviceSurfaceFormats2KHR = v3dv_GetPhysicalDeviceSurfaceFormats2KHR,
    .GetPhysicalDeviceDisplayProperties2KHR = v3dv_GetPhysicalDeviceDisplayProperties2KHR,
    .GetPhysicalDeviceDisplayPlaneProperties2KHR = v3dv_GetPhysicalDeviceDisplayPlaneProperties2KHR,
    .GetDisplayModeProperties2KHR = v3dv_GetDisplayModeProperties2KHR,
    .GetDisplayPlaneCapabilities2KHR = v3dv_GetDisplayPlaneCapabilities2KHR,
    .GetPhysicalDeviceCalibrateableTimeDomainsEXT = v3dv_GetPhysicalDeviceCalibrateableTimeDomainsEXT,
    .GetPhysicalDeviceCooperativeMatrixPropertiesNV = v3dv_GetPhysicalDeviceCooperativeMatrixPropertiesNV,
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .GetPhysicalDeviceSurfacePresentModes2EXT = v3dv_GetPhysicalDeviceSurfacePresentModes2EXT,
#endif // VK_USE_PLATFORM_WIN32_KHR
    .EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR = v3dv_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR,
    .GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR = v3dv_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR,
    .GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV = v3dv_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV,
    .GetPhysicalDeviceToolPropertiesEXT = v3dv_GetPhysicalDeviceToolPropertiesEXT,
    .GetPhysicalDeviceFragmentShadingRatesKHR = v3dv_GetPhysicalDeviceFragmentShadingRatesKHR,
};


#ifdef _MSC_VER
    PFN_vkVoidFunction (*v3dv_GetDeviceProcAddr_Null)(VkDevice device, const char* pName) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceProcAddr@4=_v3dv_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceProcAddr@8=_v3dv_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceProcAddr@12=_v3dv_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceProcAddr@16=_v3dv_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceProcAddr@20=_v3dv_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceProcAddr@24=_v3dv_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceProcAddr@28=_v3dv_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceProcAddr@32=_v3dv_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceProcAddr@36=_v3dv_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceProcAddr@40=_v3dv_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceProcAddr@44=_v3dv_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceProcAddr@48=_v3dv_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceProcAddr@60=_v3dv_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceProcAddr@104=_v3dv_GetDeviceProcAddr_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_GetDeviceProcAddr=v3dv_GetDeviceProcAddr_Null")
#endif
#else
    VKAPI_ATTR PFN_vkVoidFunction VKAPI_CALL v3dv_GetDeviceProcAddr(VkDevice device, const char* pName) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_DestroyDevice_Null)(VkDevice device, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_DestroyDevice@4=_v3dv_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyDevice@8=_v3dv_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyDevice@12=_v3dv_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyDevice@16=_v3dv_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyDevice@20=_v3dv_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyDevice@24=_v3dv_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyDevice@28=_v3dv_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyDevice@32=_v3dv_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyDevice@36=_v3dv_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyDevice@40=_v3dv_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyDevice@44=_v3dv_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyDevice@48=_v3dv_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyDevice@60=_v3dv_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyDevice@104=_v3dv_DestroyDevice_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_DestroyDevice=v3dv_DestroyDevice_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_DestroyDevice(VkDevice device, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_GetDeviceQueue_Null)(VkDevice device, uint32_t queueFamilyIndex, uint32_t queueIndex, VkQueue* pQueue) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceQueue@4=_v3dv_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceQueue@8=_v3dv_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceQueue@12=_v3dv_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceQueue@16=_v3dv_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceQueue@20=_v3dv_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceQueue@24=_v3dv_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceQueue@28=_v3dv_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceQueue@32=_v3dv_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceQueue@36=_v3dv_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceQueue@40=_v3dv_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceQueue@44=_v3dv_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceQueue@48=_v3dv_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceQueue@60=_v3dv_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceQueue@104=_v3dv_GetDeviceQueue_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_GetDeviceQueue=v3dv_GetDeviceQueue_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_GetDeviceQueue(VkDevice device, uint32_t queueFamilyIndex, uint32_t queueIndex, VkQueue* pQueue) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_QueueSubmit_Null)(VkQueue queue, uint32_t submitCount, const VkSubmitInfo* pSubmits, VkFence fence) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_QueueSubmit@4=_v3dv_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_v3dv_QueueSubmit@8=_v3dv_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_v3dv_QueueSubmit@12=_v3dv_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_v3dv_QueueSubmit@16=_v3dv_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_v3dv_QueueSubmit@20=_v3dv_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_v3dv_QueueSubmit@24=_v3dv_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_v3dv_QueueSubmit@28=_v3dv_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_v3dv_QueueSubmit@32=_v3dv_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_v3dv_QueueSubmit@36=_v3dv_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_v3dv_QueueSubmit@40=_v3dv_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_v3dv_QueueSubmit@44=_v3dv_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_v3dv_QueueSubmit@48=_v3dv_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_v3dv_QueueSubmit@60=_v3dv_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_v3dv_QueueSubmit@104=_v3dv_QueueSubmit_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_QueueSubmit=v3dv_QueueSubmit_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_QueueSubmit(VkQueue queue, uint32_t submitCount, const VkSubmitInfo* pSubmits, VkFence fence) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_QueueWaitIdle_Null)(VkQueue queue) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_QueueWaitIdle@4=_v3dv_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_v3dv_QueueWaitIdle@8=_v3dv_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_v3dv_QueueWaitIdle@12=_v3dv_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_v3dv_QueueWaitIdle@16=_v3dv_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_v3dv_QueueWaitIdle@20=_v3dv_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_v3dv_QueueWaitIdle@24=_v3dv_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_v3dv_QueueWaitIdle@28=_v3dv_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_v3dv_QueueWaitIdle@32=_v3dv_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_v3dv_QueueWaitIdle@36=_v3dv_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_v3dv_QueueWaitIdle@40=_v3dv_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_v3dv_QueueWaitIdle@44=_v3dv_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_v3dv_QueueWaitIdle@48=_v3dv_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_v3dv_QueueWaitIdle@60=_v3dv_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_v3dv_QueueWaitIdle@104=_v3dv_QueueWaitIdle_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_QueueWaitIdle=v3dv_QueueWaitIdle_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_QueueWaitIdle(VkQueue queue) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_DeviceWaitIdle_Null)(VkDevice device) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_DeviceWaitIdle@4=_v3dv_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DeviceWaitIdle@8=_v3dv_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DeviceWaitIdle@12=_v3dv_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DeviceWaitIdle@16=_v3dv_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DeviceWaitIdle@20=_v3dv_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DeviceWaitIdle@24=_v3dv_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DeviceWaitIdle@28=_v3dv_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DeviceWaitIdle@32=_v3dv_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DeviceWaitIdle@36=_v3dv_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DeviceWaitIdle@40=_v3dv_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DeviceWaitIdle@44=_v3dv_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DeviceWaitIdle@48=_v3dv_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DeviceWaitIdle@60=_v3dv_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DeviceWaitIdle@104=_v3dv_DeviceWaitIdle_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_DeviceWaitIdle=v3dv_DeviceWaitIdle_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_DeviceWaitIdle(VkDevice device) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_AllocateMemory_Null)(VkDevice device, const VkMemoryAllocateInfo* pAllocateInfo, const VkAllocationCallbacks* pAllocator, VkDeviceMemory* pMemory) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_AllocateMemory@4=_v3dv_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_v3dv_AllocateMemory@8=_v3dv_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_v3dv_AllocateMemory@12=_v3dv_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_v3dv_AllocateMemory@16=_v3dv_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_v3dv_AllocateMemory@20=_v3dv_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_v3dv_AllocateMemory@24=_v3dv_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_v3dv_AllocateMemory@28=_v3dv_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_v3dv_AllocateMemory@32=_v3dv_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_v3dv_AllocateMemory@36=_v3dv_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_v3dv_AllocateMemory@40=_v3dv_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_v3dv_AllocateMemory@44=_v3dv_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_v3dv_AllocateMemory@48=_v3dv_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_v3dv_AllocateMemory@60=_v3dv_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_v3dv_AllocateMemory@104=_v3dv_AllocateMemory_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_AllocateMemory=v3dv_AllocateMemory_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_AllocateMemory(VkDevice device, const VkMemoryAllocateInfo* pAllocateInfo, const VkAllocationCallbacks* pAllocator, VkDeviceMemory* pMemory) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_FreeMemory_Null)(VkDevice device, VkDeviceMemory memory, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_FreeMemory@4=_v3dv_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_v3dv_FreeMemory@8=_v3dv_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_v3dv_FreeMemory@12=_v3dv_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_v3dv_FreeMemory@16=_v3dv_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_v3dv_FreeMemory@20=_v3dv_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_v3dv_FreeMemory@24=_v3dv_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_v3dv_FreeMemory@28=_v3dv_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_v3dv_FreeMemory@32=_v3dv_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_v3dv_FreeMemory@36=_v3dv_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_v3dv_FreeMemory@40=_v3dv_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_v3dv_FreeMemory@44=_v3dv_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_v3dv_FreeMemory@48=_v3dv_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_v3dv_FreeMemory@60=_v3dv_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_v3dv_FreeMemory@104=_v3dv_FreeMemory_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_FreeMemory=v3dv_FreeMemory_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_FreeMemory(VkDevice device, VkDeviceMemory memory, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_MapMemory_Null)(VkDevice device, VkDeviceMemory memory, VkDeviceSize offset, VkDeviceSize size, VkMemoryMapFlags flags, void** ppData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_MapMemory@4=_v3dv_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_v3dv_MapMemory@8=_v3dv_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_v3dv_MapMemory@12=_v3dv_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_v3dv_MapMemory@16=_v3dv_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_v3dv_MapMemory@20=_v3dv_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_v3dv_MapMemory@24=_v3dv_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_v3dv_MapMemory@28=_v3dv_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_v3dv_MapMemory@32=_v3dv_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_v3dv_MapMemory@36=_v3dv_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_v3dv_MapMemory@40=_v3dv_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_v3dv_MapMemory@44=_v3dv_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_v3dv_MapMemory@48=_v3dv_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_v3dv_MapMemory@60=_v3dv_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_v3dv_MapMemory@104=_v3dv_MapMemory_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_MapMemory=v3dv_MapMemory_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_MapMemory(VkDevice device, VkDeviceMemory memory, VkDeviceSize offset, VkDeviceSize size, VkMemoryMapFlags flags, void** ppData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_UnmapMemory_Null)(VkDevice device, VkDeviceMemory memory) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_UnmapMemory@4=_v3dv_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_v3dv_UnmapMemory@8=_v3dv_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_v3dv_UnmapMemory@12=_v3dv_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_v3dv_UnmapMemory@16=_v3dv_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_v3dv_UnmapMemory@20=_v3dv_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_v3dv_UnmapMemory@24=_v3dv_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_v3dv_UnmapMemory@28=_v3dv_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_v3dv_UnmapMemory@32=_v3dv_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_v3dv_UnmapMemory@36=_v3dv_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_v3dv_UnmapMemory@40=_v3dv_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_v3dv_UnmapMemory@44=_v3dv_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_v3dv_UnmapMemory@48=_v3dv_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_v3dv_UnmapMemory@60=_v3dv_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_v3dv_UnmapMemory@104=_v3dv_UnmapMemory_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_UnmapMemory=v3dv_UnmapMemory_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_UnmapMemory(VkDevice device, VkDeviceMemory memory) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_FlushMappedMemoryRanges_Null)(VkDevice device, uint32_t memoryRangeCount, const VkMappedMemoryRange* pMemoryRanges) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_FlushMappedMemoryRanges@4=_v3dv_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_v3dv_FlushMappedMemoryRanges@8=_v3dv_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_v3dv_FlushMappedMemoryRanges@12=_v3dv_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_v3dv_FlushMappedMemoryRanges@16=_v3dv_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_v3dv_FlushMappedMemoryRanges@20=_v3dv_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_v3dv_FlushMappedMemoryRanges@24=_v3dv_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_v3dv_FlushMappedMemoryRanges@28=_v3dv_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_v3dv_FlushMappedMemoryRanges@32=_v3dv_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_v3dv_FlushMappedMemoryRanges@36=_v3dv_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_v3dv_FlushMappedMemoryRanges@40=_v3dv_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_v3dv_FlushMappedMemoryRanges@44=_v3dv_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_v3dv_FlushMappedMemoryRanges@48=_v3dv_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_v3dv_FlushMappedMemoryRanges@60=_v3dv_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_v3dv_FlushMappedMemoryRanges@104=_v3dv_FlushMappedMemoryRanges_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_FlushMappedMemoryRanges=v3dv_FlushMappedMemoryRanges_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_FlushMappedMemoryRanges(VkDevice device, uint32_t memoryRangeCount, const VkMappedMemoryRange* pMemoryRanges) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_InvalidateMappedMemoryRanges_Null)(VkDevice device, uint32_t memoryRangeCount, const VkMappedMemoryRange* pMemoryRanges) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_InvalidateMappedMemoryRanges@4=_v3dv_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_v3dv_InvalidateMappedMemoryRanges@8=_v3dv_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_v3dv_InvalidateMappedMemoryRanges@12=_v3dv_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_v3dv_InvalidateMappedMemoryRanges@16=_v3dv_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_v3dv_InvalidateMappedMemoryRanges@20=_v3dv_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_v3dv_InvalidateMappedMemoryRanges@24=_v3dv_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_v3dv_InvalidateMappedMemoryRanges@28=_v3dv_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_v3dv_InvalidateMappedMemoryRanges@32=_v3dv_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_v3dv_InvalidateMappedMemoryRanges@36=_v3dv_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_v3dv_InvalidateMappedMemoryRanges@40=_v3dv_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_v3dv_InvalidateMappedMemoryRanges@44=_v3dv_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_v3dv_InvalidateMappedMemoryRanges@48=_v3dv_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_v3dv_InvalidateMappedMemoryRanges@60=_v3dv_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_v3dv_InvalidateMappedMemoryRanges@104=_v3dv_InvalidateMappedMemoryRanges_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_InvalidateMappedMemoryRanges=v3dv_InvalidateMappedMemoryRanges_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_InvalidateMappedMemoryRanges(VkDevice device, uint32_t memoryRangeCount, const VkMappedMemoryRange* pMemoryRanges) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_GetDeviceMemoryCommitment_Null)(VkDevice device, VkDeviceMemory memory, VkDeviceSize* pCommittedMemoryInBytes) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceMemoryCommitment@4=_v3dv_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceMemoryCommitment@8=_v3dv_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceMemoryCommitment@12=_v3dv_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceMemoryCommitment@16=_v3dv_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceMemoryCommitment@20=_v3dv_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceMemoryCommitment@24=_v3dv_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceMemoryCommitment@28=_v3dv_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceMemoryCommitment@32=_v3dv_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceMemoryCommitment@36=_v3dv_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceMemoryCommitment@40=_v3dv_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceMemoryCommitment@44=_v3dv_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceMemoryCommitment@48=_v3dv_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceMemoryCommitment@60=_v3dv_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceMemoryCommitment@104=_v3dv_GetDeviceMemoryCommitment_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_GetDeviceMemoryCommitment=v3dv_GetDeviceMemoryCommitment_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_GetDeviceMemoryCommitment(VkDevice device, VkDeviceMemory memory, VkDeviceSize* pCommittedMemoryInBytes) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_GetBufferMemoryRequirements_Null)(VkDevice device, VkBuffer buffer, VkMemoryRequirements* pMemoryRequirements) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_GetBufferMemoryRequirements@4=_v3dv_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetBufferMemoryRequirements@8=_v3dv_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetBufferMemoryRequirements@12=_v3dv_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetBufferMemoryRequirements@16=_v3dv_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetBufferMemoryRequirements@20=_v3dv_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetBufferMemoryRequirements@24=_v3dv_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetBufferMemoryRequirements@28=_v3dv_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetBufferMemoryRequirements@32=_v3dv_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetBufferMemoryRequirements@36=_v3dv_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetBufferMemoryRequirements@40=_v3dv_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetBufferMemoryRequirements@44=_v3dv_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetBufferMemoryRequirements@48=_v3dv_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetBufferMemoryRequirements@60=_v3dv_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetBufferMemoryRequirements@104=_v3dv_GetBufferMemoryRequirements_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_GetBufferMemoryRequirements=v3dv_GetBufferMemoryRequirements_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_GetBufferMemoryRequirements(VkDevice device, VkBuffer buffer, VkMemoryRequirements* pMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_BindBufferMemory_Null)(VkDevice device, VkBuffer buffer, VkDeviceMemory memory, VkDeviceSize memoryOffset) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_BindBufferMemory@4=_v3dv_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_v3dv_BindBufferMemory@8=_v3dv_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_v3dv_BindBufferMemory@12=_v3dv_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_v3dv_BindBufferMemory@16=_v3dv_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_v3dv_BindBufferMemory@20=_v3dv_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_v3dv_BindBufferMemory@24=_v3dv_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_v3dv_BindBufferMemory@28=_v3dv_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_v3dv_BindBufferMemory@32=_v3dv_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_v3dv_BindBufferMemory@36=_v3dv_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_v3dv_BindBufferMemory@40=_v3dv_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_v3dv_BindBufferMemory@44=_v3dv_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_v3dv_BindBufferMemory@48=_v3dv_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_v3dv_BindBufferMemory@60=_v3dv_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_v3dv_BindBufferMemory@104=_v3dv_BindBufferMemory_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_BindBufferMemory=v3dv_BindBufferMemory_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_BindBufferMemory(VkDevice device, VkBuffer buffer, VkDeviceMemory memory, VkDeviceSize memoryOffset) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_GetImageMemoryRequirements_Null)(VkDevice device, VkImage image, VkMemoryRequirements* pMemoryRequirements) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_GetImageMemoryRequirements@4=_v3dv_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetImageMemoryRequirements@8=_v3dv_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetImageMemoryRequirements@12=_v3dv_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetImageMemoryRequirements@16=_v3dv_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetImageMemoryRequirements@20=_v3dv_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetImageMemoryRequirements@24=_v3dv_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetImageMemoryRequirements@28=_v3dv_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetImageMemoryRequirements@32=_v3dv_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetImageMemoryRequirements@36=_v3dv_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetImageMemoryRequirements@40=_v3dv_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetImageMemoryRequirements@44=_v3dv_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetImageMemoryRequirements@48=_v3dv_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetImageMemoryRequirements@60=_v3dv_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetImageMemoryRequirements@104=_v3dv_GetImageMemoryRequirements_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_GetImageMemoryRequirements=v3dv_GetImageMemoryRequirements_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_GetImageMemoryRequirements(VkDevice device, VkImage image, VkMemoryRequirements* pMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_BindImageMemory_Null)(VkDevice device, VkImage image, VkDeviceMemory memory, VkDeviceSize memoryOffset) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_BindImageMemory@4=_v3dv_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_v3dv_BindImageMemory@8=_v3dv_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_v3dv_BindImageMemory@12=_v3dv_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_v3dv_BindImageMemory@16=_v3dv_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_v3dv_BindImageMemory@20=_v3dv_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_v3dv_BindImageMemory@24=_v3dv_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_v3dv_BindImageMemory@28=_v3dv_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_v3dv_BindImageMemory@32=_v3dv_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_v3dv_BindImageMemory@36=_v3dv_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_v3dv_BindImageMemory@40=_v3dv_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_v3dv_BindImageMemory@44=_v3dv_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_v3dv_BindImageMemory@48=_v3dv_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_v3dv_BindImageMemory@60=_v3dv_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_v3dv_BindImageMemory@104=_v3dv_BindImageMemory_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_BindImageMemory=v3dv_BindImageMemory_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_BindImageMemory(VkDevice device, VkImage image, VkDeviceMemory memory, VkDeviceSize memoryOffset) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_GetImageSparseMemoryRequirements_Null)(VkDevice device, VkImage image, uint32_t* pSparseMemoryRequirementCount, VkSparseImageMemoryRequirements* pSparseMemoryRequirements) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_GetImageSparseMemoryRequirements@4=_v3dv_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetImageSparseMemoryRequirements@8=_v3dv_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetImageSparseMemoryRequirements@12=_v3dv_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetImageSparseMemoryRequirements@16=_v3dv_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetImageSparseMemoryRequirements@20=_v3dv_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetImageSparseMemoryRequirements@24=_v3dv_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetImageSparseMemoryRequirements@28=_v3dv_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetImageSparseMemoryRequirements@32=_v3dv_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetImageSparseMemoryRequirements@36=_v3dv_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetImageSparseMemoryRequirements@40=_v3dv_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetImageSparseMemoryRequirements@44=_v3dv_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetImageSparseMemoryRequirements@48=_v3dv_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetImageSparseMemoryRequirements@60=_v3dv_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetImageSparseMemoryRequirements@104=_v3dv_GetImageSparseMemoryRequirements_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_GetImageSparseMemoryRequirements=v3dv_GetImageSparseMemoryRequirements_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_GetImageSparseMemoryRequirements(VkDevice device, VkImage image, uint32_t* pSparseMemoryRequirementCount, VkSparseImageMemoryRequirements* pSparseMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_QueueBindSparse_Null)(VkQueue queue, uint32_t bindInfoCount, const VkBindSparseInfo* pBindInfo, VkFence fence) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_QueueBindSparse@4=_v3dv_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_v3dv_QueueBindSparse@8=_v3dv_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_v3dv_QueueBindSparse@12=_v3dv_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_v3dv_QueueBindSparse@16=_v3dv_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_v3dv_QueueBindSparse@20=_v3dv_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_v3dv_QueueBindSparse@24=_v3dv_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_v3dv_QueueBindSparse@28=_v3dv_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_v3dv_QueueBindSparse@32=_v3dv_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_v3dv_QueueBindSparse@36=_v3dv_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_v3dv_QueueBindSparse@40=_v3dv_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_v3dv_QueueBindSparse@44=_v3dv_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_v3dv_QueueBindSparse@48=_v3dv_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_v3dv_QueueBindSparse@60=_v3dv_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_v3dv_QueueBindSparse@104=_v3dv_QueueBindSparse_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_QueueBindSparse=v3dv_QueueBindSparse_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_QueueBindSparse(VkQueue queue, uint32_t bindInfoCount, const VkBindSparseInfo* pBindInfo, VkFence fence) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_CreateFence_Null)(VkDevice device, const VkFenceCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkFence* pFence) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CreateFence@4=_v3dv_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateFence@8=_v3dv_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateFence@12=_v3dv_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateFence@16=_v3dv_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateFence@20=_v3dv_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateFence@24=_v3dv_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateFence@28=_v3dv_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateFence@32=_v3dv_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateFence@36=_v3dv_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateFence@40=_v3dv_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateFence@44=_v3dv_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateFence@48=_v3dv_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateFence@60=_v3dv_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateFence@104=_v3dv_CreateFence_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CreateFence=v3dv_CreateFence_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_CreateFence(VkDevice device, const VkFenceCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkFence* pFence) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_DestroyFence_Null)(VkDevice device, VkFence fence, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_DestroyFence@4=_v3dv_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyFence@8=_v3dv_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyFence@12=_v3dv_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyFence@16=_v3dv_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyFence@20=_v3dv_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyFence@24=_v3dv_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyFence@28=_v3dv_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyFence@32=_v3dv_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyFence@36=_v3dv_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyFence@40=_v3dv_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyFence@44=_v3dv_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyFence@48=_v3dv_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyFence@60=_v3dv_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyFence@104=_v3dv_DestroyFence_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_DestroyFence=v3dv_DestroyFence_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_DestroyFence(VkDevice device, VkFence fence, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_ResetFences_Null)(VkDevice device, uint32_t fenceCount, const VkFence* pFences) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_ResetFences@4=_v3dv_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ResetFences@8=_v3dv_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ResetFences@12=_v3dv_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ResetFences@16=_v3dv_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ResetFences@20=_v3dv_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ResetFences@24=_v3dv_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ResetFences@28=_v3dv_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ResetFences@32=_v3dv_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ResetFences@36=_v3dv_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ResetFences@40=_v3dv_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ResetFences@44=_v3dv_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ResetFences@48=_v3dv_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ResetFences@60=_v3dv_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ResetFences@104=_v3dv_ResetFences_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_ResetFences=v3dv_ResetFences_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_ResetFences(VkDevice device, uint32_t fenceCount, const VkFence* pFences) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_GetFenceStatus_Null)(VkDevice device, VkFence fence) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_GetFenceStatus@4=_v3dv_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetFenceStatus@8=_v3dv_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetFenceStatus@12=_v3dv_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetFenceStatus@16=_v3dv_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetFenceStatus@20=_v3dv_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetFenceStatus@24=_v3dv_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetFenceStatus@28=_v3dv_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetFenceStatus@32=_v3dv_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetFenceStatus@36=_v3dv_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetFenceStatus@40=_v3dv_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetFenceStatus@44=_v3dv_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetFenceStatus@48=_v3dv_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetFenceStatus@60=_v3dv_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetFenceStatus@104=_v3dv_GetFenceStatus_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_GetFenceStatus=v3dv_GetFenceStatus_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_GetFenceStatus(VkDevice device, VkFence fence) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_WaitForFences_Null)(VkDevice device, uint32_t fenceCount, const VkFence* pFences, VkBool32 waitAll, uint64_t timeout) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_WaitForFences@4=_v3dv_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_v3dv_WaitForFences@8=_v3dv_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_v3dv_WaitForFences@12=_v3dv_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_v3dv_WaitForFences@16=_v3dv_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_v3dv_WaitForFences@20=_v3dv_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_v3dv_WaitForFences@24=_v3dv_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_v3dv_WaitForFences@28=_v3dv_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_v3dv_WaitForFences@32=_v3dv_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_v3dv_WaitForFences@36=_v3dv_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_v3dv_WaitForFences@40=_v3dv_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_v3dv_WaitForFences@44=_v3dv_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_v3dv_WaitForFences@48=_v3dv_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_v3dv_WaitForFences@60=_v3dv_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_v3dv_WaitForFences@104=_v3dv_WaitForFences_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_WaitForFences=v3dv_WaitForFences_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_WaitForFences(VkDevice device, uint32_t fenceCount, const VkFence* pFences, VkBool32 waitAll, uint64_t timeout) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_CreateSemaphore_Null)(VkDevice device, const VkSemaphoreCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSemaphore* pSemaphore) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CreateSemaphore@4=_v3dv_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateSemaphore@8=_v3dv_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateSemaphore@12=_v3dv_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateSemaphore@16=_v3dv_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateSemaphore@20=_v3dv_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateSemaphore@24=_v3dv_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateSemaphore@28=_v3dv_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateSemaphore@32=_v3dv_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateSemaphore@36=_v3dv_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateSemaphore@40=_v3dv_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateSemaphore@44=_v3dv_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateSemaphore@48=_v3dv_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateSemaphore@60=_v3dv_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateSemaphore@104=_v3dv_CreateSemaphore_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CreateSemaphore=v3dv_CreateSemaphore_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_CreateSemaphore(VkDevice device, const VkSemaphoreCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSemaphore* pSemaphore) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_DestroySemaphore_Null)(VkDevice device, VkSemaphore semaphore, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_DestroySemaphore@4=_v3dv_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroySemaphore@8=_v3dv_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroySemaphore@12=_v3dv_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroySemaphore@16=_v3dv_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroySemaphore@20=_v3dv_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroySemaphore@24=_v3dv_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroySemaphore@28=_v3dv_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroySemaphore@32=_v3dv_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroySemaphore@36=_v3dv_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroySemaphore@40=_v3dv_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroySemaphore@44=_v3dv_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroySemaphore@48=_v3dv_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroySemaphore@60=_v3dv_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroySemaphore@104=_v3dv_DestroySemaphore_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_DestroySemaphore=v3dv_DestroySemaphore_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_DestroySemaphore(VkDevice device, VkSemaphore semaphore, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_CreateEvent_Null)(VkDevice device, const VkEventCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkEvent* pEvent) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CreateEvent@4=_v3dv_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateEvent@8=_v3dv_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateEvent@12=_v3dv_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateEvent@16=_v3dv_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateEvent@20=_v3dv_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateEvent@24=_v3dv_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateEvent@28=_v3dv_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateEvent@32=_v3dv_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateEvent@36=_v3dv_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateEvent@40=_v3dv_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateEvent@44=_v3dv_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateEvent@48=_v3dv_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateEvent@60=_v3dv_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateEvent@104=_v3dv_CreateEvent_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CreateEvent=v3dv_CreateEvent_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_CreateEvent(VkDevice device, const VkEventCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkEvent* pEvent) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_DestroyEvent_Null)(VkDevice device, VkEvent event, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_DestroyEvent@4=_v3dv_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyEvent@8=_v3dv_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyEvent@12=_v3dv_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyEvent@16=_v3dv_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyEvent@20=_v3dv_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyEvent@24=_v3dv_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyEvent@28=_v3dv_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyEvent@32=_v3dv_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyEvent@36=_v3dv_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyEvent@40=_v3dv_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyEvent@44=_v3dv_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyEvent@48=_v3dv_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyEvent@60=_v3dv_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyEvent@104=_v3dv_DestroyEvent_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_DestroyEvent=v3dv_DestroyEvent_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_DestroyEvent(VkDevice device, VkEvent event, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_GetEventStatus_Null)(VkDevice device, VkEvent event) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_GetEventStatus@4=_v3dv_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetEventStatus@8=_v3dv_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetEventStatus@12=_v3dv_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetEventStatus@16=_v3dv_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetEventStatus@20=_v3dv_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetEventStatus@24=_v3dv_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetEventStatus@28=_v3dv_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetEventStatus@32=_v3dv_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetEventStatus@36=_v3dv_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetEventStatus@40=_v3dv_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetEventStatus@44=_v3dv_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetEventStatus@48=_v3dv_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetEventStatus@60=_v3dv_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetEventStatus@104=_v3dv_GetEventStatus_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_GetEventStatus=v3dv_GetEventStatus_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_GetEventStatus(VkDevice device, VkEvent event) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_SetEvent_Null)(VkDevice device, VkEvent event) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_SetEvent@4=_v3dv_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_v3dv_SetEvent@8=_v3dv_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_v3dv_SetEvent@12=_v3dv_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_v3dv_SetEvent@16=_v3dv_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_v3dv_SetEvent@20=_v3dv_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_v3dv_SetEvent@24=_v3dv_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_v3dv_SetEvent@28=_v3dv_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_v3dv_SetEvent@32=_v3dv_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_v3dv_SetEvent@36=_v3dv_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_v3dv_SetEvent@40=_v3dv_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_v3dv_SetEvent@44=_v3dv_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_v3dv_SetEvent@48=_v3dv_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_v3dv_SetEvent@60=_v3dv_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_v3dv_SetEvent@104=_v3dv_SetEvent_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_SetEvent=v3dv_SetEvent_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_SetEvent(VkDevice device, VkEvent event) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_ResetEvent_Null)(VkDevice device, VkEvent event) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_ResetEvent@4=_v3dv_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ResetEvent@8=_v3dv_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ResetEvent@12=_v3dv_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ResetEvent@16=_v3dv_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ResetEvent@20=_v3dv_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ResetEvent@24=_v3dv_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ResetEvent@28=_v3dv_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ResetEvent@32=_v3dv_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ResetEvent@36=_v3dv_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ResetEvent@40=_v3dv_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ResetEvent@44=_v3dv_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ResetEvent@48=_v3dv_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ResetEvent@60=_v3dv_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ResetEvent@104=_v3dv_ResetEvent_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_ResetEvent=v3dv_ResetEvent_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_ResetEvent(VkDevice device, VkEvent event) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_CreateQueryPool_Null)(VkDevice device, const VkQueryPoolCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkQueryPool* pQueryPool) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CreateQueryPool@4=_v3dv_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateQueryPool@8=_v3dv_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateQueryPool@12=_v3dv_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateQueryPool@16=_v3dv_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateQueryPool@20=_v3dv_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateQueryPool@24=_v3dv_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateQueryPool@28=_v3dv_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateQueryPool@32=_v3dv_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateQueryPool@36=_v3dv_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateQueryPool@40=_v3dv_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateQueryPool@44=_v3dv_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateQueryPool@48=_v3dv_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateQueryPool@60=_v3dv_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateQueryPool@104=_v3dv_CreateQueryPool_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CreateQueryPool=v3dv_CreateQueryPool_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_CreateQueryPool(VkDevice device, const VkQueryPoolCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkQueryPool* pQueryPool) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_DestroyQueryPool_Null)(VkDevice device, VkQueryPool queryPool, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_DestroyQueryPool@4=_v3dv_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyQueryPool@8=_v3dv_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyQueryPool@12=_v3dv_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyQueryPool@16=_v3dv_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyQueryPool@20=_v3dv_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyQueryPool@24=_v3dv_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyQueryPool@28=_v3dv_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyQueryPool@32=_v3dv_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyQueryPool@36=_v3dv_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyQueryPool@40=_v3dv_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyQueryPool@44=_v3dv_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyQueryPool@48=_v3dv_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyQueryPool@60=_v3dv_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyQueryPool@104=_v3dv_DestroyQueryPool_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_DestroyQueryPool=v3dv_DestroyQueryPool_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_DestroyQueryPool(VkDevice device, VkQueryPool queryPool, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_GetQueryPoolResults_Null)(VkDevice device, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount, size_t dataSize, void* pData, VkDeviceSize stride, VkQueryResultFlags flags) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_GetQueryPoolResults@4=_v3dv_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetQueryPoolResults@8=_v3dv_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetQueryPoolResults@12=_v3dv_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetQueryPoolResults@16=_v3dv_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetQueryPoolResults@20=_v3dv_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetQueryPoolResults@24=_v3dv_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetQueryPoolResults@28=_v3dv_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetQueryPoolResults@32=_v3dv_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetQueryPoolResults@36=_v3dv_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetQueryPoolResults@40=_v3dv_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetQueryPoolResults@44=_v3dv_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetQueryPoolResults@48=_v3dv_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetQueryPoolResults@60=_v3dv_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetQueryPoolResults@104=_v3dv_GetQueryPoolResults_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_GetQueryPoolResults=v3dv_GetQueryPoolResults_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_GetQueryPoolResults(VkDevice device, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount, size_t dataSize, void* pData, VkDeviceSize stride, VkQueryResultFlags flags) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_ResetQueryPool_Null)(VkDevice device, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_ResetQueryPool@4=_v3dv_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ResetQueryPool@8=_v3dv_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ResetQueryPool@12=_v3dv_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ResetQueryPool@16=_v3dv_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ResetQueryPool@20=_v3dv_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ResetQueryPool@24=_v3dv_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ResetQueryPool@28=_v3dv_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ResetQueryPool@32=_v3dv_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ResetQueryPool@36=_v3dv_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ResetQueryPool@40=_v3dv_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ResetQueryPool@44=_v3dv_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ResetQueryPool@48=_v3dv_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ResetQueryPool@60=_v3dv_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ResetQueryPool@104=_v3dv_ResetQueryPool_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_ResetQueryPool=v3dv_ResetQueryPool_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_ResetQueryPool(VkDevice device, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_ResetQueryPoolEXT_Null)(VkDevice device, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_ResetQueryPoolEXT@4=_v3dv_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ResetQueryPoolEXT@8=_v3dv_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ResetQueryPoolEXT@12=_v3dv_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ResetQueryPoolEXT@16=_v3dv_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ResetQueryPoolEXT@20=_v3dv_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ResetQueryPoolEXT@24=_v3dv_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ResetQueryPoolEXT@28=_v3dv_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ResetQueryPoolEXT@32=_v3dv_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ResetQueryPoolEXT@36=_v3dv_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ResetQueryPoolEXT@40=_v3dv_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ResetQueryPoolEXT@44=_v3dv_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ResetQueryPoolEXT@48=_v3dv_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ResetQueryPoolEXT@60=_v3dv_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ResetQueryPoolEXT@104=_v3dv_ResetQueryPoolEXT_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_ResetQueryPoolEXT=v3dv_ResetQueryPoolEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_ResetQueryPoolEXT(VkDevice device, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_CreateBuffer_Null)(VkDevice device, const VkBufferCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkBuffer* pBuffer) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CreateBuffer@4=_v3dv_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateBuffer@8=_v3dv_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateBuffer@12=_v3dv_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateBuffer@16=_v3dv_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateBuffer@20=_v3dv_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateBuffer@24=_v3dv_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateBuffer@28=_v3dv_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateBuffer@32=_v3dv_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateBuffer@36=_v3dv_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateBuffer@40=_v3dv_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateBuffer@44=_v3dv_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateBuffer@48=_v3dv_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateBuffer@60=_v3dv_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateBuffer@104=_v3dv_CreateBuffer_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CreateBuffer=v3dv_CreateBuffer_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_CreateBuffer(VkDevice device, const VkBufferCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkBuffer* pBuffer) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_DestroyBuffer_Null)(VkDevice device, VkBuffer buffer, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_DestroyBuffer@4=_v3dv_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyBuffer@8=_v3dv_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyBuffer@12=_v3dv_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyBuffer@16=_v3dv_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyBuffer@20=_v3dv_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyBuffer@24=_v3dv_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyBuffer@28=_v3dv_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyBuffer@32=_v3dv_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyBuffer@36=_v3dv_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyBuffer@40=_v3dv_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyBuffer@44=_v3dv_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyBuffer@48=_v3dv_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyBuffer@60=_v3dv_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyBuffer@104=_v3dv_DestroyBuffer_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_DestroyBuffer=v3dv_DestroyBuffer_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_DestroyBuffer(VkDevice device, VkBuffer buffer, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_CreateBufferView_Null)(VkDevice device, const VkBufferViewCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkBufferView* pView) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CreateBufferView@4=_v3dv_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateBufferView@8=_v3dv_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateBufferView@12=_v3dv_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateBufferView@16=_v3dv_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateBufferView@20=_v3dv_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateBufferView@24=_v3dv_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateBufferView@28=_v3dv_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateBufferView@32=_v3dv_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateBufferView@36=_v3dv_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateBufferView@40=_v3dv_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateBufferView@44=_v3dv_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateBufferView@48=_v3dv_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateBufferView@60=_v3dv_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateBufferView@104=_v3dv_CreateBufferView_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CreateBufferView=v3dv_CreateBufferView_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_CreateBufferView(VkDevice device, const VkBufferViewCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkBufferView* pView) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_DestroyBufferView_Null)(VkDevice device, VkBufferView bufferView, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_DestroyBufferView@4=_v3dv_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyBufferView@8=_v3dv_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyBufferView@12=_v3dv_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyBufferView@16=_v3dv_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyBufferView@20=_v3dv_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyBufferView@24=_v3dv_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyBufferView@28=_v3dv_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyBufferView@32=_v3dv_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyBufferView@36=_v3dv_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyBufferView@40=_v3dv_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyBufferView@44=_v3dv_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyBufferView@48=_v3dv_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyBufferView@60=_v3dv_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyBufferView@104=_v3dv_DestroyBufferView_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_DestroyBufferView=v3dv_DestroyBufferView_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_DestroyBufferView(VkDevice device, VkBufferView bufferView, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_CreateImage_Null)(VkDevice device, const VkImageCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkImage* pImage) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CreateImage@4=_v3dv_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateImage@8=_v3dv_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateImage@12=_v3dv_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateImage@16=_v3dv_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateImage@20=_v3dv_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateImage@24=_v3dv_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateImage@28=_v3dv_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateImage@32=_v3dv_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateImage@36=_v3dv_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateImage@40=_v3dv_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateImage@44=_v3dv_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateImage@48=_v3dv_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateImage@60=_v3dv_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateImage@104=_v3dv_CreateImage_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CreateImage=v3dv_CreateImage_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_CreateImage(VkDevice device, const VkImageCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkImage* pImage) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_DestroyImage_Null)(VkDevice device, VkImage image, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_DestroyImage@4=_v3dv_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyImage@8=_v3dv_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyImage@12=_v3dv_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyImage@16=_v3dv_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyImage@20=_v3dv_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyImage@24=_v3dv_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyImage@28=_v3dv_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyImage@32=_v3dv_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyImage@36=_v3dv_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyImage@40=_v3dv_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyImage@44=_v3dv_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyImage@48=_v3dv_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyImage@60=_v3dv_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyImage@104=_v3dv_DestroyImage_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_DestroyImage=v3dv_DestroyImage_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_DestroyImage(VkDevice device, VkImage image, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_GetImageSubresourceLayout_Null)(VkDevice device, VkImage image, const VkImageSubresource* pSubresource, VkSubresourceLayout* pLayout) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_GetImageSubresourceLayout@4=_v3dv_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetImageSubresourceLayout@8=_v3dv_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetImageSubresourceLayout@12=_v3dv_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetImageSubresourceLayout@16=_v3dv_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetImageSubresourceLayout@20=_v3dv_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetImageSubresourceLayout@24=_v3dv_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetImageSubresourceLayout@28=_v3dv_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetImageSubresourceLayout@32=_v3dv_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetImageSubresourceLayout@36=_v3dv_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetImageSubresourceLayout@40=_v3dv_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetImageSubresourceLayout@44=_v3dv_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetImageSubresourceLayout@48=_v3dv_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetImageSubresourceLayout@60=_v3dv_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetImageSubresourceLayout@104=_v3dv_GetImageSubresourceLayout_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_GetImageSubresourceLayout=v3dv_GetImageSubresourceLayout_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_GetImageSubresourceLayout(VkDevice device, VkImage image, const VkImageSubresource* pSubresource, VkSubresourceLayout* pLayout) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_CreateImageView_Null)(VkDevice device, const VkImageViewCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkImageView* pView) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CreateImageView@4=_v3dv_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateImageView@8=_v3dv_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateImageView@12=_v3dv_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateImageView@16=_v3dv_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateImageView@20=_v3dv_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateImageView@24=_v3dv_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateImageView@28=_v3dv_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateImageView@32=_v3dv_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateImageView@36=_v3dv_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateImageView@40=_v3dv_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateImageView@44=_v3dv_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateImageView@48=_v3dv_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateImageView@60=_v3dv_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateImageView@104=_v3dv_CreateImageView_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CreateImageView=v3dv_CreateImageView_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_CreateImageView(VkDevice device, const VkImageViewCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkImageView* pView) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_DestroyImageView_Null)(VkDevice device, VkImageView imageView, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_DestroyImageView@4=_v3dv_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyImageView@8=_v3dv_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyImageView@12=_v3dv_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyImageView@16=_v3dv_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyImageView@20=_v3dv_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyImageView@24=_v3dv_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyImageView@28=_v3dv_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyImageView@32=_v3dv_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyImageView@36=_v3dv_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyImageView@40=_v3dv_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyImageView@44=_v3dv_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyImageView@48=_v3dv_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyImageView@60=_v3dv_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyImageView@104=_v3dv_DestroyImageView_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_DestroyImageView=v3dv_DestroyImageView_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_DestroyImageView(VkDevice device, VkImageView imageView, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_CreateShaderModule_Null)(VkDevice device, const VkShaderModuleCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkShaderModule* pShaderModule) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CreateShaderModule@4=_v3dv_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateShaderModule@8=_v3dv_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateShaderModule@12=_v3dv_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateShaderModule@16=_v3dv_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateShaderModule@20=_v3dv_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateShaderModule@24=_v3dv_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateShaderModule@28=_v3dv_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateShaderModule@32=_v3dv_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateShaderModule@36=_v3dv_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateShaderModule@40=_v3dv_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateShaderModule@44=_v3dv_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateShaderModule@48=_v3dv_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateShaderModule@60=_v3dv_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateShaderModule@104=_v3dv_CreateShaderModule_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CreateShaderModule=v3dv_CreateShaderModule_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_CreateShaderModule(VkDevice device, const VkShaderModuleCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkShaderModule* pShaderModule) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_DestroyShaderModule_Null)(VkDevice device, VkShaderModule shaderModule, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_DestroyShaderModule@4=_v3dv_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyShaderModule@8=_v3dv_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyShaderModule@12=_v3dv_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyShaderModule@16=_v3dv_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyShaderModule@20=_v3dv_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyShaderModule@24=_v3dv_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyShaderModule@28=_v3dv_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyShaderModule@32=_v3dv_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyShaderModule@36=_v3dv_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyShaderModule@40=_v3dv_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyShaderModule@44=_v3dv_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyShaderModule@48=_v3dv_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyShaderModule@60=_v3dv_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyShaderModule@104=_v3dv_DestroyShaderModule_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_DestroyShaderModule=v3dv_DestroyShaderModule_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_DestroyShaderModule(VkDevice device, VkShaderModule shaderModule, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_CreatePipelineCache_Null)(VkDevice device, const VkPipelineCacheCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkPipelineCache* pPipelineCache) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CreatePipelineCache@4=_v3dv_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreatePipelineCache@8=_v3dv_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreatePipelineCache@12=_v3dv_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreatePipelineCache@16=_v3dv_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreatePipelineCache@20=_v3dv_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreatePipelineCache@24=_v3dv_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreatePipelineCache@28=_v3dv_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreatePipelineCache@32=_v3dv_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreatePipelineCache@36=_v3dv_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreatePipelineCache@40=_v3dv_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreatePipelineCache@44=_v3dv_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreatePipelineCache@48=_v3dv_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreatePipelineCache@60=_v3dv_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreatePipelineCache@104=_v3dv_CreatePipelineCache_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CreatePipelineCache=v3dv_CreatePipelineCache_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_CreatePipelineCache(VkDevice device, const VkPipelineCacheCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkPipelineCache* pPipelineCache) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_DestroyPipelineCache_Null)(VkDevice device, VkPipelineCache pipelineCache, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_DestroyPipelineCache@4=_v3dv_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyPipelineCache@8=_v3dv_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyPipelineCache@12=_v3dv_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyPipelineCache@16=_v3dv_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyPipelineCache@20=_v3dv_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyPipelineCache@24=_v3dv_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyPipelineCache@28=_v3dv_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyPipelineCache@32=_v3dv_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyPipelineCache@36=_v3dv_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyPipelineCache@40=_v3dv_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyPipelineCache@44=_v3dv_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyPipelineCache@48=_v3dv_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyPipelineCache@60=_v3dv_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyPipelineCache@104=_v3dv_DestroyPipelineCache_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_DestroyPipelineCache=v3dv_DestroyPipelineCache_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_DestroyPipelineCache(VkDevice device, VkPipelineCache pipelineCache, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_GetPipelineCacheData_Null)(VkDevice device, VkPipelineCache pipelineCache, size_t* pDataSize, void* pData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_GetPipelineCacheData@4=_v3dv_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPipelineCacheData@8=_v3dv_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPipelineCacheData@12=_v3dv_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPipelineCacheData@16=_v3dv_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPipelineCacheData@20=_v3dv_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPipelineCacheData@24=_v3dv_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPipelineCacheData@28=_v3dv_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPipelineCacheData@32=_v3dv_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPipelineCacheData@36=_v3dv_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPipelineCacheData@40=_v3dv_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPipelineCacheData@44=_v3dv_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPipelineCacheData@48=_v3dv_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPipelineCacheData@60=_v3dv_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPipelineCacheData@104=_v3dv_GetPipelineCacheData_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_GetPipelineCacheData=v3dv_GetPipelineCacheData_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_GetPipelineCacheData(VkDevice device, VkPipelineCache pipelineCache, size_t* pDataSize, void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_MergePipelineCaches_Null)(VkDevice device, VkPipelineCache dstCache, uint32_t srcCacheCount, const VkPipelineCache* pSrcCaches) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_MergePipelineCaches@4=_v3dv_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_v3dv_MergePipelineCaches@8=_v3dv_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_v3dv_MergePipelineCaches@12=_v3dv_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_v3dv_MergePipelineCaches@16=_v3dv_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_v3dv_MergePipelineCaches@20=_v3dv_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_v3dv_MergePipelineCaches@24=_v3dv_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_v3dv_MergePipelineCaches@28=_v3dv_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_v3dv_MergePipelineCaches@32=_v3dv_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_v3dv_MergePipelineCaches@36=_v3dv_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_v3dv_MergePipelineCaches@40=_v3dv_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_v3dv_MergePipelineCaches@44=_v3dv_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_v3dv_MergePipelineCaches@48=_v3dv_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_v3dv_MergePipelineCaches@60=_v3dv_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_v3dv_MergePipelineCaches@104=_v3dv_MergePipelineCaches_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_MergePipelineCaches=v3dv_MergePipelineCaches_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_MergePipelineCaches(VkDevice device, VkPipelineCache dstCache, uint32_t srcCacheCount, const VkPipelineCache* pSrcCaches) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_CreateGraphicsPipelines_Null)(VkDevice device, VkPipelineCache pipelineCache, uint32_t createInfoCount, const VkGraphicsPipelineCreateInfo* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkPipeline* pPipelines) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CreateGraphicsPipelines@4=_v3dv_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateGraphicsPipelines@8=_v3dv_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateGraphicsPipelines@12=_v3dv_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateGraphicsPipelines@16=_v3dv_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateGraphicsPipelines@20=_v3dv_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateGraphicsPipelines@24=_v3dv_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateGraphicsPipelines@28=_v3dv_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateGraphicsPipelines@32=_v3dv_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateGraphicsPipelines@36=_v3dv_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateGraphicsPipelines@40=_v3dv_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateGraphicsPipelines@44=_v3dv_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateGraphicsPipelines@48=_v3dv_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateGraphicsPipelines@60=_v3dv_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateGraphicsPipelines@104=_v3dv_CreateGraphicsPipelines_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CreateGraphicsPipelines=v3dv_CreateGraphicsPipelines_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_CreateGraphicsPipelines(VkDevice device, VkPipelineCache pipelineCache, uint32_t createInfoCount, const VkGraphicsPipelineCreateInfo* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkPipeline* pPipelines) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_CreateComputePipelines_Null)(VkDevice device, VkPipelineCache pipelineCache, uint32_t createInfoCount, const VkComputePipelineCreateInfo* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkPipeline* pPipelines) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CreateComputePipelines@4=_v3dv_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateComputePipelines@8=_v3dv_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateComputePipelines@12=_v3dv_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateComputePipelines@16=_v3dv_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateComputePipelines@20=_v3dv_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateComputePipelines@24=_v3dv_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateComputePipelines@28=_v3dv_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateComputePipelines@32=_v3dv_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateComputePipelines@36=_v3dv_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateComputePipelines@40=_v3dv_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateComputePipelines@44=_v3dv_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateComputePipelines@48=_v3dv_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateComputePipelines@60=_v3dv_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateComputePipelines@104=_v3dv_CreateComputePipelines_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CreateComputePipelines=v3dv_CreateComputePipelines_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_CreateComputePipelines(VkDevice device, VkPipelineCache pipelineCache, uint32_t createInfoCount, const VkComputePipelineCreateInfo* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkPipeline* pPipelines) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_DestroyPipeline_Null)(VkDevice device, VkPipeline pipeline, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_DestroyPipeline@4=_v3dv_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyPipeline@8=_v3dv_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyPipeline@12=_v3dv_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyPipeline@16=_v3dv_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyPipeline@20=_v3dv_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyPipeline@24=_v3dv_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyPipeline@28=_v3dv_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyPipeline@32=_v3dv_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyPipeline@36=_v3dv_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyPipeline@40=_v3dv_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyPipeline@44=_v3dv_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyPipeline@48=_v3dv_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyPipeline@60=_v3dv_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyPipeline@104=_v3dv_DestroyPipeline_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_DestroyPipeline=v3dv_DestroyPipeline_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_DestroyPipeline(VkDevice device, VkPipeline pipeline, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_CreatePipelineLayout_Null)(VkDevice device, const VkPipelineLayoutCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkPipelineLayout* pPipelineLayout) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CreatePipelineLayout@4=_v3dv_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreatePipelineLayout@8=_v3dv_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreatePipelineLayout@12=_v3dv_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreatePipelineLayout@16=_v3dv_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreatePipelineLayout@20=_v3dv_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreatePipelineLayout@24=_v3dv_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreatePipelineLayout@28=_v3dv_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreatePipelineLayout@32=_v3dv_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreatePipelineLayout@36=_v3dv_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreatePipelineLayout@40=_v3dv_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreatePipelineLayout@44=_v3dv_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreatePipelineLayout@48=_v3dv_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreatePipelineLayout@60=_v3dv_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreatePipelineLayout@104=_v3dv_CreatePipelineLayout_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CreatePipelineLayout=v3dv_CreatePipelineLayout_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_CreatePipelineLayout(VkDevice device, const VkPipelineLayoutCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkPipelineLayout* pPipelineLayout) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_DestroyPipelineLayout_Null)(VkDevice device, VkPipelineLayout pipelineLayout, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_DestroyPipelineLayout@4=_v3dv_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyPipelineLayout@8=_v3dv_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyPipelineLayout@12=_v3dv_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyPipelineLayout@16=_v3dv_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyPipelineLayout@20=_v3dv_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyPipelineLayout@24=_v3dv_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyPipelineLayout@28=_v3dv_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyPipelineLayout@32=_v3dv_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyPipelineLayout@36=_v3dv_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyPipelineLayout@40=_v3dv_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyPipelineLayout@44=_v3dv_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyPipelineLayout@48=_v3dv_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyPipelineLayout@60=_v3dv_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyPipelineLayout@104=_v3dv_DestroyPipelineLayout_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_DestroyPipelineLayout=v3dv_DestroyPipelineLayout_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_DestroyPipelineLayout(VkDevice device, VkPipelineLayout pipelineLayout, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_CreateSampler_Null)(VkDevice device, const VkSamplerCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSampler* pSampler) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CreateSampler@4=_v3dv_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateSampler@8=_v3dv_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateSampler@12=_v3dv_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateSampler@16=_v3dv_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateSampler@20=_v3dv_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateSampler@24=_v3dv_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateSampler@28=_v3dv_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateSampler@32=_v3dv_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateSampler@36=_v3dv_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateSampler@40=_v3dv_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateSampler@44=_v3dv_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateSampler@48=_v3dv_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateSampler@60=_v3dv_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateSampler@104=_v3dv_CreateSampler_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CreateSampler=v3dv_CreateSampler_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_CreateSampler(VkDevice device, const VkSamplerCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSampler* pSampler) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_DestroySampler_Null)(VkDevice device, VkSampler sampler, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_DestroySampler@4=_v3dv_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroySampler@8=_v3dv_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroySampler@12=_v3dv_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroySampler@16=_v3dv_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroySampler@20=_v3dv_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroySampler@24=_v3dv_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroySampler@28=_v3dv_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroySampler@32=_v3dv_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroySampler@36=_v3dv_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroySampler@40=_v3dv_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroySampler@44=_v3dv_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroySampler@48=_v3dv_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroySampler@60=_v3dv_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroySampler@104=_v3dv_DestroySampler_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_DestroySampler=v3dv_DestroySampler_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_DestroySampler(VkDevice device, VkSampler sampler, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_CreateDescriptorSetLayout_Null)(VkDevice device, const VkDescriptorSetLayoutCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDescriptorSetLayout* pSetLayout) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CreateDescriptorSetLayout@4=_v3dv_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateDescriptorSetLayout@8=_v3dv_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateDescriptorSetLayout@12=_v3dv_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateDescriptorSetLayout@16=_v3dv_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateDescriptorSetLayout@20=_v3dv_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateDescriptorSetLayout@24=_v3dv_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateDescriptorSetLayout@28=_v3dv_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateDescriptorSetLayout@32=_v3dv_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateDescriptorSetLayout@36=_v3dv_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateDescriptorSetLayout@40=_v3dv_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateDescriptorSetLayout@44=_v3dv_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateDescriptorSetLayout@48=_v3dv_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateDescriptorSetLayout@60=_v3dv_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateDescriptorSetLayout@104=_v3dv_CreateDescriptorSetLayout_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CreateDescriptorSetLayout=v3dv_CreateDescriptorSetLayout_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_CreateDescriptorSetLayout(VkDevice device, const VkDescriptorSetLayoutCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDescriptorSetLayout* pSetLayout) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_DestroyDescriptorSetLayout_Null)(VkDevice device, VkDescriptorSetLayout descriptorSetLayout, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_DestroyDescriptorSetLayout@4=_v3dv_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyDescriptorSetLayout@8=_v3dv_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyDescriptorSetLayout@12=_v3dv_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyDescriptorSetLayout@16=_v3dv_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyDescriptorSetLayout@20=_v3dv_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyDescriptorSetLayout@24=_v3dv_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyDescriptorSetLayout@28=_v3dv_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyDescriptorSetLayout@32=_v3dv_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyDescriptorSetLayout@36=_v3dv_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyDescriptorSetLayout@40=_v3dv_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyDescriptorSetLayout@44=_v3dv_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyDescriptorSetLayout@48=_v3dv_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyDescriptorSetLayout@60=_v3dv_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyDescriptorSetLayout@104=_v3dv_DestroyDescriptorSetLayout_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_DestroyDescriptorSetLayout=v3dv_DestroyDescriptorSetLayout_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_DestroyDescriptorSetLayout(VkDevice device, VkDescriptorSetLayout descriptorSetLayout, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_CreateDescriptorPool_Null)(VkDevice device, const VkDescriptorPoolCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDescriptorPool* pDescriptorPool) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CreateDescriptorPool@4=_v3dv_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateDescriptorPool@8=_v3dv_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateDescriptorPool@12=_v3dv_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateDescriptorPool@16=_v3dv_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateDescriptorPool@20=_v3dv_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateDescriptorPool@24=_v3dv_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateDescriptorPool@28=_v3dv_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateDescriptorPool@32=_v3dv_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateDescriptorPool@36=_v3dv_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateDescriptorPool@40=_v3dv_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateDescriptorPool@44=_v3dv_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateDescriptorPool@48=_v3dv_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateDescriptorPool@60=_v3dv_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateDescriptorPool@104=_v3dv_CreateDescriptorPool_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CreateDescriptorPool=v3dv_CreateDescriptorPool_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_CreateDescriptorPool(VkDevice device, const VkDescriptorPoolCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDescriptorPool* pDescriptorPool) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_DestroyDescriptorPool_Null)(VkDevice device, VkDescriptorPool descriptorPool, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_DestroyDescriptorPool@4=_v3dv_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyDescriptorPool@8=_v3dv_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyDescriptorPool@12=_v3dv_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyDescriptorPool@16=_v3dv_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyDescriptorPool@20=_v3dv_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyDescriptorPool@24=_v3dv_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyDescriptorPool@28=_v3dv_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyDescriptorPool@32=_v3dv_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyDescriptorPool@36=_v3dv_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyDescriptorPool@40=_v3dv_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyDescriptorPool@44=_v3dv_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyDescriptorPool@48=_v3dv_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyDescriptorPool@60=_v3dv_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyDescriptorPool@104=_v3dv_DestroyDescriptorPool_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_DestroyDescriptorPool=v3dv_DestroyDescriptorPool_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_DestroyDescriptorPool(VkDevice device, VkDescriptorPool descriptorPool, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_ResetDescriptorPool_Null)(VkDevice device, VkDescriptorPool descriptorPool, VkDescriptorPoolResetFlags flags) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_ResetDescriptorPool@4=_v3dv_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ResetDescriptorPool@8=_v3dv_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ResetDescriptorPool@12=_v3dv_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ResetDescriptorPool@16=_v3dv_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ResetDescriptorPool@20=_v3dv_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ResetDescriptorPool@24=_v3dv_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ResetDescriptorPool@28=_v3dv_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ResetDescriptorPool@32=_v3dv_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ResetDescriptorPool@36=_v3dv_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ResetDescriptorPool@40=_v3dv_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ResetDescriptorPool@44=_v3dv_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ResetDescriptorPool@48=_v3dv_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ResetDescriptorPool@60=_v3dv_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ResetDescriptorPool@104=_v3dv_ResetDescriptorPool_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_ResetDescriptorPool=v3dv_ResetDescriptorPool_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_ResetDescriptorPool(VkDevice device, VkDescriptorPool descriptorPool, VkDescriptorPoolResetFlags flags) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_AllocateDescriptorSets_Null)(VkDevice device, const VkDescriptorSetAllocateInfo* pAllocateInfo, VkDescriptorSet* pDescriptorSets) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_AllocateDescriptorSets@4=_v3dv_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_v3dv_AllocateDescriptorSets@8=_v3dv_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_v3dv_AllocateDescriptorSets@12=_v3dv_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_v3dv_AllocateDescriptorSets@16=_v3dv_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_v3dv_AllocateDescriptorSets@20=_v3dv_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_v3dv_AllocateDescriptorSets@24=_v3dv_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_v3dv_AllocateDescriptorSets@28=_v3dv_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_v3dv_AllocateDescriptorSets@32=_v3dv_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_v3dv_AllocateDescriptorSets@36=_v3dv_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_v3dv_AllocateDescriptorSets@40=_v3dv_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_v3dv_AllocateDescriptorSets@44=_v3dv_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_v3dv_AllocateDescriptorSets@48=_v3dv_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_v3dv_AllocateDescriptorSets@60=_v3dv_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_v3dv_AllocateDescriptorSets@104=_v3dv_AllocateDescriptorSets_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_AllocateDescriptorSets=v3dv_AllocateDescriptorSets_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_AllocateDescriptorSets(VkDevice device, const VkDescriptorSetAllocateInfo* pAllocateInfo, VkDescriptorSet* pDescriptorSets) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_FreeDescriptorSets_Null)(VkDevice device, VkDescriptorPool descriptorPool, uint32_t descriptorSetCount, const VkDescriptorSet* pDescriptorSets) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_FreeDescriptorSets@4=_v3dv_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_v3dv_FreeDescriptorSets@8=_v3dv_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_v3dv_FreeDescriptorSets@12=_v3dv_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_v3dv_FreeDescriptorSets@16=_v3dv_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_v3dv_FreeDescriptorSets@20=_v3dv_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_v3dv_FreeDescriptorSets@24=_v3dv_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_v3dv_FreeDescriptorSets@28=_v3dv_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_v3dv_FreeDescriptorSets@32=_v3dv_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_v3dv_FreeDescriptorSets@36=_v3dv_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_v3dv_FreeDescriptorSets@40=_v3dv_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_v3dv_FreeDescriptorSets@44=_v3dv_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_v3dv_FreeDescriptorSets@48=_v3dv_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_v3dv_FreeDescriptorSets@60=_v3dv_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_v3dv_FreeDescriptorSets@104=_v3dv_FreeDescriptorSets_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_FreeDescriptorSets=v3dv_FreeDescriptorSets_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_FreeDescriptorSets(VkDevice device, VkDescriptorPool descriptorPool, uint32_t descriptorSetCount, const VkDescriptorSet* pDescriptorSets) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_UpdateDescriptorSets_Null)(VkDevice device, uint32_t descriptorWriteCount, const VkWriteDescriptorSet* pDescriptorWrites, uint32_t descriptorCopyCount, const VkCopyDescriptorSet* pDescriptorCopies) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_UpdateDescriptorSets@4=_v3dv_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_v3dv_UpdateDescriptorSets@8=_v3dv_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_v3dv_UpdateDescriptorSets@12=_v3dv_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_v3dv_UpdateDescriptorSets@16=_v3dv_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_v3dv_UpdateDescriptorSets@20=_v3dv_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_v3dv_UpdateDescriptorSets@24=_v3dv_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_v3dv_UpdateDescriptorSets@28=_v3dv_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_v3dv_UpdateDescriptorSets@32=_v3dv_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_v3dv_UpdateDescriptorSets@36=_v3dv_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_v3dv_UpdateDescriptorSets@40=_v3dv_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_v3dv_UpdateDescriptorSets@44=_v3dv_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_v3dv_UpdateDescriptorSets@48=_v3dv_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_v3dv_UpdateDescriptorSets@60=_v3dv_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_v3dv_UpdateDescriptorSets@104=_v3dv_UpdateDescriptorSets_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_UpdateDescriptorSets=v3dv_UpdateDescriptorSets_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_UpdateDescriptorSets(VkDevice device, uint32_t descriptorWriteCount, const VkWriteDescriptorSet* pDescriptorWrites, uint32_t descriptorCopyCount, const VkCopyDescriptorSet* pDescriptorCopies) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_CreateFramebuffer_Null)(VkDevice device, const VkFramebufferCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkFramebuffer* pFramebuffer) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CreateFramebuffer@4=_v3dv_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateFramebuffer@8=_v3dv_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateFramebuffer@12=_v3dv_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateFramebuffer@16=_v3dv_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateFramebuffer@20=_v3dv_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateFramebuffer@24=_v3dv_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateFramebuffer@28=_v3dv_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateFramebuffer@32=_v3dv_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateFramebuffer@36=_v3dv_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateFramebuffer@40=_v3dv_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateFramebuffer@44=_v3dv_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateFramebuffer@48=_v3dv_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateFramebuffer@60=_v3dv_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateFramebuffer@104=_v3dv_CreateFramebuffer_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CreateFramebuffer=v3dv_CreateFramebuffer_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_CreateFramebuffer(VkDevice device, const VkFramebufferCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkFramebuffer* pFramebuffer) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_DestroyFramebuffer_Null)(VkDevice device, VkFramebuffer framebuffer, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_DestroyFramebuffer@4=_v3dv_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyFramebuffer@8=_v3dv_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyFramebuffer@12=_v3dv_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyFramebuffer@16=_v3dv_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyFramebuffer@20=_v3dv_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyFramebuffer@24=_v3dv_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyFramebuffer@28=_v3dv_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyFramebuffer@32=_v3dv_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyFramebuffer@36=_v3dv_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyFramebuffer@40=_v3dv_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyFramebuffer@44=_v3dv_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyFramebuffer@48=_v3dv_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyFramebuffer@60=_v3dv_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyFramebuffer@104=_v3dv_DestroyFramebuffer_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_DestroyFramebuffer=v3dv_DestroyFramebuffer_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_DestroyFramebuffer(VkDevice device, VkFramebuffer framebuffer, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_CreateRenderPass_Null)(VkDevice device, const VkRenderPassCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkRenderPass* pRenderPass) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CreateRenderPass@4=_v3dv_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateRenderPass@8=_v3dv_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateRenderPass@12=_v3dv_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateRenderPass@16=_v3dv_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateRenderPass@20=_v3dv_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateRenderPass@24=_v3dv_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateRenderPass@28=_v3dv_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateRenderPass@32=_v3dv_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateRenderPass@36=_v3dv_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateRenderPass@40=_v3dv_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateRenderPass@44=_v3dv_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateRenderPass@48=_v3dv_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateRenderPass@60=_v3dv_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateRenderPass@104=_v3dv_CreateRenderPass_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CreateRenderPass=v3dv_CreateRenderPass_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_CreateRenderPass(VkDevice device, const VkRenderPassCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkRenderPass* pRenderPass) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_DestroyRenderPass_Null)(VkDevice device, VkRenderPass renderPass, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_DestroyRenderPass@4=_v3dv_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyRenderPass@8=_v3dv_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyRenderPass@12=_v3dv_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyRenderPass@16=_v3dv_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyRenderPass@20=_v3dv_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyRenderPass@24=_v3dv_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyRenderPass@28=_v3dv_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyRenderPass@32=_v3dv_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyRenderPass@36=_v3dv_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyRenderPass@40=_v3dv_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyRenderPass@44=_v3dv_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyRenderPass@48=_v3dv_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyRenderPass@60=_v3dv_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyRenderPass@104=_v3dv_DestroyRenderPass_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_DestroyRenderPass=v3dv_DestroyRenderPass_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_DestroyRenderPass(VkDevice device, VkRenderPass renderPass, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_GetRenderAreaGranularity_Null)(VkDevice device, VkRenderPass renderPass, VkExtent2D* pGranularity) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_GetRenderAreaGranularity@4=_v3dv_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetRenderAreaGranularity@8=_v3dv_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetRenderAreaGranularity@12=_v3dv_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetRenderAreaGranularity@16=_v3dv_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetRenderAreaGranularity@20=_v3dv_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetRenderAreaGranularity@24=_v3dv_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetRenderAreaGranularity@28=_v3dv_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetRenderAreaGranularity@32=_v3dv_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetRenderAreaGranularity@36=_v3dv_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetRenderAreaGranularity@40=_v3dv_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetRenderAreaGranularity@44=_v3dv_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetRenderAreaGranularity@48=_v3dv_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetRenderAreaGranularity@60=_v3dv_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetRenderAreaGranularity@104=_v3dv_GetRenderAreaGranularity_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_GetRenderAreaGranularity=v3dv_GetRenderAreaGranularity_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_GetRenderAreaGranularity(VkDevice device, VkRenderPass renderPass, VkExtent2D* pGranularity) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_CreateCommandPool_Null)(VkDevice device, const VkCommandPoolCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkCommandPool* pCommandPool) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CreateCommandPool@4=_v3dv_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateCommandPool@8=_v3dv_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateCommandPool@12=_v3dv_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateCommandPool@16=_v3dv_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateCommandPool@20=_v3dv_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateCommandPool@24=_v3dv_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateCommandPool@28=_v3dv_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateCommandPool@32=_v3dv_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateCommandPool@36=_v3dv_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateCommandPool@40=_v3dv_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateCommandPool@44=_v3dv_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateCommandPool@48=_v3dv_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateCommandPool@60=_v3dv_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateCommandPool@104=_v3dv_CreateCommandPool_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CreateCommandPool=v3dv_CreateCommandPool_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_CreateCommandPool(VkDevice device, const VkCommandPoolCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkCommandPool* pCommandPool) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_DestroyCommandPool_Null)(VkDevice device, VkCommandPool commandPool, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_DestroyCommandPool@4=_v3dv_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyCommandPool@8=_v3dv_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyCommandPool@12=_v3dv_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyCommandPool@16=_v3dv_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyCommandPool@20=_v3dv_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyCommandPool@24=_v3dv_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyCommandPool@28=_v3dv_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyCommandPool@32=_v3dv_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyCommandPool@36=_v3dv_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyCommandPool@40=_v3dv_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyCommandPool@44=_v3dv_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyCommandPool@48=_v3dv_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyCommandPool@60=_v3dv_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyCommandPool@104=_v3dv_DestroyCommandPool_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_DestroyCommandPool=v3dv_DestroyCommandPool_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_DestroyCommandPool(VkDevice device, VkCommandPool commandPool, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_ResetCommandPool_Null)(VkDevice device, VkCommandPool commandPool, VkCommandPoolResetFlags flags) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_ResetCommandPool@4=_v3dv_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ResetCommandPool@8=_v3dv_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ResetCommandPool@12=_v3dv_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ResetCommandPool@16=_v3dv_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ResetCommandPool@20=_v3dv_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ResetCommandPool@24=_v3dv_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ResetCommandPool@28=_v3dv_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ResetCommandPool@32=_v3dv_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ResetCommandPool@36=_v3dv_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ResetCommandPool@40=_v3dv_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ResetCommandPool@44=_v3dv_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ResetCommandPool@48=_v3dv_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ResetCommandPool@60=_v3dv_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ResetCommandPool@104=_v3dv_ResetCommandPool_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_ResetCommandPool=v3dv_ResetCommandPool_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_ResetCommandPool(VkDevice device, VkCommandPool commandPool, VkCommandPoolResetFlags flags) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_AllocateCommandBuffers_Null)(VkDevice device, const VkCommandBufferAllocateInfo* pAllocateInfo, VkCommandBuffer* pCommandBuffers) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_AllocateCommandBuffers@4=_v3dv_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_v3dv_AllocateCommandBuffers@8=_v3dv_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_v3dv_AllocateCommandBuffers@12=_v3dv_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_v3dv_AllocateCommandBuffers@16=_v3dv_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_v3dv_AllocateCommandBuffers@20=_v3dv_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_v3dv_AllocateCommandBuffers@24=_v3dv_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_v3dv_AllocateCommandBuffers@28=_v3dv_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_v3dv_AllocateCommandBuffers@32=_v3dv_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_v3dv_AllocateCommandBuffers@36=_v3dv_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_v3dv_AllocateCommandBuffers@40=_v3dv_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_v3dv_AllocateCommandBuffers@44=_v3dv_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_v3dv_AllocateCommandBuffers@48=_v3dv_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_v3dv_AllocateCommandBuffers@60=_v3dv_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_v3dv_AllocateCommandBuffers@104=_v3dv_AllocateCommandBuffers_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_AllocateCommandBuffers=v3dv_AllocateCommandBuffers_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_AllocateCommandBuffers(VkDevice device, const VkCommandBufferAllocateInfo* pAllocateInfo, VkCommandBuffer* pCommandBuffers) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_FreeCommandBuffers_Null)(VkDevice device, VkCommandPool commandPool, uint32_t commandBufferCount, const VkCommandBuffer* pCommandBuffers) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_FreeCommandBuffers@4=_v3dv_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_v3dv_FreeCommandBuffers@8=_v3dv_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_v3dv_FreeCommandBuffers@12=_v3dv_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_v3dv_FreeCommandBuffers@16=_v3dv_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_v3dv_FreeCommandBuffers@20=_v3dv_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_v3dv_FreeCommandBuffers@24=_v3dv_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_v3dv_FreeCommandBuffers@28=_v3dv_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_v3dv_FreeCommandBuffers@32=_v3dv_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_v3dv_FreeCommandBuffers@36=_v3dv_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_v3dv_FreeCommandBuffers@40=_v3dv_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_v3dv_FreeCommandBuffers@44=_v3dv_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_v3dv_FreeCommandBuffers@48=_v3dv_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_v3dv_FreeCommandBuffers@60=_v3dv_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_v3dv_FreeCommandBuffers@104=_v3dv_FreeCommandBuffers_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_FreeCommandBuffers=v3dv_FreeCommandBuffers_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_FreeCommandBuffers(VkDevice device, VkCommandPool commandPool, uint32_t commandBufferCount, const VkCommandBuffer* pCommandBuffers) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_BeginCommandBuffer_Null)(VkCommandBuffer commandBuffer, const VkCommandBufferBeginInfo* pBeginInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_BeginCommandBuffer@4=_v3dv_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_BeginCommandBuffer@8=_v3dv_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_BeginCommandBuffer@12=_v3dv_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_BeginCommandBuffer@16=_v3dv_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_BeginCommandBuffer@20=_v3dv_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_BeginCommandBuffer@24=_v3dv_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_BeginCommandBuffer@28=_v3dv_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_BeginCommandBuffer@32=_v3dv_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_BeginCommandBuffer@36=_v3dv_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_BeginCommandBuffer@40=_v3dv_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_BeginCommandBuffer@44=_v3dv_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_BeginCommandBuffer@48=_v3dv_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_BeginCommandBuffer@60=_v3dv_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_BeginCommandBuffer@104=_v3dv_BeginCommandBuffer_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_BeginCommandBuffer=v3dv_BeginCommandBuffer_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_BeginCommandBuffer(VkCommandBuffer commandBuffer, const VkCommandBufferBeginInfo* pBeginInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_EndCommandBuffer_Null)(VkCommandBuffer commandBuffer) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_EndCommandBuffer@4=_v3dv_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_EndCommandBuffer@8=_v3dv_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_EndCommandBuffer@12=_v3dv_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_EndCommandBuffer@16=_v3dv_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_EndCommandBuffer@20=_v3dv_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_EndCommandBuffer@24=_v3dv_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_EndCommandBuffer@28=_v3dv_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_EndCommandBuffer@32=_v3dv_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_EndCommandBuffer@36=_v3dv_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_EndCommandBuffer@40=_v3dv_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_EndCommandBuffer@44=_v3dv_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_EndCommandBuffer@48=_v3dv_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_EndCommandBuffer@60=_v3dv_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_EndCommandBuffer@104=_v3dv_EndCommandBuffer_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_EndCommandBuffer=v3dv_EndCommandBuffer_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_EndCommandBuffer(VkCommandBuffer commandBuffer) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_ResetCommandBuffer_Null)(VkCommandBuffer commandBuffer, VkCommandBufferResetFlags flags) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_ResetCommandBuffer@4=_v3dv_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ResetCommandBuffer@8=_v3dv_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ResetCommandBuffer@12=_v3dv_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ResetCommandBuffer@16=_v3dv_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ResetCommandBuffer@20=_v3dv_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ResetCommandBuffer@24=_v3dv_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ResetCommandBuffer@28=_v3dv_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ResetCommandBuffer@32=_v3dv_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ResetCommandBuffer@36=_v3dv_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ResetCommandBuffer@40=_v3dv_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ResetCommandBuffer@44=_v3dv_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ResetCommandBuffer@48=_v3dv_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ResetCommandBuffer@60=_v3dv_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ResetCommandBuffer@104=_v3dv_ResetCommandBuffer_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_ResetCommandBuffer=v3dv_ResetCommandBuffer_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_ResetCommandBuffer(VkCommandBuffer commandBuffer, VkCommandBufferResetFlags flags) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_CmdBindPipeline_Null)(VkCommandBuffer commandBuffer, VkPipelineBindPoint pipelineBindPoint, VkPipeline pipeline) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CmdBindPipeline@4=_v3dv_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBindPipeline@8=_v3dv_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBindPipeline@12=_v3dv_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBindPipeline@16=_v3dv_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBindPipeline@20=_v3dv_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBindPipeline@24=_v3dv_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBindPipeline@28=_v3dv_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBindPipeline@32=_v3dv_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBindPipeline@36=_v3dv_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBindPipeline@40=_v3dv_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBindPipeline@44=_v3dv_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBindPipeline@48=_v3dv_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBindPipeline@60=_v3dv_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBindPipeline@104=_v3dv_CmdBindPipeline_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CmdBindPipeline=v3dv_CmdBindPipeline_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_CmdBindPipeline(VkCommandBuffer commandBuffer, VkPipelineBindPoint pipelineBindPoint, VkPipeline pipeline) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_CmdSetViewport_Null)(VkCommandBuffer commandBuffer, uint32_t firstViewport, uint32_t viewportCount, const VkViewport* pViewports) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetViewport@4=_v3dv_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetViewport@8=_v3dv_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetViewport@12=_v3dv_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetViewport@16=_v3dv_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetViewport@20=_v3dv_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetViewport@24=_v3dv_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetViewport@28=_v3dv_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetViewport@32=_v3dv_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetViewport@36=_v3dv_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetViewport@40=_v3dv_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetViewport@44=_v3dv_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetViewport@48=_v3dv_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetViewport@60=_v3dv_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetViewport@104=_v3dv_CmdSetViewport_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CmdSetViewport=v3dv_CmdSetViewport_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_CmdSetViewport(VkCommandBuffer commandBuffer, uint32_t firstViewport, uint32_t viewportCount, const VkViewport* pViewports) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_CmdSetScissor_Null)(VkCommandBuffer commandBuffer, uint32_t firstScissor, uint32_t scissorCount, const VkRect2D* pScissors) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetScissor@4=_v3dv_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetScissor@8=_v3dv_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetScissor@12=_v3dv_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetScissor@16=_v3dv_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetScissor@20=_v3dv_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetScissor@24=_v3dv_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetScissor@28=_v3dv_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetScissor@32=_v3dv_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetScissor@36=_v3dv_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetScissor@40=_v3dv_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetScissor@44=_v3dv_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetScissor@48=_v3dv_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetScissor@60=_v3dv_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetScissor@104=_v3dv_CmdSetScissor_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CmdSetScissor=v3dv_CmdSetScissor_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_CmdSetScissor(VkCommandBuffer commandBuffer, uint32_t firstScissor, uint32_t scissorCount, const VkRect2D* pScissors) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_CmdSetLineWidth_Null)(VkCommandBuffer commandBuffer, float lineWidth) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetLineWidth@4=_v3dv_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetLineWidth@8=_v3dv_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetLineWidth@12=_v3dv_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetLineWidth@16=_v3dv_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetLineWidth@20=_v3dv_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetLineWidth@24=_v3dv_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetLineWidth@28=_v3dv_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetLineWidth@32=_v3dv_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetLineWidth@36=_v3dv_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetLineWidth@40=_v3dv_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetLineWidth@44=_v3dv_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetLineWidth@48=_v3dv_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetLineWidth@60=_v3dv_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetLineWidth@104=_v3dv_CmdSetLineWidth_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CmdSetLineWidth=v3dv_CmdSetLineWidth_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_CmdSetLineWidth(VkCommandBuffer commandBuffer, float lineWidth) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_CmdSetDepthBias_Null)(VkCommandBuffer commandBuffer, float depthBiasConstantFactor, float depthBiasClamp, float depthBiasSlopeFactor) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetDepthBias@4=_v3dv_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetDepthBias@8=_v3dv_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetDepthBias@12=_v3dv_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetDepthBias@16=_v3dv_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetDepthBias@20=_v3dv_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetDepthBias@24=_v3dv_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetDepthBias@28=_v3dv_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetDepthBias@32=_v3dv_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetDepthBias@36=_v3dv_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetDepthBias@40=_v3dv_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetDepthBias@44=_v3dv_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetDepthBias@48=_v3dv_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetDepthBias@60=_v3dv_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetDepthBias@104=_v3dv_CmdSetDepthBias_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CmdSetDepthBias=v3dv_CmdSetDepthBias_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_CmdSetDepthBias(VkCommandBuffer commandBuffer, float depthBiasConstantFactor, float depthBiasClamp, float depthBiasSlopeFactor) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_CmdSetBlendConstants_Null)(VkCommandBuffer commandBuffer, const float blendConstants[4]) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetBlendConstants@4=_v3dv_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetBlendConstants@8=_v3dv_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetBlendConstants@12=_v3dv_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetBlendConstants@16=_v3dv_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetBlendConstants@20=_v3dv_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetBlendConstants@24=_v3dv_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetBlendConstants@28=_v3dv_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetBlendConstants@32=_v3dv_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetBlendConstants@36=_v3dv_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetBlendConstants@40=_v3dv_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetBlendConstants@44=_v3dv_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetBlendConstants@48=_v3dv_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetBlendConstants@60=_v3dv_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetBlendConstants@104=_v3dv_CmdSetBlendConstants_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CmdSetBlendConstants=v3dv_CmdSetBlendConstants_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_CmdSetBlendConstants(VkCommandBuffer commandBuffer, const float blendConstants[4]) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_CmdSetDepthBounds_Null)(VkCommandBuffer commandBuffer, float minDepthBounds, float maxDepthBounds) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetDepthBounds@4=_v3dv_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetDepthBounds@8=_v3dv_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetDepthBounds@12=_v3dv_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetDepthBounds@16=_v3dv_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetDepthBounds@20=_v3dv_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetDepthBounds@24=_v3dv_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetDepthBounds@28=_v3dv_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetDepthBounds@32=_v3dv_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetDepthBounds@36=_v3dv_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetDepthBounds@40=_v3dv_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetDepthBounds@44=_v3dv_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetDepthBounds@48=_v3dv_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetDepthBounds@60=_v3dv_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetDepthBounds@104=_v3dv_CmdSetDepthBounds_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CmdSetDepthBounds=v3dv_CmdSetDepthBounds_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_CmdSetDepthBounds(VkCommandBuffer commandBuffer, float minDepthBounds, float maxDepthBounds) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_CmdSetStencilCompareMask_Null)(VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, uint32_t compareMask) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetStencilCompareMask@4=_v3dv_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetStencilCompareMask@8=_v3dv_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetStencilCompareMask@12=_v3dv_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetStencilCompareMask@16=_v3dv_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetStencilCompareMask@20=_v3dv_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetStencilCompareMask@24=_v3dv_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetStencilCompareMask@28=_v3dv_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetStencilCompareMask@32=_v3dv_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetStencilCompareMask@36=_v3dv_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetStencilCompareMask@40=_v3dv_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetStencilCompareMask@44=_v3dv_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetStencilCompareMask@48=_v3dv_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetStencilCompareMask@60=_v3dv_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetStencilCompareMask@104=_v3dv_CmdSetStencilCompareMask_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CmdSetStencilCompareMask=v3dv_CmdSetStencilCompareMask_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_CmdSetStencilCompareMask(VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, uint32_t compareMask) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_CmdSetStencilWriteMask_Null)(VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, uint32_t writeMask) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetStencilWriteMask@4=_v3dv_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetStencilWriteMask@8=_v3dv_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetStencilWriteMask@12=_v3dv_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetStencilWriteMask@16=_v3dv_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetStencilWriteMask@20=_v3dv_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetStencilWriteMask@24=_v3dv_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetStencilWriteMask@28=_v3dv_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetStencilWriteMask@32=_v3dv_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetStencilWriteMask@36=_v3dv_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetStencilWriteMask@40=_v3dv_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetStencilWriteMask@44=_v3dv_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetStencilWriteMask@48=_v3dv_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetStencilWriteMask@60=_v3dv_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetStencilWriteMask@104=_v3dv_CmdSetStencilWriteMask_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CmdSetStencilWriteMask=v3dv_CmdSetStencilWriteMask_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_CmdSetStencilWriteMask(VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, uint32_t writeMask) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_CmdSetStencilReference_Null)(VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, uint32_t reference) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetStencilReference@4=_v3dv_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetStencilReference@8=_v3dv_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetStencilReference@12=_v3dv_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetStencilReference@16=_v3dv_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetStencilReference@20=_v3dv_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetStencilReference@24=_v3dv_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetStencilReference@28=_v3dv_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetStencilReference@32=_v3dv_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetStencilReference@36=_v3dv_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetStencilReference@40=_v3dv_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetStencilReference@44=_v3dv_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetStencilReference@48=_v3dv_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetStencilReference@60=_v3dv_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetStencilReference@104=_v3dv_CmdSetStencilReference_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CmdSetStencilReference=v3dv_CmdSetStencilReference_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_CmdSetStencilReference(VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, uint32_t reference) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_CmdBindDescriptorSets_Null)(VkCommandBuffer commandBuffer, VkPipelineBindPoint pipelineBindPoint, VkPipelineLayout layout, uint32_t firstSet, uint32_t descriptorSetCount, const VkDescriptorSet* pDescriptorSets, uint32_t dynamicOffsetCount, const uint32_t* pDynamicOffsets) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CmdBindDescriptorSets@4=_v3dv_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBindDescriptorSets@8=_v3dv_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBindDescriptorSets@12=_v3dv_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBindDescriptorSets@16=_v3dv_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBindDescriptorSets@20=_v3dv_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBindDescriptorSets@24=_v3dv_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBindDescriptorSets@28=_v3dv_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBindDescriptorSets@32=_v3dv_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBindDescriptorSets@36=_v3dv_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBindDescriptorSets@40=_v3dv_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBindDescriptorSets@44=_v3dv_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBindDescriptorSets@48=_v3dv_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBindDescriptorSets@60=_v3dv_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBindDescriptorSets@104=_v3dv_CmdBindDescriptorSets_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CmdBindDescriptorSets=v3dv_CmdBindDescriptorSets_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_CmdBindDescriptorSets(VkCommandBuffer commandBuffer, VkPipelineBindPoint pipelineBindPoint, VkPipelineLayout layout, uint32_t firstSet, uint32_t descriptorSetCount, const VkDescriptorSet* pDescriptorSets, uint32_t dynamicOffsetCount, const uint32_t* pDynamicOffsets) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_CmdBindIndexBuffer_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkIndexType indexType) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CmdBindIndexBuffer@4=_v3dv_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBindIndexBuffer@8=_v3dv_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBindIndexBuffer@12=_v3dv_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBindIndexBuffer@16=_v3dv_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBindIndexBuffer@20=_v3dv_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBindIndexBuffer@24=_v3dv_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBindIndexBuffer@28=_v3dv_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBindIndexBuffer@32=_v3dv_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBindIndexBuffer@36=_v3dv_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBindIndexBuffer@40=_v3dv_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBindIndexBuffer@44=_v3dv_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBindIndexBuffer@48=_v3dv_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBindIndexBuffer@60=_v3dv_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBindIndexBuffer@104=_v3dv_CmdBindIndexBuffer_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CmdBindIndexBuffer=v3dv_CmdBindIndexBuffer_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_CmdBindIndexBuffer(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkIndexType indexType) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_CmdBindVertexBuffers_Null)(VkCommandBuffer commandBuffer, uint32_t firstBinding, uint32_t bindingCount, const VkBuffer* pBuffers, const VkDeviceSize* pOffsets) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CmdBindVertexBuffers@4=_v3dv_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBindVertexBuffers@8=_v3dv_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBindVertexBuffers@12=_v3dv_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBindVertexBuffers@16=_v3dv_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBindVertexBuffers@20=_v3dv_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBindVertexBuffers@24=_v3dv_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBindVertexBuffers@28=_v3dv_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBindVertexBuffers@32=_v3dv_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBindVertexBuffers@36=_v3dv_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBindVertexBuffers@40=_v3dv_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBindVertexBuffers@44=_v3dv_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBindVertexBuffers@48=_v3dv_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBindVertexBuffers@60=_v3dv_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBindVertexBuffers@104=_v3dv_CmdBindVertexBuffers_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CmdBindVertexBuffers=v3dv_CmdBindVertexBuffers_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_CmdBindVertexBuffers(VkCommandBuffer commandBuffer, uint32_t firstBinding, uint32_t bindingCount, const VkBuffer* pBuffers, const VkDeviceSize* pOffsets) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_CmdDraw_Null)(VkCommandBuffer commandBuffer, uint32_t vertexCount, uint32_t instanceCount, uint32_t firstVertex, uint32_t firstInstance) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CmdDraw@4=_v3dv_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDraw@8=_v3dv_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDraw@12=_v3dv_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDraw@16=_v3dv_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDraw@20=_v3dv_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDraw@24=_v3dv_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDraw@28=_v3dv_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDraw@32=_v3dv_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDraw@36=_v3dv_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDraw@40=_v3dv_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDraw@44=_v3dv_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDraw@48=_v3dv_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDraw@60=_v3dv_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDraw@104=_v3dv_CmdDraw_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CmdDraw=v3dv_CmdDraw_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_CmdDraw(VkCommandBuffer commandBuffer, uint32_t vertexCount, uint32_t instanceCount, uint32_t firstVertex, uint32_t firstInstance) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_CmdDrawIndexed_Null)(VkCommandBuffer commandBuffer, uint32_t indexCount, uint32_t instanceCount, uint32_t firstIndex, int32_t vertexOffset, uint32_t firstInstance) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawIndexed@4=_v3dv_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawIndexed@8=_v3dv_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawIndexed@12=_v3dv_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawIndexed@16=_v3dv_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawIndexed@20=_v3dv_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawIndexed@24=_v3dv_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawIndexed@28=_v3dv_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawIndexed@32=_v3dv_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawIndexed@36=_v3dv_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawIndexed@40=_v3dv_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawIndexed@44=_v3dv_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawIndexed@48=_v3dv_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawIndexed@60=_v3dv_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawIndexed@104=_v3dv_CmdDrawIndexed_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CmdDrawIndexed=v3dv_CmdDrawIndexed_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_CmdDrawIndexed(VkCommandBuffer commandBuffer, uint32_t indexCount, uint32_t instanceCount, uint32_t firstIndex, int32_t vertexOffset, uint32_t firstInstance) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_CmdDrawIndirect_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, uint32_t drawCount, uint32_t stride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawIndirect@4=_v3dv_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawIndirect@8=_v3dv_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawIndirect@12=_v3dv_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawIndirect@16=_v3dv_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawIndirect@20=_v3dv_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawIndirect@24=_v3dv_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawIndirect@28=_v3dv_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawIndirect@32=_v3dv_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawIndirect@36=_v3dv_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawIndirect@40=_v3dv_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawIndirect@44=_v3dv_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawIndirect@48=_v3dv_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawIndirect@60=_v3dv_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawIndirect@104=_v3dv_CmdDrawIndirect_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CmdDrawIndirect=v3dv_CmdDrawIndirect_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_CmdDrawIndirect(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, uint32_t drawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_CmdDrawIndexedIndirect_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, uint32_t drawCount, uint32_t stride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawIndexedIndirect@4=_v3dv_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawIndexedIndirect@8=_v3dv_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawIndexedIndirect@12=_v3dv_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawIndexedIndirect@16=_v3dv_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawIndexedIndirect@20=_v3dv_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawIndexedIndirect@24=_v3dv_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawIndexedIndirect@28=_v3dv_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawIndexedIndirect@32=_v3dv_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawIndexedIndirect@36=_v3dv_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawIndexedIndirect@40=_v3dv_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawIndexedIndirect@44=_v3dv_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawIndexedIndirect@48=_v3dv_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawIndexedIndirect@60=_v3dv_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawIndexedIndirect@104=_v3dv_CmdDrawIndexedIndirect_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CmdDrawIndexedIndirect=v3dv_CmdDrawIndexedIndirect_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_CmdDrawIndexedIndirect(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, uint32_t drawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_CmdDispatch_Null)(VkCommandBuffer commandBuffer, uint32_t groupCountX, uint32_t groupCountY, uint32_t groupCountZ) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CmdDispatch@4=_v3dv_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDispatch@8=_v3dv_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDispatch@12=_v3dv_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDispatch@16=_v3dv_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDispatch@20=_v3dv_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDispatch@24=_v3dv_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDispatch@28=_v3dv_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDispatch@32=_v3dv_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDispatch@36=_v3dv_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDispatch@40=_v3dv_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDispatch@44=_v3dv_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDispatch@48=_v3dv_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDispatch@60=_v3dv_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDispatch@104=_v3dv_CmdDispatch_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CmdDispatch=v3dv_CmdDispatch_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_CmdDispatch(VkCommandBuffer commandBuffer, uint32_t groupCountX, uint32_t groupCountY, uint32_t groupCountZ) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_CmdDispatchIndirect_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CmdDispatchIndirect@4=_v3dv_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDispatchIndirect@8=_v3dv_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDispatchIndirect@12=_v3dv_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDispatchIndirect@16=_v3dv_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDispatchIndirect@20=_v3dv_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDispatchIndirect@24=_v3dv_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDispatchIndirect@28=_v3dv_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDispatchIndirect@32=_v3dv_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDispatchIndirect@36=_v3dv_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDispatchIndirect@40=_v3dv_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDispatchIndirect@44=_v3dv_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDispatchIndirect@48=_v3dv_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDispatchIndirect@60=_v3dv_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDispatchIndirect@104=_v3dv_CmdDispatchIndirect_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CmdDispatchIndirect=v3dv_CmdDispatchIndirect_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_CmdDispatchIndirect(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_CmdCopyBuffer_Null)(VkCommandBuffer commandBuffer, VkBuffer srcBuffer, VkBuffer dstBuffer, uint32_t regionCount, const VkBufferCopy* pRegions) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyBuffer@4=_v3dv_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyBuffer@8=_v3dv_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyBuffer@12=_v3dv_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyBuffer@16=_v3dv_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyBuffer@20=_v3dv_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyBuffer@24=_v3dv_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyBuffer@28=_v3dv_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyBuffer@32=_v3dv_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyBuffer@36=_v3dv_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyBuffer@40=_v3dv_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyBuffer@44=_v3dv_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyBuffer@48=_v3dv_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyBuffer@60=_v3dv_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyBuffer@104=_v3dv_CmdCopyBuffer_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CmdCopyBuffer=v3dv_CmdCopyBuffer_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_CmdCopyBuffer(VkCommandBuffer commandBuffer, VkBuffer srcBuffer, VkBuffer dstBuffer, uint32_t regionCount, const VkBufferCopy* pRegions) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_CmdCopyImage_Null)(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkImageCopy* pRegions) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyImage@4=_v3dv_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyImage@8=_v3dv_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyImage@12=_v3dv_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyImage@16=_v3dv_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyImage@20=_v3dv_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyImage@24=_v3dv_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyImage@28=_v3dv_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyImage@32=_v3dv_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyImage@36=_v3dv_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyImage@40=_v3dv_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyImage@44=_v3dv_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyImage@48=_v3dv_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyImage@60=_v3dv_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyImage@104=_v3dv_CmdCopyImage_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CmdCopyImage=v3dv_CmdCopyImage_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_CmdCopyImage(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkImageCopy* pRegions) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_CmdBlitImage_Null)(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkImageBlit* pRegions, VkFilter filter) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CmdBlitImage@4=_v3dv_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBlitImage@8=_v3dv_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBlitImage@12=_v3dv_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBlitImage@16=_v3dv_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBlitImage@20=_v3dv_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBlitImage@24=_v3dv_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBlitImage@28=_v3dv_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBlitImage@32=_v3dv_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBlitImage@36=_v3dv_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBlitImage@40=_v3dv_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBlitImage@44=_v3dv_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBlitImage@48=_v3dv_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBlitImage@60=_v3dv_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBlitImage@104=_v3dv_CmdBlitImage_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CmdBlitImage=v3dv_CmdBlitImage_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_CmdBlitImage(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkImageBlit* pRegions, VkFilter filter) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_CmdCopyBufferToImage_Null)(VkCommandBuffer commandBuffer, VkBuffer srcBuffer, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkBufferImageCopy* pRegions) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyBufferToImage@4=_v3dv_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyBufferToImage@8=_v3dv_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyBufferToImage@12=_v3dv_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyBufferToImage@16=_v3dv_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyBufferToImage@20=_v3dv_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyBufferToImage@24=_v3dv_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyBufferToImage@28=_v3dv_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyBufferToImage@32=_v3dv_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyBufferToImage@36=_v3dv_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyBufferToImage@40=_v3dv_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyBufferToImage@44=_v3dv_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyBufferToImage@48=_v3dv_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyBufferToImage@60=_v3dv_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyBufferToImage@104=_v3dv_CmdCopyBufferToImage_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CmdCopyBufferToImage=v3dv_CmdCopyBufferToImage_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_CmdCopyBufferToImage(VkCommandBuffer commandBuffer, VkBuffer srcBuffer, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkBufferImageCopy* pRegions) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_CmdCopyImageToBuffer_Null)(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkBuffer dstBuffer, uint32_t regionCount, const VkBufferImageCopy* pRegions) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyImageToBuffer@4=_v3dv_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyImageToBuffer@8=_v3dv_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyImageToBuffer@12=_v3dv_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyImageToBuffer@16=_v3dv_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyImageToBuffer@20=_v3dv_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyImageToBuffer@24=_v3dv_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyImageToBuffer@28=_v3dv_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyImageToBuffer@32=_v3dv_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyImageToBuffer@36=_v3dv_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyImageToBuffer@40=_v3dv_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyImageToBuffer@44=_v3dv_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyImageToBuffer@48=_v3dv_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyImageToBuffer@60=_v3dv_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyImageToBuffer@104=_v3dv_CmdCopyImageToBuffer_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CmdCopyImageToBuffer=v3dv_CmdCopyImageToBuffer_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_CmdCopyImageToBuffer(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkBuffer dstBuffer, uint32_t regionCount, const VkBufferImageCopy* pRegions) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_CmdUpdateBuffer_Null)(VkCommandBuffer commandBuffer, VkBuffer dstBuffer, VkDeviceSize dstOffset, VkDeviceSize dataSize, const void* pData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CmdUpdateBuffer@4=_v3dv_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdUpdateBuffer@8=_v3dv_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdUpdateBuffer@12=_v3dv_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdUpdateBuffer@16=_v3dv_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdUpdateBuffer@20=_v3dv_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdUpdateBuffer@24=_v3dv_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdUpdateBuffer@28=_v3dv_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdUpdateBuffer@32=_v3dv_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdUpdateBuffer@36=_v3dv_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdUpdateBuffer@40=_v3dv_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdUpdateBuffer@44=_v3dv_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdUpdateBuffer@48=_v3dv_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdUpdateBuffer@60=_v3dv_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdUpdateBuffer@104=_v3dv_CmdUpdateBuffer_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CmdUpdateBuffer=v3dv_CmdUpdateBuffer_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_CmdUpdateBuffer(VkCommandBuffer commandBuffer, VkBuffer dstBuffer, VkDeviceSize dstOffset, VkDeviceSize dataSize, const void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_CmdFillBuffer_Null)(VkCommandBuffer commandBuffer, VkBuffer dstBuffer, VkDeviceSize dstOffset, VkDeviceSize size, uint32_t data) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CmdFillBuffer@4=_v3dv_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdFillBuffer@8=_v3dv_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdFillBuffer@12=_v3dv_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdFillBuffer@16=_v3dv_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdFillBuffer@20=_v3dv_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdFillBuffer@24=_v3dv_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdFillBuffer@28=_v3dv_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdFillBuffer@32=_v3dv_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdFillBuffer@36=_v3dv_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdFillBuffer@40=_v3dv_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdFillBuffer@44=_v3dv_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdFillBuffer@48=_v3dv_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdFillBuffer@60=_v3dv_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdFillBuffer@104=_v3dv_CmdFillBuffer_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CmdFillBuffer=v3dv_CmdFillBuffer_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_CmdFillBuffer(VkCommandBuffer commandBuffer, VkBuffer dstBuffer, VkDeviceSize dstOffset, VkDeviceSize size, uint32_t data) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_CmdClearColorImage_Null)(VkCommandBuffer commandBuffer, VkImage image, VkImageLayout imageLayout, const VkClearColorValue* pColor, uint32_t rangeCount, const VkImageSubresourceRange* pRanges) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CmdClearColorImage@4=_v3dv_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdClearColorImage@8=_v3dv_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdClearColorImage@12=_v3dv_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdClearColorImage@16=_v3dv_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdClearColorImage@20=_v3dv_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdClearColorImage@24=_v3dv_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdClearColorImage@28=_v3dv_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdClearColorImage@32=_v3dv_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdClearColorImage@36=_v3dv_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdClearColorImage@40=_v3dv_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdClearColorImage@44=_v3dv_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdClearColorImage@48=_v3dv_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdClearColorImage@60=_v3dv_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdClearColorImage@104=_v3dv_CmdClearColorImage_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CmdClearColorImage=v3dv_CmdClearColorImage_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_CmdClearColorImage(VkCommandBuffer commandBuffer, VkImage image, VkImageLayout imageLayout, const VkClearColorValue* pColor, uint32_t rangeCount, const VkImageSubresourceRange* pRanges) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_CmdClearDepthStencilImage_Null)(VkCommandBuffer commandBuffer, VkImage image, VkImageLayout imageLayout, const VkClearDepthStencilValue* pDepthStencil, uint32_t rangeCount, const VkImageSubresourceRange* pRanges) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CmdClearDepthStencilImage@4=_v3dv_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdClearDepthStencilImage@8=_v3dv_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdClearDepthStencilImage@12=_v3dv_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdClearDepthStencilImage@16=_v3dv_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdClearDepthStencilImage@20=_v3dv_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdClearDepthStencilImage@24=_v3dv_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdClearDepthStencilImage@28=_v3dv_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdClearDepthStencilImage@32=_v3dv_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdClearDepthStencilImage@36=_v3dv_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdClearDepthStencilImage@40=_v3dv_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdClearDepthStencilImage@44=_v3dv_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdClearDepthStencilImage@48=_v3dv_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdClearDepthStencilImage@60=_v3dv_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdClearDepthStencilImage@104=_v3dv_CmdClearDepthStencilImage_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CmdClearDepthStencilImage=v3dv_CmdClearDepthStencilImage_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_CmdClearDepthStencilImage(VkCommandBuffer commandBuffer, VkImage image, VkImageLayout imageLayout, const VkClearDepthStencilValue* pDepthStencil, uint32_t rangeCount, const VkImageSubresourceRange* pRanges) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_CmdClearAttachments_Null)(VkCommandBuffer commandBuffer, uint32_t attachmentCount, const VkClearAttachment* pAttachments, uint32_t rectCount, const VkClearRect* pRects) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CmdClearAttachments@4=_v3dv_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdClearAttachments@8=_v3dv_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdClearAttachments@12=_v3dv_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdClearAttachments@16=_v3dv_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdClearAttachments@20=_v3dv_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdClearAttachments@24=_v3dv_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdClearAttachments@28=_v3dv_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdClearAttachments@32=_v3dv_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdClearAttachments@36=_v3dv_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdClearAttachments@40=_v3dv_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdClearAttachments@44=_v3dv_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdClearAttachments@48=_v3dv_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdClearAttachments@60=_v3dv_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdClearAttachments@104=_v3dv_CmdClearAttachments_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CmdClearAttachments=v3dv_CmdClearAttachments_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_CmdClearAttachments(VkCommandBuffer commandBuffer, uint32_t attachmentCount, const VkClearAttachment* pAttachments, uint32_t rectCount, const VkClearRect* pRects) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_CmdResolveImage_Null)(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkImageResolve* pRegions) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CmdResolveImage@4=_v3dv_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdResolveImage@8=_v3dv_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdResolveImage@12=_v3dv_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdResolveImage@16=_v3dv_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdResolveImage@20=_v3dv_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdResolveImage@24=_v3dv_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdResolveImage@28=_v3dv_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdResolveImage@32=_v3dv_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdResolveImage@36=_v3dv_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdResolveImage@40=_v3dv_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdResolveImage@44=_v3dv_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdResolveImage@48=_v3dv_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdResolveImage@60=_v3dv_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdResolveImage@104=_v3dv_CmdResolveImage_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CmdResolveImage=v3dv_CmdResolveImage_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_CmdResolveImage(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkImageResolve* pRegions) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_CmdSetEvent_Null)(VkCommandBuffer commandBuffer, VkEvent event, VkPipelineStageFlags stageMask) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetEvent@4=_v3dv_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetEvent@8=_v3dv_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetEvent@12=_v3dv_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetEvent@16=_v3dv_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetEvent@20=_v3dv_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetEvent@24=_v3dv_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetEvent@28=_v3dv_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetEvent@32=_v3dv_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetEvent@36=_v3dv_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetEvent@40=_v3dv_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetEvent@44=_v3dv_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetEvent@48=_v3dv_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetEvent@60=_v3dv_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetEvent@104=_v3dv_CmdSetEvent_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CmdSetEvent=v3dv_CmdSetEvent_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_CmdSetEvent(VkCommandBuffer commandBuffer, VkEvent event, VkPipelineStageFlags stageMask) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_CmdResetEvent_Null)(VkCommandBuffer commandBuffer, VkEvent event, VkPipelineStageFlags stageMask) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CmdResetEvent@4=_v3dv_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdResetEvent@8=_v3dv_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdResetEvent@12=_v3dv_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdResetEvent@16=_v3dv_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdResetEvent@20=_v3dv_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdResetEvent@24=_v3dv_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdResetEvent@28=_v3dv_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdResetEvent@32=_v3dv_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdResetEvent@36=_v3dv_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdResetEvent@40=_v3dv_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdResetEvent@44=_v3dv_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdResetEvent@48=_v3dv_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdResetEvent@60=_v3dv_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdResetEvent@104=_v3dv_CmdResetEvent_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CmdResetEvent=v3dv_CmdResetEvent_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_CmdResetEvent(VkCommandBuffer commandBuffer, VkEvent event, VkPipelineStageFlags stageMask) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_CmdWaitEvents_Null)(VkCommandBuffer commandBuffer, uint32_t eventCount, const VkEvent* pEvents, VkPipelineStageFlags srcStageMask, VkPipelineStageFlags dstStageMask, uint32_t memoryBarrierCount, const VkMemoryBarrier* pMemoryBarriers, uint32_t bufferMemoryBarrierCount, const VkBufferMemoryBarrier* pBufferMemoryBarriers, uint32_t imageMemoryBarrierCount, const VkImageMemoryBarrier* pImageMemoryBarriers) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CmdWaitEvents@4=_v3dv_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdWaitEvents@8=_v3dv_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdWaitEvents@12=_v3dv_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdWaitEvents@16=_v3dv_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdWaitEvents@20=_v3dv_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdWaitEvents@24=_v3dv_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdWaitEvents@28=_v3dv_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdWaitEvents@32=_v3dv_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdWaitEvents@36=_v3dv_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdWaitEvents@40=_v3dv_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdWaitEvents@44=_v3dv_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdWaitEvents@48=_v3dv_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdWaitEvents@60=_v3dv_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdWaitEvents@104=_v3dv_CmdWaitEvents_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CmdWaitEvents=v3dv_CmdWaitEvents_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_CmdWaitEvents(VkCommandBuffer commandBuffer, uint32_t eventCount, const VkEvent* pEvents, VkPipelineStageFlags srcStageMask, VkPipelineStageFlags dstStageMask, uint32_t memoryBarrierCount, const VkMemoryBarrier* pMemoryBarriers, uint32_t bufferMemoryBarrierCount, const VkBufferMemoryBarrier* pBufferMemoryBarriers, uint32_t imageMemoryBarrierCount, const VkImageMemoryBarrier* pImageMemoryBarriers) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_CmdPipelineBarrier_Null)(VkCommandBuffer commandBuffer, VkPipelineStageFlags srcStageMask, VkPipelineStageFlags dstStageMask, VkDependencyFlags dependencyFlags, uint32_t memoryBarrierCount, const VkMemoryBarrier* pMemoryBarriers, uint32_t bufferMemoryBarrierCount, const VkBufferMemoryBarrier* pBufferMemoryBarriers, uint32_t imageMemoryBarrierCount, const VkImageMemoryBarrier* pImageMemoryBarriers) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CmdPipelineBarrier@4=_v3dv_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdPipelineBarrier@8=_v3dv_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdPipelineBarrier@12=_v3dv_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdPipelineBarrier@16=_v3dv_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdPipelineBarrier@20=_v3dv_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdPipelineBarrier@24=_v3dv_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdPipelineBarrier@28=_v3dv_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdPipelineBarrier@32=_v3dv_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdPipelineBarrier@36=_v3dv_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdPipelineBarrier@40=_v3dv_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdPipelineBarrier@44=_v3dv_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdPipelineBarrier@48=_v3dv_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdPipelineBarrier@60=_v3dv_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdPipelineBarrier@104=_v3dv_CmdPipelineBarrier_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CmdPipelineBarrier=v3dv_CmdPipelineBarrier_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_CmdPipelineBarrier(VkCommandBuffer commandBuffer, VkPipelineStageFlags srcStageMask, VkPipelineStageFlags dstStageMask, VkDependencyFlags dependencyFlags, uint32_t memoryBarrierCount, const VkMemoryBarrier* pMemoryBarriers, uint32_t bufferMemoryBarrierCount, const VkBufferMemoryBarrier* pBufferMemoryBarriers, uint32_t imageMemoryBarrierCount, const VkImageMemoryBarrier* pImageMemoryBarriers) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_CmdBeginQuery_Null)(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query, VkQueryControlFlags flags) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CmdBeginQuery@4=_v3dv_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBeginQuery@8=_v3dv_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBeginQuery@12=_v3dv_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBeginQuery@16=_v3dv_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBeginQuery@20=_v3dv_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBeginQuery@24=_v3dv_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBeginQuery@28=_v3dv_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBeginQuery@32=_v3dv_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBeginQuery@36=_v3dv_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBeginQuery@40=_v3dv_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBeginQuery@44=_v3dv_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBeginQuery@48=_v3dv_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBeginQuery@60=_v3dv_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBeginQuery@104=_v3dv_CmdBeginQuery_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CmdBeginQuery=v3dv_CmdBeginQuery_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_CmdBeginQuery(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query, VkQueryControlFlags flags) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_CmdEndQuery_Null)(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CmdEndQuery@4=_v3dv_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdEndQuery@8=_v3dv_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdEndQuery@12=_v3dv_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdEndQuery@16=_v3dv_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdEndQuery@20=_v3dv_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdEndQuery@24=_v3dv_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdEndQuery@28=_v3dv_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdEndQuery@32=_v3dv_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdEndQuery@36=_v3dv_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdEndQuery@40=_v3dv_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdEndQuery@44=_v3dv_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdEndQuery@48=_v3dv_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdEndQuery@60=_v3dv_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdEndQuery@104=_v3dv_CmdEndQuery_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CmdEndQuery=v3dv_CmdEndQuery_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_CmdEndQuery(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_CmdBeginConditionalRenderingEXT_Null)(VkCommandBuffer commandBuffer, const VkConditionalRenderingBeginInfoEXT* pConditionalRenderingBegin) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CmdBeginConditionalRenderingEXT@4=_v3dv_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBeginConditionalRenderingEXT@8=_v3dv_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBeginConditionalRenderingEXT@12=_v3dv_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBeginConditionalRenderingEXT@16=_v3dv_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBeginConditionalRenderingEXT@20=_v3dv_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBeginConditionalRenderingEXT@24=_v3dv_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBeginConditionalRenderingEXT@28=_v3dv_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBeginConditionalRenderingEXT@32=_v3dv_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBeginConditionalRenderingEXT@36=_v3dv_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBeginConditionalRenderingEXT@40=_v3dv_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBeginConditionalRenderingEXT@44=_v3dv_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBeginConditionalRenderingEXT@48=_v3dv_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBeginConditionalRenderingEXT@60=_v3dv_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBeginConditionalRenderingEXT@104=_v3dv_CmdBeginConditionalRenderingEXT_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CmdBeginConditionalRenderingEXT=v3dv_CmdBeginConditionalRenderingEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_CmdBeginConditionalRenderingEXT(VkCommandBuffer commandBuffer, const VkConditionalRenderingBeginInfoEXT* pConditionalRenderingBegin) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_CmdEndConditionalRenderingEXT_Null)(VkCommandBuffer commandBuffer) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CmdEndConditionalRenderingEXT@4=_v3dv_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdEndConditionalRenderingEXT@8=_v3dv_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdEndConditionalRenderingEXT@12=_v3dv_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdEndConditionalRenderingEXT@16=_v3dv_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdEndConditionalRenderingEXT@20=_v3dv_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdEndConditionalRenderingEXT@24=_v3dv_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdEndConditionalRenderingEXT@28=_v3dv_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdEndConditionalRenderingEXT@32=_v3dv_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdEndConditionalRenderingEXT@36=_v3dv_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdEndConditionalRenderingEXT@40=_v3dv_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdEndConditionalRenderingEXT@44=_v3dv_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdEndConditionalRenderingEXT@48=_v3dv_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdEndConditionalRenderingEXT@60=_v3dv_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdEndConditionalRenderingEXT@104=_v3dv_CmdEndConditionalRenderingEXT_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CmdEndConditionalRenderingEXT=v3dv_CmdEndConditionalRenderingEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_CmdEndConditionalRenderingEXT(VkCommandBuffer commandBuffer) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_CmdResetQueryPool_Null)(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CmdResetQueryPool@4=_v3dv_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdResetQueryPool@8=_v3dv_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdResetQueryPool@12=_v3dv_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdResetQueryPool@16=_v3dv_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdResetQueryPool@20=_v3dv_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdResetQueryPool@24=_v3dv_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdResetQueryPool@28=_v3dv_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdResetQueryPool@32=_v3dv_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdResetQueryPool@36=_v3dv_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdResetQueryPool@40=_v3dv_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdResetQueryPool@44=_v3dv_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdResetQueryPool@48=_v3dv_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdResetQueryPool@60=_v3dv_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdResetQueryPool@104=_v3dv_CmdResetQueryPool_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CmdResetQueryPool=v3dv_CmdResetQueryPool_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_CmdResetQueryPool(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_CmdWriteTimestamp_Null)(VkCommandBuffer commandBuffer, VkPipelineStageFlagBits pipelineStage, VkQueryPool queryPool, uint32_t query) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CmdWriteTimestamp@4=_v3dv_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdWriteTimestamp@8=_v3dv_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdWriteTimestamp@12=_v3dv_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdWriteTimestamp@16=_v3dv_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdWriteTimestamp@20=_v3dv_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdWriteTimestamp@24=_v3dv_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdWriteTimestamp@28=_v3dv_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdWriteTimestamp@32=_v3dv_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdWriteTimestamp@36=_v3dv_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdWriteTimestamp@40=_v3dv_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdWriteTimestamp@44=_v3dv_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdWriteTimestamp@48=_v3dv_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdWriteTimestamp@60=_v3dv_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdWriteTimestamp@104=_v3dv_CmdWriteTimestamp_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CmdWriteTimestamp=v3dv_CmdWriteTimestamp_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_CmdWriteTimestamp(VkCommandBuffer commandBuffer, VkPipelineStageFlagBits pipelineStage, VkQueryPool queryPool, uint32_t query) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_CmdCopyQueryPoolResults_Null)(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount, VkBuffer dstBuffer, VkDeviceSize dstOffset, VkDeviceSize stride, VkQueryResultFlags flags) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyQueryPoolResults@4=_v3dv_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyQueryPoolResults@8=_v3dv_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyQueryPoolResults@12=_v3dv_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyQueryPoolResults@16=_v3dv_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyQueryPoolResults@20=_v3dv_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyQueryPoolResults@24=_v3dv_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyQueryPoolResults@28=_v3dv_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyQueryPoolResults@32=_v3dv_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyQueryPoolResults@36=_v3dv_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyQueryPoolResults@40=_v3dv_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyQueryPoolResults@44=_v3dv_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyQueryPoolResults@48=_v3dv_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyQueryPoolResults@60=_v3dv_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyQueryPoolResults@104=_v3dv_CmdCopyQueryPoolResults_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CmdCopyQueryPoolResults=v3dv_CmdCopyQueryPoolResults_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_CmdCopyQueryPoolResults(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount, VkBuffer dstBuffer, VkDeviceSize dstOffset, VkDeviceSize stride, VkQueryResultFlags flags) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_CmdPushConstants_Null)(VkCommandBuffer commandBuffer, VkPipelineLayout layout, VkShaderStageFlags stageFlags, uint32_t offset, uint32_t size, const void* pValues) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CmdPushConstants@4=_v3dv_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdPushConstants@8=_v3dv_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdPushConstants@12=_v3dv_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdPushConstants@16=_v3dv_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdPushConstants@20=_v3dv_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdPushConstants@24=_v3dv_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdPushConstants@28=_v3dv_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdPushConstants@32=_v3dv_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdPushConstants@36=_v3dv_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdPushConstants@40=_v3dv_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdPushConstants@44=_v3dv_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdPushConstants@48=_v3dv_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdPushConstants@60=_v3dv_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdPushConstants@104=_v3dv_CmdPushConstants_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CmdPushConstants=v3dv_CmdPushConstants_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_CmdPushConstants(VkCommandBuffer commandBuffer, VkPipelineLayout layout, VkShaderStageFlags stageFlags, uint32_t offset, uint32_t size, const void* pValues) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_CmdBeginRenderPass_Null)(VkCommandBuffer commandBuffer, const VkRenderPassBeginInfo* pRenderPassBegin, VkSubpassContents contents) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CmdBeginRenderPass@4=_v3dv_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBeginRenderPass@8=_v3dv_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBeginRenderPass@12=_v3dv_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBeginRenderPass@16=_v3dv_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBeginRenderPass@20=_v3dv_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBeginRenderPass@24=_v3dv_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBeginRenderPass@28=_v3dv_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBeginRenderPass@32=_v3dv_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBeginRenderPass@36=_v3dv_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBeginRenderPass@40=_v3dv_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBeginRenderPass@44=_v3dv_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBeginRenderPass@48=_v3dv_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBeginRenderPass@60=_v3dv_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBeginRenderPass@104=_v3dv_CmdBeginRenderPass_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CmdBeginRenderPass=v3dv_CmdBeginRenderPass_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_CmdBeginRenderPass(VkCommandBuffer commandBuffer, const VkRenderPassBeginInfo* pRenderPassBegin, VkSubpassContents contents) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_CmdNextSubpass_Null)(VkCommandBuffer commandBuffer, VkSubpassContents contents) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CmdNextSubpass@4=_v3dv_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdNextSubpass@8=_v3dv_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdNextSubpass@12=_v3dv_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdNextSubpass@16=_v3dv_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdNextSubpass@20=_v3dv_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdNextSubpass@24=_v3dv_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdNextSubpass@28=_v3dv_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdNextSubpass@32=_v3dv_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdNextSubpass@36=_v3dv_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdNextSubpass@40=_v3dv_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdNextSubpass@44=_v3dv_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdNextSubpass@48=_v3dv_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdNextSubpass@60=_v3dv_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdNextSubpass@104=_v3dv_CmdNextSubpass_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CmdNextSubpass=v3dv_CmdNextSubpass_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_CmdNextSubpass(VkCommandBuffer commandBuffer, VkSubpassContents contents) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_CmdEndRenderPass_Null)(VkCommandBuffer commandBuffer) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CmdEndRenderPass@4=_v3dv_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdEndRenderPass@8=_v3dv_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdEndRenderPass@12=_v3dv_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdEndRenderPass@16=_v3dv_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdEndRenderPass@20=_v3dv_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdEndRenderPass@24=_v3dv_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdEndRenderPass@28=_v3dv_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdEndRenderPass@32=_v3dv_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdEndRenderPass@36=_v3dv_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdEndRenderPass@40=_v3dv_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdEndRenderPass@44=_v3dv_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdEndRenderPass@48=_v3dv_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdEndRenderPass@60=_v3dv_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdEndRenderPass@104=_v3dv_CmdEndRenderPass_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CmdEndRenderPass=v3dv_CmdEndRenderPass_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_CmdEndRenderPass(VkCommandBuffer commandBuffer) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_CmdExecuteCommands_Null)(VkCommandBuffer commandBuffer, uint32_t commandBufferCount, const VkCommandBuffer* pCommandBuffers) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CmdExecuteCommands@4=_v3dv_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdExecuteCommands@8=_v3dv_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdExecuteCommands@12=_v3dv_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdExecuteCommands@16=_v3dv_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdExecuteCommands@20=_v3dv_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdExecuteCommands@24=_v3dv_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdExecuteCommands@28=_v3dv_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdExecuteCommands@32=_v3dv_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdExecuteCommands@36=_v3dv_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdExecuteCommands@40=_v3dv_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdExecuteCommands@44=_v3dv_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdExecuteCommands@48=_v3dv_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdExecuteCommands@60=_v3dv_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdExecuteCommands@104=_v3dv_CmdExecuteCommands_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CmdExecuteCommands=v3dv_CmdExecuteCommands_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_CmdExecuteCommands(VkCommandBuffer commandBuffer, uint32_t commandBufferCount, const VkCommandBuffer* pCommandBuffers) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_CreateSharedSwapchainsKHR_Null)(VkDevice device, uint32_t swapchainCount, const VkSwapchainCreateInfoKHR* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkSwapchainKHR* pSwapchains) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CreateSharedSwapchainsKHR@4=_v3dv_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateSharedSwapchainsKHR@8=_v3dv_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateSharedSwapchainsKHR@12=_v3dv_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateSharedSwapchainsKHR@16=_v3dv_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateSharedSwapchainsKHR@20=_v3dv_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateSharedSwapchainsKHR@24=_v3dv_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateSharedSwapchainsKHR@28=_v3dv_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateSharedSwapchainsKHR@32=_v3dv_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateSharedSwapchainsKHR@36=_v3dv_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateSharedSwapchainsKHR@40=_v3dv_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateSharedSwapchainsKHR@44=_v3dv_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateSharedSwapchainsKHR@48=_v3dv_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateSharedSwapchainsKHR@60=_v3dv_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateSharedSwapchainsKHR@104=_v3dv_CreateSharedSwapchainsKHR_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CreateSharedSwapchainsKHR=v3dv_CreateSharedSwapchainsKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_CreateSharedSwapchainsKHR(VkDevice device, uint32_t swapchainCount, const VkSwapchainCreateInfoKHR* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkSwapchainKHR* pSwapchains) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_CreateSwapchainKHR_Null)(VkDevice device, const VkSwapchainCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSwapchainKHR* pSwapchain) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CreateSwapchainKHR@4=_v3dv_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateSwapchainKHR@8=_v3dv_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateSwapchainKHR@12=_v3dv_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateSwapchainKHR@16=_v3dv_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateSwapchainKHR@20=_v3dv_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateSwapchainKHR@24=_v3dv_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateSwapchainKHR@28=_v3dv_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateSwapchainKHR@32=_v3dv_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateSwapchainKHR@36=_v3dv_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateSwapchainKHR@40=_v3dv_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateSwapchainKHR@44=_v3dv_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateSwapchainKHR@48=_v3dv_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateSwapchainKHR@60=_v3dv_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateSwapchainKHR@104=_v3dv_CreateSwapchainKHR_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CreateSwapchainKHR=v3dv_CreateSwapchainKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_CreateSwapchainKHR(VkDevice device, const VkSwapchainCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSwapchainKHR* pSwapchain) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_DestroySwapchainKHR_Null)(VkDevice device, VkSwapchainKHR swapchain, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_DestroySwapchainKHR@4=_v3dv_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroySwapchainKHR@8=_v3dv_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroySwapchainKHR@12=_v3dv_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroySwapchainKHR@16=_v3dv_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroySwapchainKHR@20=_v3dv_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroySwapchainKHR@24=_v3dv_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroySwapchainKHR@28=_v3dv_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroySwapchainKHR@32=_v3dv_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroySwapchainKHR@36=_v3dv_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroySwapchainKHR@40=_v3dv_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroySwapchainKHR@44=_v3dv_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroySwapchainKHR@48=_v3dv_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroySwapchainKHR@60=_v3dv_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroySwapchainKHR@104=_v3dv_DestroySwapchainKHR_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_DestroySwapchainKHR=v3dv_DestroySwapchainKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_DestroySwapchainKHR(VkDevice device, VkSwapchainKHR swapchain, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_GetSwapchainImagesKHR_Null)(VkDevice device, VkSwapchainKHR swapchain, uint32_t* pSwapchainImageCount, VkImage* pSwapchainImages) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_GetSwapchainImagesKHR@4=_v3dv_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetSwapchainImagesKHR@8=_v3dv_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetSwapchainImagesKHR@12=_v3dv_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetSwapchainImagesKHR@16=_v3dv_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetSwapchainImagesKHR@20=_v3dv_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetSwapchainImagesKHR@24=_v3dv_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetSwapchainImagesKHR@28=_v3dv_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetSwapchainImagesKHR@32=_v3dv_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetSwapchainImagesKHR@36=_v3dv_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetSwapchainImagesKHR@40=_v3dv_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetSwapchainImagesKHR@44=_v3dv_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetSwapchainImagesKHR@48=_v3dv_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetSwapchainImagesKHR@60=_v3dv_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetSwapchainImagesKHR@104=_v3dv_GetSwapchainImagesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_GetSwapchainImagesKHR=v3dv_GetSwapchainImagesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_GetSwapchainImagesKHR(VkDevice device, VkSwapchainKHR swapchain, uint32_t* pSwapchainImageCount, VkImage* pSwapchainImages) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_AcquireNextImageKHR_Null)(VkDevice device, VkSwapchainKHR swapchain, uint64_t timeout, VkSemaphore semaphore, VkFence fence, uint32_t* pImageIndex) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_AcquireNextImageKHR@4=_v3dv_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_AcquireNextImageKHR@8=_v3dv_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_AcquireNextImageKHR@12=_v3dv_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_AcquireNextImageKHR@16=_v3dv_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_AcquireNextImageKHR@20=_v3dv_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_AcquireNextImageKHR@24=_v3dv_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_AcquireNextImageKHR@28=_v3dv_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_AcquireNextImageKHR@32=_v3dv_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_AcquireNextImageKHR@36=_v3dv_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_AcquireNextImageKHR@40=_v3dv_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_AcquireNextImageKHR@44=_v3dv_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_AcquireNextImageKHR@48=_v3dv_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_AcquireNextImageKHR@60=_v3dv_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_AcquireNextImageKHR@104=_v3dv_AcquireNextImageKHR_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_AcquireNextImageKHR=v3dv_AcquireNextImageKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_AcquireNextImageKHR(VkDevice device, VkSwapchainKHR swapchain, uint64_t timeout, VkSemaphore semaphore, VkFence fence, uint32_t* pImageIndex) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_QueuePresentKHR_Null)(VkQueue queue, const VkPresentInfoKHR* pPresentInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_QueuePresentKHR@4=_v3dv_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_QueuePresentKHR@8=_v3dv_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_QueuePresentKHR@12=_v3dv_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_QueuePresentKHR@16=_v3dv_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_QueuePresentKHR@20=_v3dv_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_QueuePresentKHR@24=_v3dv_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_QueuePresentKHR@28=_v3dv_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_QueuePresentKHR@32=_v3dv_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_QueuePresentKHR@36=_v3dv_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_QueuePresentKHR@40=_v3dv_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_QueuePresentKHR@44=_v3dv_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_QueuePresentKHR@48=_v3dv_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_QueuePresentKHR@60=_v3dv_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_QueuePresentKHR@104=_v3dv_QueuePresentKHR_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_QueuePresentKHR=v3dv_QueuePresentKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_QueuePresentKHR(VkQueue queue, const VkPresentInfoKHR* pPresentInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_DebugMarkerSetObjectNameEXT_Null)(VkDevice device, const VkDebugMarkerObjectNameInfoEXT* pNameInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_DebugMarkerSetObjectNameEXT@4=_v3dv_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DebugMarkerSetObjectNameEXT@8=_v3dv_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DebugMarkerSetObjectNameEXT@12=_v3dv_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DebugMarkerSetObjectNameEXT@16=_v3dv_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DebugMarkerSetObjectNameEXT@20=_v3dv_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DebugMarkerSetObjectNameEXT@24=_v3dv_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DebugMarkerSetObjectNameEXT@28=_v3dv_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DebugMarkerSetObjectNameEXT@32=_v3dv_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DebugMarkerSetObjectNameEXT@36=_v3dv_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DebugMarkerSetObjectNameEXT@40=_v3dv_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DebugMarkerSetObjectNameEXT@44=_v3dv_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DebugMarkerSetObjectNameEXT@48=_v3dv_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DebugMarkerSetObjectNameEXT@60=_v3dv_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DebugMarkerSetObjectNameEXT@104=_v3dv_DebugMarkerSetObjectNameEXT_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_DebugMarkerSetObjectNameEXT=v3dv_DebugMarkerSetObjectNameEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_DebugMarkerSetObjectNameEXT(VkDevice device, const VkDebugMarkerObjectNameInfoEXT* pNameInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_DebugMarkerSetObjectTagEXT_Null)(VkDevice device, const VkDebugMarkerObjectTagInfoEXT* pTagInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_DebugMarkerSetObjectTagEXT@4=_v3dv_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DebugMarkerSetObjectTagEXT@8=_v3dv_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DebugMarkerSetObjectTagEXT@12=_v3dv_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DebugMarkerSetObjectTagEXT@16=_v3dv_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DebugMarkerSetObjectTagEXT@20=_v3dv_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DebugMarkerSetObjectTagEXT@24=_v3dv_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DebugMarkerSetObjectTagEXT@28=_v3dv_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DebugMarkerSetObjectTagEXT@32=_v3dv_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DebugMarkerSetObjectTagEXT@36=_v3dv_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DebugMarkerSetObjectTagEXT@40=_v3dv_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DebugMarkerSetObjectTagEXT@44=_v3dv_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DebugMarkerSetObjectTagEXT@48=_v3dv_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DebugMarkerSetObjectTagEXT@60=_v3dv_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DebugMarkerSetObjectTagEXT@104=_v3dv_DebugMarkerSetObjectTagEXT_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_DebugMarkerSetObjectTagEXT=v3dv_DebugMarkerSetObjectTagEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_DebugMarkerSetObjectTagEXT(VkDevice device, const VkDebugMarkerObjectTagInfoEXT* pTagInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_CmdDebugMarkerBeginEXT_Null)(VkCommandBuffer commandBuffer, const VkDebugMarkerMarkerInfoEXT* pMarkerInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CmdDebugMarkerBeginEXT@4=_v3dv_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDebugMarkerBeginEXT@8=_v3dv_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDebugMarkerBeginEXT@12=_v3dv_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDebugMarkerBeginEXT@16=_v3dv_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDebugMarkerBeginEXT@20=_v3dv_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDebugMarkerBeginEXT@24=_v3dv_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDebugMarkerBeginEXT@28=_v3dv_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDebugMarkerBeginEXT@32=_v3dv_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDebugMarkerBeginEXT@36=_v3dv_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDebugMarkerBeginEXT@40=_v3dv_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDebugMarkerBeginEXT@44=_v3dv_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDebugMarkerBeginEXT@48=_v3dv_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDebugMarkerBeginEXT@60=_v3dv_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDebugMarkerBeginEXT@104=_v3dv_CmdDebugMarkerBeginEXT_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CmdDebugMarkerBeginEXT=v3dv_CmdDebugMarkerBeginEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_CmdDebugMarkerBeginEXT(VkCommandBuffer commandBuffer, const VkDebugMarkerMarkerInfoEXT* pMarkerInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_CmdDebugMarkerEndEXT_Null)(VkCommandBuffer commandBuffer) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CmdDebugMarkerEndEXT@4=_v3dv_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDebugMarkerEndEXT@8=_v3dv_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDebugMarkerEndEXT@12=_v3dv_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDebugMarkerEndEXT@16=_v3dv_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDebugMarkerEndEXT@20=_v3dv_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDebugMarkerEndEXT@24=_v3dv_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDebugMarkerEndEXT@28=_v3dv_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDebugMarkerEndEXT@32=_v3dv_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDebugMarkerEndEXT@36=_v3dv_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDebugMarkerEndEXT@40=_v3dv_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDebugMarkerEndEXT@44=_v3dv_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDebugMarkerEndEXT@48=_v3dv_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDebugMarkerEndEXT@60=_v3dv_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDebugMarkerEndEXT@104=_v3dv_CmdDebugMarkerEndEXT_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CmdDebugMarkerEndEXT=v3dv_CmdDebugMarkerEndEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_CmdDebugMarkerEndEXT(VkCommandBuffer commandBuffer) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_CmdDebugMarkerInsertEXT_Null)(VkCommandBuffer commandBuffer, const VkDebugMarkerMarkerInfoEXT* pMarkerInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CmdDebugMarkerInsertEXT@4=_v3dv_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDebugMarkerInsertEXT@8=_v3dv_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDebugMarkerInsertEXT@12=_v3dv_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDebugMarkerInsertEXT@16=_v3dv_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDebugMarkerInsertEXT@20=_v3dv_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDebugMarkerInsertEXT@24=_v3dv_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDebugMarkerInsertEXT@28=_v3dv_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDebugMarkerInsertEXT@32=_v3dv_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDebugMarkerInsertEXT@36=_v3dv_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDebugMarkerInsertEXT@40=_v3dv_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDebugMarkerInsertEXT@44=_v3dv_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDebugMarkerInsertEXT@48=_v3dv_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDebugMarkerInsertEXT@60=_v3dv_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDebugMarkerInsertEXT@104=_v3dv_CmdDebugMarkerInsertEXT_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CmdDebugMarkerInsertEXT=v3dv_CmdDebugMarkerInsertEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_CmdDebugMarkerInsertEXT(VkCommandBuffer commandBuffer, const VkDebugMarkerMarkerInfoEXT* pMarkerInfo) __attribute__ ((weak));
#endif
#ifdef VK_USE_PLATFORM_WIN32_KHR
#ifdef _MSC_VER
    VkResult (*v3dv_GetMemoryWin32HandleNV_Null)(VkDevice device, VkDeviceMemory memory, VkExternalMemoryHandleTypeFlagsNV handleType, HANDLE* pHandle) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_GetMemoryWin32HandleNV@4=_v3dv_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetMemoryWin32HandleNV@8=_v3dv_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetMemoryWin32HandleNV@12=_v3dv_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetMemoryWin32HandleNV@16=_v3dv_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetMemoryWin32HandleNV@20=_v3dv_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetMemoryWin32HandleNV@24=_v3dv_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetMemoryWin32HandleNV@28=_v3dv_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetMemoryWin32HandleNV@32=_v3dv_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetMemoryWin32HandleNV@36=_v3dv_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetMemoryWin32HandleNV@40=_v3dv_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetMemoryWin32HandleNV@44=_v3dv_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetMemoryWin32HandleNV@48=_v3dv_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetMemoryWin32HandleNV@60=_v3dv_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetMemoryWin32HandleNV@104=_v3dv_GetMemoryWin32HandleNV_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_GetMemoryWin32HandleNV=v3dv_GetMemoryWin32HandleNV_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_GetMemoryWin32HandleNV(VkDevice device, VkDeviceMemory memory, VkExternalMemoryHandleTypeFlagsNV handleType, HANDLE* pHandle) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef _MSC_VER
    void (*v3dv_CmdExecuteGeneratedCommandsNV_Null)(VkCommandBuffer commandBuffer, VkBool32 isPreprocessed, const VkGeneratedCommandsInfoNV* pGeneratedCommandsInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CmdExecuteGeneratedCommandsNV@4=_v3dv_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdExecuteGeneratedCommandsNV@8=_v3dv_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdExecuteGeneratedCommandsNV@12=_v3dv_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdExecuteGeneratedCommandsNV@16=_v3dv_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdExecuteGeneratedCommandsNV@20=_v3dv_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdExecuteGeneratedCommandsNV@24=_v3dv_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdExecuteGeneratedCommandsNV@28=_v3dv_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdExecuteGeneratedCommandsNV@32=_v3dv_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdExecuteGeneratedCommandsNV@36=_v3dv_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdExecuteGeneratedCommandsNV@40=_v3dv_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdExecuteGeneratedCommandsNV@44=_v3dv_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdExecuteGeneratedCommandsNV@48=_v3dv_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdExecuteGeneratedCommandsNV@60=_v3dv_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdExecuteGeneratedCommandsNV@104=_v3dv_CmdExecuteGeneratedCommandsNV_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CmdExecuteGeneratedCommandsNV=v3dv_CmdExecuteGeneratedCommandsNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_CmdExecuteGeneratedCommandsNV(VkCommandBuffer commandBuffer, VkBool32 isPreprocessed, const VkGeneratedCommandsInfoNV* pGeneratedCommandsInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_CmdPreprocessGeneratedCommandsNV_Null)(VkCommandBuffer commandBuffer, const VkGeneratedCommandsInfoNV* pGeneratedCommandsInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CmdPreprocessGeneratedCommandsNV@4=_v3dv_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdPreprocessGeneratedCommandsNV@8=_v3dv_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdPreprocessGeneratedCommandsNV@12=_v3dv_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdPreprocessGeneratedCommandsNV@16=_v3dv_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdPreprocessGeneratedCommandsNV@20=_v3dv_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdPreprocessGeneratedCommandsNV@24=_v3dv_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdPreprocessGeneratedCommandsNV@28=_v3dv_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdPreprocessGeneratedCommandsNV@32=_v3dv_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdPreprocessGeneratedCommandsNV@36=_v3dv_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdPreprocessGeneratedCommandsNV@40=_v3dv_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdPreprocessGeneratedCommandsNV@44=_v3dv_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdPreprocessGeneratedCommandsNV@48=_v3dv_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdPreprocessGeneratedCommandsNV@60=_v3dv_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdPreprocessGeneratedCommandsNV@104=_v3dv_CmdPreprocessGeneratedCommandsNV_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CmdPreprocessGeneratedCommandsNV=v3dv_CmdPreprocessGeneratedCommandsNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_CmdPreprocessGeneratedCommandsNV(VkCommandBuffer commandBuffer, const VkGeneratedCommandsInfoNV* pGeneratedCommandsInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_CmdBindPipelineShaderGroupNV_Null)(VkCommandBuffer commandBuffer, VkPipelineBindPoint pipelineBindPoint, VkPipeline pipeline, uint32_t groupIndex) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CmdBindPipelineShaderGroupNV@4=_v3dv_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBindPipelineShaderGroupNV@8=_v3dv_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBindPipelineShaderGroupNV@12=_v3dv_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBindPipelineShaderGroupNV@16=_v3dv_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBindPipelineShaderGroupNV@20=_v3dv_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBindPipelineShaderGroupNV@24=_v3dv_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBindPipelineShaderGroupNV@28=_v3dv_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBindPipelineShaderGroupNV@32=_v3dv_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBindPipelineShaderGroupNV@36=_v3dv_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBindPipelineShaderGroupNV@40=_v3dv_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBindPipelineShaderGroupNV@44=_v3dv_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBindPipelineShaderGroupNV@48=_v3dv_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBindPipelineShaderGroupNV@60=_v3dv_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBindPipelineShaderGroupNV@104=_v3dv_CmdBindPipelineShaderGroupNV_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CmdBindPipelineShaderGroupNV=v3dv_CmdBindPipelineShaderGroupNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_CmdBindPipelineShaderGroupNV(VkCommandBuffer commandBuffer, VkPipelineBindPoint pipelineBindPoint, VkPipeline pipeline, uint32_t groupIndex) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_GetGeneratedCommandsMemoryRequirementsNV_Null)(VkDevice device, const VkGeneratedCommandsMemoryRequirementsInfoNV* pInfo, VkMemoryRequirements2* pMemoryRequirements) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_GetGeneratedCommandsMemoryRequirementsNV@4=_v3dv_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetGeneratedCommandsMemoryRequirementsNV@8=_v3dv_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetGeneratedCommandsMemoryRequirementsNV@12=_v3dv_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetGeneratedCommandsMemoryRequirementsNV@16=_v3dv_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetGeneratedCommandsMemoryRequirementsNV@20=_v3dv_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetGeneratedCommandsMemoryRequirementsNV@24=_v3dv_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetGeneratedCommandsMemoryRequirementsNV@28=_v3dv_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetGeneratedCommandsMemoryRequirementsNV@32=_v3dv_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetGeneratedCommandsMemoryRequirementsNV@36=_v3dv_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetGeneratedCommandsMemoryRequirementsNV@40=_v3dv_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetGeneratedCommandsMemoryRequirementsNV@44=_v3dv_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetGeneratedCommandsMemoryRequirementsNV@48=_v3dv_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetGeneratedCommandsMemoryRequirementsNV@60=_v3dv_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetGeneratedCommandsMemoryRequirementsNV@104=_v3dv_GetGeneratedCommandsMemoryRequirementsNV_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_GetGeneratedCommandsMemoryRequirementsNV=v3dv_GetGeneratedCommandsMemoryRequirementsNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_GetGeneratedCommandsMemoryRequirementsNV(VkDevice device, const VkGeneratedCommandsMemoryRequirementsInfoNV* pInfo, VkMemoryRequirements2* pMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_CreateIndirectCommandsLayoutNV_Null)(VkDevice device, const VkIndirectCommandsLayoutCreateInfoNV* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkIndirectCommandsLayoutNV* pIndirectCommandsLayout) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CreateIndirectCommandsLayoutNV@4=_v3dv_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateIndirectCommandsLayoutNV@8=_v3dv_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateIndirectCommandsLayoutNV@12=_v3dv_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateIndirectCommandsLayoutNV@16=_v3dv_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateIndirectCommandsLayoutNV@20=_v3dv_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateIndirectCommandsLayoutNV@24=_v3dv_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateIndirectCommandsLayoutNV@28=_v3dv_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateIndirectCommandsLayoutNV@32=_v3dv_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateIndirectCommandsLayoutNV@36=_v3dv_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateIndirectCommandsLayoutNV@40=_v3dv_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateIndirectCommandsLayoutNV@44=_v3dv_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateIndirectCommandsLayoutNV@48=_v3dv_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateIndirectCommandsLayoutNV@60=_v3dv_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateIndirectCommandsLayoutNV@104=_v3dv_CreateIndirectCommandsLayoutNV_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CreateIndirectCommandsLayoutNV=v3dv_CreateIndirectCommandsLayoutNV_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_CreateIndirectCommandsLayoutNV(VkDevice device, const VkIndirectCommandsLayoutCreateInfoNV* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkIndirectCommandsLayoutNV* pIndirectCommandsLayout) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_DestroyIndirectCommandsLayoutNV_Null)(VkDevice device, VkIndirectCommandsLayoutNV indirectCommandsLayout, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_DestroyIndirectCommandsLayoutNV@4=_v3dv_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyIndirectCommandsLayoutNV@8=_v3dv_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyIndirectCommandsLayoutNV@12=_v3dv_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyIndirectCommandsLayoutNV@16=_v3dv_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyIndirectCommandsLayoutNV@20=_v3dv_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyIndirectCommandsLayoutNV@24=_v3dv_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyIndirectCommandsLayoutNV@28=_v3dv_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyIndirectCommandsLayoutNV@32=_v3dv_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyIndirectCommandsLayoutNV@36=_v3dv_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyIndirectCommandsLayoutNV@40=_v3dv_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyIndirectCommandsLayoutNV@44=_v3dv_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyIndirectCommandsLayoutNV@48=_v3dv_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyIndirectCommandsLayoutNV@60=_v3dv_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyIndirectCommandsLayoutNV@104=_v3dv_DestroyIndirectCommandsLayoutNV_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_DestroyIndirectCommandsLayoutNV=v3dv_DestroyIndirectCommandsLayoutNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_DestroyIndirectCommandsLayoutNV(VkDevice device, VkIndirectCommandsLayoutNV indirectCommandsLayout, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_CmdPushDescriptorSetKHR_Null)(VkCommandBuffer commandBuffer, VkPipelineBindPoint pipelineBindPoint, VkPipelineLayout layout, uint32_t set, uint32_t descriptorWriteCount, const VkWriteDescriptorSet* pDescriptorWrites) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CmdPushDescriptorSetKHR@4=_v3dv_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdPushDescriptorSetKHR@8=_v3dv_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdPushDescriptorSetKHR@12=_v3dv_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdPushDescriptorSetKHR@16=_v3dv_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdPushDescriptorSetKHR@20=_v3dv_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdPushDescriptorSetKHR@24=_v3dv_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdPushDescriptorSetKHR@28=_v3dv_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdPushDescriptorSetKHR@32=_v3dv_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdPushDescriptorSetKHR@36=_v3dv_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdPushDescriptorSetKHR@40=_v3dv_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdPushDescriptorSetKHR@44=_v3dv_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdPushDescriptorSetKHR@48=_v3dv_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdPushDescriptorSetKHR@60=_v3dv_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdPushDescriptorSetKHR@104=_v3dv_CmdPushDescriptorSetKHR_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CmdPushDescriptorSetKHR=v3dv_CmdPushDescriptorSetKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_CmdPushDescriptorSetKHR(VkCommandBuffer commandBuffer, VkPipelineBindPoint pipelineBindPoint, VkPipelineLayout layout, uint32_t set, uint32_t descriptorWriteCount, const VkWriteDescriptorSet* pDescriptorWrites) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_TrimCommandPool_Null)(VkDevice device, VkCommandPool commandPool, VkCommandPoolTrimFlags flags) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_TrimCommandPool@4=_v3dv_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_v3dv_TrimCommandPool@8=_v3dv_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_v3dv_TrimCommandPool@12=_v3dv_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_v3dv_TrimCommandPool@16=_v3dv_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_v3dv_TrimCommandPool@20=_v3dv_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_v3dv_TrimCommandPool@24=_v3dv_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_v3dv_TrimCommandPool@28=_v3dv_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_v3dv_TrimCommandPool@32=_v3dv_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_v3dv_TrimCommandPool@36=_v3dv_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_v3dv_TrimCommandPool@40=_v3dv_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_v3dv_TrimCommandPool@44=_v3dv_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_v3dv_TrimCommandPool@48=_v3dv_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_v3dv_TrimCommandPool@60=_v3dv_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_v3dv_TrimCommandPool@104=_v3dv_TrimCommandPool_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_TrimCommandPool=v3dv_TrimCommandPool_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_TrimCommandPool(VkDevice device, VkCommandPool commandPool, VkCommandPoolTrimFlags flags) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_TrimCommandPoolKHR_Null)(VkDevice device, VkCommandPool commandPool, VkCommandPoolTrimFlags flags) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_TrimCommandPoolKHR@4=_v3dv_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_TrimCommandPoolKHR@8=_v3dv_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_TrimCommandPoolKHR@12=_v3dv_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_TrimCommandPoolKHR@16=_v3dv_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_TrimCommandPoolKHR@20=_v3dv_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_TrimCommandPoolKHR@24=_v3dv_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_TrimCommandPoolKHR@28=_v3dv_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_TrimCommandPoolKHR@32=_v3dv_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_TrimCommandPoolKHR@36=_v3dv_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_TrimCommandPoolKHR@40=_v3dv_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_TrimCommandPoolKHR@44=_v3dv_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_TrimCommandPoolKHR@48=_v3dv_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_TrimCommandPoolKHR@60=_v3dv_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_TrimCommandPoolKHR@104=_v3dv_TrimCommandPoolKHR_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_TrimCommandPoolKHR=v3dv_TrimCommandPoolKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_TrimCommandPoolKHR(VkDevice device, VkCommandPool commandPool, VkCommandPoolTrimFlags flags) __attribute__ ((weak));
#endif
#ifdef VK_USE_PLATFORM_WIN32_KHR
#ifdef _MSC_VER
    VkResult (*v3dv_GetMemoryWin32HandleKHR_Null)(VkDevice device, const VkMemoryGetWin32HandleInfoKHR* pGetWin32HandleInfo, HANDLE* pHandle) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_GetMemoryWin32HandleKHR@4=_v3dv_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetMemoryWin32HandleKHR@8=_v3dv_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetMemoryWin32HandleKHR@12=_v3dv_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetMemoryWin32HandleKHR@16=_v3dv_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetMemoryWin32HandleKHR@20=_v3dv_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetMemoryWin32HandleKHR@24=_v3dv_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetMemoryWin32HandleKHR@28=_v3dv_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetMemoryWin32HandleKHR@32=_v3dv_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetMemoryWin32HandleKHR@36=_v3dv_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetMemoryWin32HandleKHR@40=_v3dv_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetMemoryWin32HandleKHR@44=_v3dv_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetMemoryWin32HandleKHR@48=_v3dv_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetMemoryWin32HandleKHR@60=_v3dv_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetMemoryWin32HandleKHR@104=_v3dv_GetMemoryWin32HandleKHR_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_GetMemoryWin32HandleKHR=v3dv_GetMemoryWin32HandleKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_GetMemoryWin32HandleKHR(VkDevice device, const VkMemoryGetWin32HandleInfoKHR* pGetWin32HandleInfo, HANDLE* pHandle) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef VK_USE_PLATFORM_WIN32_KHR
#ifdef _MSC_VER
    VkResult (*v3dv_GetMemoryWin32HandlePropertiesKHR_Null)(VkDevice device, VkExternalMemoryHandleTypeFlagBits handleType, HANDLE handle, VkMemoryWin32HandlePropertiesKHR* pMemoryWin32HandleProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_GetMemoryWin32HandlePropertiesKHR@4=_v3dv_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetMemoryWin32HandlePropertiesKHR@8=_v3dv_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetMemoryWin32HandlePropertiesKHR@12=_v3dv_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetMemoryWin32HandlePropertiesKHR@16=_v3dv_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetMemoryWin32HandlePropertiesKHR@20=_v3dv_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetMemoryWin32HandlePropertiesKHR@24=_v3dv_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetMemoryWin32HandlePropertiesKHR@28=_v3dv_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetMemoryWin32HandlePropertiesKHR@32=_v3dv_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetMemoryWin32HandlePropertiesKHR@36=_v3dv_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetMemoryWin32HandlePropertiesKHR@40=_v3dv_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetMemoryWin32HandlePropertiesKHR@44=_v3dv_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetMemoryWin32HandlePropertiesKHR@48=_v3dv_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetMemoryWin32HandlePropertiesKHR@60=_v3dv_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetMemoryWin32HandlePropertiesKHR@104=_v3dv_GetMemoryWin32HandlePropertiesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_GetMemoryWin32HandlePropertiesKHR=v3dv_GetMemoryWin32HandlePropertiesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_GetMemoryWin32HandlePropertiesKHR(VkDevice device, VkExternalMemoryHandleTypeFlagBits handleType, HANDLE handle, VkMemoryWin32HandlePropertiesKHR* pMemoryWin32HandleProperties) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef _MSC_VER
    VkResult (*v3dv_GetMemoryFdKHR_Null)(VkDevice device, const VkMemoryGetFdInfoKHR* pGetFdInfo, int* pFd) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_GetMemoryFdKHR@4=_v3dv_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetMemoryFdKHR@8=_v3dv_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetMemoryFdKHR@12=_v3dv_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetMemoryFdKHR@16=_v3dv_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetMemoryFdKHR@20=_v3dv_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetMemoryFdKHR@24=_v3dv_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetMemoryFdKHR@28=_v3dv_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetMemoryFdKHR@32=_v3dv_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetMemoryFdKHR@36=_v3dv_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetMemoryFdKHR@40=_v3dv_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetMemoryFdKHR@44=_v3dv_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetMemoryFdKHR@48=_v3dv_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetMemoryFdKHR@60=_v3dv_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetMemoryFdKHR@104=_v3dv_GetMemoryFdKHR_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_GetMemoryFdKHR=v3dv_GetMemoryFdKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_GetMemoryFdKHR(VkDevice device, const VkMemoryGetFdInfoKHR* pGetFdInfo, int* pFd) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_GetMemoryFdPropertiesKHR_Null)(VkDevice device, VkExternalMemoryHandleTypeFlagBits handleType, int fd, VkMemoryFdPropertiesKHR* pMemoryFdProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_GetMemoryFdPropertiesKHR@4=_v3dv_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetMemoryFdPropertiesKHR@8=_v3dv_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetMemoryFdPropertiesKHR@12=_v3dv_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetMemoryFdPropertiesKHR@16=_v3dv_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetMemoryFdPropertiesKHR@20=_v3dv_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetMemoryFdPropertiesKHR@24=_v3dv_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetMemoryFdPropertiesKHR@28=_v3dv_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetMemoryFdPropertiesKHR@32=_v3dv_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetMemoryFdPropertiesKHR@36=_v3dv_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetMemoryFdPropertiesKHR@40=_v3dv_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetMemoryFdPropertiesKHR@44=_v3dv_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetMemoryFdPropertiesKHR@48=_v3dv_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetMemoryFdPropertiesKHR@60=_v3dv_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetMemoryFdPropertiesKHR@104=_v3dv_GetMemoryFdPropertiesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_GetMemoryFdPropertiesKHR=v3dv_GetMemoryFdPropertiesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_GetMemoryFdPropertiesKHR(VkDevice device, VkExternalMemoryHandleTypeFlagBits handleType, int fd, VkMemoryFdPropertiesKHR* pMemoryFdProperties) __attribute__ ((weak));
#endif
#ifdef VK_USE_PLATFORM_WIN32_KHR
#ifdef _MSC_VER
    VkResult (*v3dv_GetSemaphoreWin32HandleKHR_Null)(VkDevice device, const VkSemaphoreGetWin32HandleInfoKHR* pGetWin32HandleInfo, HANDLE* pHandle) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_GetSemaphoreWin32HandleKHR@4=_v3dv_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetSemaphoreWin32HandleKHR@8=_v3dv_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetSemaphoreWin32HandleKHR@12=_v3dv_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetSemaphoreWin32HandleKHR@16=_v3dv_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetSemaphoreWin32HandleKHR@20=_v3dv_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetSemaphoreWin32HandleKHR@24=_v3dv_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetSemaphoreWin32HandleKHR@28=_v3dv_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetSemaphoreWin32HandleKHR@32=_v3dv_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetSemaphoreWin32HandleKHR@36=_v3dv_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetSemaphoreWin32HandleKHR@40=_v3dv_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetSemaphoreWin32HandleKHR@44=_v3dv_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetSemaphoreWin32HandleKHR@48=_v3dv_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetSemaphoreWin32HandleKHR@60=_v3dv_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetSemaphoreWin32HandleKHR@104=_v3dv_GetSemaphoreWin32HandleKHR_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_GetSemaphoreWin32HandleKHR=v3dv_GetSemaphoreWin32HandleKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_GetSemaphoreWin32HandleKHR(VkDevice device, const VkSemaphoreGetWin32HandleInfoKHR* pGetWin32HandleInfo, HANDLE* pHandle) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef VK_USE_PLATFORM_WIN32_KHR
#ifdef _MSC_VER
    VkResult (*v3dv_ImportSemaphoreWin32HandleKHR_Null)(VkDevice device, const VkImportSemaphoreWin32HandleInfoKHR* pImportSemaphoreWin32HandleInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_ImportSemaphoreWin32HandleKHR@4=_v3dv_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ImportSemaphoreWin32HandleKHR@8=_v3dv_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ImportSemaphoreWin32HandleKHR@12=_v3dv_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ImportSemaphoreWin32HandleKHR@16=_v3dv_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ImportSemaphoreWin32HandleKHR@20=_v3dv_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ImportSemaphoreWin32HandleKHR@24=_v3dv_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ImportSemaphoreWin32HandleKHR@28=_v3dv_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ImportSemaphoreWin32HandleKHR@32=_v3dv_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ImportSemaphoreWin32HandleKHR@36=_v3dv_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ImportSemaphoreWin32HandleKHR@40=_v3dv_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ImportSemaphoreWin32HandleKHR@44=_v3dv_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ImportSemaphoreWin32HandleKHR@48=_v3dv_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ImportSemaphoreWin32HandleKHR@60=_v3dv_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ImportSemaphoreWin32HandleKHR@104=_v3dv_ImportSemaphoreWin32HandleKHR_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_ImportSemaphoreWin32HandleKHR=v3dv_ImportSemaphoreWin32HandleKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_ImportSemaphoreWin32HandleKHR(VkDevice device, const VkImportSemaphoreWin32HandleInfoKHR* pImportSemaphoreWin32HandleInfo) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef _MSC_VER
    VkResult (*v3dv_GetSemaphoreFdKHR_Null)(VkDevice device, const VkSemaphoreGetFdInfoKHR* pGetFdInfo, int* pFd) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_GetSemaphoreFdKHR@4=_v3dv_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetSemaphoreFdKHR@8=_v3dv_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetSemaphoreFdKHR@12=_v3dv_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetSemaphoreFdKHR@16=_v3dv_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetSemaphoreFdKHR@20=_v3dv_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetSemaphoreFdKHR@24=_v3dv_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetSemaphoreFdKHR@28=_v3dv_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetSemaphoreFdKHR@32=_v3dv_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetSemaphoreFdKHR@36=_v3dv_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetSemaphoreFdKHR@40=_v3dv_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetSemaphoreFdKHR@44=_v3dv_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetSemaphoreFdKHR@48=_v3dv_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetSemaphoreFdKHR@60=_v3dv_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetSemaphoreFdKHR@104=_v3dv_GetSemaphoreFdKHR_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_GetSemaphoreFdKHR=v3dv_GetSemaphoreFdKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_GetSemaphoreFdKHR(VkDevice device, const VkSemaphoreGetFdInfoKHR* pGetFdInfo, int* pFd) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_ImportSemaphoreFdKHR_Null)(VkDevice device, const VkImportSemaphoreFdInfoKHR* pImportSemaphoreFdInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_ImportSemaphoreFdKHR@4=_v3dv_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ImportSemaphoreFdKHR@8=_v3dv_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ImportSemaphoreFdKHR@12=_v3dv_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ImportSemaphoreFdKHR@16=_v3dv_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ImportSemaphoreFdKHR@20=_v3dv_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ImportSemaphoreFdKHR@24=_v3dv_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ImportSemaphoreFdKHR@28=_v3dv_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ImportSemaphoreFdKHR@32=_v3dv_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ImportSemaphoreFdKHR@36=_v3dv_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ImportSemaphoreFdKHR@40=_v3dv_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ImportSemaphoreFdKHR@44=_v3dv_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ImportSemaphoreFdKHR@48=_v3dv_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ImportSemaphoreFdKHR@60=_v3dv_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ImportSemaphoreFdKHR@104=_v3dv_ImportSemaphoreFdKHR_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_ImportSemaphoreFdKHR=v3dv_ImportSemaphoreFdKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_ImportSemaphoreFdKHR(VkDevice device, const VkImportSemaphoreFdInfoKHR* pImportSemaphoreFdInfo) __attribute__ ((weak));
#endif
#ifdef VK_USE_PLATFORM_WIN32_KHR
#ifdef _MSC_VER
    VkResult (*v3dv_GetFenceWin32HandleKHR_Null)(VkDevice device, const VkFenceGetWin32HandleInfoKHR* pGetWin32HandleInfo, HANDLE* pHandle) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_GetFenceWin32HandleKHR@4=_v3dv_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetFenceWin32HandleKHR@8=_v3dv_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetFenceWin32HandleKHR@12=_v3dv_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetFenceWin32HandleKHR@16=_v3dv_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetFenceWin32HandleKHR@20=_v3dv_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetFenceWin32HandleKHR@24=_v3dv_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetFenceWin32HandleKHR@28=_v3dv_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetFenceWin32HandleKHR@32=_v3dv_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetFenceWin32HandleKHR@36=_v3dv_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetFenceWin32HandleKHR@40=_v3dv_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetFenceWin32HandleKHR@44=_v3dv_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetFenceWin32HandleKHR@48=_v3dv_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetFenceWin32HandleKHR@60=_v3dv_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetFenceWin32HandleKHR@104=_v3dv_GetFenceWin32HandleKHR_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_GetFenceWin32HandleKHR=v3dv_GetFenceWin32HandleKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_GetFenceWin32HandleKHR(VkDevice device, const VkFenceGetWin32HandleInfoKHR* pGetWin32HandleInfo, HANDLE* pHandle) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef VK_USE_PLATFORM_WIN32_KHR
#ifdef _MSC_VER
    VkResult (*v3dv_ImportFenceWin32HandleKHR_Null)(VkDevice device, const VkImportFenceWin32HandleInfoKHR* pImportFenceWin32HandleInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_ImportFenceWin32HandleKHR@4=_v3dv_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ImportFenceWin32HandleKHR@8=_v3dv_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ImportFenceWin32HandleKHR@12=_v3dv_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ImportFenceWin32HandleKHR@16=_v3dv_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ImportFenceWin32HandleKHR@20=_v3dv_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ImportFenceWin32HandleKHR@24=_v3dv_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ImportFenceWin32HandleKHR@28=_v3dv_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ImportFenceWin32HandleKHR@32=_v3dv_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ImportFenceWin32HandleKHR@36=_v3dv_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ImportFenceWin32HandleKHR@40=_v3dv_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ImportFenceWin32HandleKHR@44=_v3dv_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ImportFenceWin32HandleKHR@48=_v3dv_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ImportFenceWin32HandleKHR@60=_v3dv_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ImportFenceWin32HandleKHR@104=_v3dv_ImportFenceWin32HandleKHR_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_ImportFenceWin32HandleKHR=v3dv_ImportFenceWin32HandleKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_ImportFenceWin32HandleKHR(VkDevice device, const VkImportFenceWin32HandleInfoKHR* pImportFenceWin32HandleInfo) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef _MSC_VER
    VkResult (*v3dv_GetFenceFdKHR_Null)(VkDevice device, const VkFenceGetFdInfoKHR* pGetFdInfo, int* pFd) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_GetFenceFdKHR@4=_v3dv_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetFenceFdKHR@8=_v3dv_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetFenceFdKHR@12=_v3dv_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetFenceFdKHR@16=_v3dv_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetFenceFdKHR@20=_v3dv_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetFenceFdKHR@24=_v3dv_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetFenceFdKHR@28=_v3dv_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetFenceFdKHR@32=_v3dv_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetFenceFdKHR@36=_v3dv_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetFenceFdKHR@40=_v3dv_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetFenceFdKHR@44=_v3dv_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetFenceFdKHR@48=_v3dv_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetFenceFdKHR@60=_v3dv_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetFenceFdKHR@104=_v3dv_GetFenceFdKHR_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_GetFenceFdKHR=v3dv_GetFenceFdKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_GetFenceFdKHR(VkDevice device, const VkFenceGetFdInfoKHR* pGetFdInfo, int* pFd) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_ImportFenceFdKHR_Null)(VkDevice device, const VkImportFenceFdInfoKHR* pImportFenceFdInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_ImportFenceFdKHR@4=_v3dv_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ImportFenceFdKHR@8=_v3dv_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ImportFenceFdKHR@12=_v3dv_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ImportFenceFdKHR@16=_v3dv_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ImportFenceFdKHR@20=_v3dv_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ImportFenceFdKHR@24=_v3dv_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ImportFenceFdKHR@28=_v3dv_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ImportFenceFdKHR@32=_v3dv_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ImportFenceFdKHR@36=_v3dv_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ImportFenceFdKHR@40=_v3dv_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ImportFenceFdKHR@44=_v3dv_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ImportFenceFdKHR@48=_v3dv_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ImportFenceFdKHR@60=_v3dv_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ImportFenceFdKHR@104=_v3dv_ImportFenceFdKHR_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_ImportFenceFdKHR=v3dv_ImportFenceFdKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_ImportFenceFdKHR(VkDevice device, const VkImportFenceFdInfoKHR* pImportFenceFdInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_DisplayPowerControlEXT_Null)(VkDevice device, VkDisplayKHR display, const VkDisplayPowerInfoEXT* pDisplayPowerInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_DisplayPowerControlEXT@4=_v3dv_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DisplayPowerControlEXT@8=_v3dv_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DisplayPowerControlEXT@12=_v3dv_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DisplayPowerControlEXT@16=_v3dv_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DisplayPowerControlEXT@20=_v3dv_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DisplayPowerControlEXT@24=_v3dv_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DisplayPowerControlEXT@28=_v3dv_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DisplayPowerControlEXT@32=_v3dv_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DisplayPowerControlEXT@36=_v3dv_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DisplayPowerControlEXT@40=_v3dv_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DisplayPowerControlEXT@44=_v3dv_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DisplayPowerControlEXT@48=_v3dv_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DisplayPowerControlEXT@60=_v3dv_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DisplayPowerControlEXT@104=_v3dv_DisplayPowerControlEXT_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_DisplayPowerControlEXT=v3dv_DisplayPowerControlEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_DisplayPowerControlEXT(VkDevice device, VkDisplayKHR display, const VkDisplayPowerInfoEXT* pDisplayPowerInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_RegisterDeviceEventEXT_Null)(VkDevice device, const VkDeviceEventInfoEXT* pDeviceEventInfo, const VkAllocationCallbacks* pAllocator, VkFence* pFence) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_RegisterDeviceEventEXT@4=_v3dv_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_RegisterDeviceEventEXT@8=_v3dv_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_RegisterDeviceEventEXT@12=_v3dv_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_RegisterDeviceEventEXT@16=_v3dv_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_RegisterDeviceEventEXT@20=_v3dv_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_RegisterDeviceEventEXT@24=_v3dv_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_RegisterDeviceEventEXT@28=_v3dv_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_RegisterDeviceEventEXT@32=_v3dv_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_RegisterDeviceEventEXT@36=_v3dv_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_RegisterDeviceEventEXT@40=_v3dv_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_RegisterDeviceEventEXT@44=_v3dv_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_RegisterDeviceEventEXT@48=_v3dv_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_RegisterDeviceEventEXT@60=_v3dv_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_RegisterDeviceEventEXT@104=_v3dv_RegisterDeviceEventEXT_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_RegisterDeviceEventEXT=v3dv_RegisterDeviceEventEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_RegisterDeviceEventEXT(VkDevice device, const VkDeviceEventInfoEXT* pDeviceEventInfo, const VkAllocationCallbacks* pAllocator, VkFence* pFence) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_RegisterDisplayEventEXT_Null)(VkDevice device, VkDisplayKHR display, const VkDisplayEventInfoEXT* pDisplayEventInfo, const VkAllocationCallbacks* pAllocator, VkFence* pFence) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_RegisterDisplayEventEXT@4=_v3dv_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_RegisterDisplayEventEXT@8=_v3dv_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_RegisterDisplayEventEXT@12=_v3dv_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_RegisterDisplayEventEXT@16=_v3dv_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_RegisterDisplayEventEXT@20=_v3dv_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_RegisterDisplayEventEXT@24=_v3dv_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_RegisterDisplayEventEXT@28=_v3dv_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_RegisterDisplayEventEXT@32=_v3dv_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_RegisterDisplayEventEXT@36=_v3dv_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_RegisterDisplayEventEXT@40=_v3dv_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_RegisterDisplayEventEXT@44=_v3dv_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_RegisterDisplayEventEXT@48=_v3dv_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_RegisterDisplayEventEXT@60=_v3dv_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_RegisterDisplayEventEXT@104=_v3dv_RegisterDisplayEventEXT_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_RegisterDisplayEventEXT=v3dv_RegisterDisplayEventEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_RegisterDisplayEventEXT(VkDevice device, VkDisplayKHR display, const VkDisplayEventInfoEXT* pDisplayEventInfo, const VkAllocationCallbacks* pAllocator, VkFence* pFence) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_GetSwapchainCounterEXT_Null)(VkDevice device, VkSwapchainKHR swapchain, VkSurfaceCounterFlagBitsEXT counter, uint64_t* pCounterValue) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_GetSwapchainCounterEXT@4=_v3dv_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetSwapchainCounterEXT@8=_v3dv_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetSwapchainCounterEXT@12=_v3dv_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetSwapchainCounterEXT@16=_v3dv_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetSwapchainCounterEXT@20=_v3dv_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetSwapchainCounterEXT@24=_v3dv_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetSwapchainCounterEXT@28=_v3dv_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetSwapchainCounterEXT@32=_v3dv_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetSwapchainCounterEXT@36=_v3dv_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetSwapchainCounterEXT@40=_v3dv_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetSwapchainCounterEXT@44=_v3dv_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetSwapchainCounterEXT@48=_v3dv_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetSwapchainCounterEXT@60=_v3dv_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetSwapchainCounterEXT@104=_v3dv_GetSwapchainCounterEXT_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_GetSwapchainCounterEXT=v3dv_GetSwapchainCounterEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_GetSwapchainCounterEXT(VkDevice device, VkSwapchainKHR swapchain, VkSurfaceCounterFlagBitsEXT counter, uint64_t* pCounterValue) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_GetDeviceGroupPeerMemoryFeatures_Null)(VkDevice device, uint32_t heapIndex, uint32_t localDeviceIndex, uint32_t remoteDeviceIndex, VkPeerMemoryFeatureFlags* pPeerMemoryFeatures) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceGroupPeerMemoryFeatures@4=_v3dv_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceGroupPeerMemoryFeatures@8=_v3dv_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceGroupPeerMemoryFeatures@12=_v3dv_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceGroupPeerMemoryFeatures@16=_v3dv_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceGroupPeerMemoryFeatures@20=_v3dv_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceGroupPeerMemoryFeatures@24=_v3dv_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceGroupPeerMemoryFeatures@28=_v3dv_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceGroupPeerMemoryFeatures@32=_v3dv_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceGroupPeerMemoryFeatures@36=_v3dv_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceGroupPeerMemoryFeatures@40=_v3dv_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceGroupPeerMemoryFeatures@44=_v3dv_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceGroupPeerMemoryFeatures@48=_v3dv_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceGroupPeerMemoryFeatures@60=_v3dv_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceGroupPeerMemoryFeatures@104=_v3dv_GetDeviceGroupPeerMemoryFeatures_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_GetDeviceGroupPeerMemoryFeatures=v3dv_GetDeviceGroupPeerMemoryFeatures_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_GetDeviceGroupPeerMemoryFeatures(VkDevice device, uint32_t heapIndex, uint32_t localDeviceIndex, uint32_t remoteDeviceIndex, VkPeerMemoryFeatureFlags* pPeerMemoryFeatures) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_GetDeviceGroupPeerMemoryFeaturesKHR_Null)(VkDevice device, uint32_t heapIndex, uint32_t localDeviceIndex, uint32_t remoteDeviceIndex, VkPeerMemoryFeatureFlags* pPeerMemoryFeatures) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceGroupPeerMemoryFeaturesKHR@4=_v3dv_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceGroupPeerMemoryFeaturesKHR@8=_v3dv_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceGroupPeerMemoryFeaturesKHR@12=_v3dv_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceGroupPeerMemoryFeaturesKHR@16=_v3dv_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceGroupPeerMemoryFeaturesKHR@20=_v3dv_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceGroupPeerMemoryFeaturesKHR@24=_v3dv_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceGroupPeerMemoryFeaturesKHR@28=_v3dv_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceGroupPeerMemoryFeaturesKHR@32=_v3dv_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceGroupPeerMemoryFeaturesKHR@36=_v3dv_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceGroupPeerMemoryFeaturesKHR@40=_v3dv_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceGroupPeerMemoryFeaturesKHR@44=_v3dv_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceGroupPeerMemoryFeaturesKHR@48=_v3dv_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceGroupPeerMemoryFeaturesKHR@60=_v3dv_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceGroupPeerMemoryFeaturesKHR@104=_v3dv_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_GetDeviceGroupPeerMemoryFeaturesKHR=v3dv_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_GetDeviceGroupPeerMemoryFeaturesKHR(VkDevice device, uint32_t heapIndex, uint32_t localDeviceIndex, uint32_t remoteDeviceIndex, VkPeerMemoryFeatureFlags* pPeerMemoryFeatures) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_BindBufferMemory2_Null)(VkDevice device, uint32_t bindInfoCount, const VkBindBufferMemoryInfo* pBindInfos) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_BindBufferMemory2@4=_v3dv_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_BindBufferMemory2@8=_v3dv_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_BindBufferMemory2@12=_v3dv_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_BindBufferMemory2@16=_v3dv_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_BindBufferMemory2@20=_v3dv_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_BindBufferMemory2@24=_v3dv_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_BindBufferMemory2@28=_v3dv_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_BindBufferMemory2@32=_v3dv_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_BindBufferMemory2@36=_v3dv_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_BindBufferMemory2@40=_v3dv_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_BindBufferMemory2@44=_v3dv_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_BindBufferMemory2@48=_v3dv_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_BindBufferMemory2@60=_v3dv_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_BindBufferMemory2@104=_v3dv_BindBufferMemory2_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_BindBufferMemory2=v3dv_BindBufferMemory2_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_BindBufferMemory2(VkDevice device, uint32_t bindInfoCount, const VkBindBufferMemoryInfo* pBindInfos) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_BindBufferMemory2KHR_Null)(VkDevice device, uint32_t bindInfoCount, const VkBindBufferMemoryInfo* pBindInfos) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_BindBufferMemory2KHR@4=_v3dv_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_BindBufferMemory2KHR@8=_v3dv_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_BindBufferMemory2KHR@12=_v3dv_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_BindBufferMemory2KHR@16=_v3dv_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_BindBufferMemory2KHR@20=_v3dv_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_BindBufferMemory2KHR@24=_v3dv_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_BindBufferMemory2KHR@28=_v3dv_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_BindBufferMemory2KHR@32=_v3dv_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_BindBufferMemory2KHR@36=_v3dv_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_BindBufferMemory2KHR@40=_v3dv_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_BindBufferMemory2KHR@44=_v3dv_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_BindBufferMemory2KHR@48=_v3dv_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_BindBufferMemory2KHR@60=_v3dv_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_BindBufferMemory2KHR@104=_v3dv_BindBufferMemory2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_BindBufferMemory2KHR=v3dv_BindBufferMemory2KHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_BindBufferMemory2KHR(VkDevice device, uint32_t bindInfoCount, const VkBindBufferMemoryInfo* pBindInfos) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_BindImageMemory2_Null)(VkDevice device, uint32_t bindInfoCount, const VkBindImageMemoryInfo* pBindInfos) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_BindImageMemory2@4=_v3dv_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_BindImageMemory2@8=_v3dv_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_BindImageMemory2@12=_v3dv_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_BindImageMemory2@16=_v3dv_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_BindImageMemory2@20=_v3dv_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_BindImageMemory2@24=_v3dv_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_BindImageMemory2@28=_v3dv_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_BindImageMemory2@32=_v3dv_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_BindImageMemory2@36=_v3dv_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_BindImageMemory2@40=_v3dv_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_BindImageMemory2@44=_v3dv_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_BindImageMemory2@48=_v3dv_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_BindImageMemory2@60=_v3dv_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_BindImageMemory2@104=_v3dv_BindImageMemory2_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_BindImageMemory2=v3dv_BindImageMemory2_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_BindImageMemory2(VkDevice device, uint32_t bindInfoCount, const VkBindImageMemoryInfo* pBindInfos) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_BindImageMemory2KHR_Null)(VkDevice device, uint32_t bindInfoCount, const VkBindImageMemoryInfo* pBindInfos) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_BindImageMemory2KHR@4=_v3dv_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_BindImageMemory2KHR@8=_v3dv_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_BindImageMemory2KHR@12=_v3dv_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_BindImageMemory2KHR@16=_v3dv_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_BindImageMemory2KHR@20=_v3dv_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_BindImageMemory2KHR@24=_v3dv_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_BindImageMemory2KHR@28=_v3dv_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_BindImageMemory2KHR@32=_v3dv_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_BindImageMemory2KHR@36=_v3dv_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_BindImageMemory2KHR@40=_v3dv_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_BindImageMemory2KHR@44=_v3dv_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_BindImageMemory2KHR@48=_v3dv_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_BindImageMemory2KHR@60=_v3dv_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_BindImageMemory2KHR@104=_v3dv_BindImageMemory2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_BindImageMemory2KHR=v3dv_BindImageMemory2KHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_BindImageMemory2KHR(VkDevice device, uint32_t bindInfoCount, const VkBindImageMemoryInfo* pBindInfos) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_CmdSetDeviceMask_Null)(VkCommandBuffer commandBuffer, uint32_t deviceMask) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetDeviceMask@4=_v3dv_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetDeviceMask@8=_v3dv_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetDeviceMask@12=_v3dv_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetDeviceMask@16=_v3dv_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetDeviceMask@20=_v3dv_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetDeviceMask@24=_v3dv_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetDeviceMask@28=_v3dv_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetDeviceMask@32=_v3dv_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetDeviceMask@36=_v3dv_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetDeviceMask@40=_v3dv_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetDeviceMask@44=_v3dv_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetDeviceMask@48=_v3dv_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetDeviceMask@60=_v3dv_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetDeviceMask@104=_v3dv_CmdSetDeviceMask_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CmdSetDeviceMask=v3dv_CmdSetDeviceMask_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_CmdSetDeviceMask(VkCommandBuffer commandBuffer, uint32_t deviceMask) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_CmdSetDeviceMaskKHR_Null)(VkCommandBuffer commandBuffer, uint32_t deviceMask) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetDeviceMaskKHR@4=_v3dv_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetDeviceMaskKHR@8=_v3dv_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetDeviceMaskKHR@12=_v3dv_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetDeviceMaskKHR@16=_v3dv_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetDeviceMaskKHR@20=_v3dv_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetDeviceMaskKHR@24=_v3dv_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetDeviceMaskKHR@28=_v3dv_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetDeviceMaskKHR@32=_v3dv_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetDeviceMaskKHR@36=_v3dv_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetDeviceMaskKHR@40=_v3dv_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetDeviceMaskKHR@44=_v3dv_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetDeviceMaskKHR@48=_v3dv_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetDeviceMaskKHR@60=_v3dv_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetDeviceMaskKHR@104=_v3dv_CmdSetDeviceMaskKHR_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CmdSetDeviceMaskKHR=v3dv_CmdSetDeviceMaskKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_CmdSetDeviceMaskKHR(VkCommandBuffer commandBuffer, uint32_t deviceMask) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_GetDeviceGroupPresentCapabilitiesKHR_Null)(VkDevice device, VkDeviceGroupPresentCapabilitiesKHR* pDeviceGroupPresentCapabilities) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceGroupPresentCapabilitiesKHR@4=_v3dv_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceGroupPresentCapabilitiesKHR@8=_v3dv_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceGroupPresentCapabilitiesKHR@12=_v3dv_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceGroupPresentCapabilitiesKHR@16=_v3dv_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceGroupPresentCapabilitiesKHR@20=_v3dv_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceGroupPresentCapabilitiesKHR@24=_v3dv_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceGroupPresentCapabilitiesKHR@28=_v3dv_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceGroupPresentCapabilitiesKHR@32=_v3dv_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceGroupPresentCapabilitiesKHR@36=_v3dv_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceGroupPresentCapabilitiesKHR@40=_v3dv_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceGroupPresentCapabilitiesKHR@44=_v3dv_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceGroupPresentCapabilitiesKHR@48=_v3dv_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceGroupPresentCapabilitiesKHR@60=_v3dv_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceGroupPresentCapabilitiesKHR@104=_v3dv_GetDeviceGroupPresentCapabilitiesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_GetDeviceGroupPresentCapabilitiesKHR=v3dv_GetDeviceGroupPresentCapabilitiesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_GetDeviceGroupPresentCapabilitiesKHR(VkDevice device, VkDeviceGroupPresentCapabilitiesKHR* pDeviceGroupPresentCapabilities) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_GetDeviceGroupSurfacePresentModesKHR_Null)(VkDevice device, VkSurfaceKHR surface, VkDeviceGroupPresentModeFlagsKHR* pModes) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceGroupSurfacePresentModesKHR@4=_v3dv_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceGroupSurfacePresentModesKHR@8=_v3dv_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceGroupSurfacePresentModesKHR@12=_v3dv_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceGroupSurfacePresentModesKHR@16=_v3dv_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceGroupSurfacePresentModesKHR@20=_v3dv_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceGroupSurfacePresentModesKHR@24=_v3dv_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceGroupSurfacePresentModesKHR@28=_v3dv_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceGroupSurfacePresentModesKHR@32=_v3dv_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceGroupSurfacePresentModesKHR@36=_v3dv_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceGroupSurfacePresentModesKHR@40=_v3dv_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceGroupSurfacePresentModesKHR@44=_v3dv_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceGroupSurfacePresentModesKHR@48=_v3dv_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceGroupSurfacePresentModesKHR@60=_v3dv_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceGroupSurfacePresentModesKHR@104=_v3dv_GetDeviceGroupSurfacePresentModesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_GetDeviceGroupSurfacePresentModesKHR=v3dv_GetDeviceGroupSurfacePresentModesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_GetDeviceGroupSurfacePresentModesKHR(VkDevice device, VkSurfaceKHR surface, VkDeviceGroupPresentModeFlagsKHR* pModes) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_AcquireNextImage2KHR_Null)(VkDevice device, const VkAcquireNextImageInfoKHR* pAcquireInfo, uint32_t* pImageIndex) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_AcquireNextImage2KHR@4=_v3dv_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_AcquireNextImage2KHR@8=_v3dv_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_AcquireNextImage2KHR@12=_v3dv_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_AcquireNextImage2KHR@16=_v3dv_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_AcquireNextImage2KHR@20=_v3dv_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_AcquireNextImage2KHR@24=_v3dv_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_AcquireNextImage2KHR@28=_v3dv_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_AcquireNextImage2KHR@32=_v3dv_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_AcquireNextImage2KHR@36=_v3dv_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_AcquireNextImage2KHR@40=_v3dv_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_AcquireNextImage2KHR@44=_v3dv_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_AcquireNextImage2KHR@48=_v3dv_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_AcquireNextImage2KHR@60=_v3dv_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_AcquireNextImage2KHR@104=_v3dv_AcquireNextImage2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_AcquireNextImage2KHR=v3dv_AcquireNextImage2KHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_AcquireNextImage2KHR(VkDevice device, const VkAcquireNextImageInfoKHR* pAcquireInfo, uint32_t* pImageIndex) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_CmdDispatchBase_Null)(VkCommandBuffer commandBuffer, uint32_t baseGroupX, uint32_t baseGroupY, uint32_t baseGroupZ, uint32_t groupCountX, uint32_t groupCountY, uint32_t groupCountZ) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CmdDispatchBase@4=_v3dv_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDispatchBase@8=_v3dv_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDispatchBase@12=_v3dv_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDispatchBase@16=_v3dv_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDispatchBase@20=_v3dv_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDispatchBase@24=_v3dv_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDispatchBase@28=_v3dv_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDispatchBase@32=_v3dv_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDispatchBase@36=_v3dv_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDispatchBase@40=_v3dv_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDispatchBase@44=_v3dv_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDispatchBase@48=_v3dv_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDispatchBase@60=_v3dv_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDispatchBase@104=_v3dv_CmdDispatchBase_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CmdDispatchBase=v3dv_CmdDispatchBase_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_CmdDispatchBase(VkCommandBuffer commandBuffer, uint32_t baseGroupX, uint32_t baseGroupY, uint32_t baseGroupZ, uint32_t groupCountX, uint32_t groupCountY, uint32_t groupCountZ) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_CmdDispatchBaseKHR_Null)(VkCommandBuffer commandBuffer, uint32_t baseGroupX, uint32_t baseGroupY, uint32_t baseGroupZ, uint32_t groupCountX, uint32_t groupCountY, uint32_t groupCountZ) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CmdDispatchBaseKHR@4=_v3dv_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDispatchBaseKHR@8=_v3dv_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDispatchBaseKHR@12=_v3dv_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDispatchBaseKHR@16=_v3dv_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDispatchBaseKHR@20=_v3dv_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDispatchBaseKHR@24=_v3dv_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDispatchBaseKHR@28=_v3dv_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDispatchBaseKHR@32=_v3dv_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDispatchBaseKHR@36=_v3dv_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDispatchBaseKHR@40=_v3dv_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDispatchBaseKHR@44=_v3dv_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDispatchBaseKHR@48=_v3dv_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDispatchBaseKHR@60=_v3dv_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDispatchBaseKHR@104=_v3dv_CmdDispatchBaseKHR_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CmdDispatchBaseKHR=v3dv_CmdDispatchBaseKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_CmdDispatchBaseKHR(VkCommandBuffer commandBuffer, uint32_t baseGroupX, uint32_t baseGroupY, uint32_t baseGroupZ, uint32_t groupCountX, uint32_t groupCountY, uint32_t groupCountZ) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_CreateDescriptorUpdateTemplate_Null)(VkDevice device, const VkDescriptorUpdateTemplateCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDescriptorUpdateTemplate* pDescriptorUpdateTemplate) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CreateDescriptorUpdateTemplate@4=_v3dv_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateDescriptorUpdateTemplate@8=_v3dv_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateDescriptorUpdateTemplate@12=_v3dv_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateDescriptorUpdateTemplate@16=_v3dv_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateDescriptorUpdateTemplate@20=_v3dv_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateDescriptorUpdateTemplate@24=_v3dv_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateDescriptorUpdateTemplate@28=_v3dv_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateDescriptorUpdateTemplate@32=_v3dv_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateDescriptorUpdateTemplate@36=_v3dv_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateDescriptorUpdateTemplate@40=_v3dv_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateDescriptorUpdateTemplate@44=_v3dv_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateDescriptorUpdateTemplate@48=_v3dv_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateDescriptorUpdateTemplate@60=_v3dv_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateDescriptorUpdateTemplate@104=_v3dv_CreateDescriptorUpdateTemplate_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CreateDescriptorUpdateTemplate=v3dv_CreateDescriptorUpdateTemplate_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_CreateDescriptorUpdateTemplate(VkDevice device, const VkDescriptorUpdateTemplateCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDescriptorUpdateTemplate* pDescriptorUpdateTemplate) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_CreateDescriptorUpdateTemplateKHR_Null)(VkDevice device, const VkDescriptorUpdateTemplateCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDescriptorUpdateTemplate* pDescriptorUpdateTemplate) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CreateDescriptorUpdateTemplateKHR@4=_v3dv_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateDescriptorUpdateTemplateKHR@8=_v3dv_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateDescriptorUpdateTemplateKHR@12=_v3dv_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateDescriptorUpdateTemplateKHR@16=_v3dv_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateDescriptorUpdateTemplateKHR@20=_v3dv_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateDescriptorUpdateTemplateKHR@24=_v3dv_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateDescriptorUpdateTemplateKHR@28=_v3dv_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateDescriptorUpdateTemplateKHR@32=_v3dv_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateDescriptorUpdateTemplateKHR@36=_v3dv_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateDescriptorUpdateTemplateKHR@40=_v3dv_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateDescriptorUpdateTemplateKHR@44=_v3dv_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateDescriptorUpdateTemplateKHR@48=_v3dv_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateDescriptorUpdateTemplateKHR@60=_v3dv_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateDescriptorUpdateTemplateKHR@104=_v3dv_CreateDescriptorUpdateTemplateKHR_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CreateDescriptorUpdateTemplateKHR=v3dv_CreateDescriptorUpdateTemplateKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_CreateDescriptorUpdateTemplateKHR(VkDevice device, const VkDescriptorUpdateTemplateCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDescriptorUpdateTemplate* pDescriptorUpdateTemplate) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_DestroyDescriptorUpdateTemplate_Null)(VkDevice device, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_DestroyDescriptorUpdateTemplate@4=_v3dv_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyDescriptorUpdateTemplate@8=_v3dv_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyDescriptorUpdateTemplate@12=_v3dv_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyDescriptorUpdateTemplate@16=_v3dv_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyDescriptorUpdateTemplate@20=_v3dv_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyDescriptorUpdateTemplate@24=_v3dv_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyDescriptorUpdateTemplate@28=_v3dv_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyDescriptorUpdateTemplate@32=_v3dv_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyDescriptorUpdateTemplate@36=_v3dv_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyDescriptorUpdateTemplate@40=_v3dv_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyDescriptorUpdateTemplate@44=_v3dv_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyDescriptorUpdateTemplate@48=_v3dv_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyDescriptorUpdateTemplate@60=_v3dv_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyDescriptorUpdateTemplate@104=_v3dv_DestroyDescriptorUpdateTemplate_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_DestroyDescriptorUpdateTemplate=v3dv_DestroyDescriptorUpdateTemplate_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_DestroyDescriptorUpdateTemplate(VkDevice device, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_DestroyDescriptorUpdateTemplateKHR_Null)(VkDevice device, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_DestroyDescriptorUpdateTemplateKHR@4=_v3dv_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyDescriptorUpdateTemplateKHR@8=_v3dv_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyDescriptorUpdateTemplateKHR@12=_v3dv_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyDescriptorUpdateTemplateKHR@16=_v3dv_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyDescriptorUpdateTemplateKHR@20=_v3dv_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyDescriptorUpdateTemplateKHR@24=_v3dv_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyDescriptorUpdateTemplateKHR@28=_v3dv_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyDescriptorUpdateTemplateKHR@32=_v3dv_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyDescriptorUpdateTemplateKHR@36=_v3dv_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyDescriptorUpdateTemplateKHR@40=_v3dv_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyDescriptorUpdateTemplateKHR@44=_v3dv_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyDescriptorUpdateTemplateKHR@48=_v3dv_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyDescriptorUpdateTemplateKHR@60=_v3dv_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyDescriptorUpdateTemplateKHR@104=_v3dv_DestroyDescriptorUpdateTemplateKHR_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_DestroyDescriptorUpdateTemplateKHR=v3dv_DestroyDescriptorUpdateTemplateKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_DestroyDescriptorUpdateTemplateKHR(VkDevice device, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_UpdateDescriptorSetWithTemplate_Null)(VkDevice device, VkDescriptorSet descriptorSet, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const void* pData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_UpdateDescriptorSetWithTemplate@4=_v3dv_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_v3dv_UpdateDescriptorSetWithTemplate@8=_v3dv_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_v3dv_UpdateDescriptorSetWithTemplate@12=_v3dv_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_v3dv_UpdateDescriptorSetWithTemplate@16=_v3dv_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_v3dv_UpdateDescriptorSetWithTemplate@20=_v3dv_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_v3dv_UpdateDescriptorSetWithTemplate@24=_v3dv_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_v3dv_UpdateDescriptorSetWithTemplate@28=_v3dv_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_v3dv_UpdateDescriptorSetWithTemplate@32=_v3dv_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_v3dv_UpdateDescriptorSetWithTemplate@36=_v3dv_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_v3dv_UpdateDescriptorSetWithTemplate@40=_v3dv_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_v3dv_UpdateDescriptorSetWithTemplate@44=_v3dv_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_v3dv_UpdateDescriptorSetWithTemplate@48=_v3dv_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_v3dv_UpdateDescriptorSetWithTemplate@60=_v3dv_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_v3dv_UpdateDescriptorSetWithTemplate@104=_v3dv_UpdateDescriptorSetWithTemplate_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_UpdateDescriptorSetWithTemplate=v3dv_UpdateDescriptorSetWithTemplate_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_UpdateDescriptorSetWithTemplate(VkDevice device, VkDescriptorSet descriptorSet, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_UpdateDescriptorSetWithTemplateKHR_Null)(VkDevice device, VkDescriptorSet descriptorSet, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const void* pData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_UpdateDescriptorSetWithTemplateKHR@4=_v3dv_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_UpdateDescriptorSetWithTemplateKHR@8=_v3dv_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_UpdateDescriptorSetWithTemplateKHR@12=_v3dv_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_UpdateDescriptorSetWithTemplateKHR@16=_v3dv_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_UpdateDescriptorSetWithTemplateKHR@20=_v3dv_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_UpdateDescriptorSetWithTemplateKHR@24=_v3dv_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_UpdateDescriptorSetWithTemplateKHR@28=_v3dv_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_UpdateDescriptorSetWithTemplateKHR@32=_v3dv_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_UpdateDescriptorSetWithTemplateKHR@36=_v3dv_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_UpdateDescriptorSetWithTemplateKHR@40=_v3dv_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_UpdateDescriptorSetWithTemplateKHR@44=_v3dv_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_UpdateDescriptorSetWithTemplateKHR@48=_v3dv_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_UpdateDescriptorSetWithTemplateKHR@60=_v3dv_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_UpdateDescriptorSetWithTemplateKHR@104=_v3dv_UpdateDescriptorSetWithTemplateKHR_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_UpdateDescriptorSetWithTemplateKHR=v3dv_UpdateDescriptorSetWithTemplateKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_UpdateDescriptorSetWithTemplateKHR(VkDevice device, VkDescriptorSet descriptorSet, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_CmdPushDescriptorSetWithTemplateKHR_Null)(VkCommandBuffer commandBuffer, VkDescriptorUpdateTemplate descriptorUpdateTemplate, VkPipelineLayout layout, uint32_t set, const void* pData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CmdPushDescriptorSetWithTemplateKHR@4=_v3dv_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdPushDescriptorSetWithTemplateKHR@8=_v3dv_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdPushDescriptorSetWithTemplateKHR@12=_v3dv_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdPushDescriptorSetWithTemplateKHR@16=_v3dv_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdPushDescriptorSetWithTemplateKHR@20=_v3dv_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdPushDescriptorSetWithTemplateKHR@24=_v3dv_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdPushDescriptorSetWithTemplateKHR@28=_v3dv_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdPushDescriptorSetWithTemplateKHR@32=_v3dv_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdPushDescriptorSetWithTemplateKHR@36=_v3dv_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdPushDescriptorSetWithTemplateKHR@40=_v3dv_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdPushDescriptorSetWithTemplateKHR@44=_v3dv_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdPushDescriptorSetWithTemplateKHR@48=_v3dv_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdPushDescriptorSetWithTemplateKHR@60=_v3dv_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdPushDescriptorSetWithTemplateKHR@104=_v3dv_CmdPushDescriptorSetWithTemplateKHR_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CmdPushDescriptorSetWithTemplateKHR=v3dv_CmdPushDescriptorSetWithTemplateKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_CmdPushDescriptorSetWithTemplateKHR(VkCommandBuffer commandBuffer, VkDescriptorUpdateTemplate descriptorUpdateTemplate, VkPipelineLayout layout, uint32_t set, const void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_SetHdrMetadataEXT_Null)(VkDevice device, uint32_t swapchainCount, const VkSwapchainKHR* pSwapchains, const VkHdrMetadataEXT* pMetadata) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_SetHdrMetadataEXT@4=_v3dv_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_SetHdrMetadataEXT@8=_v3dv_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_SetHdrMetadataEXT@12=_v3dv_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_SetHdrMetadataEXT@16=_v3dv_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_SetHdrMetadataEXT@20=_v3dv_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_SetHdrMetadataEXT@24=_v3dv_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_SetHdrMetadataEXT@28=_v3dv_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_SetHdrMetadataEXT@32=_v3dv_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_SetHdrMetadataEXT@36=_v3dv_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_SetHdrMetadataEXT@40=_v3dv_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_SetHdrMetadataEXT@44=_v3dv_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_SetHdrMetadataEXT@48=_v3dv_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_SetHdrMetadataEXT@60=_v3dv_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_SetHdrMetadataEXT@104=_v3dv_SetHdrMetadataEXT_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_SetHdrMetadataEXT=v3dv_SetHdrMetadataEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_SetHdrMetadataEXT(VkDevice device, uint32_t swapchainCount, const VkSwapchainKHR* pSwapchains, const VkHdrMetadataEXT* pMetadata) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_GetSwapchainStatusKHR_Null)(VkDevice device, VkSwapchainKHR swapchain) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_GetSwapchainStatusKHR@4=_v3dv_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetSwapchainStatusKHR@8=_v3dv_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetSwapchainStatusKHR@12=_v3dv_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetSwapchainStatusKHR@16=_v3dv_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetSwapchainStatusKHR@20=_v3dv_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetSwapchainStatusKHR@24=_v3dv_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetSwapchainStatusKHR@28=_v3dv_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetSwapchainStatusKHR@32=_v3dv_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetSwapchainStatusKHR@36=_v3dv_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetSwapchainStatusKHR@40=_v3dv_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetSwapchainStatusKHR@44=_v3dv_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetSwapchainStatusKHR@48=_v3dv_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetSwapchainStatusKHR@60=_v3dv_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetSwapchainStatusKHR@104=_v3dv_GetSwapchainStatusKHR_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_GetSwapchainStatusKHR=v3dv_GetSwapchainStatusKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_GetSwapchainStatusKHR(VkDevice device, VkSwapchainKHR swapchain) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_GetRefreshCycleDurationGOOGLE_Null)(VkDevice device, VkSwapchainKHR swapchain, VkRefreshCycleDurationGOOGLE* pDisplayTimingProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_GetRefreshCycleDurationGOOGLE@4=_v3dv_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetRefreshCycleDurationGOOGLE@8=_v3dv_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetRefreshCycleDurationGOOGLE@12=_v3dv_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetRefreshCycleDurationGOOGLE@16=_v3dv_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetRefreshCycleDurationGOOGLE@20=_v3dv_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetRefreshCycleDurationGOOGLE@24=_v3dv_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetRefreshCycleDurationGOOGLE@28=_v3dv_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetRefreshCycleDurationGOOGLE@32=_v3dv_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetRefreshCycleDurationGOOGLE@36=_v3dv_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetRefreshCycleDurationGOOGLE@40=_v3dv_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetRefreshCycleDurationGOOGLE@44=_v3dv_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetRefreshCycleDurationGOOGLE@48=_v3dv_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetRefreshCycleDurationGOOGLE@60=_v3dv_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetRefreshCycleDurationGOOGLE@104=_v3dv_GetRefreshCycleDurationGOOGLE_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_GetRefreshCycleDurationGOOGLE=v3dv_GetRefreshCycleDurationGOOGLE_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_GetRefreshCycleDurationGOOGLE(VkDevice device, VkSwapchainKHR swapchain, VkRefreshCycleDurationGOOGLE* pDisplayTimingProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_GetPastPresentationTimingGOOGLE_Null)(VkDevice device, VkSwapchainKHR swapchain, uint32_t* pPresentationTimingCount, VkPastPresentationTimingGOOGLE* pPresentationTimings) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_GetPastPresentationTimingGOOGLE@4=_v3dv_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPastPresentationTimingGOOGLE@8=_v3dv_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPastPresentationTimingGOOGLE@12=_v3dv_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPastPresentationTimingGOOGLE@16=_v3dv_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPastPresentationTimingGOOGLE@20=_v3dv_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPastPresentationTimingGOOGLE@24=_v3dv_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPastPresentationTimingGOOGLE@28=_v3dv_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPastPresentationTimingGOOGLE@32=_v3dv_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPastPresentationTimingGOOGLE@36=_v3dv_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPastPresentationTimingGOOGLE@40=_v3dv_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPastPresentationTimingGOOGLE@44=_v3dv_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPastPresentationTimingGOOGLE@48=_v3dv_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPastPresentationTimingGOOGLE@60=_v3dv_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPastPresentationTimingGOOGLE@104=_v3dv_GetPastPresentationTimingGOOGLE_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_GetPastPresentationTimingGOOGLE=v3dv_GetPastPresentationTimingGOOGLE_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_GetPastPresentationTimingGOOGLE(VkDevice device, VkSwapchainKHR swapchain, uint32_t* pPresentationTimingCount, VkPastPresentationTimingGOOGLE* pPresentationTimings) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_CmdSetViewportWScalingNV_Null)(VkCommandBuffer commandBuffer, uint32_t firstViewport, uint32_t viewportCount, const VkViewportWScalingNV* pViewportWScalings) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetViewportWScalingNV@4=_v3dv_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetViewportWScalingNV@8=_v3dv_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetViewportWScalingNV@12=_v3dv_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetViewportWScalingNV@16=_v3dv_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetViewportWScalingNV@20=_v3dv_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetViewportWScalingNV@24=_v3dv_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetViewportWScalingNV@28=_v3dv_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetViewportWScalingNV@32=_v3dv_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetViewportWScalingNV@36=_v3dv_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetViewportWScalingNV@40=_v3dv_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetViewportWScalingNV@44=_v3dv_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetViewportWScalingNV@48=_v3dv_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetViewportWScalingNV@60=_v3dv_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetViewportWScalingNV@104=_v3dv_CmdSetViewportWScalingNV_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CmdSetViewportWScalingNV=v3dv_CmdSetViewportWScalingNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_CmdSetViewportWScalingNV(VkCommandBuffer commandBuffer, uint32_t firstViewport, uint32_t viewportCount, const VkViewportWScalingNV* pViewportWScalings) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_CmdSetDiscardRectangleEXT_Null)(VkCommandBuffer commandBuffer, uint32_t firstDiscardRectangle, uint32_t discardRectangleCount, const VkRect2D* pDiscardRectangles) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetDiscardRectangleEXT@4=_v3dv_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetDiscardRectangleEXT@8=_v3dv_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetDiscardRectangleEXT@12=_v3dv_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetDiscardRectangleEXT@16=_v3dv_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetDiscardRectangleEXT@20=_v3dv_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetDiscardRectangleEXT@24=_v3dv_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetDiscardRectangleEXT@28=_v3dv_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetDiscardRectangleEXT@32=_v3dv_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetDiscardRectangleEXT@36=_v3dv_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetDiscardRectangleEXT@40=_v3dv_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetDiscardRectangleEXT@44=_v3dv_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetDiscardRectangleEXT@48=_v3dv_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetDiscardRectangleEXT@60=_v3dv_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetDiscardRectangleEXT@104=_v3dv_CmdSetDiscardRectangleEXT_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CmdSetDiscardRectangleEXT=v3dv_CmdSetDiscardRectangleEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_CmdSetDiscardRectangleEXT(VkCommandBuffer commandBuffer, uint32_t firstDiscardRectangle, uint32_t discardRectangleCount, const VkRect2D* pDiscardRectangles) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_CmdSetSampleLocationsEXT_Null)(VkCommandBuffer commandBuffer, const VkSampleLocationsInfoEXT* pSampleLocationsInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetSampleLocationsEXT@4=_v3dv_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetSampleLocationsEXT@8=_v3dv_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetSampleLocationsEXT@12=_v3dv_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetSampleLocationsEXT@16=_v3dv_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetSampleLocationsEXT@20=_v3dv_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetSampleLocationsEXT@24=_v3dv_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetSampleLocationsEXT@28=_v3dv_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetSampleLocationsEXT@32=_v3dv_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetSampleLocationsEXT@36=_v3dv_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetSampleLocationsEXT@40=_v3dv_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetSampleLocationsEXT@44=_v3dv_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetSampleLocationsEXT@48=_v3dv_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetSampleLocationsEXT@60=_v3dv_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetSampleLocationsEXT@104=_v3dv_CmdSetSampleLocationsEXT_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CmdSetSampleLocationsEXT=v3dv_CmdSetSampleLocationsEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_CmdSetSampleLocationsEXT(VkCommandBuffer commandBuffer, const VkSampleLocationsInfoEXT* pSampleLocationsInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_GetBufferMemoryRequirements2_Null)(VkDevice device, const VkBufferMemoryRequirementsInfo2* pInfo, VkMemoryRequirements2* pMemoryRequirements) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_GetBufferMemoryRequirements2@4=_v3dv_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetBufferMemoryRequirements2@8=_v3dv_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetBufferMemoryRequirements2@12=_v3dv_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetBufferMemoryRequirements2@16=_v3dv_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetBufferMemoryRequirements2@20=_v3dv_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetBufferMemoryRequirements2@24=_v3dv_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetBufferMemoryRequirements2@28=_v3dv_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetBufferMemoryRequirements2@32=_v3dv_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetBufferMemoryRequirements2@36=_v3dv_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetBufferMemoryRequirements2@40=_v3dv_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetBufferMemoryRequirements2@44=_v3dv_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetBufferMemoryRequirements2@48=_v3dv_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetBufferMemoryRequirements2@60=_v3dv_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetBufferMemoryRequirements2@104=_v3dv_GetBufferMemoryRequirements2_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_GetBufferMemoryRequirements2=v3dv_GetBufferMemoryRequirements2_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_GetBufferMemoryRequirements2(VkDevice device, const VkBufferMemoryRequirementsInfo2* pInfo, VkMemoryRequirements2* pMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_GetBufferMemoryRequirements2KHR_Null)(VkDevice device, const VkBufferMemoryRequirementsInfo2* pInfo, VkMemoryRequirements2* pMemoryRequirements) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_GetBufferMemoryRequirements2KHR@4=_v3dv_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetBufferMemoryRequirements2KHR@8=_v3dv_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetBufferMemoryRequirements2KHR@12=_v3dv_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetBufferMemoryRequirements2KHR@16=_v3dv_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetBufferMemoryRequirements2KHR@20=_v3dv_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetBufferMemoryRequirements2KHR@24=_v3dv_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetBufferMemoryRequirements2KHR@28=_v3dv_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetBufferMemoryRequirements2KHR@32=_v3dv_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetBufferMemoryRequirements2KHR@36=_v3dv_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetBufferMemoryRequirements2KHR@40=_v3dv_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetBufferMemoryRequirements2KHR@44=_v3dv_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetBufferMemoryRequirements2KHR@48=_v3dv_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetBufferMemoryRequirements2KHR@60=_v3dv_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetBufferMemoryRequirements2KHR@104=_v3dv_GetBufferMemoryRequirements2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_GetBufferMemoryRequirements2KHR=v3dv_GetBufferMemoryRequirements2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_GetBufferMemoryRequirements2KHR(VkDevice device, const VkBufferMemoryRequirementsInfo2* pInfo, VkMemoryRequirements2* pMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_GetImageMemoryRequirements2_Null)(VkDevice device, const VkImageMemoryRequirementsInfo2* pInfo, VkMemoryRequirements2* pMemoryRequirements) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_GetImageMemoryRequirements2@4=_v3dv_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetImageMemoryRequirements2@8=_v3dv_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetImageMemoryRequirements2@12=_v3dv_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetImageMemoryRequirements2@16=_v3dv_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetImageMemoryRequirements2@20=_v3dv_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetImageMemoryRequirements2@24=_v3dv_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetImageMemoryRequirements2@28=_v3dv_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetImageMemoryRequirements2@32=_v3dv_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetImageMemoryRequirements2@36=_v3dv_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetImageMemoryRequirements2@40=_v3dv_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetImageMemoryRequirements2@44=_v3dv_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetImageMemoryRequirements2@48=_v3dv_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetImageMemoryRequirements2@60=_v3dv_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetImageMemoryRequirements2@104=_v3dv_GetImageMemoryRequirements2_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_GetImageMemoryRequirements2=v3dv_GetImageMemoryRequirements2_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_GetImageMemoryRequirements2(VkDevice device, const VkImageMemoryRequirementsInfo2* pInfo, VkMemoryRequirements2* pMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_GetImageMemoryRequirements2KHR_Null)(VkDevice device, const VkImageMemoryRequirementsInfo2* pInfo, VkMemoryRequirements2* pMemoryRequirements) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_GetImageMemoryRequirements2KHR@4=_v3dv_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetImageMemoryRequirements2KHR@8=_v3dv_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetImageMemoryRequirements2KHR@12=_v3dv_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetImageMemoryRequirements2KHR@16=_v3dv_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetImageMemoryRequirements2KHR@20=_v3dv_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetImageMemoryRequirements2KHR@24=_v3dv_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetImageMemoryRequirements2KHR@28=_v3dv_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetImageMemoryRequirements2KHR@32=_v3dv_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetImageMemoryRequirements2KHR@36=_v3dv_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetImageMemoryRequirements2KHR@40=_v3dv_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetImageMemoryRequirements2KHR@44=_v3dv_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetImageMemoryRequirements2KHR@48=_v3dv_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetImageMemoryRequirements2KHR@60=_v3dv_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetImageMemoryRequirements2KHR@104=_v3dv_GetImageMemoryRequirements2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_GetImageMemoryRequirements2KHR=v3dv_GetImageMemoryRequirements2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_GetImageMemoryRequirements2KHR(VkDevice device, const VkImageMemoryRequirementsInfo2* pInfo, VkMemoryRequirements2* pMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_GetImageSparseMemoryRequirements2_Null)(VkDevice device, const VkImageSparseMemoryRequirementsInfo2* pInfo, uint32_t* pSparseMemoryRequirementCount, VkSparseImageMemoryRequirements2* pSparseMemoryRequirements) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_GetImageSparseMemoryRequirements2@4=_v3dv_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetImageSparseMemoryRequirements2@8=_v3dv_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetImageSparseMemoryRequirements2@12=_v3dv_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetImageSparseMemoryRequirements2@16=_v3dv_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetImageSparseMemoryRequirements2@20=_v3dv_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetImageSparseMemoryRequirements2@24=_v3dv_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetImageSparseMemoryRequirements2@28=_v3dv_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetImageSparseMemoryRequirements2@32=_v3dv_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetImageSparseMemoryRequirements2@36=_v3dv_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetImageSparseMemoryRequirements2@40=_v3dv_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetImageSparseMemoryRequirements2@44=_v3dv_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetImageSparseMemoryRequirements2@48=_v3dv_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetImageSparseMemoryRequirements2@60=_v3dv_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetImageSparseMemoryRequirements2@104=_v3dv_GetImageSparseMemoryRequirements2_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_GetImageSparseMemoryRequirements2=v3dv_GetImageSparseMemoryRequirements2_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_GetImageSparseMemoryRequirements2(VkDevice device, const VkImageSparseMemoryRequirementsInfo2* pInfo, uint32_t* pSparseMemoryRequirementCount, VkSparseImageMemoryRequirements2* pSparseMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_GetImageSparseMemoryRequirements2KHR_Null)(VkDevice device, const VkImageSparseMemoryRequirementsInfo2* pInfo, uint32_t* pSparseMemoryRequirementCount, VkSparseImageMemoryRequirements2* pSparseMemoryRequirements) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_GetImageSparseMemoryRequirements2KHR@4=_v3dv_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetImageSparseMemoryRequirements2KHR@8=_v3dv_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetImageSparseMemoryRequirements2KHR@12=_v3dv_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetImageSparseMemoryRequirements2KHR@16=_v3dv_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetImageSparseMemoryRequirements2KHR@20=_v3dv_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetImageSparseMemoryRequirements2KHR@24=_v3dv_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetImageSparseMemoryRequirements2KHR@28=_v3dv_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetImageSparseMemoryRequirements2KHR@32=_v3dv_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetImageSparseMemoryRequirements2KHR@36=_v3dv_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetImageSparseMemoryRequirements2KHR@40=_v3dv_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetImageSparseMemoryRequirements2KHR@44=_v3dv_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetImageSparseMemoryRequirements2KHR@48=_v3dv_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetImageSparseMemoryRequirements2KHR@60=_v3dv_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetImageSparseMemoryRequirements2KHR@104=_v3dv_GetImageSparseMemoryRequirements2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_GetImageSparseMemoryRequirements2KHR=v3dv_GetImageSparseMemoryRequirements2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_GetImageSparseMemoryRequirements2KHR(VkDevice device, const VkImageSparseMemoryRequirementsInfo2* pInfo, uint32_t* pSparseMemoryRequirementCount, VkSparseImageMemoryRequirements2* pSparseMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_CreateSamplerYcbcrConversion_Null)(VkDevice device, const VkSamplerYcbcrConversionCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSamplerYcbcrConversion* pYcbcrConversion) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CreateSamplerYcbcrConversion@4=_v3dv_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateSamplerYcbcrConversion@8=_v3dv_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateSamplerYcbcrConversion@12=_v3dv_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateSamplerYcbcrConversion@16=_v3dv_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateSamplerYcbcrConversion@20=_v3dv_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateSamplerYcbcrConversion@24=_v3dv_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateSamplerYcbcrConversion@28=_v3dv_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateSamplerYcbcrConversion@32=_v3dv_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateSamplerYcbcrConversion@36=_v3dv_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateSamplerYcbcrConversion@40=_v3dv_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateSamplerYcbcrConversion@44=_v3dv_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateSamplerYcbcrConversion@48=_v3dv_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateSamplerYcbcrConversion@60=_v3dv_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateSamplerYcbcrConversion@104=_v3dv_CreateSamplerYcbcrConversion_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CreateSamplerYcbcrConversion=v3dv_CreateSamplerYcbcrConversion_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_CreateSamplerYcbcrConversion(VkDevice device, const VkSamplerYcbcrConversionCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSamplerYcbcrConversion* pYcbcrConversion) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_CreateSamplerYcbcrConversionKHR_Null)(VkDevice device, const VkSamplerYcbcrConversionCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSamplerYcbcrConversion* pYcbcrConversion) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CreateSamplerYcbcrConversionKHR@4=_v3dv_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateSamplerYcbcrConversionKHR@8=_v3dv_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateSamplerYcbcrConversionKHR@12=_v3dv_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateSamplerYcbcrConversionKHR@16=_v3dv_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateSamplerYcbcrConversionKHR@20=_v3dv_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateSamplerYcbcrConversionKHR@24=_v3dv_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateSamplerYcbcrConversionKHR@28=_v3dv_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateSamplerYcbcrConversionKHR@32=_v3dv_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateSamplerYcbcrConversionKHR@36=_v3dv_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateSamplerYcbcrConversionKHR@40=_v3dv_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateSamplerYcbcrConversionKHR@44=_v3dv_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateSamplerYcbcrConversionKHR@48=_v3dv_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateSamplerYcbcrConversionKHR@60=_v3dv_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateSamplerYcbcrConversionKHR@104=_v3dv_CreateSamplerYcbcrConversionKHR_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CreateSamplerYcbcrConversionKHR=v3dv_CreateSamplerYcbcrConversionKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_CreateSamplerYcbcrConversionKHR(VkDevice device, const VkSamplerYcbcrConversionCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSamplerYcbcrConversion* pYcbcrConversion) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_DestroySamplerYcbcrConversion_Null)(VkDevice device, VkSamplerYcbcrConversion ycbcrConversion, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_DestroySamplerYcbcrConversion@4=_v3dv_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroySamplerYcbcrConversion@8=_v3dv_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroySamplerYcbcrConversion@12=_v3dv_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroySamplerYcbcrConversion@16=_v3dv_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroySamplerYcbcrConversion@20=_v3dv_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroySamplerYcbcrConversion@24=_v3dv_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroySamplerYcbcrConversion@28=_v3dv_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroySamplerYcbcrConversion@32=_v3dv_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroySamplerYcbcrConversion@36=_v3dv_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroySamplerYcbcrConversion@40=_v3dv_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroySamplerYcbcrConversion@44=_v3dv_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroySamplerYcbcrConversion@48=_v3dv_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroySamplerYcbcrConversion@60=_v3dv_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroySamplerYcbcrConversion@104=_v3dv_DestroySamplerYcbcrConversion_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_DestroySamplerYcbcrConversion=v3dv_DestroySamplerYcbcrConversion_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_DestroySamplerYcbcrConversion(VkDevice device, VkSamplerYcbcrConversion ycbcrConversion, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_DestroySamplerYcbcrConversionKHR_Null)(VkDevice device, VkSamplerYcbcrConversion ycbcrConversion, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_DestroySamplerYcbcrConversionKHR@4=_v3dv_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroySamplerYcbcrConversionKHR@8=_v3dv_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroySamplerYcbcrConversionKHR@12=_v3dv_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroySamplerYcbcrConversionKHR@16=_v3dv_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroySamplerYcbcrConversionKHR@20=_v3dv_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroySamplerYcbcrConversionKHR@24=_v3dv_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroySamplerYcbcrConversionKHR@28=_v3dv_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroySamplerYcbcrConversionKHR@32=_v3dv_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroySamplerYcbcrConversionKHR@36=_v3dv_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroySamplerYcbcrConversionKHR@40=_v3dv_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroySamplerYcbcrConversionKHR@44=_v3dv_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroySamplerYcbcrConversionKHR@48=_v3dv_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroySamplerYcbcrConversionKHR@60=_v3dv_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroySamplerYcbcrConversionKHR@104=_v3dv_DestroySamplerYcbcrConversionKHR_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_DestroySamplerYcbcrConversionKHR=v3dv_DestroySamplerYcbcrConversionKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_DestroySamplerYcbcrConversionKHR(VkDevice device, VkSamplerYcbcrConversion ycbcrConversion, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_GetDeviceQueue2_Null)(VkDevice device, const VkDeviceQueueInfo2* pQueueInfo, VkQueue* pQueue) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceQueue2@4=_v3dv_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceQueue2@8=_v3dv_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceQueue2@12=_v3dv_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceQueue2@16=_v3dv_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceQueue2@20=_v3dv_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceQueue2@24=_v3dv_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceQueue2@28=_v3dv_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceQueue2@32=_v3dv_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceQueue2@36=_v3dv_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceQueue2@40=_v3dv_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceQueue2@44=_v3dv_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceQueue2@48=_v3dv_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceQueue2@60=_v3dv_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceQueue2@104=_v3dv_GetDeviceQueue2_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_GetDeviceQueue2=v3dv_GetDeviceQueue2_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_GetDeviceQueue2(VkDevice device, const VkDeviceQueueInfo2* pQueueInfo, VkQueue* pQueue) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_CreateValidationCacheEXT_Null)(VkDevice device, const VkValidationCacheCreateInfoEXT* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkValidationCacheEXT* pValidationCache) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CreateValidationCacheEXT@4=_v3dv_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateValidationCacheEXT@8=_v3dv_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateValidationCacheEXT@12=_v3dv_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateValidationCacheEXT@16=_v3dv_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateValidationCacheEXT@20=_v3dv_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateValidationCacheEXT@24=_v3dv_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateValidationCacheEXT@28=_v3dv_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateValidationCacheEXT@32=_v3dv_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateValidationCacheEXT@36=_v3dv_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateValidationCacheEXT@40=_v3dv_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateValidationCacheEXT@44=_v3dv_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateValidationCacheEXT@48=_v3dv_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateValidationCacheEXT@60=_v3dv_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateValidationCacheEXT@104=_v3dv_CreateValidationCacheEXT_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CreateValidationCacheEXT=v3dv_CreateValidationCacheEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_CreateValidationCacheEXT(VkDevice device, const VkValidationCacheCreateInfoEXT* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkValidationCacheEXT* pValidationCache) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_DestroyValidationCacheEXT_Null)(VkDevice device, VkValidationCacheEXT validationCache, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_DestroyValidationCacheEXT@4=_v3dv_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyValidationCacheEXT@8=_v3dv_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyValidationCacheEXT@12=_v3dv_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyValidationCacheEXT@16=_v3dv_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyValidationCacheEXT@20=_v3dv_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyValidationCacheEXT@24=_v3dv_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyValidationCacheEXT@28=_v3dv_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyValidationCacheEXT@32=_v3dv_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyValidationCacheEXT@36=_v3dv_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyValidationCacheEXT@40=_v3dv_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyValidationCacheEXT@44=_v3dv_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyValidationCacheEXT@48=_v3dv_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyValidationCacheEXT@60=_v3dv_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyValidationCacheEXT@104=_v3dv_DestroyValidationCacheEXT_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_DestroyValidationCacheEXT=v3dv_DestroyValidationCacheEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_DestroyValidationCacheEXT(VkDevice device, VkValidationCacheEXT validationCache, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_GetValidationCacheDataEXT_Null)(VkDevice device, VkValidationCacheEXT validationCache, size_t* pDataSize, void* pData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_GetValidationCacheDataEXT@4=_v3dv_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetValidationCacheDataEXT@8=_v3dv_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetValidationCacheDataEXT@12=_v3dv_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetValidationCacheDataEXT@16=_v3dv_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetValidationCacheDataEXT@20=_v3dv_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetValidationCacheDataEXT@24=_v3dv_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetValidationCacheDataEXT@28=_v3dv_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetValidationCacheDataEXT@32=_v3dv_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetValidationCacheDataEXT@36=_v3dv_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetValidationCacheDataEXT@40=_v3dv_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetValidationCacheDataEXT@44=_v3dv_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetValidationCacheDataEXT@48=_v3dv_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetValidationCacheDataEXT@60=_v3dv_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetValidationCacheDataEXT@104=_v3dv_GetValidationCacheDataEXT_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_GetValidationCacheDataEXT=v3dv_GetValidationCacheDataEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_GetValidationCacheDataEXT(VkDevice device, VkValidationCacheEXT validationCache, size_t* pDataSize, void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_MergeValidationCachesEXT_Null)(VkDevice device, VkValidationCacheEXT dstCache, uint32_t srcCacheCount, const VkValidationCacheEXT* pSrcCaches) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_MergeValidationCachesEXT@4=_v3dv_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_MergeValidationCachesEXT@8=_v3dv_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_MergeValidationCachesEXT@12=_v3dv_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_MergeValidationCachesEXT@16=_v3dv_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_MergeValidationCachesEXT@20=_v3dv_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_MergeValidationCachesEXT@24=_v3dv_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_MergeValidationCachesEXT@28=_v3dv_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_MergeValidationCachesEXT@32=_v3dv_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_MergeValidationCachesEXT@36=_v3dv_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_MergeValidationCachesEXT@40=_v3dv_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_MergeValidationCachesEXT@44=_v3dv_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_MergeValidationCachesEXT@48=_v3dv_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_MergeValidationCachesEXT@60=_v3dv_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_MergeValidationCachesEXT@104=_v3dv_MergeValidationCachesEXT_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_MergeValidationCachesEXT=v3dv_MergeValidationCachesEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_MergeValidationCachesEXT(VkDevice device, VkValidationCacheEXT dstCache, uint32_t srcCacheCount, const VkValidationCacheEXT* pSrcCaches) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_GetDescriptorSetLayoutSupport_Null)(VkDevice device, const VkDescriptorSetLayoutCreateInfo* pCreateInfo, VkDescriptorSetLayoutSupport* pSupport) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_GetDescriptorSetLayoutSupport@4=_v3dv_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDescriptorSetLayoutSupport@8=_v3dv_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDescriptorSetLayoutSupport@12=_v3dv_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDescriptorSetLayoutSupport@16=_v3dv_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDescriptorSetLayoutSupport@20=_v3dv_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDescriptorSetLayoutSupport@24=_v3dv_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDescriptorSetLayoutSupport@28=_v3dv_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDescriptorSetLayoutSupport@32=_v3dv_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDescriptorSetLayoutSupport@36=_v3dv_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDescriptorSetLayoutSupport@40=_v3dv_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDescriptorSetLayoutSupport@44=_v3dv_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDescriptorSetLayoutSupport@48=_v3dv_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDescriptorSetLayoutSupport@60=_v3dv_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDescriptorSetLayoutSupport@104=_v3dv_GetDescriptorSetLayoutSupport_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_GetDescriptorSetLayoutSupport=v3dv_GetDescriptorSetLayoutSupport_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_GetDescriptorSetLayoutSupport(VkDevice device, const VkDescriptorSetLayoutCreateInfo* pCreateInfo, VkDescriptorSetLayoutSupport* pSupport) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_GetDescriptorSetLayoutSupportKHR_Null)(VkDevice device, const VkDescriptorSetLayoutCreateInfo* pCreateInfo, VkDescriptorSetLayoutSupport* pSupport) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_GetDescriptorSetLayoutSupportKHR@4=_v3dv_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDescriptorSetLayoutSupportKHR@8=_v3dv_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDescriptorSetLayoutSupportKHR@12=_v3dv_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDescriptorSetLayoutSupportKHR@16=_v3dv_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDescriptorSetLayoutSupportKHR@20=_v3dv_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDescriptorSetLayoutSupportKHR@24=_v3dv_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDescriptorSetLayoutSupportKHR@28=_v3dv_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDescriptorSetLayoutSupportKHR@32=_v3dv_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDescriptorSetLayoutSupportKHR@36=_v3dv_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDescriptorSetLayoutSupportKHR@40=_v3dv_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDescriptorSetLayoutSupportKHR@44=_v3dv_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDescriptorSetLayoutSupportKHR@48=_v3dv_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDescriptorSetLayoutSupportKHR@60=_v3dv_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDescriptorSetLayoutSupportKHR@104=_v3dv_GetDescriptorSetLayoutSupportKHR_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_GetDescriptorSetLayoutSupportKHR=v3dv_GetDescriptorSetLayoutSupportKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_GetDescriptorSetLayoutSupportKHR(VkDevice device, const VkDescriptorSetLayoutCreateInfo* pCreateInfo, VkDescriptorSetLayoutSupport* pSupport) __attribute__ ((weak));
#endif
#ifdef VK_USE_PLATFORM_ANDROID_KHR
#ifdef _MSC_VER
    VkResult (*v3dv_GetSwapchainGrallocUsageANDROID_Null)(VkDevice device, VkFormat format, VkImageUsageFlags imageUsage, int* grallocUsage) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_GetSwapchainGrallocUsageANDROID@4=_v3dv_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetSwapchainGrallocUsageANDROID@8=_v3dv_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetSwapchainGrallocUsageANDROID@12=_v3dv_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetSwapchainGrallocUsageANDROID@16=_v3dv_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetSwapchainGrallocUsageANDROID@20=_v3dv_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetSwapchainGrallocUsageANDROID@24=_v3dv_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetSwapchainGrallocUsageANDROID@28=_v3dv_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetSwapchainGrallocUsageANDROID@32=_v3dv_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetSwapchainGrallocUsageANDROID@36=_v3dv_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetSwapchainGrallocUsageANDROID@40=_v3dv_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetSwapchainGrallocUsageANDROID@44=_v3dv_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetSwapchainGrallocUsageANDROID@48=_v3dv_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetSwapchainGrallocUsageANDROID@60=_v3dv_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetSwapchainGrallocUsageANDROID@104=_v3dv_GetSwapchainGrallocUsageANDROID_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_GetSwapchainGrallocUsageANDROID=v3dv_GetSwapchainGrallocUsageANDROID_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_GetSwapchainGrallocUsageANDROID(VkDevice device, VkFormat format, VkImageUsageFlags imageUsage, int* grallocUsage) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_ANDROID_KHR
#ifdef VK_USE_PLATFORM_ANDROID_KHR
#ifdef _MSC_VER
    VkResult (*v3dv_GetSwapchainGrallocUsage2ANDROID_Null)(VkDevice device, VkFormat format, VkImageUsageFlags imageUsage, VkSwapchainImageUsageFlagsANDROID swapchainImageUsage, uint64_t* grallocConsumerUsage, uint64_t* grallocProducerUsage) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_GetSwapchainGrallocUsage2ANDROID@4=_v3dv_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetSwapchainGrallocUsage2ANDROID@8=_v3dv_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetSwapchainGrallocUsage2ANDROID@12=_v3dv_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetSwapchainGrallocUsage2ANDROID@16=_v3dv_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetSwapchainGrallocUsage2ANDROID@20=_v3dv_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetSwapchainGrallocUsage2ANDROID@24=_v3dv_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetSwapchainGrallocUsage2ANDROID@28=_v3dv_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetSwapchainGrallocUsage2ANDROID@32=_v3dv_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetSwapchainGrallocUsage2ANDROID@36=_v3dv_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetSwapchainGrallocUsage2ANDROID@40=_v3dv_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetSwapchainGrallocUsage2ANDROID@44=_v3dv_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetSwapchainGrallocUsage2ANDROID@48=_v3dv_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetSwapchainGrallocUsage2ANDROID@60=_v3dv_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetSwapchainGrallocUsage2ANDROID@104=_v3dv_GetSwapchainGrallocUsage2ANDROID_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_GetSwapchainGrallocUsage2ANDROID=v3dv_GetSwapchainGrallocUsage2ANDROID_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_GetSwapchainGrallocUsage2ANDROID(VkDevice device, VkFormat format, VkImageUsageFlags imageUsage, VkSwapchainImageUsageFlagsANDROID swapchainImageUsage, uint64_t* grallocConsumerUsage, uint64_t* grallocProducerUsage) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_ANDROID_KHR
#ifdef VK_USE_PLATFORM_ANDROID_KHR
#ifdef _MSC_VER
    VkResult (*v3dv_AcquireImageANDROID_Null)(VkDevice device, VkImage image, int nativeFenceFd, VkSemaphore semaphore, VkFence fence) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_AcquireImageANDROID@4=_v3dv_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_v3dv_AcquireImageANDROID@8=_v3dv_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_v3dv_AcquireImageANDROID@12=_v3dv_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_v3dv_AcquireImageANDROID@16=_v3dv_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_v3dv_AcquireImageANDROID@20=_v3dv_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_v3dv_AcquireImageANDROID@24=_v3dv_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_v3dv_AcquireImageANDROID@28=_v3dv_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_v3dv_AcquireImageANDROID@32=_v3dv_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_v3dv_AcquireImageANDROID@36=_v3dv_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_v3dv_AcquireImageANDROID@40=_v3dv_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_v3dv_AcquireImageANDROID@44=_v3dv_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_v3dv_AcquireImageANDROID@48=_v3dv_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_v3dv_AcquireImageANDROID@60=_v3dv_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_v3dv_AcquireImageANDROID@104=_v3dv_AcquireImageANDROID_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_AcquireImageANDROID=v3dv_AcquireImageANDROID_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_AcquireImageANDROID(VkDevice device, VkImage image, int nativeFenceFd, VkSemaphore semaphore, VkFence fence) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_ANDROID_KHR
#ifdef VK_USE_PLATFORM_ANDROID_KHR
#ifdef _MSC_VER
    VkResult (*v3dv_QueueSignalReleaseImageANDROID_Null)(VkQueue queue, uint32_t waitSemaphoreCount, const VkSemaphore* pWaitSemaphores, VkImage image, int* pNativeFenceFd) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_QueueSignalReleaseImageANDROID@4=_v3dv_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_v3dv_QueueSignalReleaseImageANDROID@8=_v3dv_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_v3dv_QueueSignalReleaseImageANDROID@12=_v3dv_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_v3dv_QueueSignalReleaseImageANDROID@16=_v3dv_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_v3dv_QueueSignalReleaseImageANDROID@20=_v3dv_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_v3dv_QueueSignalReleaseImageANDROID@24=_v3dv_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_v3dv_QueueSignalReleaseImageANDROID@28=_v3dv_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_v3dv_QueueSignalReleaseImageANDROID@32=_v3dv_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_v3dv_QueueSignalReleaseImageANDROID@36=_v3dv_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_v3dv_QueueSignalReleaseImageANDROID@40=_v3dv_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_v3dv_QueueSignalReleaseImageANDROID@44=_v3dv_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_v3dv_QueueSignalReleaseImageANDROID@48=_v3dv_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_v3dv_QueueSignalReleaseImageANDROID@60=_v3dv_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_v3dv_QueueSignalReleaseImageANDROID@104=_v3dv_QueueSignalReleaseImageANDROID_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_QueueSignalReleaseImageANDROID=v3dv_QueueSignalReleaseImageANDROID_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_QueueSignalReleaseImageANDROID(VkQueue queue, uint32_t waitSemaphoreCount, const VkSemaphore* pWaitSemaphores, VkImage image, int* pNativeFenceFd) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_ANDROID_KHR
#ifdef _MSC_VER
    VkResult (*v3dv_GetShaderInfoAMD_Null)(VkDevice device, VkPipeline pipeline, VkShaderStageFlagBits shaderStage, VkShaderInfoTypeAMD infoType, size_t* pInfoSize, void* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_GetShaderInfoAMD@4=_v3dv_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetShaderInfoAMD@8=_v3dv_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetShaderInfoAMD@12=_v3dv_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetShaderInfoAMD@16=_v3dv_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetShaderInfoAMD@20=_v3dv_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetShaderInfoAMD@24=_v3dv_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetShaderInfoAMD@28=_v3dv_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetShaderInfoAMD@32=_v3dv_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetShaderInfoAMD@36=_v3dv_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetShaderInfoAMD@40=_v3dv_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetShaderInfoAMD@44=_v3dv_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetShaderInfoAMD@48=_v3dv_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetShaderInfoAMD@60=_v3dv_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetShaderInfoAMD@104=_v3dv_GetShaderInfoAMD_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_GetShaderInfoAMD=v3dv_GetShaderInfoAMD_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_GetShaderInfoAMD(VkDevice device, VkPipeline pipeline, VkShaderStageFlagBits shaderStage, VkShaderInfoTypeAMD infoType, size_t* pInfoSize, void* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_SetLocalDimmingAMD_Null)(VkDevice device, VkSwapchainKHR swapChain, VkBool32 localDimmingEnable) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_SetLocalDimmingAMD@4=_v3dv_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_v3dv_SetLocalDimmingAMD@8=_v3dv_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_v3dv_SetLocalDimmingAMD@12=_v3dv_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_v3dv_SetLocalDimmingAMD@16=_v3dv_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_v3dv_SetLocalDimmingAMD@20=_v3dv_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_v3dv_SetLocalDimmingAMD@24=_v3dv_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_v3dv_SetLocalDimmingAMD@28=_v3dv_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_v3dv_SetLocalDimmingAMD@32=_v3dv_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_v3dv_SetLocalDimmingAMD@36=_v3dv_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_v3dv_SetLocalDimmingAMD@40=_v3dv_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_v3dv_SetLocalDimmingAMD@44=_v3dv_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_v3dv_SetLocalDimmingAMD@48=_v3dv_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_v3dv_SetLocalDimmingAMD@60=_v3dv_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_v3dv_SetLocalDimmingAMD@104=_v3dv_SetLocalDimmingAMD_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_SetLocalDimmingAMD=v3dv_SetLocalDimmingAMD_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_SetLocalDimmingAMD(VkDevice device, VkSwapchainKHR swapChain, VkBool32 localDimmingEnable) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_GetCalibratedTimestampsEXT_Null)(VkDevice device, uint32_t timestampCount, const VkCalibratedTimestampInfoEXT* pTimestampInfos, uint64_t* pTimestamps, uint64_t* pMaxDeviation) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_GetCalibratedTimestampsEXT@4=_v3dv_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetCalibratedTimestampsEXT@8=_v3dv_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetCalibratedTimestampsEXT@12=_v3dv_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetCalibratedTimestampsEXT@16=_v3dv_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetCalibratedTimestampsEXT@20=_v3dv_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetCalibratedTimestampsEXT@24=_v3dv_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetCalibratedTimestampsEXT@28=_v3dv_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetCalibratedTimestampsEXT@32=_v3dv_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetCalibratedTimestampsEXT@36=_v3dv_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetCalibratedTimestampsEXT@40=_v3dv_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetCalibratedTimestampsEXT@44=_v3dv_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetCalibratedTimestampsEXT@48=_v3dv_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetCalibratedTimestampsEXT@60=_v3dv_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetCalibratedTimestampsEXT@104=_v3dv_GetCalibratedTimestampsEXT_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_GetCalibratedTimestampsEXT=v3dv_GetCalibratedTimestampsEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_GetCalibratedTimestampsEXT(VkDevice device, uint32_t timestampCount, const VkCalibratedTimestampInfoEXT* pTimestampInfos, uint64_t* pTimestamps, uint64_t* pMaxDeviation) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_SetDebugUtilsObjectNameEXT_Null)(VkDevice device, const VkDebugUtilsObjectNameInfoEXT* pNameInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_SetDebugUtilsObjectNameEXT@4=_v3dv_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_SetDebugUtilsObjectNameEXT@8=_v3dv_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_SetDebugUtilsObjectNameEXT@12=_v3dv_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_SetDebugUtilsObjectNameEXT@16=_v3dv_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_SetDebugUtilsObjectNameEXT@20=_v3dv_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_SetDebugUtilsObjectNameEXT@24=_v3dv_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_SetDebugUtilsObjectNameEXT@28=_v3dv_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_SetDebugUtilsObjectNameEXT@32=_v3dv_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_SetDebugUtilsObjectNameEXT@36=_v3dv_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_SetDebugUtilsObjectNameEXT@40=_v3dv_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_SetDebugUtilsObjectNameEXT@44=_v3dv_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_SetDebugUtilsObjectNameEXT@48=_v3dv_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_SetDebugUtilsObjectNameEXT@60=_v3dv_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_SetDebugUtilsObjectNameEXT@104=_v3dv_SetDebugUtilsObjectNameEXT_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_SetDebugUtilsObjectNameEXT=v3dv_SetDebugUtilsObjectNameEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_SetDebugUtilsObjectNameEXT(VkDevice device, const VkDebugUtilsObjectNameInfoEXT* pNameInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_SetDebugUtilsObjectTagEXT_Null)(VkDevice device, const VkDebugUtilsObjectTagInfoEXT* pTagInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_SetDebugUtilsObjectTagEXT@4=_v3dv_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_SetDebugUtilsObjectTagEXT@8=_v3dv_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_SetDebugUtilsObjectTagEXT@12=_v3dv_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_SetDebugUtilsObjectTagEXT@16=_v3dv_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_SetDebugUtilsObjectTagEXT@20=_v3dv_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_SetDebugUtilsObjectTagEXT@24=_v3dv_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_SetDebugUtilsObjectTagEXT@28=_v3dv_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_SetDebugUtilsObjectTagEXT@32=_v3dv_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_SetDebugUtilsObjectTagEXT@36=_v3dv_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_SetDebugUtilsObjectTagEXT@40=_v3dv_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_SetDebugUtilsObjectTagEXT@44=_v3dv_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_SetDebugUtilsObjectTagEXT@48=_v3dv_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_SetDebugUtilsObjectTagEXT@60=_v3dv_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_SetDebugUtilsObjectTagEXT@104=_v3dv_SetDebugUtilsObjectTagEXT_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_SetDebugUtilsObjectTagEXT=v3dv_SetDebugUtilsObjectTagEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_SetDebugUtilsObjectTagEXT(VkDevice device, const VkDebugUtilsObjectTagInfoEXT* pTagInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_QueueBeginDebugUtilsLabelEXT_Null)(VkQueue queue, const VkDebugUtilsLabelEXT* pLabelInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_QueueBeginDebugUtilsLabelEXT@4=_v3dv_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_QueueBeginDebugUtilsLabelEXT@8=_v3dv_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_QueueBeginDebugUtilsLabelEXT@12=_v3dv_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_QueueBeginDebugUtilsLabelEXT@16=_v3dv_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_QueueBeginDebugUtilsLabelEXT@20=_v3dv_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_QueueBeginDebugUtilsLabelEXT@24=_v3dv_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_QueueBeginDebugUtilsLabelEXT@28=_v3dv_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_QueueBeginDebugUtilsLabelEXT@32=_v3dv_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_QueueBeginDebugUtilsLabelEXT@36=_v3dv_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_QueueBeginDebugUtilsLabelEXT@40=_v3dv_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_QueueBeginDebugUtilsLabelEXT@44=_v3dv_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_QueueBeginDebugUtilsLabelEXT@48=_v3dv_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_QueueBeginDebugUtilsLabelEXT@60=_v3dv_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_QueueBeginDebugUtilsLabelEXT@104=_v3dv_QueueBeginDebugUtilsLabelEXT_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_QueueBeginDebugUtilsLabelEXT=v3dv_QueueBeginDebugUtilsLabelEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_QueueBeginDebugUtilsLabelEXT(VkQueue queue, const VkDebugUtilsLabelEXT* pLabelInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_QueueEndDebugUtilsLabelEXT_Null)(VkQueue queue) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_QueueEndDebugUtilsLabelEXT@4=_v3dv_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_QueueEndDebugUtilsLabelEXT@8=_v3dv_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_QueueEndDebugUtilsLabelEXT@12=_v3dv_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_QueueEndDebugUtilsLabelEXT@16=_v3dv_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_QueueEndDebugUtilsLabelEXT@20=_v3dv_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_QueueEndDebugUtilsLabelEXT@24=_v3dv_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_QueueEndDebugUtilsLabelEXT@28=_v3dv_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_QueueEndDebugUtilsLabelEXT@32=_v3dv_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_QueueEndDebugUtilsLabelEXT@36=_v3dv_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_QueueEndDebugUtilsLabelEXT@40=_v3dv_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_QueueEndDebugUtilsLabelEXT@44=_v3dv_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_QueueEndDebugUtilsLabelEXT@48=_v3dv_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_QueueEndDebugUtilsLabelEXT@60=_v3dv_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_QueueEndDebugUtilsLabelEXT@104=_v3dv_QueueEndDebugUtilsLabelEXT_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_QueueEndDebugUtilsLabelEXT=v3dv_QueueEndDebugUtilsLabelEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_QueueEndDebugUtilsLabelEXT(VkQueue queue) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_QueueInsertDebugUtilsLabelEXT_Null)(VkQueue queue, const VkDebugUtilsLabelEXT* pLabelInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_QueueInsertDebugUtilsLabelEXT@4=_v3dv_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_QueueInsertDebugUtilsLabelEXT@8=_v3dv_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_QueueInsertDebugUtilsLabelEXT@12=_v3dv_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_QueueInsertDebugUtilsLabelEXT@16=_v3dv_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_QueueInsertDebugUtilsLabelEXT@20=_v3dv_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_QueueInsertDebugUtilsLabelEXT@24=_v3dv_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_QueueInsertDebugUtilsLabelEXT@28=_v3dv_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_QueueInsertDebugUtilsLabelEXT@32=_v3dv_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_QueueInsertDebugUtilsLabelEXT@36=_v3dv_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_QueueInsertDebugUtilsLabelEXT@40=_v3dv_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_QueueInsertDebugUtilsLabelEXT@44=_v3dv_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_QueueInsertDebugUtilsLabelEXT@48=_v3dv_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_QueueInsertDebugUtilsLabelEXT@60=_v3dv_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_QueueInsertDebugUtilsLabelEXT@104=_v3dv_QueueInsertDebugUtilsLabelEXT_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_QueueInsertDebugUtilsLabelEXT=v3dv_QueueInsertDebugUtilsLabelEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_QueueInsertDebugUtilsLabelEXT(VkQueue queue, const VkDebugUtilsLabelEXT* pLabelInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_CmdBeginDebugUtilsLabelEXT_Null)(VkCommandBuffer commandBuffer, const VkDebugUtilsLabelEXT* pLabelInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CmdBeginDebugUtilsLabelEXT@4=_v3dv_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBeginDebugUtilsLabelEXT@8=_v3dv_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBeginDebugUtilsLabelEXT@12=_v3dv_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBeginDebugUtilsLabelEXT@16=_v3dv_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBeginDebugUtilsLabelEXT@20=_v3dv_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBeginDebugUtilsLabelEXT@24=_v3dv_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBeginDebugUtilsLabelEXT@28=_v3dv_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBeginDebugUtilsLabelEXT@32=_v3dv_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBeginDebugUtilsLabelEXT@36=_v3dv_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBeginDebugUtilsLabelEXT@40=_v3dv_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBeginDebugUtilsLabelEXT@44=_v3dv_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBeginDebugUtilsLabelEXT@48=_v3dv_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBeginDebugUtilsLabelEXT@60=_v3dv_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBeginDebugUtilsLabelEXT@104=_v3dv_CmdBeginDebugUtilsLabelEXT_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CmdBeginDebugUtilsLabelEXT=v3dv_CmdBeginDebugUtilsLabelEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_CmdBeginDebugUtilsLabelEXT(VkCommandBuffer commandBuffer, const VkDebugUtilsLabelEXT* pLabelInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_CmdEndDebugUtilsLabelEXT_Null)(VkCommandBuffer commandBuffer) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CmdEndDebugUtilsLabelEXT@4=_v3dv_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdEndDebugUtilsLabelEXT@8=_v3dv_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdEndDebugUtilsLabelEXT@12=_v3dv_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdEndDebugUtilsLabelEXT@16=_v3dv_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdEndDebugUtilsLabelEXT@20=_v3dv_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdEndDebugUtilsLabelEXT@24=_v3dv_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdEndDebugUtilsLabelEXT@28=_v3dv_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdEndDebugUtilsLabelEXT@32=_v3dv_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdEndDebugUtilsLabelEXT@36=_v3dv_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdEndDebugUtilsLabelEXT@40=_v3dv_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdEndDebugUtilsLabelEXT@44=_v3dv_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdEndDebugUtilsLabelEXT@48=_v3dv_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdEndDebugUtilsLabelEXT@60=_v3dv_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdEndDebugUtilsLabelEXT@104=_v3dv_CmdEndDebugUtilsLabelEXT_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CmdEndDebugUtilsLabelEXT=v3dv_CmdEndDebugUtilsLabelEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_CmdEndDebugUtilsLabelEXT(VkCommandBuffer commandBuffer) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_CmdInsertDebugUtilsLabelEXT_Null)(VkCommandBuffer commandBuffer, const VkDebugUtilsLabelEXT* pLabelInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CmdInsertDebugUtilsLabelEXT@4=_v3dv_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdInsertDebugUtilsLabelEXT@8=_v3dv_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdInsertDebugUtilsLabelEXT@12=_v3dv_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdInsertDebugUtilsLabelEXT@16=_v3dv_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdInsertDebugUtilsLabelEXT@20=_v3dv_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdInsertDebugUtilsLabelEXT@24=_v3dv_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdInsertDebugUtilsLabelEXT@28=_v3dv_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdInsertDebugUtilsLabelEXT@32=_v3dv_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdInsertDebugUtilsLabelEXT@36=_v3dv_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdInsertDebugUtilsLabelEXT@40=_v3dv_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdInsertDebugUtilsLabelEXT@44=_v3dv_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdInsertDebugUtilsLabelEXT@48=_v3dv_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdInsertDebugUtilsLabelEXT@60=_v3dv_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdInsertDebugUtilsLabelEXT@104=_v3dv_CmdInsertDebugUtilsLabelEXT_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CmdInsertDebugUtilsLabelEXT=v3dv_CmdInsertDebugUtilsLabelEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_CmdInsertDebugUtilsLabelEXT(VkCommandBuffer commandBuffer, const VkDebugUtilsLabelEXT* pLabelInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_GetMemoryHostPointerPropertiesEXT_Null)(VkDevice device, VkExternalMemoryHandleTypeFlagBits handleType, const void* pHostPointer, VkMemoryHostPointerPropertiesEXT* pMemoryHostPointerProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_GetMemoryHostPointerPropertiesEXT@4=_v3dv_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetMemoryHostPointerPropertiesEXT@8=_v3dv_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetMemoryHostPointerPropertiesEXT@12=_v3dv_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetMemoryHostPointerPropertiesEXT@16=_v3dv_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetMemoryHostPointerPropertiesEXT@20=_v3dv_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetMemoryHostPointerPropertiesEXT@24=_v3dv_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetMemoryHostPointerPropertiesEXT@28=_v3dv_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetMemoryHostPointerPropertiesEXT@32=_v3dv_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetMemoryHostPointerPropertiesEXT@36=_v3dv_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetMemoryHostPointerPropertiesEXT@40=_v3dv_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetMemoryHostPointerPropertiesEXT@44=_v3dv_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetMemoryHostPointerPropertiesEXT@48=_v3dv_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetMemoryHostPointerPropertiesEXT@60=_v3dv_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetMemoryHostPointerPropertiesEXT@104=_v3dv_GetMemoryHostPointerPropertiesEXT_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_GetMemoryHostPointerPropertiesEXT=v3dv_GetMemoryHostPointerPropertiesEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_GetMemoryHostPointerPropertiesEXT(VkDevice device, VkExternalMemoryHandleTypeFlagBits handleType, const void* pHostPointer, VkMemoryHostPointerPropertiesEXT* pMemoryHostPointerProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_CmdWriteBufferMarkerAMD_Null)(VkCommandBuffer commandBuffer, VkPipelineStageFlagBits pipelineStage, VkBuffer dstBuffer, VkDeviceSize dstOffset, uint32_t marker) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CmdWriteBufferMarkerAMD@4=_v3dv_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdWriteBufferMarkerAMD@8=_v3dv_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdWriteBufferMarkerAMD@12=_v3dv_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdWriteBufferMarkerAMD@16=_v3dv_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdWriteBufferMarkerAMD@20=_v3dv_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdWriteBufferMarkerAMD@24=_v3dv_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdWriteBufferMarkerAMD@28=_v3dv_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdWriteBufferMarkerAMD@32=_v3dv_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdWriteBufferMarkerAMD@36=_v3dv_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdWriteBufferMarkerAMD@40=_v3dv_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdWriteBufferMarkerAMD@44=_v3dv_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdWriteBufferMarkerAMD@48=_v3dv_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdWriteBufferMarkerAMD@60=_v3dv_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdWriteBufferMarkerAMD@104=_v3dv_CmdWriteBufferMarkerAMD_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CmdWriteBufferMarkerAMD=v3dv_CmdWriteBufferMarkerAMD_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_CmdWriteBufferMarkerAMD(VkCommandBuffer commandBuffer, VkPipelineStageFlagBits pipelineStage, VkBuffer dstBuffer, VkDeviceSize dstOffset, uint32_t marker) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_CreateRenderPass2_Null)(VkDevice device, const VkRenderPassCreateInfo2* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkRenderPass* pRenderPass) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CreateRenderPass2@4=_v3dv_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateRenderPass2@8=_v3dv_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateRenderPass2@12=_v3dv_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateRenderPass2@16=_v3dv_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateRenderPass2@20=_v3dv_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateRenderPass2@24=_v3dv_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateRenderPass2@28=_v3dv_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateRenderPass2@32=_v3dv_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateRenderPass2@36=_v3dv_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateRenderPass2@40=_v3dv_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateRenderPass2@44=_v3dv_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateRenderPass2@48=_v3dv_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateRenderPass2@60=_v3dv_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateRenderPass2@104=_v3dv_CreateRenderPass2_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CreateRenderPass2=v3dv_CreateRenderPass2_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_CreateRenderPass2(VkDevice device, const VkRenderPassCreateInfo2* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkRenderPass* pRenderPass) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_CreateRenderPass2KHR_Null)(VkDevice device, const VkRenderPassCreateInfo2* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkRenderPass* pRenderPass) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CreateRenderPass2KHR@4=_v3dv_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateRenderPass2KHR@8=_v3dv_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateRenderPass2KHR@12=_v3dv_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateRenderPass2KHR@16=_v3dv_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateRenderPass2KHR@20=_v3dv_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateRenderPass2KHR@24=_v3dv_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateRenderPass2KHR@28=_v3dv_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateRenderPass2KHR@32=_v3dv_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateRenderPass2KHR@36=_v3dv_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateRenderPass2KHR@40=_v3dv_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateRenderPass2KHR@44=_v3dv_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateRenderPass2KHR@48=_v3dv_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateRenderPass2KHR@60=_v3dv_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateRenderPass2KHR@104=_v3dv_CreateRenderPass2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CreateRenderPass2KHR=v3dv_CreateRenderPass2KHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_CreateRenderPass2KHR(VkDevice device, const VkRenderPassCreateInfo2* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkRenderPass* pRenderPass) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_CmdBeginRenderPass2_Null)(VkCommandBuffer commandBuffer, const VkRenderPassBeginInfo*      pRenderPassBegin, const VkSubpassBeginInfo*      pSubpassBeginInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CmdBeginRenderPass2@4=_v3dv_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBeginRenderPass2@8=_v3dv_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBeginRenderPass2@12=_v3dv_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBeginRenderPass2@16=_v3dv_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBeginRenderPass2@20=_v3dv_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBeginRenderPass2@24=_v3dv_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBeginRenderPass2@28=_v3dv_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBeginRenderPass2@32=_v3dv_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBeginRenderPass2@36=_v3dv_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBeginRenderPass2@40=_v3dv_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBeginRenderPass2@44=_v3dv_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBeginRenderPass2@48=_v3dv_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBeginRenderPass2@60=_v3dv_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBeginRenderPass2@104=_v3dv_CmdBeginRenderPass2_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CmdBeginRenderPass2=v3dv_CmdBeginRenderPass2_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_CmdBeginRenderPass2(VkCommandBuffer commandBuffer, const VkRenderPassBeginInfo*      pRenderPassBegin, const VkSubpassBeginInfo*      pSubpassBeginInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_CmdBeginRenderPass2KHR_Null)(VkCommandBuffer commandBuffer, const VkRenderPassBeginInfo*      pRenderPassBegin, const VkSubpassBeginInfo*      pSubpassBeginInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CmdBeginRenderPass2KHR@4=_v3dv_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBeginRenderPass2KHR@8=_v3dv_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBeginRenderPass2KHR@12=_v3dv_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBeginRenderPass2KHR@16=_v3dv_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBeginRenderPass2KHR@20=_v3dv_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBeginRenderPass2KHR@24=_v3dv_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBeginRenderPass2KHR@28=_v3dv_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBeginRenderPass2KHR@32=_v3dv_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBeginRenderPass2KHR@36=_v3dv_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBeginRenderPass2KHR@40=_v3dv_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBeginRenderPass2KHR@44=_v3dv_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBeginRenderPass2KHR@48=_v3dv_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBeginRenderPass2KHR@60=_v3dv_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBeginRenderPass2KHR@104=_v3dv_CmdBeginRenderPass2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CmdBeginRenderPass2KHR=v3dv_CmdBeginRenderPass2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_CmdBeginRenderPass2KHR(VkCommandBuffer commandBuffer, const VkRenderPassBeginInfo*      pRenderPassBegin, const VkSubpassBeginInfo*      pSubpassBeginInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_CmdNextSubpass2_Null)(VkCommandBuffer commandBuffer, const VkSubpassBeginInfo*      pSubpassBeginInfo, const VkSubpassEndInfo*        pSubpassEndInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CmdNextSubpass2@4=_v3dv_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdNextSubpass2@8=_v3dv_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdNextSubpass2@12=_v3dv_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdNextSubpass2@16=_v3dv_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdNextSubpass2@20=_v3dv_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdNextSubpass2@24=_v3dv_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdNextSubpass2@28=_v3dv_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdNextSubpass2@32=_v3dv_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdNextSubpass2@36=_v3dv_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdNextSubpass2@40=_v3dv_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdNextSubpass2@44=_v3dv_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdNextSubpass2@48=_v3dv_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdNextSubpass2@60=_v3dv_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdNextSubpass2@104=_v3dv_CmdNextSubpass2_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CmdNextSubpass2=v3dv_CmdNextSubpass2_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_CmdNextSubpass2(VkCommandBuffer commandBuffer, const VkSubpassBeginInfo*      pSubpassBeginInfo, const VkSubpassEndInfo*        pSubpassEndInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_CmdNextSubpass2KHR_Null)(VkCommandBuffer commandBuffer, const VkSubpassBeginInfo*      pSubpassBeginInfo, const VkSubpassEndInfo*        pSubpassEndInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CmdNextSubpass2KHR@4=_v3dv_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdNextSubpass2KHR@8=_v3dv_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdNextSubpass2KHR@12=_v3dv_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdNextSubpass2KHR@16=_v3dv_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdNextSubpass2KHR@20=_v3dv_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdNextSubpass2KHR@24=_v3dv_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdNextSubpass2KHR@28=_v3dv_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdNextSubpass2KHR@32=_v3dv_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdNextSubpass2KHR@36=_v3dv_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdNextSubpass2KHR@40=_v3dv_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdNextSubpass2KHR@44=_v3dv_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdNextSubpass2KHR@48=_v3dv_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdNextSubpass2KHR@60=_v3dv_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdNextSubpass2KHR@104=_v3dv_CmdNextSubpass2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CmdNextSubpass2KHR=v3dv_CmdNextSubpass2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_CmdNextSubpass2KHR(VkCommandBuffer commandBuffer, const VkSubpassBeginInfo*      pSubpassBeginInfo, const VkSubpassEndInfo*        pSubpassEndInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_CmdEndRenderPass2_Null)(VkCommandBuffer commandBuffer, const VkSubpassEndInfo*        pSubpassEndInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CmdEndRenderPass2@4=_v3dv_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdEndRenderPass2@8=_v3dv_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdEndRenderPass2@12=_v3dv_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdEndRenderPass2@16=_v3dv_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdEndRenderPass2@20=_v3dv_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdEndRenderPass2@24=_v3dv_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdEndRenderPass2@28=_v3dv_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdEndRenderPass2@32=_v3dv_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdEndRenderPass2@36=_v3dv_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdEndRenderPass2@40=_v3dv_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdEndRenderPass2@44=_v3dv_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdEndRenderPass2@48=_v3dv_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdEndRenderPass2@60=_v3dv_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdEndRenderPass2@104=_v3dv_CmdEndRenderPass2_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CmdEndRenderPass2=v3dv_CmdEndRenderPass2_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_CmdEndRenderPass2(VkCommandBuffer commandBuffer, const VkSubpassEndInfo*        pSubpassEndInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_CmdEndRenderPass2KHR_Null)(VkCommandBuffer commandBuffer, const VkSubpassEndInfo*        pSubpassEndInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CmdEndRenderPass2KHR@4=_v3dv_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdEndRenderPass2KHR@8=_v3dv_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdEndRenderPass2KHR@12=_v3dv_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdEndRenderPass2KHR@16=_v3dv_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdEndRenderPass2KHR@20=_v3dv_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdEndRenderPass2KHR@24=_v3dv_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdEndRenderPass2KHR@28=_v3dv_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdEndRenderPass2KHR@32=_v3dv_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdEndRenderPass2KHR@36=_v3dv_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdEndRenderPass2KHR@40=_v3dv_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdEndRenderPass2KHR@44=_v3dv_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdEndRenderPass2KHR@48=_v3dv_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdEndRenderPass2KHR@60=_v3dv_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdEndRenderPass2KHR@104=_v3dv_CmdEndRenderPass2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CmdEndRenderPass2KHR=v3dv_CmdEndRenderPass2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_CmdEndRenderPass2KHR(VkCommandBuffer commandBuffer, const VkSubpassEndInfo*        pSubpassEndInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_GetSemaphoreCounterValue_Null)(VkDevice device, VkSemaphore semaphore, uint64_t* pValue) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_GetSemaphoreCounterValue@4=_v3dv_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetSemaphoreCounterValue@8=_v3dv_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetSemaphoreCounterValue@12=_v3dv_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetSemaphoreCounterValue@16=_v3dv_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetSemaphoreCounterValue@20=_v3dv_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetSemaphoreCounterValue@24=_v3dv_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetSemaphoreCounterValue@28=_v3dv_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetSemaphoreCounterValue@32=_v3dv_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetSemaphoreCounterValue@36=_v3dv_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetSemaphoreCounterValue@40=_v3dv_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetSemaphoreCounterValue@44=_v3dv_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetSemaphoreCounterValue@48=_v3dv_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetSemaphoreCounterValue@60=_v3dv_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetSemaphoreCounterValue@104=_v3dv_GetSemaphoreCounterValue_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_GetSemaphoreCounterValue=v3dv_GetSemaphoreCounterValue_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_GetSemaphoreCounterValue(VkDevice device, VkSemaphore semaphore, uint64_t* pValue) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_GetSemaphoreCounterValueKHR_Null)(VkDevice device, VkSemaphore semaphore, uint64_t* pValue) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_GetSemaphoreCounterValueKHR@4=_v3dv_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetSemaphoreCounterValueKHR@8=_v3dv_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetSemaphoreCounterValueKHR@12=_v3dv_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetSemaphoreCounterValueKHR@16=_v3dv_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetSemaphoreCounterValueKHR@20=_v3dv_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetSemaphoreCounterValueKHR@24=_v3dv_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetSemaphoreCounterValueKHR@28=_v3dv_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetSemaphoreCounterValueKHR@32=_v3dv_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetSemaphoreCounterValueKHR@36=_v3dv_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetSemaphoreCounterValueKHR@40=_v3dv_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetSemaphoreCounterValueKHR@44=_v3dv_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetSemaphoreCounterValueKHR@48=_v3dv_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetSemaphoreCounterValueKHR@60=_v3dv_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetSemaphoreCounterValueKHR@104=_v3dv_GetSemaphoreCounterValueKHR_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_GetSemaphoreCounterValueKHR=v3dv_GetSemaphoreCounterValueKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_GetSemaphoreCounterValueKHR(VkDevice device, VkSemaphore semaphore, uint64_t* pValue) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_WaitSemaphores_Null)(VkDevice device, const VkSemaphoreWaitInfo* pWaitInfo, uint64_t timeout) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_WaitSemaphores@4=_v3dv_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_v3dv_WaitSemaphores@8=_v3dv_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_v3dv_WaitSemaphores@12=_v3dv_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_v3dv_WaitSemaphores@16=_v3dv_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_v3dv_WaitSemaphores@20=_v3dv_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_v3dv_WaitSemaphores@24=_v3dv_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_v3dv_WaitSemaphores@28=_v3dv_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_v3dv_WaitSemaphores@32=_v3dv_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_v3dv_WaitSemaphores@36=_v3dv_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_v3dv_WaitSemaphores@40=_v3dv_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_v3dv_WaitSemaphores@44=_v3dv_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_v3dv_WaitSemaphores@48=_v3dv_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_v3dv_WaitSemaphores@60=_v3dv_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_v3dv_WaitSemaphores@104=_v3dv_WaitSemaphores_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_WaitSemaphores=v3dv_WaitSemaphores_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_WaitSemaphores(VkDevice device, const VkSemaphoreWaitInfo* pWaitInfo, uint64_t timeout) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_WaitSemaphoresKHR_Null)(VkDevice device, const VkSemaphoreWaitInfo* pWaitInfo, uint64_t timeout) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_WaitSemaphoresKHR@4=_v3dv_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_WaitSemaphoresKHR@8=_v3dv_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_WaitSemaphoresKHR@12=_v3dv_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_WaitSemaphoresKHR@16=_v3dv_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_WaitSemaphoresKHR@20=_v3dv_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_WaitSemaphoresKHR@24=_v3dv_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_WaitSemaphoresKHR@28=_v3dv_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_WaitSemaphoresKHR@32=_v3dv_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_WaitSemaphoresKHR@36=_v3dv_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_WaitSemaphoresKHR@40=_v3dv_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_WaitSemaphoresKHR@44=_v3dv_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_WaitSemaphoresKHR@48=_v3dv_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_WaitSemaphoresKHR@60=_v3dv_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_WaitSemaphoresKHR@104=_v3dv_WaitSemaphoresKHR_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_WaitSemaphoresKHR=v3dv_WaitSemaphoresKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_WaitSemaphoresKHR(VkDevice device, const VkSemaphoreWaitInfo* pWaitInfo, uint64_t timeout) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_SignalSemaphore_Null)(VkDevice device, const VkSemaphoreSignalInfo* pSignalInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_SignalSemaphore@4=_v3dv_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_v3dv_SignalSemaphore@8=_v3dv_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_v3dv_SignalSemaphore@12=_v3dv_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_v3dv_SignalSemaphore@16=_v3dv_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_v3dv_SignalSemaphore@20=_v3dv_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_v3dv_SignalSemaphore@24=_v3dv_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_v3dv_SignalSemaphore@28=_v3dv_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_v3dv_SignalSemaphore@32=_v3dv_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_v3dv_SignalSemaphore@36=_v3dv_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_v3dv_SignalSemaphore@40=_v3dv_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_v3dv_SignalSemaphore@44=_v3dv_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_v3dv_SignalSemaphore@48=_v3dv_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_v3dv_SignalSemaphore@60=_v3dv_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_v3dv_SignalSemaphore@104=_v3dv_SignalSemaphore_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_SignalSemaphore=v3dv_SignalSemaphore_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_SignalSemaphore(VkDevice device, const VkSemaphoreSignalInfo* pSignalInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_SignalSemaphoreKHR_Null)(VkDevice device, const VkSemaphoreSignalInfo* pSignalInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_SignalSemaphoreKHR@4=_v3dv_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_SignalSemaphoreKHR@8=_v3dv_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_SignalSemaphoreKHR@12=_v3dv_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_SignalSemaphoreKHR@16=_v3dv_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_SignalSemaphoreKHR@20=_v3dv_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_SignalSemaphoreKHR@24=_v3dv_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_SignalSemaphoreKHR@28=_v3dv_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_SignalSemaphoreKHR@32=_v3dv_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_SignalSemaphoreKHR@36=_v3dv_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_SignalSemaphoreKHR@40=_v3dv_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_SignalSemaphoreKHR@44=_v3dv_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_SignalSemaphoreKHR@48=_v3dv_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_SignalSemaphoreKHR@60=_v3dv_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_SignalSemaphoreKHR@104=_v3dv_SignalSemaphoreKHR_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_SignalSemaphoreKHR=v3dv_SignalSemaphoreKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_SignalSemaphoreKHR(VkDevice device, const VkSemaphoreSignalInfo* pSignalInfo) __attribute__ ((weak));
#endif
#ifdef VK_USE_PLATFORM_ANDROID_KHR
#ifdef _MSC_VER
    VkResult (*v3dv_GetAndroidHardwareBufferPropertiesANDROID_Null)(VkDevice device, const struct AHardwareBuffer* buffer, VkAndroidHardwareBufferPropertiesANDROID* pProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_GetAndroidHardwareBufferPropertiesANDROID@4=_v3dv_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetAndroidHardwareBufferPropertiesANDROID@8=_v3dv_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetAndroidHardwareBufferPropertiesANDROID@12=_v3dv_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetAndroidHardwareBufferPropertiesANDROID@16=_v3dv_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetAndroidHardwareBufferPropertiesANDROID@20=_v3dv_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetAndroidHardwareBufferPropertiesANDROID@24=_v3dv_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetAndroidHardwareBufferPropertiesANDROID@28=_v3dv_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetAndroidHardwareBufferPropertiesANDROID@32=_v3dv_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetAndroidHardwareBufferPropertiesANDROID@36=_v3dv_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetAndroidHardwareBufferPropertiesANDROID@40=_v3dv_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetAndroidHardwareBufferPropertiesANDROID@44=_v3dv_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetAndroidHardwareBufferPropertiesANDROID@48=_v3dv_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetAndroidHardwareBufferPropertiesANDROID@60=_v3dv_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetAndroidHardwareBufferPropertiesANDROID@104=_v3dv_GetAndroidHardwareBufferPropertiesANDROID_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_GetAndroidHardwareBufferPropertiesANDROID=v3dv_GetAndroidHardwareBufferPropertiesANDROID_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_GetAndroidHardwareBufferPropertiesANDROID(VkDevice device, const struct AHardwareBuffer* buffer, VkAndroidHardwareBufferPropertiesANDROID* pProperties) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_ANDROID_KHR
#ifdef VK_USE_PLATFORM_ANDROID_KHR
#ifdef _MSC_VER
    VkResult (*v3dv_GetMemoryAndroidHardwareBufferANDROID_Null)(VkDevice device, const VkMemoryGetAndroidHardwareBufferInfoANDROID* pInfo, struct AHardwareBuffer** pBuffer) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_GetMemoryAndroidHardwareBufferANDROID@4=_v3dv_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetMemoryAndroidHardwareBufferANDROID@8=_v3dv_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetMemoryAndroidHardwareBufferANDROID@12=_v3dv_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetMemoryAndroidHardwareBufferANDROID@16=_v3dv_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetMemoryAndroidHardwareBufferANDROID@20=_v3dv_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetMemoryAndroidHardwareBufferANDROID@24=_v3dv_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetMemoryAndroidHardwareBufferANDROID@28=_v3dv_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetMemoryAndroidHardwareBufferANDROID@32=_v3dv_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetMemoryAndroidHardwareBufferANDROID@36=_v3dv_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetMemoryAndroidHardwareBufferANDROID@40=_v3dv_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetMemoryAndroidHardwareBufferANDROID@44=_v3dv_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetMemoryAndroidHardwareBufferANDROID@48=_v3dv_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetMemoryAndroidHardwareBufferANDROID@60=_v3dv_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetMemoryAndroidHardwareBufferANDROID@104=_v3dv_GetMemoryAndroidHardwareBufferANDROID_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_GetMemoryAndroidHardwareBufferANDROID=v3dv_GetMemoryAndroidHardwareBufferANDROID_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_GetMemoryAndroidHardwareBufferANDROID(VkDevice device, const VkMemoryGetAndroidHardwareBufferInfoANDROID* pInfo, struct AHardwareBuffer** pBuffer) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_ANDROID_KHR
#ifdef _MSC_VER
    void (*v3dv_CmdDrawIndirectCount_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawIndirectCount@4=_v3dv_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawIndirectCount@8=_v3dv_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawIndirectCount@12=_v3dv_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawIndirectCount@16=_v3dv_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawIndirectCount@20=_v3dv_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawIndirectCount@24=_v3dv_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawIndirectCount@28=_v3dv_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawIndirectCount@32=_v3dv_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawIndirectCount@36=_v3dv_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawIndirectCount@40=_v3dv_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawIndirectCount@44=_v3dv_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawIndirectCount@48=_v3dv_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawIndirectCount@60=_v3dv_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawIndirectCount@104=_v3dv_CmdDrawIndirectCount_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CmdDrawIndirectCount=v3dv_CmdDrawIndirectCount_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_CmdDrawIndirectCount(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_CmdDrawIndirectCountKHR_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawIndirectCountKHR@4=_v3dv_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawIndirectCountKHR@8=_v3dv_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawIndirectCountKHR@12=_v3dv_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawIndirectCountKHR@16=_v3dv_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawIndirectCountKHR@20=_v3dv_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawIndirectCountKHR@24=_v3dv_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawIndirectCountKHR@28=_v3dv_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawIndirectCountKHR@32=_v3dv_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawIndirectCountKHR@36=_v3dv_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawIndirectCountKHR@40=_v3dv_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawIndirectCountKHR@44=_v3dv_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawIndirectCountKHR@48=_v3dv_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawIndirectCountKHR@60=_v3dv_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawIndirectCountKHR@104=_v3dv_CmdDrawIndirectCountKHR_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CmdDrawIndirectCountKHR=v3dv_CmdDrawIndirectCountKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_CmdDrawIndirectCountKHR(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_CmdDrawIndirectCountAMD_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawIndirectCountAMD@4=_v3dv_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawIndirectCountAMD@8=_v3dv_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawIndirectCountAMD@12=_v3dv_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawIndirectCountAMD@16=_v3dv_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawIndirectCountAMD@20=_v3dv_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawIndirectCountAMD@24=_v3dv_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawIndirectCountAMD@28=_v3dv_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawIndirectCountAMD@32=_v3dv_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawIndirectCountAMD@36=_v3dv_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawIndirectCountAMD@40=_v3dv_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawIndirectCountAMD@44=_v3dv_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawIndirectCountAMD@48=_v3dv_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawIndirectCountAMD@60=_v3dv_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawIndirectCountAMD@104=_v3dv_CmdDrawIndirectCountAMD_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CmdDrawIndirectCountAMD=v3dv_CmdDrawIndirectCountAMD_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_CmdDrawIndirectCountAMD(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_CmdDrawIndexedIndirectCount_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawIndexedIndirectCount@4=_v3dv_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawIndexedIndirectCount@8=_v3dv_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawIndexedIndirectCount@12=_v3dv_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawIndexedIndirectCount@16=_v3dv_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawIndexedIndirectCount@20=_v3dv_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawIndexedIndirectCount@24=_v3dv_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawIndexedIndirectCount@28=_v3dv_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawIndexedIndirectCount@32=_v3dv_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawIndexedIndirectCount@36=_v3dv_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawIndexedIndirectCount@40=_v3dv_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawIndexedIndirectCount@44=_v3dv_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawIndexedIndirectCount@48=_v3dv_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawIndexedIndirectCount@60=_v3dv_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawIndexedIndirectCount@104=_v3dv_CmdDrawIndexedIndirectCount_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CmdDrawIndexedIndirectCount=v3dv_CmdDrawIndexedIndirectCount_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_CmdDrawIndexedIndirectCount(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_CmdDrawIndexedIndirectCountKHR_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawIndexedIndirectCountKHR@4=_v3dv_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawIndexedIndirectCountKHR@8=_v3dv_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawIndexedIndirectCountKHR@12=_v3dv_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawIndexedIndirectCountKHR@16=_v3dv_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawIndexedIndirectCountKHR@20=_v3dv_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawIndexedIndirectCountKHR@24=_v3dv_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawIndexedIndirectCountKHR@28=_v3dv_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawIndexedIndirectCountKHR@32=_v3dv_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawIndexedIndirectCountKHR@36=_v3dv_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawIndexedIndirectCountKHR@40=_v3dv_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawIndexedIndirectCountKHR@44=_v3dv_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawIndexedIndirectCountKHR@48=_v3dv_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawIndexedIndirectCountKHR@60=_v3dv_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawIndexedIndirectCountKHR@104=_v3dv_CmdDrawIndexedIndirectCountKHR_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CmdDrawIndexedIndirectCountKHR=v3dv_CmdDrawIndexedIndirectCountKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_CmdDrawIndexedIndirectCountKHR(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_CmdDrawIndexedIndirectCountAMD_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawIndexedIndirectCountAMD@4=_v3dv_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawIndexedIndirectCountAMD@8=_v3dv_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawIndexedIndirectCountAMD@12=_v3dv_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawIndexedIndirectCountAMD@16=_v3dv_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawIndexedIndirectCountAMD@20=_v3dv_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawIndexedIndirectCountAMD@24=_v3dv_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawIndexedIndirectCountAMD@28=_v3dv_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawIndexedIndirectCountAMD@32=_v3dv_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawIndexedIndirectCountAMD@36=_v3dv_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawIndexedIndirectCountAMD@40=_v3dv_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawIndexedIndirectCountAMD@44=_v3dv_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawIndexedIndirectCountAMD@48=_v3dv_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawIndexedIndirectCountAMD@60=_v3dv_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawIndexedIndirectCountAMD@104=_v3dv_CmdDrawIndexedIndirectCountAMD_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CmdDrawIndexedIndirectCountAMD=v3dv_CmdDrawIndexedIndirectCountAMD_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_CmdDrawIndexedIndirectCountAMD(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_CmdSetCheckpointNV_Null)(VkCommandBuffer commandBuffer, const void* pCheckpointMarker) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetCheckpointNV@4=_v3dv_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetCheckpointNV@8=_v3dv_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetCheckpointNV@12=_v3dv_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetCheckpointNV@16=_v3dv_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetCheckpointNV@20=_v3dv_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetCheckpointNV@24=_v3dv_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetCheckpointNV@28=_v3dv_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetCheckpointNV@32=_v3dv_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetCheckpointNV@36=_v3dv_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetCheckpointNV@40=_v3dv_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetCheckpointNV@44=_v3dv_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetCheckpointNV@48=_v3dv_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetCheckpointNV@60=_v3dv_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetCheckpointNV@104=_v3dv_CmdSetCheckpointNV_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CmdSetCheckpointNV=v3dv_CmdSetCheckpointNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_CmdSetCheckpointNV(VkCommandBuffer commandBuffer, const void* pCheckpointMarker) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_GetQueueCheckpointDataNV_Null)(VkQueue queue, uint32_t* pCheckpointDataCount, VkCheckpointDataNV* pCheckpointData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_GetQueueCheckpointDataNV@4=_v3dv_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetQueueCheckpointDataNV@8=_v3dv_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetQueueCheckpointDataNV@12=_v3dv_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetQueueCheckpointDataNV@16=_v3dv_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetQueueCheckpointDataNV@20=_v3dv_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetQueueCheckpointDataNV@24=_v3dv_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetQueueCheckpointDataNV@28=_v3dv_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetQueueCheckpointDataNV@32=_v3dv_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetQueueCheckpointDataNV@36=_v3dv_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetQueueCheckpointDataNV@40=_v3dv_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetQueueCheckpointDataNV@44=_v3dv_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetQueueCheckpointDataNV@48=_v3dv_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetQueueCheckpointDataNV@60=_v3dv_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetQueueCheckpointDataNV@104=_v3dv_GetQueueCheckpointDataNV_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_GetQueueCheckpointDataNV=v3dv_GetQueueCheckpointDataNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_GetQueueCheckpointDataNV(VkQueue queue, uint32_t* pCheckpointDataCount, VkCheckpointDataNV* pCheckpointData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_CmdBindTransformFeedbackBuffersEXT_Null)(VkCommandBuffer commandBuffer, uint32_t firstBinding, uint32_t bindingCount, const VkBuffer* pBuffers, const VkDeviceSize* pOffsets, const VkDeviceSize* pSizes) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CmdBindTransformFeedbackBuffersEXT@4=_v3dv_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBindTransformFeedbackBuffersEXT@8=_v3dv_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBindTransformFeedbackBuffersEXT@12=_v3dv_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBindTransformFeedbackBuffersEXT@16=_v3dv_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBindTransformFeedbackBuffersEXT@20=_v3dv_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBindTransformFeedbackBuffersEXT@24=_v3dv_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBindTransformFeedbackBuffersEXT@28=_v3dv_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBindTransformFeedbackBuffersEXT@32=_v3dv_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBindTransformFeedbackBuffersEXT@36=_v3dv_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBindTransformFeedbackBuffersEXT@40=_v3dv_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBindTransformFeedbackBuffersEXT@44=_v3dv_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBindTransformFeedbackBuffersEXT@48=_v3dv_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBindTransformFeedbackBuffersEXT@60=_v3dv_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBindTransformFeedbackBuffersEXT@104=_v3dv_CmdBindTransformFeedbackBuffersEXT_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CmdBindTransformFeedbackBuffersEXT=v3dv_CmdBindTransformFeedbackBuffersEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_CmdBindTransformFeedbackBuffersEXT(VkCommandBuffer commandBuffer, uint32_t firstBinding, uint32_t bindingCount, const VkBuffer* pBuffers, const VkDeviceSize* pOffsets, const VkDeviceSize* pSizes) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_CmdBeginTransformFeedbackEXT_Null)(VkCommandBuffer commandBuffer, uint32_t firstCounterBuffer, uint32_t counterBufferCount, const VkBuffer* pCounterBuffers, const VkDeviceSize* pCounterBufferOffsets) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CmdBeginTransformFeedbackEXT@4=_v3dv_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBeginTransformFeedbackEXT@8=_v3dv_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBeginTransformFeedbackEXT@12=_v3dv_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBeginTransformFeedbackEXT@16=_v3dv_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBeginTransformFeedbackEXT@20=_v3dv_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBeginTransformFeedbackEXT@24=_v3dv_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBeginTransformFeedbackEXT@28=_v3dv_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBeginTransformFeedbackEXT@32=_v3dv_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBeginTransformFeedbackEXT@36=_v3dv_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBeginTransformFeedbackEXT@40=_v3dv_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBeginTransformFeedbackEXT@44=_v3dv_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBeginTransformFeedbackEXT@48=_v3dv_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBeginTransformFeedbackEXT@60=_v3dv_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBeginTransformFeedbackEXT@104=_v3dv_CmdBeginTransformFeedbackEXT_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CmdBeginTransformFeedbackEXT=v3dv_CmdBeginTransformFeedbackEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_CmdBeginTransformFeedbackEXT(VkCommandBuffer commandBuffer, uint32_t firstCounterBuffer, uint32_t counterBufferCount, const VkBuffer* pCounterBuffers, const VkDeviceSize* pCounterBufferOffsets) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_CmdEndTransformFeedbackEXT_Null)(VkCommandBuffer commandBuffer, uint32_t firstCounterBuffer, uint32_t counterBufferCount, const VkBuffer* pCounterBuffers, const VkDeviceSize* pCounterBufferOffsets) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CmdEndTransformFeedbackEXT@4=_v3dv_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdEndTransformFeedbackEXT@8=_v3dv_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdEndTransformFeedbackEXT@12=_v3dv_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdEndTransformFeedbackEXT@16=_v3dv_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdEndTransformFeedbackEXT@20=_v3dv_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdEndTransformFeedbackEXT@24=_v3dv_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdEndTransformFeedbackEXT@28=_v3dv_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdEndTransformFeedbackEXT@32=_v3dv_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdEndTransformFeedbackEXT@36=_v3dv_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdEndTransformFeedbackEXT@40=_v3dv_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdEndTransformFeedbackEXT@44=_v3dv_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdEndTransformFeedbackEXT@48=_v3dv_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdEndTransformFeedbackEXT@60=_v3dv_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdEndTransformFeedbackEXT@104=_v3dv_CmdEndTransformFeedbackEXT_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CmdEndTransformFeedbackEXT=v3dv_CmdEndTransformFeedbackEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_CmdEndTransformFeedbackEXT(VkCommandBuffer commandBuffer, uint32_t firstCounterBuffer, uint32_t counterBufferCount, const VkBuffer* pCounterBuffers, const VkDeviceSize* pCounterBufferOffsets) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_CmdBeginQueryIndexedEXT_Null)(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query, VkQueryControlFlags flags, uint32_t index) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CmdBeginQueryIndexedEXT@4=_v3dv_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBeginQueryIndexedEXT@8=_v3dv_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBeginQueryIndexedEXT@12=_v3dv_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBeginQueryIndexedEXT@16=_v3dv_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBeginQueryIndexedEXT@20=_v3dv_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBeginQueryIndexedEXT@24=_v3dv_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBeginQueryIndexedEXT@28=_v3dv_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBeginQueryIndexedEXT@32=_v3dv_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBeginQueryIndexedEXT@36=_v3dv_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBeginQueryIndexedEXT@40=_v3dv_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBeginQueryIndexedEXT@44=_v3dv_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBeginQueryIndexedEXT@48=_v3dv_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBeginQueryIndexedEXT@60=_v3dv_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBeginQueryIndexedEXT@104=_v3dv_CmdBeginQueryIndexedEXT_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CmdBeginQueryIndexedEXT=v3dv_CmdBeginQueryIndexedEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_CmdBeginQueryIndexedEXT(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query, VkQueryControlFlags flags, uint32_t index) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_CmdEndQueryIndexedEXT_Null)(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query, uint32_t index) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CmdEndQueryIndexedEXT@4=_v3dv_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdEndQueryIndexedEXT@8=_v3dv_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdEndQueryIndexedEXT@12=_v3dv_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdEndQueryIndexedEXT@16=_v3dv_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdEndQueryIndexedEXT@20=_v3dv_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdEndQueryIndexedEXT@24=_v3dv_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdEndQueryIndexedEXT@28=_v3dv_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdEndQueryIndexedEXT@32=_v3dv_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdEndQueryIndexedEXT@36=_v3dv_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdEndQueryIndexedEXT@40=_v3dv_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdEndQueryIndexedEXT@44=_v3dv_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdEndQueryIndexedEXT@48=_v3dv_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdEndQueryIndexedEXT@60=_v3dv_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdEndQueryIndexedEXT@104=_v3dv_CmdEndQueryIndexedEXT_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CmdEndQueryIndexedEXT=v3dv_CmdEndQueryIndexedEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_CmdEndQueryIndexedEXT(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query, uint32_t index) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_CmdDrawIndirectByteCountEXT_Null)(VkCommandBuffer commandBuffer, uint32_t instanceCount, uint32_t firstInstance, VkBuffer counterBuffer, VkDeviceSize counterBufferOffset, uint32_t counterOffset, uint32_t vertexStride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawIndirectByteCountEXT@4=_v3dv_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawIndirectByteCountEXT@8=_v3dv_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawIndirectByteCountEXT@12=_v3dv_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawIndirectByteCountEXT@16=_v3dv_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawIndirectByteCountEXT@20=_v3dv_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawIndirectByteCountEXT@24=_v3dv_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawIndirectByteCountEXT@28=_v3dv_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawIndirectByteCountEXT@32=_v3dv_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawIndirectByteCountEXT@36=_v3dv_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawIndirectByteCountEXT@40=_v3dv_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawIndirectByteCountEXT@44=_v3dv_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawIndirectByteCountEXT@48=_v3dv_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawIndirectByteCountEXT@60=_v3dv_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawIndirectByteCountEXT@104=_v3dv_CmdDrawIndirectByteCountEXT_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CmdDrawIndirectByteCountEXT=v3dv_CmdDrawIndirectByteCountEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_CmdDrawIndirectByteCountEXT(VkCommandBuffer commandBuffer, uint32_t instanceCount, uint32_t firstInstance, VkBuffer counterBuffer, VkDeviceSize counterBufferOffset, uint32_t counterOffset, uint32_t vertexStride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_CmdSetExclusiveScissorNV_Null)(VkCommandBuffer commandBuffer, uint32_t firstExclusiveScissor, uint32_t exclusiveScissorCount, const VkRect2D* pExclusiveScissors) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetExclusiveScissorNV@4=_v3dv_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetExclusiveScissorNV@8=_v3dv_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetExclusiveScissorNV@12=_v3dv_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetExclusiveScissorNV@16=_v3dv_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetExclusiveScissorNV@20=_v3dv_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetExclusiveScissorNV@24=_v3dv_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetExclusiveScissorNV@28=_v3dv_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetExclusiveScissorNV@32=_v3dv_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetExclusiveScissorNV@36=_v3dv_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetExclusiveScissorNV@40=_v3dv_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetExclusiveScissorNV@44=_v3dv_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetExclusiveScissorNV@48=_v3dv_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetExclusiveScissorNV@60=_v3dv_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetExclusiveScissorNV@104=_v3dv_CmdSetExclusiveScissorNV_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CmdSetExclusiveScissorNV=v3dv_CmdSetExclusiveScissorNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_CmdSetExclusiveScissorNV(VkCommandBuffer commandBuffer, uint32_t firstExclusiveScissor, uint32_t exclusiveScissorCount, const VkRect2D* pExclusiveScissors) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_CmdBindShadingRateImageNV_Null)(VkCommandBuffer commandBuffer, VkImageView imageView, VkImageLayout imageLayout) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CmdBindShadingRateImageNV@4=_v3dv_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBindShadingRateImageNV@8=_v3dv_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBindShadingRateImageNV@12=_v3dv_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBindShadingRateImageNV@16=_v3dv_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBindShadingRateImageNV@20=_v3dv_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBindShadingRateImageNV@24=_v3dv_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBindShadingRateImageNV@28=_v3dv_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBindShadingRateImageNV@32=_v3dv_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBindShadingRateImageNV@36=_v3dv_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBindShadingRateImageNV@40=_v3dv_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBindShadingRateImageNV@44=_v3dv_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBindShadingRateImageNV@48=_v3dv_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBindShadingRateImageNV@60=_v3dv_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBindShadingRateImageNV@104=_v3dv_CmdBindShadingRateImageNV_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CmdBindShadingRateImageNV=v3dv_CmdBindShadingRateImageNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_CmdBindShadingRateImageNV(VkCommandBuffer commandBuffer, VkImageView imageView, VkImageLayout imageLayout) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_CmdSetViewportShadingRatePaletteNV_Null)(VkCommandBuffer commandBuffer, uint32_t firstViewport, uint32_t viewportCount, const VkShadingRatePaletteNV* pShadingRatePalettes) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetViewportShadingRatePaletteNV@4=_v3dv_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetViewportShadingRatePaletteNV@8=_v3dv_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetViewportShadingRatePaletteNV@12=_v3dv_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetViewportShadingRatePaletteNV@16=_v3dv_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetViewportShadingRatePaletteNV@20=_v3dv_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetViewportShadingRatePaletteNV@24=_v3dv_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetViewportShadingRatePaletteNV@28=_v3dv_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetViewportShadingRatePaletteNV@32=_v3dv_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetViewportShadingRatePaletteNV@36=_v3dv_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetViewportShadingRatePaletteNV@40=_v3dv_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetViewportShadingRatePaletteNV@44=_v3dv_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetViewportShadingRatePaletteNV@48=_v3dv_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetViewportShadingRatePaletteNV@60=_v3dv_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetViewportShadingRatePaletteNV@104=_v3dv_CmdSetViewportShadingRatePaletteNV_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CmdSetViewportShadingRatePaletteNV=v3dv_CmdSetViewportShadingRatePaletteNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_CmdSetViewportShadingRatePaletteNV(VkCommandBuffer commandBuffer, uint32_t firstViewport, uint32_t viewportCount, const VkShadingRatePaletteNV* pShadingRatePalettes) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_CmdSetCoarseSampleOrderNV_Null)(VkCommandBuffer commandBuffer, VkCoarseSampleOrderTypeNV sampleOrderType, uint32_t customSampleOrderCount, const VkCoarseSampleOrderCustomNV* pCustomSampleOrders) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetCoarseSampleOrderNV@4=_v3dv_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetCoarseSampleOrderNV@8=_v3dv_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetCoarseSampleOrderNV@12=_v3dv_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetCoarseSampleOrderNV@16=_v3dv_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetCoarseSampleOrderNV@20=_v3dv_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetCoarseSampleOrderNV@24=_v3dv_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetCoarseSampleOrderNV@28=_v3dv_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetCoarseSampleOrderNV@32=_v3dv_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetCoarseSampleOrderNV@36=_v3dv_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetCoarseSampleOrderNV@40=_v3dv_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetCoarseSampleOrderNV@44=_v3dv_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetCoarseSampleOrderNV@48=_v3dv_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetCoarseSampleOrderNV@60=_v3dv_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetCoarseSampleOrderNV@104=_v3dv_CmdSetCoarseSampleOrderNV_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CmdSetCoarseSampleOrderNV=v3dv_CmdSetCoarseSampleOrderNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_CmdSetCoarseSampleOrderNV(VkCommandBuffer commandBuffer, VkCoarseSampleOrderTypeNV sampleOrderType, uint32_t customSampleOrderCount, const VkCoarseSampleOrderCustomNV* pCustomSampleOrders) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_CmdDrawMeshTasksNV_Null)(VkCommandBuffer commandBuffer, uint32_t taskCount, uint32_t firstTask) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawMeshTasksNV@4=_v3dv_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawMeshTasksNV@8=_v3dv_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawMeshTasksNV@12=_v3dv_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawMeshTasksNV@16=_v3dv_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawMeshTasksNV@20=_v3dv_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawMeshTasksNV@24=_v3dv_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawMeshTasksNV@28=_v3dv_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawMeshTasksNV@32=_v3dv_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawMeshTasksNV@36=_v3dv_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawMeshTasksNV@40=_v3dv_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawMeshTasksNV@44=_v3dv_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawMeshTasksNV@48=_v3dv_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawMeshTasksNV@60=_v3dv_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawMeshTasksNV@104=_v3dv_CmdDrawMeshTasksNV_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CmdDrawMeshTasksNV=v3dv_CmdDrawMeshTasksNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_CmdDrawMeshTasksNV(VkCommandBuffer commandBuffer, uint32_t taskCount, uint32_t firstTask) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_CmdDrawMeshTasksIndirectNV_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, uint32_t drawCount, uint32_t stride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawMeshTasksIndirectNV@4=_v3dv_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawMeshTasksIndirectNV@8=_v3dv_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawMeshTasksIndirectNV@12=_v3dv_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawMeshTasksIndirectNV@16=_v3dv_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawMeshTasksIndirectNV@20=_v3dv_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawMeshTasksIndirectNV@24=_v3dv_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawMeshTasksIndirectNV@28=_v3dv_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawMeshTasksIndirectNV@32=_v3dv_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawMeshTasksIndirectNV@36=_v3dv_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawMeshTasksIndirectNV@40=_v3dv_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawMeshTasksIndirectNV@44=_v3dv_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawMeshTasksIndirectNV@48=_v3dv_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawMeshTasksIndirectNV@60=_v3dv_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawMeshTasksIndirectNV@104=_v3dv_CmdDrawMeshTasksIndirectNV_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CmdDrawMeshTasksIndirectNV=v3dv_CmdDrawMeshTasksIndirectNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_CmdDrawMeshTasksIndirectNV(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, uint32_t drawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_CmdDrawMeshTasksIndirectCountNV_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawMeshTasksIndirectCountNV@4=_v3dv_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawMeshTasksIndirectCountNV@8=_v3dv_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawMeshTasksIndirectCountNV@12=_v3dv_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawMeshTasksIndirectCountNV@16=_v3dv_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawMeshTasksIndirectCountNV@20=_v3dv_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawMeshTasksIndirectCountNV@24=_v3dv_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawMeshTasksIndirectCountNV@28=_v3dv_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawMeshTasksIndirectCountNV@32=_v3dv_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawMeshTasksIndirectCountNV@36=_v3dv_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawMeshTasksIndirectCountNV@40=_v3dv_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawMeshTasksIndirectCountNV@44=_v3dv_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawMeshTasksIndirectCountNV@48=_v3dv_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawMeshTasksIndirectCountNV@60=_v3dv_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdDrawMeshTasksIndirectCountNV@104=_v3dv_CmdDrawMeshTasksIndirectCountNV_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CmdDrawMeshTasksIndirectCountNV=v3dv_CmdDrawMeshTasksIndirectCountNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_CmdDrawMeshTasksIndirectCountNV(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_CompileDeferredNV_Null)(VkDevice device, VkPipeline pipeline, uint32_t shader) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CompileDeferredNV@4=_v3dv_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CompileDeferredNV@8=_v3dv_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CompileDeferredNV@12=_v3dv_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CompileDeferredNV@16=_v3dv_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CompileDeferredNV@20=_v3dv_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CompileDeferredNV@24=_v3dv_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CompileDeferredNV@28=_v3dv_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CompileDeferredNV@32=_v3dv_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CompileDeferredNV@36=_v3dv_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CompileDeferredNV@40=_v3dv_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CompileDeferredNV@44=_v3dv_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CompileDeferredNV@48=_v3dv_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CompileDeferredNV@60=_v3dv_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CompileDeferredNV@104=_v3dv_CompileDeferredNV_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CompileDeferredNV=v3dv_CompileDeferredNV_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_CompileDeferredNV(VkDevice device, VkPipeline pipeline, uint32_t shader) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_CreateAccelerationStructureNV_Null)(VkDevice device, const VkAccelerationStructureCreateInfoNV* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkAccelerationStructureNV* pAccelerationStructure) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CreateAccelerationStructureNV@4=_v3dv_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateAccelerationStructureNV@8=_v3dv_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateAccelerationStructureNV@12=_v3dv_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateAccelerationStructureNV@16=_v3dv_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateAccelerationStructureNV@20=_v3dv_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateAccelerationStructureNV@24=_v3dv_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateAccelerationStructureNV@28=_v3dv_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateAccelerationStructureNV@32=_v3dv_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateAccelerationStructureNV@36=_v3dv_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateAccelerationStructureNV@40=_v3dv_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateAccelerationStructureNV@44=_v3dv_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateAccelerationStructureNV@48=_v3dv_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateAccelerationStructureNV@60=_v3dv_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateAccelerationStructureNV@104=_v3dv_CreateAccelerationStructureNV_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CreateAccelerationStructureNV=v3dv_CreateAccelerationStructureNV_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_CreateAccelerationStructureNV(VkDevice device, const VkAccelerationStructureCreateInfoNV* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkAccelerationStructureNV* pAccelerationStructure) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_DestroyAccelerationStructureKHR_Null)(VkDevice device, VkAccelerationStructureKHR accelerationStructure, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_DestroyAccelerationStructureKHR@4=_v3dv_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyAccelerationStructureKHR@8=_v3dv_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyAccelerationStructureKHR@12=_v3dv_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyAccelerationStructureKHR@16=_v3dv_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyAccelerationStructureKHR@20=_v3dv_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyAccelerationStructureKHR@24=_v3dv_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyAccelerationStructureKHR@28=_v3dv_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyAccelerationStructureKHR@32=_v3dv_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyAccelerationStructureKHR@36=_v3dv_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyAccelerationStructureKHR@40=_v3dv_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyAccelerationStructureKHR@44=_v3dv_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyAccelerationStructureKHR@48=_v3dv_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyAccelerationStructureKHR@60=_v3dv_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyAccelerationStructureKHR@104=_v3dv_DestroyAccelerationStructureKHR_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_DestroyAccelerationStructureKHR=v3dv_DestroyAccelerationStructureKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_DestroyAccelerationStructureKHR(VkDevice device, VkAccelerationStructureKHR accelerationStructure, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_DestroyAccelerationStructureNV_Null)(VkDevice device, VkAccelerationStructureNV accelerationStructure, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_DestroyAccelerationStructureNV@4=_v3dv_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyAccelerationStructureNV@8=_v3dv_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyAccelerationStructureNV@12=_v3dv_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyAccelerationStructureNV@16=_v3dv_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyAccelerationStructureNV@20=_v3dv_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyAccelerationStructureNV@24=_v3dv_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyAccelerationStructureNV@28=_v3dv_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyAccelerationStructureNV@32=_v3dv_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyAccelerationStructureNV@36=_v3dv_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyAccelerationStructureNV@40=_v3dv_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyAccelerationStructureNV@44=_v3dv_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyAccelerationStructureNV@48=_v3dv_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyAccelerationStructureNV@60=_v3dv_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyAccelerationStructureNV@104=_v3dv_DestroyAccelerationStructureNV_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_DestroyAccelerationStructureNV=v3dv_DestroyAccelerationStructureNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_DestroyAccelerationStructureNV(VkDevice device, VkAccelerationStructureNV accelerationStructure, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_GetAccelerationStructureMemoryRequirementsNV_Null)(VkDevice device, const VkAccelerationStructureMemoryRequirementsInfoNV* pInfo, VkMemoryRequirements2KHR* pMemoryRequirements) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_GetAccelerationStructureMemoryRequirementsNV@4=_v3dv_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetAccelerationStructureMemoryRequirementsNV@8=_v3dv_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetAccelerationStructureMemoryRequirementsNV@12=_v3dv_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetAccelerationStructureMemoryRequirementsNV@16=_v3dv_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetAccelerationStructureMemoryRequirementsNV@20=_v3dv_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetAccelerationStructureMemoryRequirementsNV@24=_v3dv_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetAccelerationStructureMemoryRequirementsNV@28=_v3dv_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetAccelerationStructureMemoryRequirementsNV@32=_v3dv_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetAccelerationStructureMemoryRequirementsNV@36=_v3dv_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetAccelerationStructureMemoryRequirementsNV@40=_v3dv_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetAccelerationStructureMemoryRequirementsNV@44=_v3dv_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetAccelerationStructureMemoryRequirementsNV@48=_v3dv_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetAccelerationStructureMemoryRequirementsNV@60=_v3dv_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetAccelerationStructureMemoryRequirementsNV@104=_v3dv_GetAccelerationStructureMemoryRequirementsNV_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_GetAccelerationStructureMemoryRequirementsNV=v3dv_GetAccelerationStructureMemoryRequirementsNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_GetAccelerationStructureMemoryRequirementsNV(VkDevice device, const VkAccelerationStructureMemoryRequirementsInfoNV* pInfo, VkMemoryRequirements2KHR* pMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_BindAccelerationStructureMemoryNV_Null)(VkDevice device, uint32_t bindInfoCount, const VkBindAccelerationStructureMemoryInfoNV* pBindInfos) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_BindAccelerationStructureMemoryNV@4=_v3dv_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_BindAccelerationStructureMemoryNV@8=_v3dv_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_BindAccelerationStructureMemoryNV@12=_v3dv_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_BindAccelerationStructureMemoryNV@16=_v3dv_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_BindAccelerationStructureMemoryNV@20=_v3dv_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_BindAccelerationStructureMemoryNV@24=_v3dv_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_BindAccelerationStructureMemoryNV@28=_v3dv_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_BindAccelerationStructureMemoryNV@32=_v3dv_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_BindAccelerationStructureMemoryNV@36=_v3dv_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_BindAccelerationStructureMemoryNV@40=_v3dv_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_BindAccelerationStructureMemoryNV@44=_v3dv_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_BindAccelerationStructureMemoryNV@48=_v3dv_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_BindAccelerationStructureMemoryNV@60=_v3dv_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_BindAccelerationStructureMemoryNV@104=_v3dv_BindAccelerationStructureMemoryNV_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_BindAccelerationStructureMemoryNV=v3dv_BindAccelerationStructureMemoryNV_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_BindAccelerationStructureMemoryNV(VkDevice device, uint32_t bindInfoCount, const VkBindAccelerationStructureMemoryInfoNV* pBindInfos) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_CmdCopyAccelerationStructureNV_Null)(VkCommandBuffer commandBuffer, VkAccelerationStructureNV dst, VkAccelerationStructureNV src, VkCopyAccelerationStructureModeKHR mode) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyAccelerationStructureNV@4=_v3dv_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyAccelerationStructureNV@8=_v3dv_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyAccelerationStructureNV@12=_v3dv_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyAccelerationStructureNV@16=_v3dv_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyAccelerationStructureNV@20=_v3dv_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyAccelerationStructureNV@24=_v3dv_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyAccelerationStructureNV@28=_v3dv_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyAccelerationStructureNV@32=_v3dv_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyAccelerationStructureNV@36=_v3dv_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyAccelerationStructureNV@40=_v3dv_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyAccelerationStructureNV@44=_v3dv_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyAccelerationStructureNV@48=_v3dv_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyAccelerationStructureNV@60=_v3dv_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyAccelerationStructureNV@104=_v3dv_CmdCopyAccelerationStructureNV_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CmdCopyAccelerationStructureNV=v3dv_CmdCopyAccelerationStructureNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_CmdCopyAccelerationStructureNV(VkCommandBuffer commandBuffer, VkAccelerationStructureNV dst, VkAccelerationStructureNV src, VkCopyAccelerationStructureModeKHR mode) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_CmdCopyAccelerationStructureKHR_Null)(VkCommandBuffer commandBuffer, const VkCopyAccelerationStructureInfoKHR* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyAccelerationStructureKHR@4=_v3dv_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyAccelerationStructureKHR@8=_v3dv_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyAccelerationStructureKHR@12=_v3dv_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyAccelerationStructureKHR@16=_v3dv_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyAccelerationStructureKHR@20=_v3dv_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyAccelerationStructureKHR@24=_v3dv_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyAccelerationStructureKHR@28=_v3dv_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyAccelerationStructureKHR@32=_v3dv_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyAccelerationStructureKHR@36=_v3dv_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyAccelerationStructureKHR@40=_v3dv_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyAccelerationStructureKHR@44=_v3dv_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyAccelerationStructureKHR@48=_v3dv_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyAccelerationStructureKHR@60=_v3dv_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyAccelerationStructureKHR@104=_v3dv_CmdCopyAccelerationStructureKHR_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CmdCopyAccelerationStructureKHR=v3dv_CmdCopyAccelerationStructureKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_CmdCopyAccelerationStructureKHR(VkCommandBuffer commandBuffer, const VkCopyAccelerationStructureInfoKHR* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_CopyAccelerationStructureKHR_Null)(VkDevice device, VkDeferredOperationKHR deferredOperation, const VkCopyAccelerationStructureInfoKHR* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CopyAccelerationStructureKHR@4=_v3dv_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CopyAccelerationStructureKHR@8=_v3dv_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CopyAccelerationStructureKHR@12=_v3dv_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CopyAccelerationStructureKHR@16=_v3dv_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CopyAccelerationStructureKHR@20=_v3dv_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CopyAccelerationStructureKHR@24=_v3dv_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CopyAccelerationStructureKHR@28=_v3dv_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CopyAccelerationStructureKHR@32=_v3dv_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CopyAccelerationStructureKHR@36=_v3dv_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CopyAccelerationStructureKHR@40=_v3dv_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CopyAccelerationStructureKHR@44=_v3dv_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CopyAccelerationStructureKHR@48=_v3dv_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CopyAccelerationStructureKHR@60=_v3dv_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CopyAccelerationStructureKHR@104=_v3dv_CopyAccelerationStructureKHR_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CopyAccelerationStructureKHR=v3dv_CopyAccelerationStructureKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_CopyAccelerationStructureKHR(VkDevice device, VkDeferredOperationKHR deferredOperation, const VkCopyAccelerationStructureInfoKHR* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_CmdCopyAccelerationStructureToMemoryKHR_Null)(VkCommandBuffer commandBuffer, const VkCopyAccelerationStructureToMemoryInfoKHR* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyAccelerationStructureToMemoryKHR@4=_v3dv_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyAccelerationStructureToMemoryKHR@8=_v3dv_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyAccelerationStructureToMemoryKHR@12=_v3dv_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyAccelerationStructureToMemoryKHR@16=_v3dv_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyAccelerationStructureToMemoryKHR@20=_v3dv_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyAccelerationStructureToMemoryKHR@24=_v3dv_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyAccelerationStructureToMemoryKHR@28=_v3dv_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyAccelerationStructureToMemoryKHR@32=_v3dv_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyAccelerationStructureToMemoryKHR@36=_v3dv_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyAccelerationStructureToMemoryKHR@40=_v3dv_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyAccelerationStructureToMemoryKHR@44=_v3dv_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyAccelerationStructureToMemoryKHR@48=_v3dv_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyAccelerationStructureToMemoryKHR@60=_v3dv_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyAccelerationStructureToMemoryKHR@104=_v3dv_CmdCopyAccelerationStructureToMemoryKHR_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CmdCopyAccelerationStructureToMemoryKHR=v3dv_CmdCopyAccelerationStructureToMemoryKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_CmdCopyAccelerationStructureToMemoryKHR(VkCommandBuffer commandBuffer, const VkCopyAccelerationStructureToMemoryInfoKHR* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_CopyAccelerationStructureToMemoryKHR_Null)(VkDevice device, VkDeferredOperationKHR deferredOperation, const VkCopyAccelerationStructureToMemoryInfoKHR* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CopyAccelerationStructureToMemoryKHR@4=_v3dv_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CopyAccelerationStructureToMemoryKHR@8=_v3dv_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CopyAccelerationStructureToMemoryKHR@12=_v3dv_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CopyAccelerationStructureToMemoryKHR@16=_v3dv_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CopyAccelerationStructureToMemoryKHR@20=_v3dv_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CopyAccelerationStructureToMemoryKHR@24=_v3dv_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CopyAccelerationStructureToMemoryKHR@28=_v3dv_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CopyAccelerationStructureToMemoryKHR@32=_v3dv_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CopyAccelerationStructureToMemoryKHR@36=_v3dv_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CopyAccelerationStructureToMemoryKHR@40=_v3dv_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CopyAccelerationStructureToMemoryKHR@44=_v3dv_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CopyAccelerationStructureToMemoryKHR@48=_v3dv_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CopyAccelerationStructureToMemoryKHR@60=_v3dv_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CopyAccelerationStructureToMemoryKHR@104=_v3dv_CopyAccelerationStructureToMemoryKHR_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CopyAccelerationStructureToMemoryKHR=v3dv_CopyAccelerationStructureToMemoryKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_CopyAccelerationStructureToMemoryKHR(VkDevice device, VkDeferredOperationKHR deferredOperation, const VkCopyAccelerationStructureToMemoryInfoKHR* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_CmdCopyMemoryToAccelerationStructureKHR_Null)(VkCommandBuffer commandBuffer, const VkCopyMemoryToAccelerationStructureInfoKHR* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyMemoryToAccelerationStructureKHR@4=_v3dv_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyMemoryToAccelerationStructureKHR@8=_v3dv_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyMemoryToAccelerationStructureKHR@12=_v3dv_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyMemoryToAccelerationStructureKHR@16=_v3dv_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyMemoryToAccelerationStructureKHR@20=_v3dv_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyMemoryToAccelerationStructureKHR@24=_v3dv_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyMemoryToAccelerationStructureKHR@28=_v3dv_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyMemoryToAccelerationStructureKHR@32=_v3dv_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyMemoryToAccelerationStructureKHR@36=_v3dv_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyMemoryToAccelerationStructureKHR@40=_v3dv_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyMemoryToAccelerationStructureKHR@44=_v3dv_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyMemoryToAccelerationStructureKHR@48=_v3dv_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyMemoryToAccelerationStructureKHR@60=_v3dv_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyMemoryToAccelerationStructureKHR@104=_v3dv_CmdCopyMemoryToAccelerationStructureKHR_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CmdCopyMemoryToAccelerationStructureKHR=v3dv_CmdCopyMemoryToAccelerationStructureKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_CmdCopyMemoryToAccelerationStructureKHR(VkCommandBuffer commandBuffer, const VkCopyMemoryToAccelerationStructureInfoKHR* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_CopyMemoryToAccelerationStructureKHR_Null)(VkDevice device, VkDeferredOperationKHR deferredOperation, const VkCopyMemoryToAccelerationStructureInfoKHR* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CopyMemoryToAccelerationStructureKHR@4=_v3dv_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CopyMemoryToAccelerationStructureKHR@8=_v3dv_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CopyMemoryToAccelerationStructureKHR@12=_v3dv_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CopyMemoryToAccelerationStructureKHR@16=_v3dv_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CopyMemoryToAccelerationStructureKHR@20=_v3dv_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CopyMemoryToAccelerationStructureKHR@24=_v3dv_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CopyMemoryToAccelerationStructureKHR@28=_v3dv_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CopyMemoryToAccelerationStructureKHR@32=_v3dv_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CopyMemoryToAccelerationStructureKHR@36=_v3dv_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CopyMemoryToAccelerationStructureKHR@40=_v3dv_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CopyMemoryToAccelerationStructureKHR@44=_v3dv_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CopyMemoryToAccelerationStructureKHR@48=_v3dv_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CopyMemoryToAccelerationStructureKHR@60=_v3dv_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CopyMemoryToAccelerationStructureKHR@104=_v3dv_CopyMemoryToAccelerationStructureKHR_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CopyMemoryToAccelerationStructureKHR=v3dv_CopyMemoryToAccelerationStructureKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_CopyMemoryToAccelerationStructureKHR(VkDevice device, VkDeferredOperationKHR deferredOperation, const VkCopyMemoryToAccelerationStructureInfoKHR* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_CmdWriteAccelerationStructuresPropertiesKHR_Null)(VkCommandBuffer commandBuffer, uint32_t accelerationStructureCount, const VkAccelerationStructureKHR* pAccelerationStructures, VkQueryType queryType, VkQueryPool queryPool, uint32_t firstQuery) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CmdWriteAccelerationStructuresPropertiesKHR@4=_v3dv_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdWriteAccelerationStructuresPropertiesKHR@8=_v3dv_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdWriteAccelerationStructuresPropertiesKHR@12=_v3dv_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdWriteAccelerationStructuresPropertiesKHR@16=_v3dv_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdWriteAccelerationStructuresPropertiesKHR@20=_v3dv_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdWriteAccelerationStructuresPropertiesKHR@24=_v3dv_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdWriteAccelerationStructuresPropertiesKHR@28=_v3dv_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdWriteAccelerationStructuresPropertiesKHR@32=_v3dv_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdWriteAccelerationStructuresPropertiesKHR@36=_v3dv_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdWriteAccelerationStructuresPropertiesKHR@40=_v3dv_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdWriteAccelerationStructuresPropertiesKHR@44=_v3dv_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdWriteAccelerationStructuresPropertiesKHR@48=_v3dv_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdWriteAccelerationStructuresPropertiesKHR@60=_v3dv_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdWriteAccelerationStructuresPropertiesKHR@104=_v3dv_CmdWriteAccelerationStructuresPropertiesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CmdWriteAccelerationStructuresPropertiesKHR=v3dv_CmdWriteAccelerationStructuresPropertiesKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_CmdWriteAccelerationStructuresPropertiesKHR(VkCommandBuffer commandBuffer, uint32_t accelerationStructureCount, const VkAccelerationStructureKHR* pAccelerationStructures, VkQueryType queryType, VkQueryPool queryPool, uint32_t firstQuery) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_CmdWriteAccelerationStructuresPropertiesNV_Null)(VkCommandBuffer commandBuffer, uint32_t accelerationStructureCount, const VkAccelerationStructureNV* pAccelerationStructures, VkQueryType queryType, VkQueryPool queryPool, uint32_t firstQuery) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CmdWriteAccelerationStructuresPropertiesNV@4=_v3dv_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdWriteAccelerationStructuresPropertiesNV@8=_v3dv_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdWriteAccelerationStructuresPropertiesNV@12=_v3dv_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdWriteAccelerationStructuresPropertiesNV@16=_v3dv_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdWriteAccelerationStructuresPropertiesNV@20=_v3dv_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdWriteAccelerationStructuresPropertiesNV@24=_v3dv_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdWriteAccelerationStructuresPropertiesNV@28=_v3dv_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdWriteAccelerationStructuresPropertiesNV@32=_v3dv_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdWriteAccelerationStructuresPropertiesNV@36=_v3dv_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdWriteAccelerationStructuresPropertiesNV@40=_v3dv_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdWriteAccelerationStructuresPropertiesNV@44=_v3dv_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdWriteAccelerationStructuresPropertiesNV@48=_v3dv_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdWriteAccelerationStructuresPropertiesNV@60=_v3dv_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdWriteAccelerationStructuresPropertiesNV@104=_v3dv_CmdWriteAccelerationStructuresPropertiesNV_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CmdWriteAccelerationStructuresPropertiesNV=v3dv_CmdWriteAccelerationStructuresPropertiesNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_CmdWriteAccelerationStructuresPropertiesNV(VkCommandBuffer commandBuffer, uint32_t accelerationStructureCount, const VkAccelerationStructureNV* pAccelerationStructures, VkQueryType queryType, VkQueryPool queryPool, uint32_t firstQuery) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_CmdBuildAccelerationStructureNV_Null)(VkCommandBuffer commandBuffer, const VkAccelerationStructureInfoNV* pInfo, VkBuffer instanceData, VkDeviceSize instanceOffset, VkBool32 update, VkAccelerationStructureNV dst, VkAccelerationStructureNV src, VkBuffer scratch, VkDeviceSize scratchOffset) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CmdBuildAccelerationStructureNV@4=_v3dv_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBuildAccelerationStructureNV@8=_v3dv_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBuildAccelerationStructureNV@12=_v3dv_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBuildAccelerationStructureNV@16=_v3dv_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBuildAccelerationStructureNV@20=_v3dv_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBuildAccelerationStructureNV@24=_v3dv_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBuildAccelerationStructureNV@28=_v3dv_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBuildAccelerationStructureNV@32=_v3dv_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBuildAccelerationStructureNV@36=_v3dv_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBuildAccelerationStructureNV@40=_v3dv_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBuildAccelerationStructureNV@44=_v3dv_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBuildAccelerationStructureNV@48=_v3dv_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBuildAccelerationStructureNV@60=_v3dv_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBuildAccelerationStructureNV@104=_v3dv_CmdBuildAccelerationStructureNV_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CmdBuildAccelerationStructureNV=v3dv_CmdBuildAccelerationStructureNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_CmdBuildAccelerationStructureNV(VkCommandBuffer commandBuffer, const VkAccelerationStructureInfoNV* pInfo, VkBuffer instanceData, VkDeviceSize instanceOffset, VkBool32 update, VkAccelerationStructureNV dst, VkAccelerationStructureNV src, VkBuffer scratch, VkDeviceSize scratchOffset) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_WriteAccelerationStructuresPropertiesKHR_Null)(VkDevice device, uint32_t accelerationStructureCount, const VkAccelerationStructureKHR* pAccelerationStructures, VkQueryType  queryType, size_t       dataSize, void* pData, size_t stride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_WriteAccelerationStructuresPropertiesKHR@4=_v3dv_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_WriteAccelerationStructuresPropertiesKHR@8=_v3dv_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_WriteAccelerationStructuresPropertiesKHR@12=_v3dv_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_WriteAccelerationStructuresPropertiesKHR@16=_v3dv_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_WriteAccelerationStructuresPropertiesKHR@20=_v3dv_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_WriteAccelerationStructuresPropertiesKHR@24=_v3dv_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_WriteAccelerationStructuresPropertiesKHR@28=_v3dv_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_WriteAccelerationStructuresPropertiesKHR@32=_v3dv_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_WriteAccelerationStructuresPropertiesKHR@36=_v3dv_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_WriteAccelerationStructuresPropertiesKHR@40=_v3dv_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_WriteAccelerationStructuresPropertiesKHR@44=_v3dv_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_WriteAccelerationStructuresPropertiesKHR@48=_v3dv_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_WriteAccelerationStructuresPropertiesKHR@60=_v3dv_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_WriteAccelerationStructuresPropertiesKHR@104=_v3dv_WriteAccelerationStructuresPropertiesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_WriteAccelerationStructuresPropertiesKHR=v3dv_WriteAccelerationStructuresPropertiesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_WriteAccelerationStructuresPropertiesKHR(VkDevice device, uint32_t accelerationStructureCount, const VkAccelerationStructureKHR* pAccelerationStructures, VkQueryType  queryType, size_t       dataSize, void* pData, size_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_CmdTraceRaysKHR_Null)(VkCommandBuffer commandBuffer, const VkStridedDeviceAddressRegionKHR* pRaygenShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pMissShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pHitShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pCallableShaderBindingTable, uint32_t width, uint32_t height, uint32_t depth) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CmdTraceRaysKHR@4=_v3dv_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdTraceRaysKHR@8=_v3dv_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdTraceRaysKHR@12=_v3dv_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdTraceRaysKHR@16=_v3dv_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdTraceRaysKHR@20=_v3dv_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdTraceRaysKHR@24=_v3dv_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdTraceRaysKHR@28=_v3dv_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdTraceRaysKHR@32=_v3dv_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdTraceRaysKHR@36=_v3dv_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdTraceRaysKHR@40=_v3dv_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdTraceRaysKHR@44=_v3dv_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdTraceRaysKHR@48=_v3dv_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdTraceRaysKHR@60=_v3dv_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdTraceRaysKHR@104=_v3dv_CmdTraceRaysKHR_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CmdTraceRaysKHR=v3dv_CmdTraceRaysKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_CmdTraceRaysKHR(VkCommandBuffer commandBuffer, const VkStridedDeviceAddressRegionKHR* pRaygenShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pMissShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pHitShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pCallableShaderBindingTable, uint32_t width, uint32_t height, uint32_t depth) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_CmdTraceRaysNV_Null)(VkCommandBuffer commandBuffer, VkBuffer raygenShaderBindingTableBuffer, VkDeviceSize raygenShaderBindingOffset, VkBuffer missShaderBindingTableBuffer, VkDeviceSize missShaderBindingOffset, VkDeviceSize missShaderBindingStride, VkBuffer hitShaderBindingTableBuffer, VkDeviceSize hitShaderBindingOffset, VkDeviceSize hitShaderBindingStride, VkBuffer callableShaderBindingTableBuffer, VkDeviceSize callableShaderBindingOffset, VkDeviceSize callableShaderBindingStride, uint32_t width, uint32_t height, uint32_t depth) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CmdTraceRaysNV@4=_v3dv_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdTraceRaysNV@8=_v3dv_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdTraceRaysNV@12=_v3dv_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdTraceRaysNV@16=_v3dv_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdTraceRaysNV@20=_v3dv_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdTraceRaysNV@24=_v3dv_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdTraceRaysNV@28=_v3dv_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdTraceRaysNV@32=_v3dv_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdTraceRaysNV@36=_v3dv_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdTraceRaysNV@40=_v3dv_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdTraceRaysNV@44=_v3dv_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdTraceRaysNV@48=_v3dv_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdTraceRaysNV@60=_v3dv_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdTraceRaysNV@104=_v3dv_CmdTraceRaysNV_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CmdTraceRaysNV=v3dv_CmdTraceRaysNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_CmdTraceRaysNV(VkCommandBuffer commandBuffer, VkBuffer raygenShaderBindingTableBuffer, VkDeviceSize raygenShaderBindingOffset, VkBuffer missShaderBindingTableBuffer, VkDeviceSize missShaderBindingOffset, VkDeviceSize missShaderBindingStride, VkBuffer hitShaderBindingTableBuffer, VkDeviceSize hitShaderBindingOffset, VkDeviceSize hitShaderBindingStride, VkBuffer callableShaderBindingTableBuffer, VkDeviceSize callableShaderBindingOffset, VkDeviceSize callableShaderBindingStride, uint32_t width, uint32_t height, uint32_t depth) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_GetRayTracingShaderGroupHandlesKHR_Null)(VkDevice device, VkPipeline pipeline, uint32_t firstGroup, uint32_t groupCount, size_t dataSize, void* pData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_GetRayTracingShaderGroupHandlesKHR@4=_v3dv_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetRayTracingShaderGroupHandlesKHR@8=_v3dv_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetRayTracingShaderGroupHandlesKHR@12=_v3dv_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetRayTracingShaderGroupHandlesKHR@16=_v3dv_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetRayTracingShaderGroupHandlesKHR@20=_v3dv_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetRayTracingShaderGroupHandlesKHR@24=_v3dv_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetRayTracingShaderGroupHandlesKHR@28=_v3dv_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetRayTracingShaderGroupHandlesKHR@32=_v3dv_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetRayTracingShaderGroupHandlesKHR@36=_v3dv_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetRayTracingShaderGroupHandlesKHR@40=_v3dv_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetRayTracingShaderGroupHandlesKHR@44=_v3dv_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetRayTracingShaderGroupHandlesKHR@48=_v3dv_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetRayTracingShaderGroupHandlesKHR@60=_v3dv_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetRayTracingShaderGroupHandlesKHR@104=_v3dv_GetRayTracingShaderGroupHandlesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_GetRayTracingShaderGroupHandlesKHR=v3dv_GetRayTracingShaderGroupHandlesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_GetRayTracingShaderGroupHandlesKHR(VkDevice device, VkPipeline pipeline, uint32_t firstGroup, uint32_t groupCount, size_t dataSize, void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_GetRayTracingShaderGroupHandlesNV_Null)(VkDevice device, VkPipeline pipeline, uint32_t firstGroup, uint32_t groupCount, size_t dataSize, void* pData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_GetRayTracingShaderGroupHandlesNV@4=_v3dv_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetRayTracingShaderGroupHandlesNV@8=_v3dv_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetRayTracingShaderGroupHandlesNV@12=_v3dv_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetRayTracingShaderGroupHandlesNV@16=_v3dv_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetRayTracingShaderGroupHandlesNV@20=_v3dv_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetRayTracingShaderGroupHandlesNV@24=_v3dv_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetRayTracingShaderGroupHandlesNV@28=_v3dv_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetRayTracingShaderGroupHandlesNV@32=_v3dv_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetRayTracingShaderGroupHandlesNV@36=_v3dv_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetRayTracingShaderGroupHandlesNV@40=_v3dv_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetRayTracingShaderGroupHandlesNV@44=_v3dv_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetRayTracingShaderGroupHandlesNV@48=_v3dv_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetRayTracingShaderGroupHandlesNV@60=_v3dv_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetRayTracingShaderGroupHandlesNV@104=_v3dv_GetRayTracingShaderGroupHandlesNV_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_GetRayTracingShaderGroupHandlesNV=v3dv_GetRayTracingShaderGroupHandlesNV_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_GetRayTracingShaderGroupHandlesNV(VkDevice device, VkPipeline pipeline, uint32_t firstGroup, uint32_t groupCount, size_t dataSize, void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null)(VkDevice device, VkPipeline pipeline, uint32_t firstGroup, uint32_t groupCount, size_t dataSize, void* pData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_GetRayTracingCaptureReplayShaderGroupHandlesKHR@4=_v3dv_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetRayTracingCaptureReplayShaderGroupHandlesKHR@8=_v3dv_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetRayTracingCaptureReplayShaderGroupHandlesKHR@12=_v3dv_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetRayTracingCaptureReplayShaderGroupHandlesKHR@16=_v3dv_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetRayTracingCaptureReplayShaderGroupHandlesKHR@20=_v3dv_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetRayTracingCaptureReplayShaderGroupHandlesKHR@24=_v3dv_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetRayTracingCaptureReplayShaderGroupHandlesKHR@28=_v3dv_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetRayTracingCaptureReplayShaderGroupHandlesKHR@32=_v3dv_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetRayTracingCaptureReplayShaderGroupHandlesKHR@36=_v3dv_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetRayTracingCaptureReplayShaderGroupHandlesKHR@40=_v3dv_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetRayTracingCaptureReplayShaderGroupHandlesKHR@44=_v3dv_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetRayTracingCaptureReplayShaderGroupHandlesKHR@48=_v3dv_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetRayTracingCaptureReplayShaderGroupHandlesKHR@60=_v3dv_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetRayTracingCaptureReplayShaderGroupHandlesKHR@104=_v3dv_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_GetRayTracingCaptureReplayShaderGroupHandlesKHR=v3dv_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_GetRayTracingCaptureReplayShaderGroupHandlesKHR(VkDevice device, VkPipeline pipeline, uint32_t firstGroup, uint32_t groupCount, size_t dataSize, void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_GetAccelerationStructureHandleNV_Null)(VkDevice device, VkAccelerationStructureNV accelerationStructure, size_t dataSize, void* pData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_GetAccelerationStructureHandleNV@4=_v3dv_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetAccelerationStructureHandleNV@8=_v3dv_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetAccelerationStructureHandleNV@12=_v3dv_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetAccelerationStructureHandleNV@16=_v3dv_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetAccelerationStructureHandleNV@20=_v3dv_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetAccelerationStructureHandleNV@24=_v3dv_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetAccelerationStructureHandleNV@28=_v3dv_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetAccelerationStructureHandleNV@32=_v3dv_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetAccelerationStructureHandleNV@36=_v3dv_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetAccelerationStructureHandleNV@40=_v3dv_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetAccelerationStructureHandleNV@44=_v3dv_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetAccelerationStructureHandleNV@48=_v3dv_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetAccelerationStructureHandleNV@60=_v3dv_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetAccelerationStructureHandleNV@104=_v3dv_GetAccelerationStructureHandleNV_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_GetAccelerationStructureHandleNV=v3dv_GetAccelerationStructureHandleNV_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_GetAccelerationStructureHandleNV(VkDevice device, VkAccelerationStructureNV accelerationStructure, size_t dataSize, void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_CreateRayTracingPipelinesNV_Null)(VkDevice device, VkPipelineCache pipelineCache, uint32_t createInfoCount, const VkRayTracingPipelineCreateInfoNV* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkPipeline* pPipelines) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CreateRayTracingPipelinesNV@4=_v3dv_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateRayTracingPipelinesNV@8=_v3dv_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateRayTracingPipelinesNV@12=_v3dv_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateRayTracingPipelinesNV@16=_v3dv_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateRayTracingPipelinesNV@20=_v3dv_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateRayTracingPipelinesNV@24=_v3dv_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateRayTracingPipelinesNV@28=_v3dv_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateRayTracingPipelinesNV@32=_v3dv_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateRayTracingPipelinesNV@36=_v3dv_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateRayTracingPipelinesNV@40=_v3dv_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateRayTracingPipelinesNV@44=_v3dv_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateRayTracingPipelinesNV@48=_v3dv_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateRayTracingPipelinesNV@60=_v3dv_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateRayTracingPipelinesNV@104=_v3dv_CreateRayTracingPipelinesNV_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CreateRayTracingPipelinesNV=v3dv_CreateRayTracingPipelinesNV_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_CreateRayTracingPipelinesNV(VkDevice device, VkPipelineCache pipelineCache, uint32_t createInfoCount, const VkRayTracingPipelineCreateInfoNV* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkPipeline* pPipelines) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_CreateRayTracingPipelinesKHR_Null)(VkDevice device, VkDeferredOperationKHR deferredOperation, VkPipelineCache pipelineCache, uint32_t createInfoCount, const VkRayTracingPipelineCreateInfoKHR* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkPipeline* pPipelines) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CreateRayTracingPipelinesKHR@4=_v3dv_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateRayTracingPipelinesKHR@8=_v3dv_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateRayTracingPipelinesKHR@12=_v3dv_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateRayTracingPipelinesKHR@16=_v3dv_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateRayTracingPipelinesKHR@20=_v3dv_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateRayTracingPipelinesKHR@24=_v3dv_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateRayTracingPipelinesKHR@28=_v3dv_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateRayTracingPipelinesKHR@32=_v3dv_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateRayTracingPipelinesKHR@36=_v3dv_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateRayTracingPipelinesKHR@40=_v3dv_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateRayTracingPipelinesKHR@44=_v3dv_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateRayTracingPipelinesKHR@48=_v3dv_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateRayTracingPipelinesKHR@60=_v3dv_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateRayTracingPipelinesKHR@104=_v3dv_CreateRayTracingPipelinesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CreateRayTracingPipelinesKHR=v3dv_CreateRayTracingPipelinesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_CreateRayTracingPipelinesKHR(VkDevice device, VkDeferredOperationKHR deferredOperation, VkPipelineCache pipelineCache, uint32_t createInfoCount, const VkRayTracingPipelineCreateInfoKHR* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkPipeline* pPipelines) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_CmdTraceRaysIndirectKHR_Null)(VkCommandBuffer commandBuffer, const VkStridedDeviceAddressRegionKHR* pRaygenShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pMissShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pHitShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pCallableShaderBindingTable, VkDeviceAddress indirectDeviceAddress) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CmdTraceRaysIndirectKHR@4=_v3dv_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdTraceRaysIndirectKHR@8=_v3dv_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdTraceRaysIndirectKHR@12=_v3dv_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdTraceRaysIndirectKHR@16=_v3dv_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdTraceRaysIndirectKHR@20=_v3dv_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdTraceRaysIndirectKHR@24=_v3dv_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdTraceRaysIndirectKHR@28=_v3dv_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdTraceRaysIndirectKHR@32=_v3dv_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdTraceRaysIndirectKHR@36=_v3dv_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdTraceRaysIndirectKHR@40=_v3dv_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdTraceRaysIndirectKHR@44=_v3dv_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdTraceRaysIndirectKHR@48=_v3dv_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdTraceRaysIndirectKHR@60=_v3dv_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdTraceRaysIndirectKHR@104=_v3dv_CmdTraceRaysIndirectKHR_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CmdTraceRaysIndirectKHR=v3dv_CmdTraceRaysIndirectKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_CmdTraceRaysIndirectKHR(VkCommandBuffer commandBuffer, const VkStridedDeviceAddressRegionKHR* pRaygenShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pMissShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pHitShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pCallableShaderBindingTable, VkDeviceAddress indirectDeviceAddress) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_GetDeviceAccelerationStructureCompatibilityKHR_Null)(VkDevice device, const VkAccelerationStructureVersionInfoKHR* pVersionInfo, VkAccelerationStructureCompatibilityKHR* pCompatibility) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceAccelerationStructureCompatibilityKHR@4=_v3dv_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceAccelerationStructureCompatibilityKHR@8=_v3dv_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceAccelerationStructureCompatibilityKHR@12=_v3dv_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceAccelerationStructureCompatibilityKHR@16=_v3dv_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceAccelerationStructureCompatibilityKHR@20=_v3dv_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceAccelerationStructureCompatibilityKHR@24=_v3dv_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceAccelerationStructureCompatibilityKHR@28=_v3dv_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceAccelerationStructureCompatibilityKHR@32=_v3dv_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceAccelerationStructureCompatibilityKHR@36=_v3dv_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceAccelerationStructureCompatibilityKHR@40=_v3dv_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceAccelerationStructureCompatibilityKHR@44=_v3dv_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceAccelerationStructureCompatibilityKHR@48=_v3dv_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceAccelerationStructureCompatibilityKHR@60=_v3dv_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceAccelerationStructureCompatibilityKHR@104=_v3dv_GetDeviceAccelerationStructureCompatibilityKHR_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_GetDeviceAccelerationStructureCompatibilityKHR=v3dv_GetDeviceAccelerationStructureCompatibilityKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_GetDeviceAccelerationStructureCompatibilityKHR(VkDevice device, const VkAccelerationStructureVersionInfoKHR* pVersionInfo, VkAccelerationStructureCompatibilityKHR* pCompatibility) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkDeviceSize (*v3dv_GetRayTracingShaderGroupStackSizeKHR_Null)(VkDevice device, VkPipeline pipeline, uint32_t group, VkShaderGroupShaderKHR groupShader) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_GetRayTracingShaderGroupStackSizeKHR@4=_v3dv_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetRayTracingShaderGroupStackSizeKHR@8=_v3dv_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetRayTracingShaderGroupStackSizeKHR@12=_v3dv_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetRayTracingShaderGroupStackSizeKHR@16=_v3dv_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetRayTracingShaderGroupStackSizeKHR@20=_v3dv_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetRayTracingShaderGroupStackSizeKHR@24=_v3dv_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetRayTracingShaderGroupStackSizeKHR@28=_v3dv_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetRayTracingShaderGroupStackSizeKHR@32=_v3dv_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetRayTracingShaderGroupStackSizeKHR@36=_v3dv_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetRayTracingShaderGroupStackSizeKHR@40=_v3dv_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetRayTracingShaderGroupStackSizeKHR@44=_v3dv_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetRayTracingShaderGroupStackSizeKHR@48=_v3dv_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetRayTracingShaderGroupStackSizeKHR@60=_v3dv_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetRayTracingShaderGroupStackSizeKHR@104=_v3dv_GetRayTracingShaderGroupStackSizeKHR_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_GetRayTracingShaderGroupStackSizeKHR=v3dv_GetRayTracingShaderGroupStackSizeKHR_Null")
#endif
#else
    VKAPI_ATTR VkDeviceSize VKAPI_CALL v3dv_GetRayTracingShaderGroupStackSizeKHR(VkDevice device, VkPipeline pipeline, uint32_t group, VkShaderGroupShaderKHR groupShader) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_CmdSetRayTracingPipelineStackSizeKHR_Null)(VkCommandBuffer commandBuffer, uint32_t pipelineStackSize) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetRayTracingPipelineStackSizeKHR@4=_v3dv_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetRayTracingPipelineStackSizeKHR@8=_v3dv_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetRayTracingPipelineStackSizeKHR@12=_v3dv_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetRayTracingPipelineStackSizeKHR@16=_v3dv_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetRayTracingPipelineStackSizeKHR@20=_v3dv_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetRayTracingPipelineStackSizeKHR@24=_v3dv_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetRayTracingPipelineStackSizeKHR@28=_v3dv_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetRayTracingPipelineStackSizeKHR@32=_v3dv_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetRayTracingPipelineStackSizeKHR@36=_v3dv_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetRayTracingPipelineStackSizeKHR@40=_v3dv_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetRayTracingPipelineStackSizeKHR@44=_v3dv_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetRayTracingPipelineStackSizeKHR@48=_v3dv_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetRayTracingPipelineStackSizeKHR@60=_v3dv_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetRayTracingPipelineStackSizeKHR@104=_v3dv_CmdSetRayTracingPipelineStackSizeKHR_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CmdSetRayTracingPipelineStackSizeKHR=v3dv_CmdSetRayTracingPipelineStackSizeKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_CmdSetRayTracingPipelineStackSizeKHR(VkCommandBuffer commandBuffer, uint32_t pipelineStackSize) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    uint32_t (*v3dv_GetImageViewHandleNVX_Null)(VkDevice device, const VkImageViewHandleInfoNVX* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_GetImageViewHandleNVX@4=_v3dv_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetImageViewHandleNVX@8=_v3dv_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetImageViewHandleNVX@12=_v3dv_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetImageViewHandleNVX@16=_v3dv_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetImageViewHandleNVX@20=_v3dv_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetImageViewHandleNVX@24=_v3dv_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetImageViewHandleNVX@28=_v3dv_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetImageViewHandleNVX@32=_v3dv_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetImageViewHandleNVX@36=_v3dv_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetImageViewHandleNVX@40=_v3dv_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetImageViewHandleNVX@44=_v3dv_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetImageViewHandleNVX@48=_v3dv_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetImageViewHandleNVX@60=_v3dv_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetImageViewHandleNVX@104=_v3dv_GetImageViewHandleNVX_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_GetImageViewHandleNVX=v3dv_GetImageViewHandleNVX_Null")
#endif
#else
    VKAPI_ATTR uint32_t VKAPI_CALL v3dv_GetImageViewHandleNVX(VkDevice device, const VkImageViewHandleInfoNVX* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_GetImageViewAddressNVX_Null)(VkDevice device, VkImageView imageView, VkImageViewAddressPropertiesNVX* pProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_GetImageViewAddressNVX@4=_v3dv_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetImageViewAddressNVX@8=_v3dv_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetImageViewAddressNVX@12=_v3dv_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetImageViewAddressNVX@16=_v3dv_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetImageViewAddressNVX@20=_v3dv_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetImageViewAddressNVX@24=_v3dv_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetImageViewAddressNVX@28=_v3dv_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetImageViewAddressNVX@32=_v3dv_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetImageViewAddressNVX@36=_v3dv_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetImageViewAddressNVX@40=_v3dv_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetImageViewAddressNVX@44=_v3dv_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetImageViewAddressNVX@48=_v3dv_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetImageViewAddressNVX@60=_v3dv_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetImageViewAddressNVX@104=_v3dv_GetImageViewAddressNVX_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_GetImageViewAddressNVX=v3dv_GetImageViewAddressNVX_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_GetImageViewAddressNVX(VkDevice device, VkImageView imageView, VkImageViewAddressPropertiesNVX* pProperties) __attribute__ ((weak));
#endif
#ifdef VK_USE_PLATFORM_WIN32_KHR
#ifdef _MSC_VER
    VkResult (*v3dv_GetDeviceGroupSurfacePresentModes2EXT_Null)(VkDevice device, const VkPhysicalDeviceSurfaceInfo2KHR* pSurfaceInfo, VkDeviceGroupPresentModeFlagsKHR* pModes) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceGroupSurfacePresentModes2EXT@4=_v3dv_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceGroupSurfacePresentModes2EXT@8=_v3dv_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceGroupSurfacePresentModes2EXT@12=_v3dv_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceGroupSurfacePresentModes2EXT@16=_v3dv_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceGroupSurfacePresentModes2EXT@20=_v3dv_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceGroupSurfacePresentModes2EXT@24=_v3dv_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceGroupSurfacePresentModes2EXT@28=_v3dv_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceGroupSurfacePresentModes2EXT@32=_v3dv_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceGroupSurfacePresentModes2EXT@36=_v3dv_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceGroupSurfacePresentModes2EXT@40=_v3dv_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceGroupSurfacePresentModes2EXT@44=_v3dv_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceGroupSurfacePresentModes2EXT@48=_v3dv_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceGroupSurfacePresentModes2EXT@60=_v3dv_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceGroupSurfacePresentModes2EXT@104=_v3dv_GetDeviceGroupSurfacePresentModes2EXT_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_GetDeviceGroupSurfacePresentModes2EXT=v3dv_GetDeviceGroupSurfacePresentModes2EXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_GetDeviceGroupSurfacePresentModes2EXT(VkDevice device, const VkPhysicalDeviceSurfaceInfo2KHR* pSurfaceInfo, VkDeviceGroupPresentModeFlagsKHR* pModes) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef VK_USE_PLATFORM_WIN32_KHR
#ifdef _MSC_VER
    VkResult (*v3dv_AcquireFullScreenExclusiveModeEXT_Null)(VkDevice device, VkSwapchainKHR swapchain) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_AcquireFullScreenExclusiveModeEXT@4=_v3dv_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_AcquireFullScreenExclusiveModeEXT@8=_v3dv_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_AcquireFullScreenExclusiveModeEXT@12=_v3dv_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_AcquireFullScreenExclusiveModeEXT@16=_v3dv_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_AcquireFullScreenExclusiveModeEXT@20=_v3dv_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_AcquireFullScreenExclusiveModeEXT@24=_v3dv_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_AcquireFullScreenExclusiveModeEXT@28=_v3dv_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_AcquireFullScreenExclusiveModeEXT@32=_v3dv_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_AcquireFullScreenExclusiveModeEXT@36=_v3dv_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_AcquireFullScreenExclusiveModeEXT@40=_v3dv_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_AcquireFullScreenExclusiveModeEXT@44=_v3dv_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_AcquireFullScreenExclusiveModeEXT@48=_v3dv_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_AcquireFullScreenExclusiveModeEXT@60=_v3dv_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_AcquireFullScreenExclusiveModeEXT@104=_v3dv_AcquireFullScreenExclusiveModeEXT_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_AcquireFullScreenExclusiveModeEXT=v3dv_AcquireFullScreenExclusiveModeEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_AcquireFullScreenExclusiveModeEXT(VkDevice device, VkSwapchainKHR swapchain) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef VK_USE_PLATFORM_WIN32_KHR
#ifdef _MSC_VER
    VkResult (*v3dv_ReleaseFullScreenExclusiveModeEXT_Null)(VkDevice device, VkSwapchainKHR swapchain) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_ReleaseFullScreenExclusiveModeEXT@4=_v3dv_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ReleaseFullScreenExclusiveModeEXT@8=_v3dv_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ReleaseFullScreenExclusiveModeEXT@12=_v3dv_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ReleaseFullScreenExclusiveModeEXT@16=_v3dv_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ReleaseFullScreenExclusiveModeEXT@20=_v3dv_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ReleaseFullScreenExclusiveModeEXT@24=_v3dv_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ReleaseFullScreenExclusiveModeEXT@28=_v3dv_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ReleaseFullScreenExclusiveModeEXT@32=_v3dv_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ReleaseFullScreenExclusiveModeEXT@36=_v3dv_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ReleaseFullScreenExclusiveModeEXT@40=_v3dv_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ReleaseFullScreenExclusiveModeEXT@44=_v3dv_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ReleaseFullScreenExclusiveModeEXT@48=_v3dv_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ReleaseFullScreenExclusiveModeEXT@60=_v3dv_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ReleaseFullScreenExclusiveModeEXT@104=_v3dv_ReleaseFullScreenExclusiveModeEXT_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_ReleaseFullScreenExclusiveModeEXT=v3dv_ReleaseFullScreenExclusiveModeEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_ReleaseFullScreenExclusiveModeEXT(VkDevice device, VkSwapchainKHR swapchain) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef _MSC_VER
    VkResult (*v3dv_AcquireProfilingLockKHR_Null)(VkDevice device, const VkAcquireProfilingLockInfoKHR* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_AcquireProfilingLockKHR@4=_v3dv_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_AcquireProfilingLockKHR@8=_v3dv_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_AcquireProfilingLockKHR@12=_v3dv_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_AcquireProfilingLockKHR@16=_v3dv_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_AcquireProfilingLockKHR@20=_v3dv_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_AcquireProfilingLockKHR@24=_v3dv_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_AcquireProfilingLockKHR@28=_v3dv_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_AcquireProfilingLockKHR@32=_v3dv_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_AcquireProfilingLockKHR@36=_v3dv_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_AcquireProfilingLockKHR@40=_v3dv_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_AcquireProfilingLockKHR@44=_v3dv_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_AcquireProfilingLockKHR@48=_v3dv_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_AcquireProfilingLockKHR@60=_v3dv_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_AcquireProfilingLockKHR@104=_v3dv_AcquireProfilingLockKHR_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_AcquireProfilingLockKHR=v3dv_AcquireProfilingLockKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_AcquireProfilingLockKHR(VkDevice device, const VkAcquireProfilingLockInfoKHR* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_ReleaseProfilingLockKHR_Null)(VkDevice device) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_ReleaseProfilingLockKHR@4=_v3dv_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ReleaseProfilingLockKHR@8=_v3dv_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ReleaseProfilingLockKHR@12=_v3dv_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ReleaseProfilingLockKHR@16=_v3dv_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ReleaseProfilingLockKHR@20=_v3dv_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ReleaseProfilingLockKHR@24=_v3dv_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ReleaseProfilingLockKHR@28=_v3dv_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ReleaseProfilingLockKHR@32=_v3dv_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ReleaseProfilingLockKHR@36=_v3dv_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ReleaseProfilingLockKHR@40=_v3dv_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ReleaseProfilingLockKHR@44=_v3dv_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ReleaseProfilingLockKHR@48=_v3dv_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ReleaseProfilingLockKHR@60=_v3dv_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ReleaseProfilingLockKHR@104=_v3dv_ReleaseProfilingLockKHR_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_ReleaseProfilingLockKHR=v3dv_ReleaseProfilingLockKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_ReleaseProfilingLockKHR(VkDevice device) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_GetImageDrmFormatModifierPropertiesEXT_Null)(VkDevice device, VkImage image, VkImageDrmFormatModifierPropertiesEXT* pProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_GetImageDrmFormatModifierPropertiesEXT@4=_v3dv_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetImageDrmFormatModifierPropertiesEXT@8=_v3dv_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetImageDrmFormatModifierPropertiesEXT@12=_v3dv_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetImageDrmFormatModifierPropertiesEXT@16=_v3dv_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetImageDrmFormatModifierPropertiesEXT@20=_v3dv_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetImageDrmFormatModifierPropertiesEXT@24=_v3dv_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetImageDrmFormatModifierPropertiesEXT@28=_v3dv_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetImageDrmFormatModifierPropertiesEXT@32=_v3dv_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetImageDrmFormatModifierPropertiesEXT@36=_v3dv_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetImageDrmFormatModifierPropertiesEXT@40=_v3dv_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetImageDrmFormatModifierPropertiesEXT@44=_v3dv_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetImageDrmFormatModifierPropertiesEXT@48=_v3dv_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetImageDrmFormatModifierPropertiesEXT@60=_v3dv_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetImageDrmFormatModifierPropertiesEXT@104=_v3dv_GetImageDrmFormatModifierPropertiesEXT_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_GetImageDrmFormatModifierPropertiesEXT=v3dv_GetImageDrmFormatModifierPropertiesEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_GetImageDrmFormatModifierPropertiesEXT(VkDevice device, VkImage image, VkImageDrmFormatModifierPropertiesEXT* pProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    uint64_t (*v3dv_GetBufferOpaqueCaptureAddress_Null)(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_GetBufferOpaqueCaptureAddress@4=_v3dv_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetBufferOpaqueCaptureAddress@8=_v3dv_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetBufferOpaqueCaptureAddress@12=_v3dv_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetBufferOpaqueCaptureAddress@16=_v3dv_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetBufferOpaqueCaptureAddress@20=_v3dv_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetBufferOpaqueCaptureAddress@24=_v3dv_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetBufferOpaqueCaptureAddress@28=_v3dv_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetBufferOpaqueCaptureAddress@32=_v3dv_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetBufferOpaqueCaptureAddress@36=_v3dv_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetBufferOpaqueCaptureAddress@40=_v3dv_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetBufferOpaqueCaptureAddress@44=_v3dv_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetBufferOpaqueCaptureAddress@48=_v3dv_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetBufferOpaqueCaptureAddress@60=_v3dv_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetBufferOpaqueCaptureAddress@104=_v3dv_GetBufferOpaqueCaptureAddress_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_GetBufferOpaqueCaptureAddress=v3dv_GetBufferOpaqueCaptureAddress_Null")
#endif
#else
    VKAPI_ATTR uint64_t VKAPI_CALL v3dv_GetBufferOpaqueCaptureAddress(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    uint64_t (*v3dv_GetBufferOpaqueCaptureAddressKHR_Null)(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_GetBufferOpaqueCaptureAddressKHR@4=_v3dv_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetBufferOpaqueCaptureAddressKHR@8=_v3dv_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetBufferOpaqueCaptureAddressKHR@12=_v3dv_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetBufferOpaqueCaptureAddressKHR@16=_v3dv_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetBufferOpaqueCaptureAddressKHR@20=_v3dv_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetBufferOpaqueCaptureAddressKHR@24=_v3dv_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetBufferOpaqueCaptureAddressKHR@28=_v3dv_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetBufferOpaqueCaptureAddressKHR@32=_v3dv_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetBufferOpaqueCaptureAddressKHR@36=_v3dv_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetBufferOpaqueCaptureAddressKHR@40=_v3dv_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetBufferOpaqueCaptureAddressKHR@44=_v3dv_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetBufferOpaqueCaptureAddressKHR@48=_v3dv_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetBufferOpaqueCaptureAddressKHR@60=_v3dv_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetBufferOpaqueCaptureAddressKHR@104=_v3dv_GetBufferOpaqueCaptureAddressKHR_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_GetBufferOpaqueCaptureAddressKHR=v3dv_GetBufferOpaqueCaptureAddressKHR_Null")
#endif
#else
    VKAPI_ATTR uint64_t VKAPI_CALL v3dv_GetBufferOpaqueCaptureAddressKHR(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkDeviceAddress (*v3dv_GetBufferDeviceAddress_Null)(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_GetBufferDeviceAddress@4=_v3dv_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetBufferDeviceAddress@8=_v3dv_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetBufferDeviceAddress@12=_v3dv_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetBufferDeviceAddress@16=_v3dv_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetBufferDeviceAddress@20=_v3dv_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetBufferDeviceAddress@24=_v3dv_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetBufferDeviceAddress@28=_v3dv_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetBufferDeviceAddress@32=_v3dv_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetBufferDeviceAddress@36=_v3dv_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetBufferDeviceAddress@40=_v3dv_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetBufferDeviceAddress@44=_v3dv_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetBufferDeviceAddress@48=_v3dv_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetBufferDeviceAddress@60=_v3dv_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetBufferDeviceAddress@104=_v3dv_GetBufferDeviceAddress_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_GetBufferDeviceAddress=v3dv_GetBufferDeviceAddress_Null")
#endif
#else
    VKAPI_ATTR VkDeviceAddress VKAPI_CALL v3dv_GetBufferDeviceAddress(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkDeviceAddress (*v3dv_GetBufferDeviceAddressKHR_Null)(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_GetBufferDeviceAddressKHR@4=_v3dv_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetBufferDeviceAddressKHR@8=_v3dv_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetBufferDeviceAddressKHR@12=_v3dv_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetBufferDeviceAddressKHR@16=_v3dv_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetBufferDeviceAddressKHR@20=_v3dv_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetBufferDeviceAddressKHR@24=_v3dv_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetBufferDeviceAddressKHR@28=_v3dv_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetBufferDeviceAddressKHR@32=_v3dv_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetBufferDeviceAddressKHR@36=_v3dv_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetBufferDeviceAddressKHR@40=_v3dv_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetBufferDeviceAddressKHR@44=_v3dv_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetBufferDeviceAddressKHR@48=_v3dv_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetBufferDeviceAddressKHR@60=_v3dv_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetBufferDeviceAddressKHR@104=_v3dv_GetBufferDeviceAddressKHR_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_GetBufferDeviceAddressKHR=v3dv_GetBufferDeviceAddressKHR_Null")
#endif
#else
    VKAPI_ATTR VkDeviceAddress VKAPI_CALL v3dv_GetBufferDeviceAddressKHR(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkDeviceAddress (*v3dv_GetBufferDeviceAddressEXT_Null)(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_GetBufferDeviceAddressEXT@4=_v3dv_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetBufferDeviceAddressEXT@8=_v3dv_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetBufferDeviceAddressEXT@12=_v3dv_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetBufferDeviceAddressEXT@16=_v3dv_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetBufferDeviceAddressEXT@20=_v3dv_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetBufferDeviceAddressEXT@24=_v3dv_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetBufferDeviceAddressEXT@28=_v3dv_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetBufferDeviceAddressEXT@32=_v3dv_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetBufferDeviceAddressEXT@36=_v3dv_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetBufferDeviceAddressEXT@40=_v3dv_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetBufferDeviceAddressEXT@44=_v3dv_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetBufferDeviceAddressEXT@48=_v3dv_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetBufferDeviceAddressEXT@60=_v3dv_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetBufferDeviceAddressEXT@104=_v3dv_GetBufferDeviceAddressEXT_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_GetBufferDeviceAddressEXT=v3dv_GetBufferDeviceAddressEXT_Null")
#endif
#else
    VKAPI_ATTR VkDeviceAddress VKAPI_CALL v3dv_GetBufferDeviceAddressEXT(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_InitializePerformanceApiINTEL_Null)(VkDevice device, const VkInitializePerformanceApiInfoINTEL* pInitializeInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_InitializePerformanceApiINTEL@4=_v3dv_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_v3dv_InitializePerformanceApiINTEL@8=_v3dv_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_v3dv_InitializePerformanceApiINTEL@12=_v3dv_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_v3dv_InitializePerformanceApiINTEL@16=_v3dv_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_v3dv_InitializePerformanceApiINTEL@20=_v3dv_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_v3dv_InitializePerformanceApiINTEL@24=_v3dv_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_v3dv_InitializePerformanceApiINTEL@28=_v3dv_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_v3dv_InitializePerformanceApiINTEL@32=_v3dv_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_v3dv_InitializePerformanceApiINTEL@36=_v3dv_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_v3dv_InitializePerformanceApiINTEL@40=_v3dv_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_v3dv_InitializePerformanceApiINTEL@44=_v3dv_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_v3dv_InitializePerformanceApiINTEL@48=_v3dv_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_v3dv_InitializePerformanceApiINTEL@60=_v3dv_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_v3dv_InitializePerformanceApiINTEL@104=_v3dv_InitializePerformanceApiINTEL_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_InitializePerformanceApiINTEL=v3dv_InitializePerformanceApiINTEL_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_InitializePerformanceApiINTEL(VkDevice device, const VkInitializePerformanceApiInfoINTEL* pInitializeInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_UninitializePerformanceApiINTEL_Null)(VkDevice device) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_UninitializePerformanceApiINTEL@4=_v3dv_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_v3dv_UninitializePerformanceApiINTEL@8=_v3dv_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_v3dv_UninitializePerformanceApiINTEL@12=_v3dv_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_v3dv_UninitializePerformanceApiINTEL@16=_v3dv_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_v3dv_UninitializePerformanceApiINTEL@20=_v3dv_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_v3dv_UninitializePerformanceApiINTEL@24=_v3dv_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_v3dv_UninitializePerformanceApiINTEL@28=_v3dv_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_v3dv_UninitializePerformanceApiINTEL@32=_v3dv_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_v3dv_UninitializePerformanceApiINTEL@36=_v3dv_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_v3dv_UninitializePerformanceApiINTEL@40=_v3dv_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_v3dv_UninitializePerformanceApiINTEL@44=_v3dv_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_v3dv_UninitializePerformanceApiINTEL@48=_v3dv_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_v3dv_UninitializePerformanceApiINTEL@60=_v3dv_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_v3dv_UninitializePerformanceApiINTEL@104=_v3dv_UninitializePerformanceApiINTEL_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_UninitializePerformanceApiINTEL=v3dv_UninitializePerformanceApiINTEL_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_UninitializePerformanceApiINTEL(VkDevice device) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_CmdSetPerformanceMarkerINTEL_Null)(VkCommandBuffer commandBuffer, const VkPerformanceMarkerInfoINTEL* pMarkerInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetPerformanceMarkerINTEL@4=_v3dv_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetPerformanceMarkerINTEL@8=_v3dv_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetPerformanceMarkerINTEL@12=_v3dv_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetPerformanceMarkerINTEL@16=_v3dv_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetPerformanceMarkerINTEL@20=_v3dv_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetPerformanceMarkerINTEL@24=_v3dv_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetPerformanceMarkerINTEL@28=_v3dv_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetPerformanceMarkerINTEL@32=_v3dv_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetPerformanceMarkerINTEL@36=_v3dv_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetPerformanceMarkerINTEL@40=_v3dv_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetPerformanceMarkerINTEL@44=_v3dv_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetPerformanceMarkerINTEL@48=_v3dv_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetPerformanceMarkerINTEL@60=_v3dv_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetPerformanceMarkerINTEL@104=_v3dv_CmdSetPerformanceMarkerINTEL_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CmdSetPerformanceMarkerINTEL=v3dv_CmdSetPerformanceMarkerINTEL_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_CmdSetPerformanceMarkerINTEL(VkCommandBuffer commandBuffer, const VkPerformanceMarkerInfoINTEL* pMarkerInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_CmdSetPerformanceStreamMarkerINTEL_Null)(VkCommandBuffer commandBuffer, const VkPerformanceStreamMarkerInfoINTEL* pMarkerInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetPerformanceStreamMarkerINTEL@4=_v3dv_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetPerformanceStreamMarkerINTEL@8=_v3dv_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetPerformanceStreamMarkerINTEL@12=_v3dv_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetPerformanceStreamMarkerINTEL@16=_v3dv_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetPerformanceStreamMarkerINTEL@20=_v3dv_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetPerformanceStreamMarkerINTEL@24=_v3dv_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetPerformanceStreamMarkerINTEL@28=_v3dv_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetPerformanceStreamMarkerINTEL@32=_v3dv_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetPerformanceStreamMarkerINTEL@36=_v3dv_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetPerformanceStreamMarkerINTEL@40=_v3dv_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetPerformanceStreamMarkerINTEL@44=_v3dv_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetPerformanceStreamMarkerINTEL@48=_v3dv_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetPerformanceStreamMarkerINTEL@60=_v3dv_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetPerformanceStreamMarkerINTEL@104=_v3dv_CmdSetPerformanceStreamMarkerINTEL_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CmdSetPerformanceStreamMarkerINTEL=v3dv_CmdSetPerformanceStreamMarkerINTEL_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_CmdSetPerformanceStreamMarkerINTEL(VkCommandBuffer commandBuffer, const VkPerformanceStreamMarkerInfoINTEL* pMarkerInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_CmdSetPerformanceOverrideINTEL_Null)(VkCommandBuffer commandBuffer, const VkPerformanceOverrideInfoINTEL* pOverrideInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetPerformanceOverrideINTEL@4=_v3dv_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetPerformanceOverrideINTEL@8=_v3dv_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetPerformanceOverrideINTEL@12=_v3dv_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetPerformanceOverrideINTEL@16=_v3dv_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetPerformanceOverrideINTEL@20=_v3dv_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetPerformanceOverrideINTEL@24=_v3dv_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetPerformanceOverrideINTEL@28=_v3dv_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetPerformanceOverrideINTEL@32=_v3dv_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetPerformanceOverrideINTEL@36=_v3dv_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetPerformanceOverrideINTEL@40=_v3dv_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetPerformanceOverrideINTEL@44=_v3dv_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetPerformanceOverrideINTEL@48=_v3dv_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetPerformanceOverrideINTEL@60=_v3dv_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetPerformanceOverrideINTEL@104=_v3dv_CmdSetPerformanceOverrideINTEL_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CmdSetPerformanceOverrideINTEL=v3dv_CmdSetPerformanceOverrideINTEL_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_CmdSetPerformanceOverrideINTEL(VkCommandBuffer commandBuffer, const VkPerformanceOverrideInfoINTEL* pOverrideInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_AcquirePerformanceConfigurationINTEL_Null)(VkDevice device, const VkPerformanceConfigurationAcquireInfoINTEL* pAcquireInfo, VkPerformanceConfigurationINTEL* pConfiguration) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_AcquirePerformanceConfigurationINTEL@4=_v3dv_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_v3dv_AcquirePerformanceConfigurationINTEL@8=_v3dv_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_v3dv_AcquirePerformanceConfigurationINTEL@12=_v3dv_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_v3dv_AcquirePerformanceConfigurationINTEL@16=_v3dv_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_v3dv_AcquirePerformanceConfigurationINTEL@20=_v3dv_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_v3dv_AcquirePerformanceConfigurationINTEL@24=_v3dv_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_v3dv_AcquirePerformanceConfigurationINTEL@28=_v3dv_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_v3dv_AcquirePerformanceConfigurationINTEL@32=_v3dv_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_v3dv_AcquirePerformanceConfigurationINTEL@36=_v3dv_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_v3dv_AcquirePerformanceConfigurationINTEL@40=_v3dv_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_v3dv_AcquirePerformanceConfigurationINTEL@44=_v3dv_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_v3dv_AcquirePerformanceConfigurationINTEL@48=_v3dv_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_v3dv_AcquirePerformanceConfigurationINTEL@60=_v3dv_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_v3dv_AcquirePerformanceConfigurationINTEL@104=_v3dv_AcquirePerformanceConfigurationINTEL_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_AcquirePerformanceConfigurationINTEL=v3dv_AcquirePerformanceConfigurationINTEL_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_AcquirePerformanceConfigurationINTEL(VkDevice device, const VkPerformanceConfigurationAcquireInfoINTEL* pAcquireInfo, VkPerformanceConfigurationINTEL* pConfiguration) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_ReleasePerformanceConfigurationINTEL_Null)(VkDevice device, VkPerformanceConfigurationINTEL configuration) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_ReleasePerformanceConfigurationINTEL@4=_v3dv_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ReleasePerformanceConfigurationINTEL@8=_v3dv_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ReleasePerformanceConfigurationINTEL@12=_v3dv_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ReleasePerformanceConfigurationINTEL@16=_v3dv_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ReleasePerformanceConfigurationINTEL@20=_v3dv_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ReleasePerformanceConfigurationINTEL@24=_v3dv_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ReleasePerformanceConfigurationINTEL@28=_v3dv_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ReleasePerformanceConfigurationINTEL@32=_v3dv_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ReleasePerformanceConfigurationINTEL@36=_v3dv_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ReleasePerformanceConfigurationINTEL@40=_v3dv_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ReleasePerformanceConfigurationINTEL@44=_v3dv_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ReleasePerformanceConfigurationINTEL@48=_v3dv_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ReleasePerformanceConfigurationINTEL@60=_v3dv_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_v3dv_ReleasePerformanceConfigurationINTEL@104=_v3dv_ReleasePerformanceConfigurationINTEL_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_ReleasePerformanceConfigurationINTEL=v3dv_ReleasePerformanceConfigurationINTEL_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_ReleasePerformanceConfigurationINTEL(VkDevice device, VkPerformanceConfigurationINTEL configuration) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_QueueSetPerformanceConfigurationINTEL_Null)(VkQueue queue, VkPerformanceConfigurationINTEL configuration) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_QueueSetPerformanceConfigurationINTEL@4=_v3dv_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_v3dv_QueueSetPerformanceConfigurationINTEL@8=_v3dv_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_v3dv_QueueSetPerformanceConfigurationINTEL@12=_v3dv_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_v3dv_QueueSetPerformanceConfigurationINTEL@16=_v3dv_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_v3dv_QueueSetPerformanceConfigurationINTEL@20=_v3dv_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_v3dv_QueueSetPerformanceConfigurationINTEL@24=_v3dv_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_v3dv_QueueSetPerformanceConfigurationINTEL@28=_v3dv_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_v3dv_QueueSetPerformanceConfigurationINTEL@32=_v3dv_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_v3dv_QueueSetPerformanceConfigurationINTEL@36=_v3dv_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_v3dv_QueueSetPerformanceConfigurationINTEL@40=_v3dv_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_v3dv_QueueSetPerformanceConfigurationINTEL@44=_v3dv_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_v3dv_QueueSetPerformanceConfigurationINTEL@48=_v3dv_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_v3dv_QueueSetPerformanceConfigurationINTEL@60=_v3dv_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_v3dv_QueueSetPerformanceConfigurationINTEL@104=_v3dv_QueueSetPerformanceConfigurationINTEL_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_QueueSetPerformanceConfigurationINTEL=v3dv_QueueSetPerformanceConfigurationINTEL_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_QueueSetPerformanceConfigurationINTEL(VkQueue queue, VkPerformanceConfigurationINTEL configuration) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_GetPerformanceParameterINTEL_Null)(VkDevice device, VkPerformanceParameterTypeINTEL parameter, VkPerformanceValueINTEL* pValue) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_GetPerformanceParameterINTEL@4=_v3dv_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPerformanceParameterINTEL@8=_v3dv_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPerformanceParameterINTEL@12=_v3dv_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPerformanceParameterINTEL@16=_v3dv_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPerformanceParameterINTEL@20=_v3dv_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPerformanceParameterINTEL@24=_v3dv_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPerformanceParameterINTEL@28=_v3dv_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPerformanceParameterINTEL@32=_v3dv_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPerformanceParameterINTEL@36=_v3dv_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPerformanceParameterINTEL@40=_v3dv_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPerformanceParameterINTEL@44=_v3dv_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPerformanceParameterINTEL@48=_v3dv_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPerformanceParameterINTEL@60=_v3dv_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPerformanceParameterINTEL@104=_v3dv_GetPerformanceParameterINTEL_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_GetPerformanceParameterINTEL=v3dv_GetPerformanceParameterINTEL_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_GetPerformanceParameterINTEL(VkDevice device, VkPerformanceParameterTypeINTEL parameter, VkPerformanceValueINTEL* pValue) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    uint64_t (*v3dv_GetDeviceMemoryOpaqueCaptureAddress_Null)(VkDevice device, const VkDeviceMemoryOpaqueCaptureAddressInfo* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceMemoryOpaqueCaptureAddress@4=_v3dv_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceMemoryOpaqueCaptureAddress@8=_v3dv_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceMemoryOpaqueCaptureAddress@12=_v3dv_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceMemoryOpaqueCaptureAddress@16=_v3dv_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceMemoryOpaqueCaptureAddress@20=_v3dv_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceMemoryOpaqueCaptureAddress@24=_v3dv_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceMemoryOpaqueCaptureAddress@28=_v3dv_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceMemoryOpaqueCaptureAddress@32=_v3dv_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceMemoryOpaqueCaptureAddress@36=_v3dv_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceMemoryOpaqueCaptureAddress@40=_v3dv_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceMemoryOpaqueCaptureAddress@44=_v3dv_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceMemoryOpaqueCaptureAddress@48=_v3dv_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceMemoryOpaqueCaptureAddress@60=_v3dv_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceMemoryOpaqueCaptureAddress@104=_v3dv_GetDeviceMemoryOpaqueCaptureAddress_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_GetDeviceMemoryOpaqueCaptureAddress=v3dv_GetDeviceMemoryOpaqueCaptureAddress_Null")
#endif
#else
    VKAPI_ATTR uint64_t VKAPI_CALL v3dv_GetDeviceMemoryOpaqueCaptureAddress(VkDevice device, const VkDeviceMemoryOpaqueCaptureAddressInfo* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    uint64_t (*v3dv_GetDeviceMemoryOpaqueCaptureAddressKHR_Null)(VkDevice device, const VkDeviceMemoryOpaqueCaptureAddressInfo* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceMemoryOpaqueCaptureAddressKHR@4=_v3dv_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceMemoryOpaqueCaptureAddressKHR@8=_v3dv_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceMemoryOpaqueCaptureAddressKHR@12=_v3dv_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceMemoryOpaqueCaptureAddressKHR@16=_v3dv_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceMemoryOpaqueCaptureAddressKHR@20=_v3dv_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceMemoryOpaqueCaptureAddressKHR@24=_v3dv_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceMemoryOpaqueCaptureAddressKHR@28=_v3dv_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceMemoryOpaqueCaptureAddressKHR@32=_v3dv_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceMemoryOpaqueCaptureAddressKHR@36=_v3dv_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceMemoryOpaqueCaptureAddressKHR@40=_v3dv_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceMemoryOpaqueCaptureAddressKHR@44=_v3dv_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceMemoryOpaqueCaptureAddressKHR@48=_v3dv_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceMemoryOpaqueCaptureAddressKHR@60=_v3dv_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeviceMemoryOpaqueCaptureAddressKHR@104=_v3dv_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_GetDeviceMemoryOpaqueCaptureAddressKHR=v3dv_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
#endif
#else
    VKAPI_ATTR uint64_t VKAPI_CALL v3dv_GetDeviceMemoryOpaqueCaptureAddressKHR(VkDevice device, const VkDeviceMemoryOpaqueCaptureAddressInfo* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_GetPipelineExecutablePropertiesKHR_Null)(VkDevice                        device, const VkPipelineInfoKHR*        pPipelineInfo, uint32_t* pExecutableCount, VkPipelineExecutablePropertiesKHR* pProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_GetPipelineExecutablePropertiesKHR@4=_v3dv_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPipelineExecutablePropertiesKHR@8=_v3dv_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPipelineExecutablePropertiesKHR@12=_v3dv_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPipelineExecutablePropertiesKHR@16=_v3dv_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPipelineExecutablePropertiesKHR@20=_v3dv_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPipelineExecutablePropertiesKHR@24=_v3dv_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPipelineExecutablePropertiesKHR@28=_v3dv_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPipelineExecutablePropertiesKHR@32=_v3dv_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPipelineExecutablePropertiesKHR@36=_v3dv_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPipelineExecutablePropertiesKHR@40=_v3dv_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPipelineExecutablePropertiesKHR@44=_v3dv_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPipelineExecutablePropertiesKHR@48=_v3dv_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPipelineExecutablePropertiesKHR@60=_v3dv_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPipelineExecutablePropertiesKHR@104=_v3dv_GetPipelineExecutablePropertiesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_GetPipelineExecutablePropertiesKHR=v3dv_GetPipelineExecutablePropertiesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_GetPipelineExecutablePropertiesKHR(VkDevice                        device, const VkPipelineInfoKHR*        pPipelineInfo, uint32_t* pExecutableCount, VkPipelineExecutablePropertiesKHR* pProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_GetPipelineExecutableStatisticsKHR_Null)(VkDevice                        device, const VkPipelineExecutableInfoKHR*  pExecutableInfo, uint32_t* pStatisticCount, VkPipelineExecutableStatisticKHR* pStatistics) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_GetPipelineExecutableStatisticsKHR@4=_v3dv_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPipelineExecutableStatisticsKHR@8=_v3dv_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPipelineExecutableStatisticsKHR@12=_v3dv_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPipelineExecutableStatisticsKHR@16=_v3dv_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPipelineExecutableStatisticsKHR@20=_v3dv_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPipelineExecutableStatisticsKHR@24=_v3dv_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPipelineExecutableStatisticsKHR@28=_v3dv_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPipelineExecutableStatisticsKHR@32=_v3dv_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPipelineExecutableStatisticsKHR@36=_v3dv_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPipelineExecutableStatisticsKHR@40=_v3dv_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPipelineExecutableStatisticsKHR@44=_v3dv_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPipelineExecutableStatisticsKHR@48=_v3dv_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPipelineExecutableStatisticsKHR@60=_v3dv_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPipelineExecutableStatisticsKHR@104=_v3dv_GetPipelineExecutableStatisticsKHR_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_GetPipelineExecutableStatisticsKHR=v3dv_GetPipelineExecutableStatisticsKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_GetPipelineExecutableStatisticsKHR(VkDevice                        device, const VkPipelineExecutableInfoKHR*  pExecutableInfo, uint32_t* pStatisticCount, VkPipelineExecutableStatisticKHR* pStatistics) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_GetPipelineExecutableInternalRepresentationsKHR_Null)(VkDevice                        device, const VkPipelineExecutableInfoKHR*  pExecutableInfo, uint32_t* pInternalRepresentationCount, VkPipelineExecutableInternalRepresentationKHR* pInternalRepresentations) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_GetPipelineExecutableInternalRepresentationsKHR@4=_v3dv_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPipelineExecutableInternalRepresentationsKHR@8=_v3dv_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPipelineExecutableInternalRepresentationsKHR@12=_v3dv_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPipelineExecutableInternalRepresentationsKHR@16=_v3dv_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPipelineExecutableInternalRepresentationsKHR@20=_v3dv_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPipelineExecutableInternalRepresentationsKHR@24=_v3dv_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPipelineExecutableInternalRepresentationsKHR@28=_v3dv_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPipelineExecutableInternalRepresentationsKHR@32=_v3dv_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPipelineExecutableInternalRepresentationsKHR@36=_v3dv_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPipelineExecutableInternalRepresentationsKHR@40=_v3dv_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPipelineExecutableInternalRepresentationsKHR@44=_v3dv_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPipelineExecutableInternalRepresentationsKHR@48=_v3dv_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPipelineExecutableInternalRepresentationsKHR@60=_v3dv_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPipelineExecutableInternalRepresentationsKHR@104=_v3dv_GetPipelineExecutableInternalRepresentationsKHR_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_GetPipelineExecutableInternalRepresentationsKHR=v3dv_GetPipelineExecutableInternalRepresentationsKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_GetPipelineExecutableInternalRepresentationsKHR(VkDevice                        device, const VkPipelineExecutableInfoKHR*  pExecutableInfo, uint32_t* pInternalRepresentationCount, VkPipelineExecutableInternalRepresentationKHR* pInternalRepresentations) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_CmdSetLineStippleEXT_Null)(VkCommandBuffer commandBuffer, uint32_t lineStippleFactor, uint16_t lineStipplePattern) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetLineStippleEXT@4=_v3dv_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetLineStippleEXT@8=_v3dv_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetLineStippleEXT@12=_v3dv_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetLineStippleEXT@16=_v3dv_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetLineStippleEXT@20=_v3dv_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetLineStippleEXT@24=_v3dv_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetLineStippleEXT@28=_v3dv_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetLineStippleEXT@32=_v3dv_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetLineStippleEXT@36=_v3dv_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetLineStippleEXT@40=_v3dv_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetLineStippleEXT@44=_v3dv_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetLineStippleEXT@48=_v3dv_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetLineStippleEXT@60=_v3dv_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetLineStippleEXT@104=_v3dv_CmdSetLineStippleEXT_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CmdSetLineStippleEXT=v3dv_CmdSetLineStippleEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_CmdSetLineStippleEXT(VkCommandBuffer commandBuffer, uint32_t lineStippleFactor, uint16_t lineStipplePattern) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_CreateAccelerationStructureKHR_Null)(VkDevice                                           device, const VkAccelerationStructureCreateInfoKHR*        pCreateInfo, const VkAllocationCallbacks*       pAllocator, VkAccelerationStructureKHR*                        pAccelerationStructure) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CreateAccelerationStructureKHR@4=_v3dv_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateAccelerationStructureKHR@8=_v3dv_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateAccelerationStructureKHR@12=_v3dv_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateAccelerationStructureKHR@16=_v3dv_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateAccelerationStructureKHR@20=_v3dv_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateAccelerationStructureKHR@24=_v3dv_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateAccelerationStructureKHR@28=_v3dv_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateAccelerationStructureKHR@32=_v3dv_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateAccelerationStructureKHR@36=_v3dv_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateAccelerationStructureKHR@40=_v3dv_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateAccelerationStructureKHR@44=_v3dv_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateAccelerationStructureKHR@48=_v3dv_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateAccelerationStructureKHR@60=_v3dv_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateAccelerationStructureKHR@104=_v3dv_CreateAccelerationStructureKHR_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CreateAccelerationStructureKHR=v3dv_CreateAccelerationStructureKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_CreateAccelerationStructureKHR(VkDevice                                           device, const VkAccelerationStructureCreateInfoKHR*        pCreateInfo, const VkAllocationCallbacks*       pAllocator, VkAccelerationStructureKHR*                        pAccelerationStructure) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_CmdBuildAccelerationStructuresKHR_Null)(VkCommandBuffer                                    commandBuffer, uint32_t infoCount, const VkAccelerationStructureBuildGeometryInfoKHR* pInfos, const VkAccelerationStructureBuildRangeInfoKHR* const* ppBuildRangeInfos) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CmdBuildAccelerationStructuresKHR@4=_v3dv_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBuildAccelerationStructuresKHR@8=_v3dv_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBuildAccelerationStructuresKHR@12=_v3dv_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBuildAccelerationStructuresKHR@16=_v3dv_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBuildAccelerationStructuresKHR@20=_v3dv_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBuildAccelerationStructuresKHR@24=_v3dv_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBuildAccelerationStructuresKHR@28=_v3dv_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBuildAccelerationStructuresKHR@32=_v3dv_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBuildAccelerationStructuresKHR@36=_v3dv_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBuildAccelerationStructuresKHR@40=_v3dv_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBuildAccelerationStructuresKHR@44=_v3dv_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBuildAccelerationStructuresKHR@48=_v3dv_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBuildAccelerationStructuresKHR@60=_v3dv_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBuildAccelerationStructuresKHR@104=_v3dv_CmdBuildAccelerationStructuresKHR_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CmdBuildAccelerationStructuresKHR=v3dv_CmdBuildAccelerationStructuresKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_CmdBuildAccelerationStructuresKHR(VkCommandBuffer                                    commandBuffer, uint32_t infoCount, const VkAccelerationStructureBuildGeometryInfoKHR* pInfos, const VkAccelerationStructureBuildRangeInfoKHR* const* ppBuildRangeInfos) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_CmdBuildAccelerationStructuresIndirectKHR_Null)(VkCommandBuffer                  commandBuffer, uint32_t                                           infoCount, const VkAccelerationStructureBuildGeometryInfoKHR* pInfos, const VkDeviceAddress*             pIndirectDeviceAddresses, const uint32_t*                    pIndirectStrides, const uint32_t* const*             ppMaxPrimitiveCounts) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CmdBuildAccelerationStructuresIndirectKHR@4=_v3dv_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBuildAccelerationStructuresIndirectKHR@8=_v3dv_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBuildAccelerationStructuresIndirectKHR@12=_v3dv_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBuildAccelerationStructuresIndirectKHR@16=_v3dv_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBuildAccelerationStructuresIndirectKHR@20=_v3dv_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBuildAccelerationStructuresIndirectKHR@24=_v3dv_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBuildAccelerationStructuresIndirectKHR@28=_v3dv_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBuildAccelerationStructuresIndirectKHR@32=_v3dv_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBuildAccelerationStructuresIndirectKHR@36=_v3dv_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBuildAccelerationStructuresIndirectKHR@40=_v3dv_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBuildAccelerationStructuresIndirectKHR@44=_v3dv_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBuildAccelerationStructuresIndirectKHR@48=_v3dv_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBuildAccelerationStructuresIndirectKHR@60=_v3dv_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBuildAccelerationStructuresIndirectKHR@104=_v3dv_CmdBuildAccelerationStructuresIndirectKHR_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CmdBuildAccelerationStructuresIndirectKHR=v3dv_CmdBuildAccelerationStructuresIndirectKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_CmdBuildAccelerationStructuresIndirectKHR(VkCommandBuffer                  commandBuffer, uint32_t                                           infoCount, const VkAccelerationStructureBuildGeometryInfoKHR* pInfos, const VkDeviceAddress*             pIndirectDeviceAddresses, const uint32_t*                    pIndirectStrides, const uint32_t* const*             ppMaxPrimitiveCounts) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_BuildAccelerationStructuresKHR_Null)(VkDevice                                           device, VkDeferredOperationKHR deferredOperation, uint32_t infoCount, const VkAccelerationStructureBuildGeometryInfoKHR* pInfos, const VkAccelerationStructureBuildRangeInfoKHR* const* ppBuildRangeInfos) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_BuildAccelerationStructuresKHR@4=_v3dv_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_BuildAccelerationStructuresKHR@8=_v3dv_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_BuildAccelerationStructuresKHR@12=_v3dv_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_BuildAccelerationStructuresKHR@16=_v3dv_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_BuildAccelerationStructuresKHR@20=_v3dv_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_BuildAccelerationStructuresKHR@24=_v3dv_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_BuildAccelerationStructuresKHR@28=_v3dv_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_BuildAccelerationStructuresKHR@32=_v3dv_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_BuildAccelerationStructuresKHR@36=_v3dv_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_BuildAccelerationStructuresKHR@40=_v3dv_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_BuildAccelerationStructuresKHR@44=_v3dv_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_BuildAccelerationStructuresKHR@48=_v3dv_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_BuildAccelerationStructuresKHR@60=_v3dv_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_BuildAccelerationStructuresKHR@104=_v3dv_BuildAccelerationStructuresKHR_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_BuildAccelerationStructuresKHR=v3dv_BuildAccelerationStructuresKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_BuildAccelerationStructuresKHR(VkDevice                                           device, VkDeferredOperationKHR deferredOperation, uint32_t infoCount, const VkAccelerationStructureBuildGeometryInfoKHR* pInfos, const VkAccelerationStructureBuildRangeInfoKHR* const* ppBuildRangeInfos) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkDeviceAddress (*v3dv_GetAccelerationStructureDeviceAddressKHR_Null)(VkDevice device, const VkAccelerationStructureDeviceAddressInfoKHR* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_GetAccelerationStructureDeviceAddressKHR@4=_v3dv_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetAccelerationStructureDeviceAddressKHR@8=_v3dv_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetAccelerationStructureDeviceAddressKHR@12=_v3dv_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetAccelerationStructureDeviceAddressKHR@16=_v3dv_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetAccelerationStructureDeviceAddressKHR@20=_v3dv_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetAccelerationStructureDeviceAddressKHR@24=_v3dv_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetAccelerationStructureDeviceAddressKHR@28=_v3dv_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetAccelerationStructureDeviceAddressKHR@32=_v3dv_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetAccelerationStructureDeviceAddressKHR@36=_v3dv_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetAccelerationStructureDeviceAddressKHR@40=_v3dv_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetAccelerationStructureDeviceAddressKHR@44=_v3dv_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetAccelerationStructureDeviceAddressKHR@48=_v3dv_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetAccelerationStructureDeviceAddressKHR@60=_v3dv_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetAccelerationStructureDeviceAddressKHR@104=_v3dv_GetAccelerationStructureDeviceAddressKHR_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_GetAccelerationStructureDeviceAddressKHR=v3dv_GetAccelerationStructureDeviceAddressKHR_Null")
#endif
#else
    VKAPI_ATTR VkDeviceAddress VKAPI_CALL v3dv_GetAccelerationStructureDeviceAddressKHR(VkDevice device, const VkAccelerationStructureDeviceAddressInfoKHR* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_CreateDeferredOperationKHR_Null)(VkDevice device, const VkAllocationCallbacks* pAllocator, VkDeferredOperationKHR* pDeferredOperation) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CreateDeferredOperationKHR@4=_v3dv_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateDeferredOperationKHR@8=_v3dv_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateDeferredOperationKHR@12=_v3dv_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateDeferredOperationKHR@16=_v3dv_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateDeferredOperationKHR@20=_v3dv_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateDeferredOperationKHR@24=_v3dv_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateDeferredOperationKHR@28=_v3dv_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateDeferredOperationKHR@32=_v3dv_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateDeferredOperationKHR@36=_v3dv_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateDeferredOperationKHR@40=_v3dv_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateDeferredOperationKHR@44=_v3dv_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateDeferredOperationKHR@48=_v3dv_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateDeferredOperationKHR@60=_v3dv_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreateDeferredOperationKHR@104=_v3dv_CreateDeferredOperationKHR_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CreateDeferredOperationKHR=v3dv_CreateDeferredOperationKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_CreateDeferredOperationKHR(VkDevice device, const VkAllocationCallbacks* pAllocator, VkDeferredOperationKHR* pDeferredOperation) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_DestroyDeferredOperationKHR_Null)(VkDevice device, VkDeferredOperationKHR operation, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_DestroyDeferredOperationKHR@4=_v3dv_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyDeferredOperationKHR@8=_v3dv_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyDeferredOperationKHR@12=_v3dv_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyDeferredOperationKHR@16=_v3dv_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyDeferredOperationKHR@20=_v3dv_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyDeferredOperationKHR@24=_v3dv_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyDeferredOperationKHR@28=_v3dv_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyDeferredOperationKHR@32=_v3dv_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyDeferredOperationKHR@36=_v3dv_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyDeferredOperationKHR@40=_v3dv_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyDeferredOperationKHR@44=_v3dv_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyDeferredOperationKHR@48=_v3dv_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyDeferredOperationKHR@60=_v3dv_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyDeferredOperationKHR@104=_v3dv_DestroyDeferredOperationKHR_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_DestroyDeferredOperationKHR=v3dv_DestroyDeferredOperationKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_DestroyDeferredOperationKHR(VkDevice device, VkDeferredOperationKHR operation, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    uint32_t (*v3dv_GetDeferredOperationMaxConcurrencyKHR_Null)(VkDevice device, VkDeferredOperationKHR operation) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_GetDeferredOperationMaxConcurrencyKHR@4=_v3dv_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeferredOperationMaxConcurrencyKHR@8=_v3dv_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeferredOperationMaxConcurrencyKHR@12=_v3dv_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeferredOperationMaxConcurrencyKHR@16=_v3dv_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeferredOperationMaxConcurrencyKHR@20=_v3dv_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeferredOperationMaxConcurrencyKHR@24=_v3dv_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeferredOperationMaxConcurrencyKHR@28=_v3dv_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeferredOperationMaxConcurrencyKHR@32=_v3dv_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeferredOperationMaxConcurrencyKHR@36=_v3dv_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeferredOperationMaxConcurrencyKHR@40=_v3dv_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeferredOperationMaxConcurrencyKHR@44=_v3dv_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeferredOperationMaxConcurrencyKHR@48=_v3dv_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeferredOperationMaxConcurrencyKHR@60=_v3dv_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeferredOperationMaxConcurrencyKHR@104=_v3dv_GetDeferredOperationMaxConcurrencyKHR_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_GetDeferredOperationMaxConcurrencyKHR=v3dv_GetDeferredOperationMaxConcurrencyKHR_Null")
#endif
#else
    VKAPI_ATTR uint32_t VKAPI_CALL v3dv_GetDeferredOperationMaxConcurrencyKHR(VkDevice device, VkDeferredOperationKHR operation) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_GetDeferredOperationResultKHR_Null)(VkDevice device, VkDeferredOperationKHR operation) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_GetDeferredOperationResultKHR@4=_v3dv_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeferredOperationResultKHR@8=_v3dv_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeferredOperationResultKHR@12=_v3dv_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeferredOperationResultKHR@16=_v3dv_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeferredOperationResultKHR@20=_v3dv_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeferredOperationResultKHR@24=_v3dv_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeferredOperationResultKHR@28=_v3dv_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeferredOperationResultKHR@32=_v3dv_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeferredOperationResultKHR@36=_v3dv_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeferredOperationResultKHR@40=_v3dv_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeferredOperationResultKHR@44=_v3dv_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeferredOperationResultKHR@48=_v3dv_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeferredOperationResultKHR@60=_v3dv_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetDeferredOperationResultKHR@104=_v3dv_GetDeferredOperationResultKHR_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_GetDeferredOperationResultKHR=v3dv_GetDeferredOperationResultKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_GetDeferredOperationResultKHR(VkDevice device, VkDeferredOperationKHR operation) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_DeferredOperationJoinKHR_Null)(VkDevice device, VkDeferredOperationKHR operation) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_DeferredOperationJoinKHR@4=_v3dv_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DeferredOperationJoinKHR@8=_v3dv_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DeferredOperationJoinKHR@12=_v3dv_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DeferredOperationJoinKHR@16=_v3dv_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DeferredOperationJoinKHR@20=_v3dv_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DeferredOperationJoinKHR@24=_v3dv_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DeferredOperationJoinKHR@28=_v3dv_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DeferredOperationJoinKHR@32=_v3dv_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DeferredOperationJoinKHR@36=_v3dv_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DeferredOperationJoinKHR@40=_v3dv_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DeferredOperationJoinKHR@44=_v3dv_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DeferredOperationJoinKHR@48=_v3dv_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DeferredOperationJoinKHR@60=_v3dv_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DeferredOperationJoinKHR@104=_v3dv_DeferredOperationJoinKHR_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_DeferredOperationJoinKHR=v3dv_DeferredOperationJoinKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_DeferredOperationJoinKHR(VkDevice device, VkDeferredOperationKHR operation) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_CmdSetCullModeEXT_Null)(VkCommandBuffer commandBuffer, VkCullModeFlags cullMode) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetCullModeEXT@4=_v3dv_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetCullModeEXT@8=_v3dv_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetCullModeEXT@12=_v3dv_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetCullModeEXT@16=_v3dv_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetCullModeEXT@20=_v3dv_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetCullModeEXT@24=_v3dv_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetCullModeEXT@28=_v3dv_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetCullModeEXT@32=_v3dv_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetCullModeEXT@36=_v3dv_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetCullModeEXT@40=_v3dv_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetCullModeEXT@44=_v3dv_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetCullModeEXT@48=_v3dv_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetCullModeEXT@60=_v3dv_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetCullModeEXT@104=_v3dv_CmdSetCullModeEXT_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CmdSetCullModeEXT=v3dv_CmdSetCullModeEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_CmdSetCullModeEXT(VkCommandBuffer commandBuffer, VkCullModeFlags cullMode) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_CmdSetFrontFaceEXT_Null)(VkCommandBuffer commandBuffer, VkFrontFace frontFace) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetFrontFaceEXT@4=_v3dv_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetFrontFaceEXT@8=_v3dv_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetFrontFaceEXT@12=_v3dv_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetFrontFaceEXT@16=_v3dv_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetFrontFaceEXT@20=_v3dv_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetFrontFaceEXT@24=_v3dv_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetFrontFaceEXT@28=_v3dv_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetFrontFaceEXT@32=_v3dv_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetFrontFaceEXT@36=_v3dv_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetFrontFaceEXT@40=_v3dv_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetFrontFaceEXT@44=_v3dv_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetFrontFaceEXT@48=_v3dv_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetFrontFaceEXT@60=_v3dv_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetFrontFaceEXT@104=_v3dv_CmdSetFrontFaceEXT_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CmdSetFrontFaceEXT=v3dv_CmdSetFrontFaceEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_CmdSetFrontFaceEXT(VkCommandBuffer commandBuffer, VkFrontFace frontFace) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_CmdSetPrimitiveTopologyEXT_Null)(VkCommandBuffer commandBuffer, VkPrimitiveTopology primitiveTopology) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetPrimitiveTopologyEXT@4=_v3dv_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetPrimitiveTopologyEXT@8=_v3dv_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetPrimitiveTopologyEXT@12=_v3dv_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetPrimitiveTopologyEXT@16=_v3dv_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetPrimitiveTopologyEXT@20=_v3dv_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetPrimitiveTopologyEXT@24=_v3dv_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetPrimitiveTopologyEXT@28=_v3dv_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetPrimitiveTopologyEXT@32=_v3dv_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetPrimitiveTopologyEXT@36=_v3dv_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetPrimitiveTopologyEXT@40=_v3dv_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetPrimitiveTopologyEXT@44=_v3dv_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetPrimitiveTopologyEXT@48=_v3dv_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetPrimitiveTopologyEXT@60=_v3dv_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetPrimitiveTopologyEXT@104=_v3dv_CmdSetPrimitiveTopologyEXT_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CmdSetPrimitiveTopologyEXT=v3dv_CmdSetPrimitiveTopologyEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_CmdSetPrimitiveTopologyEXT(VkCommandBuffer commandBuffer, VkPrimitiveTopology primitiveTopology) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_CmdSetViewportWithCountEXT_Null)(VkCommandBuffer commandBuffer, uint32_t viewportCount, const VkViewport* pViewports) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetViewportWithCountEXT@4=_v3dv_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetViewportWithCountEXT@8=_v3dv_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetViewportWithCountEXT@12=_v3dv_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetViewportWithCountEXT@16=_v3dv_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetViewportWithCountEXT@20=_v3dv_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetViewportWithCountEXT@24=_v3dv_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetViewportWithCountEXT@28=_v3dv_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetViewportWithCountEXT@32=_v3dv_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetViewportWithCountEXT@36=_v3dv_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetViewportWithCountEXT@40=_v3dv_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetViewportWithCountEXT@44=_v3dv_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetViewportWithCountEXT@48=_v3dv_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetViewportWithCountEXT@60=_v3dv_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetViewportWithCountEXT@104=_v3dv_CmdSetViewportWithCountEXT_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CmdSetViewportWithCountEXT=v3dv_CmdSetViewportWithCountEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_CmdSetViewportWithCountEXT(VkCommandBuffer commandBuffer, uint32_t viewportCount, const VkViewport* pViewports) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_CmdSetScissorWithCountEXT_Null)(VkCommandBuffer commandBuffer, uint32_t scissorCount, const VkRect2D* pScissors) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetScissorWithCountEXT@4=_v3dv_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetScissorWithCountEXT@8=_v3dv_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetScissorWithCountEXT@12=_v3dv_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetScissorWithCountEXT@16=_v3dv_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetScissorWithCountEXT@20=_v3dv_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetScissorWithCountEXT@24=_v3dv_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetScissorWithCountEXT@28=_v3dv_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetScissorWithCountEXT@32=_v3dv_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetScissorWithCountEXT@36=_v3dv_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetScissorWithCountEXT@40=_v3dv_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetScissorWithCountEXT@44=_v3dv_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetScissorWithCountEXT@48=_v3dv_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetScissorWithCountEXT@60=_v3dv_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetScissorWithCountEXT@104=_v3dv_CmdSetScissorWithCountEXT_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CmdSetScissorWithCountEXT=v3dv_CmdSetScissorWithCountEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_CmdSetScissorWithCountEXT(VkCommandBuffer commandBuffer, uint32_t scissorCount, const VkRect2D* pScissors) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_CmdBindVertexBuffers2EXT_Null)(VkCommandBuffer commandBuffer, uint32_t firstBinding, uint32_t bindingCount, const VkBuffer* pBuffers, const VkDeviceSize* pOffsets, const VkDeviceSize* pSizes, const VkDeviceSize* pStrides) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CmdBindVertexBuffers2EXT@4=_v3dv_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBindVertexBuffers2EXT@8=_v3dv_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBindVertexBuffers2EXT@12=_v3dv_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBindVertexBuffers2EXT@16=_v3dv_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBindVertexBuffers2EXT@20=_v3dv_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBindVertexBuffers2EXT@24=_v3dv_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBindVertexBuffers2EXT@28=_v3dv_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBindVertexBuffers2EXT@32=_v3dv_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBindVertexBuffers2EXT@36=_v3dv_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBindVertexBuffers2EXT@40=_v3dv_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBindVertexBuffers2EXT@44=_v3dv_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBindVertexBuffers2EXT@48=_v3dv_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBindVertexBuffers2EXT@60=_v3dv_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBindVertexBuffers2EXT@104=_v3dv_CmdBindVertexBuffers2EXT_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CmdBindVertexBuffers2EXT=v3dv_CmdBindVertexBuffers2EXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_CmdBindVertexBuffers2EXT(VkCommandBuffer commandBuffer, uint32_t firstBinding, uint32_t bindingCount, const VkBuffer* pBuffers, const VkDeviceSize* pOffsets, const VkDeviceSize* pSizes, const VkDeviceSize* pStrides) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_CmdSetDepthTestEnableEXT_Null)(VkCommandBuffer commandBuffer, VkBool32 depthTestEnable) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetDepthTestEnableEXT@4=_v3dv_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetDepthTestEnableEXT@8=_v3dv_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetDepthTestEnableEXT@12=_v3dv_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetDepthTestEnableEXT@16=_v3dv_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetDepthTestEnableEXT@20=_v3dv_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetDepthTestEnableEXT@24=_v3dv_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetDepthTestEnableEXT@28=_v3dv_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetDepthTestEnableEXT@32=_v3dv_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetDepthTestEnableEXT@36=_v3dv_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetDepthTestEnableEXT@40=_v3dv_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetDepthTestEnableEXT@44=_v3dv_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetDepthTestEnableEXT@48=_v3dv_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetDepthTestEnableEXT@60=_v3dv_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetDepthTestEnableEXT@104=_v3dv_CmdSetDepthTestEnableEXT_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CmdSetDepthTestEnableEXT=v3dv_CmdSetDepthTestEnableEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_CmdSetDepthTestEnableEXT(VkCommandBuffer commandBuffer, VkBool32 depthTestEnable) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_CmdSetDepthWriteEnableEXT_Null)(VkCommandBuffer commandBuffer, VkBool32 depthWriteEnable) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetDepthWriteEnableEXT@4=_v3dv_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetDepthWriteEnableEXT@8=_v3dv_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetDepthWriteEnableEXT@12=_v3dv_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetDepthWriteEnableEXT@16=_v3dv_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetDepthWriteEnableEXT@20=_v3dv_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetDepthWriteEnableEXT@24=_v3dv_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetDepthWriteEnableEXT@28=_v3dv_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetDepthWriteEnableEXT@32=_v3dv_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetDepthWriteEnableEXT@36=_v3dv_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetDepthWriteEnableEXT@40=_v3dv_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetDepthWriteEnableEXT@44=_v3dv_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetDepthWriteEnableEXT@48=_v3dv_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetDepthWriteEnableEXT@60=_v3dv_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetDepthWriteEnableEXT@104=_v3dv_CmdSetDepthWriteEnableEXT_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CmdSetDepthWriteEnableEXT=v3dv_CmdSetDepthWriteEnableEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_CmdSetDepthWriteEnableEXT(VkCommandBuffer commandBuffer, VkBool32 depthWriteEnable) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_CmdSetDepthCompareOpEXT_Null)(VkCommandBuffer commandBuffer, VkCompareOp depthCompareOp) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetDepthCompareOpEXT@4=_v3dv_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetDepthCompareOpEXT@8=_v3dv_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetDepthCompareOpEXT@12=_v3dv_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetDepthCompareOpEXT@16=_v3dv_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetDepthCompareOpEXT@20=_v3dv_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetDepthCompareOpEXT@24=_v3dv_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetDepthCompareOpEXT@28=_v3dv_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetDepthCompareOpEXT@32=_v3dv_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetDepthCompareOpEXT@36=_v3dv_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetDepthCompareOpEXT@40=_v3dv_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetDepthCompareOpEXT@44=_v3dv_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetDepthCompareOpEXT@48=_v3dv_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetDepthCompareOpEXT@60=_v3dv_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetDepthCompareOpEXT@104=_v3dv_CmdSetDepthCompareOpEXT_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CmdSetDepthCompareOpEXT=v3dv_CmdSetDepthCompareOpEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_CmdSetDepthCompareOpEXT(VkCommandBuffer commandBuffer, VkCompareOp depthCompareOp) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_CmdSetDepthBoundsTestEnableEXT_Null)(VkCommandBuffer commandBuffer, VkBool32 depthBoundsTestEnable) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetDepthBoundsTestEnableEXT@4=_v3dv_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetDepthBoundsTestEnableEXT@8=_v3dv_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetDepthBoundsTestEnableEXT@12=_v3dv_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetDepthBoundsTestEnableEXT@16=_v3dv_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetDepthBoundsTestEnableEXT@20=_v3dv_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetDepthBoundsTestEnableEXT@24=_v3dv_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetDepthBoundsTestEnableEXT@28=_v3dv_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetDepthBoundsTestEnableEXT@32=_v3dv_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetDepthBoundsTestEnableEXT@36=_v3dv_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetDepthBoundsTestEnableEXT@40=_v3dv_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetDepthBoundsTestEnableEXT@44=_v3dv_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetDepthBoundsTestEnableEXT@48=_v3dv_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetDepthBoundsTestEnableEXT@60=_v3dv_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetDepthBoundsTestEnableEXT@104=_v3dv_CmdSetDepthBoundsTestEnableEXT_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CmdSetDepthBoundsTestEnableEXT=v3dv_CmdSetDepthBoundsTestEnableEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_CmdSetDepthBoundsTestEnableEXT(VkCommandBuffer commandBuffer, VkBool32 depthBoundsTestEnable) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_CmdSetStencilTestEnableEXT_Null)(VkCommandBuffer commandBuffer, VkBool32 stencilTestEnable) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetStencilTestEnableEXT@4=_v3dv_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetStencilTestEnableEXT@8=_v3dv_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetStencilTestEnableEXT@12=_v3dv_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetStencilTestEnableEXT@16=_v3dv_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetStencilTestEnableEXT@20=_v3dv_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetStencilTestEnableEXT@24=_v3dv_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetStencilTestEnableEXT@28=_v3dv_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetStencilTestEnableEXT@32=_v3dv_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetStencilTestEnableEXT@36=_v3dv_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetStencilTestEnableEXT@40=_v3dv_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetStencilTestEnableEXT@44=_v3dv_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetStencilTestEnableEXT@48=_v3dv_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetStencilTestEnableEXT@60=_v3dv_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetStencilTestEnableEXT@104=_v3dv_CmdSetStencilTestEnableEXT_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CmdSetStencilTestEnableEXT=v3dv_CmdSetStencilTestEnableEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_CmdSetStencilTestEnableEXT(VkCommandBuffer commandBuffer, VkBool32 stencilTestEnable) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_CmdSetStencilOpEXT_Null)(VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, VkStencilOp failOp, VkStencilOp passOp, VkStencilOp depthFailOp, VkCompareOp compareOp) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetStencilOpEXT@4=_v3dv_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetStencilOpEXT@8=_v3dv_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetStencilOpEXT@12=_v3dv_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetStencilOpEXT@16=_v3dv_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetStencilOpEXT@20=_v3dv_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetStencilOpEXT@24=_v3dv_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetStencilOpEXT@28=_v3dv_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetStencilOpEXT@32=_v3dv_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetStencilOpEXT@36=_v3dv_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetStencilOpEXT@40=_v3dv_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetStencilOpEXT@44=_v3dv_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetStencilOpEXT@48=_v3dv_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetStencilOpEXT@60=_v3dv_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetStencilOpEXT@104=_v3dv_CmdSetStencilOpEXT_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CmdSetStencilOpEXT=v3dv_CmdSetStencilOpEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_CmdSetStencilOpEXT(VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, VkStencilOp failOp, VkStencilOp passOp, VkStencilOp depthFailOp, VkCompareOp compareOp) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_CreatePrivateDataSlotEXT_Null)(VkDevice device, const VkPrivateDataSlotCreateInfoEXT* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkPrivateDataSlotEXT* pPrivateDataSlot) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CreatePrivateDataSlotEXT@4=_v3dv_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreatePrivateDataSlotEXT@8=_v3dv_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreatePrivateDataSlotEXT@12=_v3dv_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreatePrivateDataSlotEXT@16=_v3dv_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreatePrivateDataSlotEXT@20=_v3dv_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreatePrivateDataSlotEXT@24=_v3dv_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreatePrivateDataSlotEXT@28=_v3dv_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreatePrivateDataSlotEXT@32=_v3dv_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreatePrivateDataSlotEXT@36=_v3dv_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreatePrivateDataSlotEXT@40=_v3dv_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreatePrivateDataSlotEXT@44=_v3dv_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreatePrivateDataSlotEXT@48=_v3dv_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreatePrivateDataSlotEXT@60=_v3dv_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CreatePrivateDataSlotEXT@104=_v3dv_CreatePrivateDataSlotEXT_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CreatePrivateDataSlotEXT=v3dv_CreatePrivateDataSlotEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_CreatePrivateDataSlotEXT(VkDevice device, const VkPrivateDataSlotCreateInfoEXT* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkPrivateDataSlotEXT* pPrivateDataSlot) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_DestroyPrivateDataSlotEXT_Null)(VkDevice device, VkPrivateDataSlotEXT privateDataSlot, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_DestroyPrivateDataSlotEXT@4=_v3dv_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyPrivateDataSlotEXT@8=_v3dv_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyPrivateDataSlotEXT@12=_v3dv_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyPrivateDataSlotEXT@16=_v3dv_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyPrivateDataSlotEXT@20=_v3dv_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyPrivateDataSlotEXT@24=_v3dv_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyPrivateDataSlotEXT@28=_v3dv_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyPrivateDataSlotEXT@32=_v3dv_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyPrivateDataSlotEXT@36=_v3dv_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyPrivateDataSlotEXT@40=_v3dv_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyPrivateDataSlotEXT@44=_v3dv_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyPrivateDataSlotEXT@48=_v3dv_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyPrivateDataSlotEXT@60=_v3dv_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_DestroyPrivateDataSlotEXT@104=_v3dv_DestroyPrivateDataSlotEXT_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_DestroyPrivateDataSlotEXT=v3dv_DestroyPrivateDataSlotEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_DestroyPrivateDataSlotEXT(VkDevice device, VkPrivateDataSlotEXT privateDataSlot, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*v3dv_SetPrivateDataEXT_Null)(VkDevice device, VkObjectType objectType, uint64_t objectHandle, VkPrivateDataSlotEXT privateDataSlot, uint64_t data) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_SetPrivateDataEXT@4=_v3dv_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_SetPrivateDataEXT@8=_v3dv_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_SetPrivateDataEXT@12=_v3dv_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_SetPrivateDataEXT@16=_v3dv_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_SetPrivateDataEXT@20=_v3dv_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_SetPrivateDataEXT@24=_v3dv_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_SetPrivateDataEXT@28=_v3dv_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_SetPrivateDataEXT@32=_v3dv_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_SetPrivateDataEXT@36=_v3dv_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_SetPrivateDataEXT@40=_v3dv_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_SetPrivateDataEXT@44=_v3dv_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_SetPrivateDataEXT@48=_v3dv_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_SetPrivateDataEXT@60=_v3dv_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_SetPrivateDataEXT@104=_v3dv_SetPrivateDataEXT_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_SetPrivateDataEXT=v3dv_SetPrivateDataEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL v3dv_SetPrivateDataEXT(VkDevice device, VkObjectType objectType, uint64_t objectHandle, VkPrivateDataSlotEXT privateDataSlot, uint64_t data) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_GetPrivateDataEXT_Null)(VkDevice device, VkObjectType objectType, uint64_t objectHandle, VkPrivateDataSlotEXT privateDataSlot, uint64_t* pData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_GetPrivateDataEXT@4=_v3dv_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPrivateDataEXT@8=_v3dv_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPrivateDataEXT@12=_v3dv_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPrivateDataEXT@16=_v3dv_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPrivateDataEXT@20=_v3dv_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPrivateDataEXT@24=_v3dv_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPrivateDataEXT@28=_v3dv_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPrivateDataEXT@32=_v3dv_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPrivateDataEXT@36=_v3dv_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPrivateDataEXT@40=_v3dv_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPrivateDataEXT@44=_v3dv_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPrivateDataEXT@48=_v3dv_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPrivateDataEXT@60=_v3dv_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetPrivateDataEXT@104=_v3dv_GetPrivateDataEXT_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_GetPrivateDataEXT=v3dv_GetPrivateDataEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_GetPrivateDataEXT(VkDevice device, VkObjectType objectType, uint64_t objectHandle, VkPrivateDataSlotEXT privateDataSlot, uint64_t* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_CmdCopyBuffer2KHR_Null)(VkCommandBuffer commandBuffer, const VkCopyBufferInfo2KHR* pCopyBufferInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyBuffer2KHR@4=_v3dv_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyBuffer2KHR@8=_v3dv_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyBuffer2KHR@12=_v3dv_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyBuffer2KHR@16=_v3dv_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyBuffer2KHR@20=_v3dv_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyBuffer2KHR@24=_v3dv_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyBuffer2KHR@28=_v3dv_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyBuffer2KHR@32=_v3dv_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyBuffer2KHR@36=_v3dv_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyBuffer2KHR@40=_v3dv_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyBuffer2KHR@44=_v3dv_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyBuffer2KHR@48=_v3dv_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyBuffer2KHR@60=_v3dv_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyBuffer2KHR@104=_v3dv_CmdCopyBuffer2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CmdCopyBuffer2KHR=v3dv_CmdCopyBuffer2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_CmdCopyBuffer2KHR(VkCommandBuffer commandBuffer, const VkCopyBufferInfo2KHR* pCopyBufferInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_CmdCopyImage2KHR_Null)(VkCommandBuffer commandBuffer, const VkCopyImageInfo2KHR* pCopyImageInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyImage2KHR@4=_v3dv_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyImage2KHR@8=_v3dv_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyImage2KHR@12=_v3dv_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyImage2KHR@16=_v3dv_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyImage2KHR@20=_v3dv_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyImage2KHR@24=_v3dv_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyImage2KHR@28=_v3dv_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyImage2KHR@32=_v3dv_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyImage2KHR@36=_v3dv_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyImage2KHR@40=_v3dv_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyImage2KHR@44=_v3dv_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyImage2KHR@48=_v3dv_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyImage2KHR@60=_v3dv_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyImage2KHR@104=_v3dv_CmdCopyImage2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CmdCopyImage2KHR=v3dv_CmdCopyImage2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_CmdCopyImage2KHR(VkCommandBuffer commandBuffer, const VkCopyImageInfo2KHR* pCopyImageInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_CmdBlitImage2KHR_Null)(VkCommandBuffer commandBuffer, const VkBlitImageInfo2KHR* pBlitImageInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CmdBlitImage2KHR@4=_v3dv_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBlitImage2KHR@8=_v3dv_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBlitImage2KHR@12=_v3dv_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBlitImage2KHR@16=_v3dv_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBlitImage2KHR@20=_v3dv_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBlitImage2KHR@24=_v3dv_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBlitImage2KHR@28=_v3dv_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBlitImage2KHR@32=_v3dv_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBlitImage2KHR@36=_v3dv_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBlitImage2KHR@40=_v3dv_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBlitImage2KHR@44=_v3dv_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBlitImage2KHR@48=_v3dv_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBlitImage2KHR@60=_v3dv_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdBlitImage2KHR@104=_v3dv_CmdBlitImage2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CmdBlitImage2KHR=v3dv_CmdBlitImage2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_CmdBlitImage2KHR(VkCommandBuffer commandBuffer, const VkBlitImageInfo2KHR* pBlitImageInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_CmdCopyBufferToImage2KHR_Null)(VkCommandBuffer commandBuffer, const VkCopyBufferToImageInfo2KHR* pCopyBufferToImageInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyBufferToImage2KHR@4=_v3dv_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyBufferToImage2KHR@8=_v3dv_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyBufferToImage2KHR@12=_v3dv_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyBufferToImage2KHR@16=_v3dv_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyBufferToImage2KHR@20=_v3dv_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyBufferToImage2KHR@24=_v3dv_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyBufferToImage2KHR@28=_v3dv_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyBufferToImage2KHR@32=_v3dv_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyBufferToImage2KHR@36=_v3dv_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyBufferToImage2KHR@40=_v3dv_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyBufferToImage2KHR@44=_v3dv_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyBufferToImage2KHR@48=_v3dv_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyBufferToImage2KHR@60=_v3dv_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyBufferToImage2KHR@104=_v3dv_CmdCopyBufferToImage2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CmdCopyBufferToImage2KHR=v3dv_CmdCopyBufferToImage2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_CmdCopyBufferToImage2KHR(VkCommandBuffer commandBuffer, const VkCopyBufferToImageInfo2KHR* pCopyBufferToImageInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_CmdCopyImageToBuffer2KHR_Null)(VkCommandBuffer commandBuffer, const VkCopyImageToBufferInfo2KHR* pCopyImageToBufferInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyImageToBuffer2KHR@4=_v3dv_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyImageToBuffer2KHR@8=_v3dv_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyImageToBuffer2KHR@12=_v3dv_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyImageToBuffer2KHR@16=_v3dv_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyImageToBuffer2KHR@20=_v3dv_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyImageToBuffer2KHR@24=_v3dv_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyImageToBuffer2KHR@28=_v3dv_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyImageToBuffer2KHR@32=_v3dv_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyImageToBuffer2KHR@36=_v3dv_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyImageToBuffer2KHR@40=_v3dv_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyImageToBuffer2KHR@44=_v3dv_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyImageToBuffer2KHR@48=_v3dv_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyImageToBuffer2KHR@60=_v3dv_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdCopyImageToBuffer2KHR@104=_v3dv_CmdCopyImageToBuffer2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CmdCopyImageToBuffer2KHR=v3dv_CmdCopyImageToBuffer2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_CmdCopyImageToBuffer2KHR(VkCommandBuffer commandBuffer, const VkCopyImageToBufferInfo2KHR* pCopyImageToBufferInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_CmdResolveImage2KHR_Null)(VkCommandBuffer commandBuffer, const VkResolveImageInfo2KHR* pResolveImageInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CmdResolveImage2KHR@4=_v3dv_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdResolveImage2KHR@8=_v3dv_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdResolveImage2KHR@12=_v3dv_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdResolveImage2KHR@16=_v3dv_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdResolveImage2KHR@20=_v3dv_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdResolveImage2KHR@24=_v3dv_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdResolveImage2KHR@28=_v3dv_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdResolveImage2KHR@32=_v3dv_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdResolveImage2KHR@36=_v3dv_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdResolveImage2KHR@40=_v3dv_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdResolveImage2KHR@44=_v3dv_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdResolveImage2KHR@48=_v3dv_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdResolveImage2KHR@60=_v3dv_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdResolveImage2KHR@104=_v3dv_CmdResolveImage2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CmdResolveImage2KHR=v3dv_CmdResolveImage2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_CmdResolveImage2KHR(VkCommandBuffer commandBuffer, const VkResolveImageInfo2KHR* pResolveImageInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_CmdSetFragmentShadingRateKHR_Null)(VkCommandBuffer           commandBuffer, const VkExtent2D*                           pFragmentSize, const VkFragmentShadingRateCombinerOpKHR    combinerOps[2]) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetFragmentShadingRateKHR@4=_v3dv_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetFragmentShadingRateKHR@8=_v3dv_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetFragmentShadingRateKHR@12=_v3dv_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetFragmentShadingRateKHR@16=_v3dv_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetFragmentShadingRateKHR@20=_v3dv_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetFragmentShadingRateKHR@24=_v3dv_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetFragmentShadingRateKHR@28=_v3dv_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetFragmentShadingRateKHR@32=_v3dv_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetFragmentShadingRateKHR@36=_v3dv_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetFragmentShadingRateKHR@40=_v3dv_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetFragmentShadingRateKHR@44=_v3dv_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetFragmentShadingRateKHR@48=_v3dv_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetFragmentShadingRateKHR@60=_v3dv_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetFragmentShadingRateKHR@104=_v3dv_CmdSetFragmentShadingRateKHR_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CmdSetFragmentShadingRateKHR=v3dv_CmdSetFragmentShadingRateKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_CmdSetFragmentShadingRateKHR(VkCommandBuffer           commandBuffer, const VkExtent2D*                           pFragmentSize, const VkFragmentShadingRateCombinerOpKHR    combinerOps[2]) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_CmdSetFragmentShadingRateEnumNV_Null)(VkCommandBuffer           commandBuffer, VkFragmentShadingRateNV                     shadingRate, const VkFragmentShadingRateCombinerOpKHR    combinerOps[2]) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetFragmentShadingRateEnumNV@4=_v3dv_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetFragmentShadingRateEnumNV@8=_v3dv_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetFragmentShadingRateEnumNV@12=_v3dv_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetFragmentShadingRateEnumNV@16=_v3dv_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetFragmentShadingRateEnumNV@20=_v3dv_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetFragmentShadingRateEnumNV@24=_v3dv_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetFragmentShadingRateEnumNV@28=_v3dv_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetFragmentShadingRateEnumNV@32=_v3dv_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetFragmentShadingRateEnumNV@36=_v3dv_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetFragmentShadingRateEnumNV@40=_v3dv_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetFragmentShadingRateEnumNV@44=_v3dv_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetFragmentShadingRateEnumNV@48=_v3dv_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetFragmentShadingRateEnumNV@60=_v3dv_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_v3dv_CmdSetFragmentShadingRateEnumNV@104=_v3dv_CmdSetFragmentShadingRateEnumNV_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_CmdSetFragmentShadingRateEnumNV=v3dv_CmdSetFragmentShadingRateEnumNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_CmdSetFragmentShadingRateEnumNV(VkCommandBuffer           commandBuffer, VkFragmentShadingRateNV                     shadingRate, const VkFragmentShadingRateCombinerOpKHR    combinerOps[2]) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*v3dv_GetAccelerationStructureBuildSizesKHR_Null)(VkDevice                                            device, VkAccelerationStructureBuildTypeKHR                 buildType, const VkAccelerationStructureBuildGeometryInfoKHR*  pBuildInfo, const uint32_t*  pMaxPrimitiveCounts, VkAccelerationStructureBuildSizesInfoKHR*           pSizeInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_v3dv_GetAccelerationStructureBuildSizesKHR@4=_v3dv_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetAccelerationStructureBuildSizesKHR@8=_v3dv_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetAccelerationStructureBuildSizesKHR@12=_v3dv_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetAccelerationStructureBuildSizesKHR@16=_v3dv_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetAccelerationStructureBuildSizesKHR@20=_v3dv_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetAccelerationStructureBuildSizesKHR@24=_v3dv_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetAccelerationStructureBuildSizesKHR@28=_v3dv_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetAccelerationStructureBuildSizesKHR@32=_v3dv_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetAccelerationStructureBuildSizesKHR@36=_v3dv_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetAccelerationStructureBuildSizesKHR@40=_v3dv_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetAccelerationStructureBuildSizesKHR@44=_v3dv_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetAccelerationStructureBuildSizesKHR@48=_v3dv_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetAccelerationStructureBuildSizesKHR@60=_v3dv_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_v3dv_GetAccelerationStructureBuildSizesKHR@104=_v3dv_GetAccelerationStructureBuildSizesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:v3dv_GetAccelerationStructureBuildSizesKHR=v3dv_GetAccelerationStructureBuildSizesKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL v3dv_GetAccelerationStructureBuildSizesKHR(VkDevice                                            device, VkAccelerationStructureBuildTypeKHR                 buildType, const VkAccelerationStructureBuildGeometryInfoKHR*  pBuildInfo, const uint32_t*  pMaxPrimitiveCounts, VkAccelerationStructureBuildSizesInfoKHR*           pSizeInfo) __attribute__ ((weak));
#endif

const struct vk_device_entrypoint_table v3dv_device_entrypoints = {
    .GetDeviceProcAddr = v3dv_GetDeviceProcAddr,
    .DestroyDevice = v3dv_DestroyDevice,
    .GetDeviceQueue = v3dv_GetDeviceQueue,
    .QueueSubmit = v3dv_QueueSubmit,
    .QueueWaitIdle = v3dv_QueueWaitIdle,
    .DeviceWaitIdle = v3dv_DeviceWaitIdle,
    .AllocateMemory = v3dv_AllocateMemory,
    .FreeMemory = v3dv_FreeMemory,
    .MapMemory = v3dv_MapMemory,
    .UnmapMemory = v3dv_UnmapMemory,
    .FlushMappedMemoryRanges = v3dv_FlushMappedMemoryRanges,
    .InvalidateMappedMemoryRanges = v3dv_InvalidateMappedMemoryRanges,
    .GetDeviceMemoryCommitment = v3dv_GetDeviceMemoryCommitment,
    .GetBufferMemoryRequirements = v3dv_GetBufferMemoryRequirements,
    .BindBufferMemory = v3dv_BindBufferMemory,
    .GetImageMemoryRequirements = v3dv_GetImageMemoryRequirements,
    .BindImageMemory = v3dv_BindImageMemory,
    .GetImageSparseMemoryRequirements = v3dv_GetImageSparseMemoryRequirements,
    .QueueBindSparse = v3dv_QueueBindSparse,
    .CreateFence = v3dv_CreateFence,
    .DestroyFence = v3dv_DestroyFence,
    .ResetFences = v3dv_ResetFences,
    .GetFenceStatus = v3dv_GetFenceStatus,
    .WaitForFences = v3dv_WaitForFences,
    .CreateSemaphore = v3dv_CreateSemaphore,
    .DestroySemaphore = v3dv_DestroySemaphore,
    .CreateEvent = v3dv_CreateEvent,
    .DestroyEvent = v3dv_DestroyEvent,
    .GetEventStatus = v3dv_GetEventStatus,
    .SetEvent = v3dv_SetEvent,
    .ResetEvent = v3dv_ResetEvent,
    .CreateQueryPool = v3dv_CreateQueryPool,
    .DestroyQueryPool = v3dv_DestroyQueryPool,
    .GetQueryPoolResults = v3dv_GetQueryPoolResults,
    .ResetQueryPool = v3dv_ResetQueryPool,
    .ResetQueryPoolEXT = v3dv_ResetQueryPoolEXT,
    .CreateBuffer = v3dv_CreateBuffer,
    .DestroyBuffer = v3dv_DestroyBuffer,
    .CreateBufferView = v3dv_CreateBufferView,
    .DestroyBufferView = v3dv_DestroyBufferView,
    .CreateImage = v3dv_CreateImage,
    .DestroyImage = v3dv_DestroyImage,
    .GetImageSubresourceLayout = v3dv_GetImageSubresourceLayout,
    .CreateImageView = v3dv_CreateImageView,
    .DestroyImageView = v3dv_DestroyImageView,
    .CreateShaderModule = v3dv_CreateShaderModule,
    .DestroyShaderModule = v3dv_DestroyShaderModule,
    .CreatePipelineCache = v3dv_CreatePipelineCache,
    .DestroyPipelineCache = v3dv_DestroyPipelineCache,
    .GetPipelineCacheData = v3dv_GetPipelineCacheData,
    .MergePipelineCaches = v3dv_MergePipelineCaches,
    .CreateGraphicsPipelines = v3dv_CreateGraphicsPipelines,
    .CreateComputePipelines = v3dv_CreateComputePipelines,
    .DestroyPipeline = v3dv_DestroyPipeline,
    .CreatePipelineLayout = v3dv_CreatePipelineLayout,
    .DestroyPipelineLayout = v3dv_DestroyPipelineLayout,
    .CreateSampler = v3dv_CreateSampler,
    .DestroySampler = v3dv_DestroySampler,
    .CreateDescriptorSetLayout = v3dv_CreateDescriptorSetLayout,
    .DestroyDescriptorSetLayout = v3dv_DestroyDescriptorSetLayout,
    .CreateDescriptorPool = v3dv_CreateDescriptorPool,
    .DestroyDescriptorPool = v3dv_DestroyDescriptorPool,
    .ResetDescriptorPool = v3dv_ResetDescriptorPool,
    .AllocateDescriptorSets = v3dv_AllocateDescriptorSets,
    .FreeDescriptorSets = v3dv_FreeDescriptorSets,
    .UpdateDescriptorSets = v3dv_UpdateDescriptorSets,
    .CreateFramebuffer = v3dv_CreateFramebuffer,
    .DestroyFramebuffer = v3dv_DestroyFramebuffer,
    .CreateRenderPass = v3dv_CreateRenderPass,
    .DestroyRenderPass = v3dv_DestroyRenderPass,
    .GetRenderAreaGranularity = v3dv_GetRenderAreaGranularity,
    .CreateCommandPool = v3dv_CreateCommandPool,
    .DestroyCommandPool = v3dv_DestroyCommandPool,
    .ResetCommandPool = v3dv_ResetCommandPool,
    .AllocateCommandBuffers = v3dv_AllocateCommandBuffers,
    .FreeCommandBuffers = v3dv_FreeCommandBuffers,
    .BeginCommandBuffer = v3dv_BeginCommandBuffer,
    .EndCommandBuffer = v3dv_EndCommandBuffer,
    .ResetCommandBuffer = v3dv_ResetCommandBuffer,
    .CmdBindPipeline = v3dv_CmdBindPipeline,
    .CmdSetViewport = v3dv_CmdSetViewport,
    .CmdSetScissor = v3dv_CmdSetScissor,
    .CmdSetLineWidth = v3dv_CmdSetLineWidth,
    .CmdSetDepthBias = v3dv_CmdSetDepthBias,
    .CmdSetBlendConstants = v3dv_CmdSetBlendConstants,
    .CmdSetDepthBounds = v3dv_CmdSetDepthBounds,
    .CmdSetStencilCompareMask = v3dv_CmdSetStencilCompareMask,
    .CmdSetStencilWriteMask = v3dv_CmdSetStencilWriteMask,
    .CmdSetStencilReference = v3dv_CmdSetStencilReference,
    .CmdBindDescriptorSets = v3dv_CmdBindDescriptorSets,
    .CmdBindIndexBuffer = v3dv_CmdBindIndexBuffer,
    .CmdBindVertexBuffers = v3dv_CmdBindVertexBuffers,
    .CmdDraw = v3dv_CmdDraw,
    .CmdDrawIndexed = v3dv_CmdDrawIndexed,
    .CmdDrawIndirect = v3dv_CmdDrawIndirect,
    .CmdDrawIndexedIndirect = v3dv_CmdDrawIndexedIndirect,
    .CmdDispatch = v3dv_CmdDispatch,
    .CmdDispatchIndirect = v3dv_CmdDispatchIndirect,
    .CmdCopyBuffer = v3dv_CmdCopyBuffer,
    .CmdCopyImage = v3dv_CmdCopyImage,
    .CmdBlitImage = v3dv_CmdBlitImage,
    .CmdCopyBufferToImage = v3dv_CmdCopyBufferToImage,
    .CmdCopyImageToBuffer = v3dv_CmdCopyImageToBuffer,
    .CmdUpdateBuffer = v3dv_CmdUpdateBuffer,
    .CmdFillBuffer = v3dv_CmdFillBuffer,
    .CmdClearColorImage = v3dv_CmdClearColorImage,
    .CmdClearDepthStencilImage = v3dv_CmdClearDepthStencilImage,
    .CmdClearAttachments = v3dv_CmdClearAttachments,
    .CmdResolveImage = v3dv_CmdResolveImage,
    .CmdSetEvent = v3dv_CmdSetEvent,
    .CmdResetEvent = v3dv_CmdResetEvent,
    .CmdWaitEvents = v3dv_CmdWaitEvents,
    .CmdPipelineBarrier = v3dv_CmdPipelineBarrier,
    .CmdBeginQuery = v3dv_CmdBeginQuery,
    .CmdEndQuery = v3dv_CmdEndQuery,
    .CmdBeginConditionalRenderingEXT = v3dv_CmdBeginConditionalRenderingEXT,
    .CmdEndConditionalRenderingEXT = v3dv_CmdEndConditionalRenderingEXT,
    .CmdResetQueryPool = v3dv_CmdResetQueryPool,
    .CmdWriteTimestamp = v3dv_CmdWriteTimestamp,
    .CmdCopyQueryPoolResults = v3dv_CmdCopyQueryPoolResults,
    .CmdPushConstants = v3dv_CmdPushConstants,
    .CmdBeginRenderPass = v3dv_CmdBeginRenderPass,
    .CmdNextSubpass = v3dv_CmdNextSubpass,
    .CmdEndRenderPass = v3dv_CmdEndRenderPass,
    .CmdExecuteCommands = v3dv_CmdExecuteCommands,
    .CreateSharedSwapchainsKHR = v3dv_CreateSharedSwapchainsKHR,
    .CreateSwapchainKHR = v3dv_CreateSwapchainKHR,
    .DestroySwapchainKHR = v3dv_DestroySwapchainKHR,
    .GetSwapchainImagesKHR = v3dv_GetSwapchainImagesKHR,
    .AcquireNextImageKHR = v3dv_AcquireNextImageKHR,
    .QueuePresentKHR = v3dv_QueuePresentKHR,
    .DebugMarkerSetObjectNameEXT = v3dv_DebugMarkerSetObjectNameEXT,
    .DebugMarkerSetObjectTagEXT = v3dv_DebugMarkerSetObjectTagEXT,
    .CmdDebugMarkerBeginEXT = v3dv_CmdDebugMarkerBeginEXT,
    .CmdDebugMarkerEndEXT = v3dv_CmdDebugMarkerEndEXT,
    .CmdDebugMarkerInsertEXT = v3dv_CmdDebugMarkerInsertEXT,
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .GetMemoryWin32HandleNV = v3dv_GetMemoryWin32HandleNV,
#endif // VK_USE_PLATFORM_WIN32_KHR
    .CmdExecuteGeneratedCommandsNV = v3dv_CmdExecuteGeneratedCommandsNV,
    .CmdPreprocessGeneratedCommandsNV = v3dv_CmdPreprocessGeneratedCommandsNV,
    .CmdBindPipelineShaderGroupNV = v3dv_CmdBindPipelineShaderGroupNV,
    .GetGeneratedCommandsMemoryRequirementsNV = v3dv_GetGeneratedCommandsMemoryRequirementsNV,
    .CreateIndirectCommandsLayoutNV = v3dv_CreateIndirectCommandsLayoutNV,
    .DestroyIndirectCommandsLayoutNV = v3dv_DestroyIndirectCommandsLayoutNV,
    .CmdPushDescriptorSetKHR = v3dv_CmdPushDescriptorSetKHR,
    .TrimCommandPool = v3dv_TrimCommandPool,
    .TrimCommandPoolKHR = v3dv_TrimCommandPoolKHR,
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .GetMemoryWin32HandleKHR = v3dv_GetMemoryWin32HandleKHR,
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .GetMemoryWin32HandlePropertiesKHR = v3dv_GetMemoryWin32HandlePropertiesKHR,
#endif // VK_USE_PLATFORM_WIN32_KHR
    .GetMemoryFdKHR = v3dv_GetMemoryFdKHR,
    .GetMemoryFdPropertiesKHR = v3dv_GetMemoryFdPropertiesKHR,
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .GetSemaphoreWin32HandleKHR = v3dv_GetSemaphoreWin32HandleKHR,
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .ImportSemaphoreWin32HandleKHR = v3dv_ImportSemaphoreWin32HandleKHR,
#endif // VK_USE_PLATFORM_WIN32_KHR
    .GetSemaphoreFdKHR = v3dv_GetSemaphoreFdKHR,
    .ImportSemaphoreFdKHR = v3dv_ImportSemaphoreFdKHR,
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .GetFenceWin32HandleKHR = v3dv_GetFenceWin32HandleKHR,
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .ImportFenceWin32HandleKHR = v3dv_ImportFenceWin32HandleKHR,
#endif // VK_USE_PLATFORM_WIN32_KHR
    .GetFenceFdKHR = v3dv_GetFenceFdKHR,
    .ImportFenceFdKHR = v3dv_ImportFenceFdKHR,
    .DisplayPowerControlEXT = v3dv_DisplayPowerControlEXT,
    .RegisterDeviceEventEXT = v3dv_RegisterDeviceEventEXT,
    .RegisterDisplayEventEXT = v3dv_RegisterDisplayEventEXT,
    .GetSwapchainCounterEXT = v3dv_GetSwapchainCounterEXT,
    .GetDeviceGroupPeerMemoryFeatures = v3dv_GetDeviceGroupPeerMemoryFeatures,
    .GetDeviceGroupPeerMemoryFeaturesKHR = v3dv_GetDeviceGroupPeerMemoryFeaturesKHR,
    .BindBufferMemory2 = v3dv_BindBufferMemory2,
    .BindBufferMemory2KHR = v3dv_BindBufferMemory2KHR,
    .BindImageMemory2 = v3dv_BindImageMemory2,
    .BindImageMemory2KHR = v3dv_BindImageMemory2KHR,
    .CmdSetDeviceMask = v3dv_CmdSetDeviceMask,
    .CmdSetDeviceMaskKHR = v3dv_CmdSetDeviceMaskKHR,
    .GetDeviceGroupPresentCapabilitiesKHR = v3dv_GetDeviceGroupPresentCapabilitiesKHR,
    .GetDeviceGroupSurfacePresentModesKHR = v3dv_GetDeviceGroupSurfacePresentModesKHR,
    .AcquireNextImage2KHR = v3dv_AcquireNextImage2KHR,
    .CmdDispatchBase = v3dv_CmdDispatchBase,
    .CmdDispatchBaseKHR = v3dv_CmdDispatchBaseKHR,
    .CreateDescriptorUpdateTemplate = v3dv_CreateDescriptorUpdateTemplate,
    .CreateDescriptorUpdateTemplateKHR = v3dv_CreateDescriptorUpdateTemplateKHR,
    .DestroyDescriptorUpdateTemplate = v3dv_DestroyDescriptorUpdateTemplate,
    .DestroyDescriptorUpdateTemplateKHR = v3dv_DestroyDescriptorUpdateTemplateKHR,
    .UpdateDescriptorSetWithTemplate = v3dv_UpdateDescriptorSetWithTemplate,
    .UpdateDescriptorSetWithTemplateKHR = v3dv_UpdateDescriptorSetWithTemplateKHR,
    .CmdPushDescriptorSetWithTemplateKHR = v3dv_CmdPushDescriptorSetWithTemplateKHR,
    .SetHdrMetadataEXT = v3dv_SetHdrMetadataEXT,
    .GetSwapchainStatusKHR = v3dv_GetSwapchainStatusKHR,
    .GetRefreshCycleDurationGOOGLE = v3dv_GetRefreshCycleDurationGOOGLE,
    .GetPastPresentationTimingGOOGLE = v3dv_GetPastPresentationTimingGOOGLE,
    .CmdSetViewportWScalingNV = v3dv_CmdSetViewportWScalingNV,
    .CmdSetDiscardRectangleEXT = v3dv_CmdSetDiscardRectangleEXT,
    .CmdSetSampleLocationsEXT = v3dv_CmdSetSampleLocationsEXT,
    .GetBufferMemoryRequirements2 = v3dv_GetBufferMemoryRequirements2,
    .GetBufferMemoryRequirements2KHR = v3dv_GetBufferMemoryRequirements2KHR,
    .GetImageMemoryRequirements2 = v3dv_GetImageMemoryRequirements2,
    .GetImageMemoryRequirements2KHR = v3dv_GetImageMemoryRequirements2KHR,
    .GetImageSparseMemoryRequirements2 = v3dv_GetImageSparseMemoryRequirements2,
    .GetImageSparseMemoryRequirements2KHR = v3dv_GetImageSparseMemoryRequirements2KHR,
    .CreateSamplerYcbcrConversion = v3dv_CreateSamplerYcbcrConversion,
    .CreateSamplerYcbcrConversionKHR = v3dv_CreateSamplerYcbcrConversionKHR,
    .DestroySamplerYcbcrConversion = v3dv_DestroySamplerYcbcrConversion,
    .DestroySamplerYcbcrConversionKHR = v3dv_DestroySamplerYcbcrConversionKHR,
    .GetDeviceQueue2 = v3dv_GetDeviceQueue2,
    .CreateValidationCacheEXT = v3dv_CreateValidationCacheEXT,
    .DestroyValidationCacheEXT = v3dv_DestroyValidationCacheEXT,
    .GetValidationCacheDataEXT = v3dv_GetValidationCacheDataEXT,
    .MergeValidationCachesEXT = v3dv_MergeValidationCachesEXT,
    .GetDescriptorSetLayoutSupport = v3dv_GetDescriptorSetLayoutSupport,
    .GetDescriptorSetLayoutSupportKHR = v3dv_GetDescriptorSetLayoutSupportKHR,
#ifdef VK_USE_PLATFORM_ANDROID_KHR
    .GetSwapchainGrallocUsageANDROID = v3dv_GetSwapchainGrallocUsageANDROID,
#endif // VK_USE_PLATFORM_ANDROID_KHR
#ifdef VK_USE_PLATFORM_ANDROID_KHR
    .GetSwapchainGrallocUsage2ANDROID = v3dv_GetSwapchainGrallocUsage2ANDROID,
#endif // VK_USE_PLATFORM_ANDROID_KHR
#ifdef VK_USE_PLATFORM_ANDROID_KHR
    .AcquireImageANDROID = v3dv_AcquireImageANDROID,
#endif // VK_USE_PLATFORM_ANDROID_KHR
#ifdef VK_USE_PLATFORM_ANDROID_KHR
    .QueueSignalReleaseImageANDROID = v3dv_QueueSignalReleaseImageANDROID,
#endif // VK_USE_PLATFORM_ANDROID_KHR
    .GetShaderInfoAMD = v3dv_GetShaderInfoAMD,
    .SetLocalDimmingAMD = v3dv_SetLocalDimmingAMD,
    .GetCalibratedTimestampsEXT = v3dv_GetCalibratedTimestampsEXT,
    .SetDebugUtilsObjectNameEXT = v3dv_SetDebugUtilsObjectNameEXT,
    .SetDebugUtilsObjectTagEXT = v3dv_SetDebugUtilsObjectTagEXT,
    .QueueBeginDebugUtilsLabelEXT = v3dv_QueueBeginDebugUtilsLabelEXT,
    .QueueEndDebugUtilsLabelEXT = v3dv_QueueEndDebugUtilsLabelEXT,
    .QueueInsertDebugUtilsLabelEXT = v3dv_QueueInsertDebugUtilsLabelEXT,
    .CmdBeginDebugUtilsLabelEXT = v3dv_CmdBeginDebugUtilsLabelEXT,
    .CmdEndDebugUtilsLabelEXT = v3dv_CmdEndDebugUtilsLabelEXT,
    .CmdInsertDebugUtilsLabelEXT = v3dv_CmdInsertDebugUtilsLabelEXT,
    .GetMemoryHostPointerPropertiesEXT = v3dv_GetMemoryHostPointerPropertiesEXT,
    .CmdWriteBufferMarkerAMD = v3dv_CmdWriteBufferMarkerAMD,
    .CreateRenderPass2 = v3dv_CreateRenderPass2,
    .CreateRenderPass2KHR = v3dv_CreateRenderPass2KHR,
    .CmdBeginRenderPass2 = v3dv_CmdBeginRenderPass2,
    .CmdBeginRenderPass2KHR = v3dv_CmdBeginRenderPass2KHR,
    .CmdNextSubpass2 = v3dv_CmdNextSubpass2,
    .CmdNextSubpass2KHR = v3dv_CmdNextSubpass2KHR,
    .CmdEndRenderPass2 = v3dv_CmdEndRenderPass2,
    .CmdEndRenderPass2KHR = v3dv_CmdEndRenderPass2KHR,
    .GetSemaphoreCounterValue = v3dv_GetSemaphoreCounterValue,
    .GetSemaphoreCounterValueKHR = v3dv_GetSemaphoreCounterValueKHR,
    .WaitSemaphores = v3dv_WaitSemaphores,
    .WaitSemaphoresKHR = v3dv_WaitSemaphoresKHR,
    .SignalSemaphore = v3dv_SignalSemaphore,
    .SignalSemaphoreKHR = v3dv_SignalSemaphoreKHR,
#ifdef VK_USE_PLATFORM_ANDROID_KHR
    .GetAndroidHardwareBufferPropertiesANDROID = v3dv_GetAndroidHardwareBufferPropertiesANDROID,
#endif // VK_USE_PLATFORM_ANDROID_KHR
#ifdef VK_USE_PLATFORM_ANDROID_KHR
    .GetMemoryAndroidHardwareBufferANDROID = v3dv_GetMemoryAndroidHardwareBufferANDROID,
#endif // VK_USE_PLATFORM_ANDROID_KHR
    .CmdDrawIndirectCount = v3dv_CmdDrawIndirectCount,
    .CmdDrawIndirectCountKHR = v3dv_CmdDrawIndirectCountKHR,
    .CmdDrawIndirectCountAMD = v3dv_CmdDrawIndirectCountAMD,
    .CmdDrawIndexedIndirectCount = v3dv_CmdDrawIndexedIndirectCount,
    .CmdDrawIndexedIndirectCountKHR = v3dv_CmdDrawIndexedIndirectCountKHR,
    .CmdDrawIndexedIndirectCountAMD = v3dv_CmdDrawIndexedIndirectCountAMD,
    .CmdSetCheckpointNV = v3dv_CmdSetCheckpointNV,
    .GetQueueCheckpointDataNV = v3dv_GetQueueCheckpointDataNV,
    .CmdBindTransformFeedbackBuffersEXT = v3dv_CmdBindTransformFeedbackBuffersEXT,
    .CmdBeginTransformFeedbackEXT = v3dv_CmdBeginTransformFeedbackEXT,
    .CmdEndTransformFeedbackEXT = v3dv_CmdEndTransformFeedbackEXT,
    .CmdBeginQueryIndexedEXT = v3dv_CmdBeginQueryIndexedEXT,
    .CmdEndQueryIndexedEXT = v3dv_CmdEndQueryIndexedEXT,
    .CmdDrawIndirectByteCountEXT = v3dv_CmdDrawIndirectByteCountEXT,
    .CmdSetExclusiveScissorNV = v3dv_CmdSetExclusiveScissorNV,
    .CmdBindShadingRateImageNV = v3dv_CmdBindShadingRateImageNV,
    .CmdSetViewportShadingRatePaletteNV = v3dv_CmdSetViewportShadingRatePaletteNV,
    .CmdSetCoarseSampleOrderNV = v3dv_CmdSetCoarseSampleOrderNV,
    .CmdDrawMeshTasksNV = v3dv_CmdDrawMeshTasksNV,
    .CmdDrawMeshTasksIndirectNV = v3dv_CmdDrawMeshTasksIndirectNV,
    .CmdDrawMeshTasksIndirectCountNV = v3dv_CmdDrawMeshTasksIndirectCountNV,
    .CompileDeferredNV = v3dv_CompileDeferredNV,
    .CreateAccelerationStructureNV = v3dv_CreateAccelerationStructureNV,
    .DestroyAccelerationStructureKHR = v3dv_DestroyAccelerationStructureKHR,
    .DestroyAccelerationStructureNV = v3dv_DestroyAccelerationStructureNV,
    .GetAccelerationStructureMemoryRequirementsNV = v3dv_GetAccelerationStructureMemoryRequirementsNV,
    .BindAccelerationStructureMemoryNV = v3dv_BindAccelerationStructureMemoryNV,
    .CmdCopyAccelerationStructureNV = v3dv_CmdCopyAccelerationStructureNV,
    .CmdCopyAccelerationStructureKHR = v3dv_CmdCopyAccelerationStructureKHR,
    .CopyAccelerationStructureKHR = v3dv_CopyAccelerationStructureKHR,
    .CmdCopyAccelerationStructureToMemoryKHR = v3dv_CmdCopyAccelerationStructureToMemoryKHR,
    .CopyAccelerationStructureToMemoryKHR = v3dv_CopyAccelerationStructureToMemoryKHR,
    .CmdCopyMemoryToAccelerationStructureKHR = v3dv_CmdCopyMemoryToAccelerationStructureKHR,
    .CopyMemoryToAccelerationStructureKHR = v3dv_CopyMemoryToAccelerationStructureKHR,
    .CmdWriteAccelerationStructuresPropertiesKHR = v3dv_CmdWriteAccelerationStructuresPropertiesKHR,
    .CmdWriteAccelerationStructuresPropertiesNV = v3dv_CmdWriteAccelerationStructuresPropertiesNV,
    .CmdBuildAccelerationStructureNV = v3dv_CmdBuildAccelerationStructureNV,
    .WriteAccelerationStructuresPropertiesKHR = v3dv_WriteAccelerationStructuresPropertiesKHR,
    .CmdTraceRaysKHR = v3dv_CmdTraceRaysKHR,
    .CmdTraceRaysNV = v3dv_CmdTraceRaysNV,
    .GetRayTracingShaderGroupHandlesKHR = v3dv_GetRayTracingShaderGroupHandlesKHR,
    .GetRayTracingShaderGroupHandlesNV = v3dv_GetRayTracingShaderGroupHandlesNV,
    .GetRayTracingCaptureReplayShaderGroupHandlesKHR = v3dv_GetRayTracingCaptureReplayShaderGroupHandlesKHR,
    .GetAccelerationStructureHandleNV = v3dv_GetAccelerationStructureHandleNV,
    .CreateRayTracingPipelinesNV = v3dv_CreateRayTracingPipelinesNV,
    .CreateRayTracingPipelinesKHR = v3dv_CreateRayTracingPipelinesKHR,
    .CmdTraceRaysIndirectKHR = v3dv_CmdTraceRaysIndirectKHR,
    .GetDeviceAccelerationStructureCompatibilityKHR = v3dv_GetDeviceAccelerationStructureCompatibilityKHR,
    .GetRayTracingShaderGroupStackSizeKHR = v3dv_GetRayTracingShaderGroupStackSizeKHR,
    .CmdSetRayTracingPipelineStackSizeKHR = v3dv_CmdSetRayTracingPipelineStackSizeKHR,
    .GetImageViewHandleNVX = v3dv_GetImageViewHandleNVX,
    .GetImageViewAddressNVX = v3dv_GetImageViewAddressNVX,
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .GetDeviceGroupSurfacePresentModes2EXT = v3dv_GetDeviceGroupSurfacePresentModes2EXT,
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .AcquireFullScreenExclusiveModeEXT = v3dv_AcquireFullScreenExclusiveModeEXT,
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .ReleaseFullScreenExclusiveModeEXT = v3dv_ReleaseFullScreenExclusiveModeEXT,
#endif // VK_USE_PLATFORM_WIN32_KHR
    .AcquireProfilingLockKHR = v3dv_AcquireProfilingLockKHR,
    .ReleaseProfilingLockKHR = v3dv_ReleaseProfilingLockKHR,
    .GetImageDrmFormatModifierPropertiesEXT = v3dv_GetImageDrmFormatModifierPropertiesEXT,
    .GetBufferOpaqueCaptureAddress = v3dv_GetBufferOpaqueCaptureAddress,
    .GetBufferOpaqueCaptureAddressKHR = v3dv_GetBufferOpaqueCaptureAddressKHR,
    .GetBufferDeviceAddress = v3dv_GetBufferDeviceAddress,
    .GetBufferDeviceAddressKHR = v3dv_GetBufferDeviceAddressKHR,
    .GetBufferDeviceAddressEXT = v3dv_GetBufferDeviceAddressEXT,
    .InitializePerformanceApiINTEL = v3dv_InitializePerformanceApiINTEL,
    .UninitializePerformanceApiINTEL = v3dv_UninitializePerformanceApiINTEL,
    .CmdSetPerformanceMarkerINTEL = v3dv_CmdSetPerformanceMarkerINTEL,
    .CmdSetPerformanceStreamMarkerINTEL = v3dv_CmdSetPerformanceStreamMarkerINTEL,
    .CmdSetPerformanceOverrideINTEL = v3dv_CmdSetPerformanceOverrideINTEL,
    .AcquirePerformanceConfigurationINTEL = v3dv_AcquirePerformanceConfigurationINTEL,
    .ReleasePerformanceConfigurationINTEL = v3dv_ReleasePerformanceConfigurationINTEL,
    .QueueSetPerformanceConfigurationINTEL = v3dv_QueueSetPerformanceConfigurationINTEL,
    .GetPerformanceParameterINTEL = v3dv_GetPerformanceParameterINTEL,
    .GetDeviceMemoryOpaqueCaptureAddress = v3dv_GetDeviceMemoryOpaqueCaptureAddress,
    .GetDeviceMemoryOpaqueCaptureAddressKHR = v3dv_GetDeviceMemoryOpaqueCaptureAddressKHR,
    .GetPipelineExecutablePropertiesKHR = v3dv_GetPipelineExecutablePropertiesKHR,
    .GetPipelineExecutableStatisticsKHR = v3dv_GetPipelineExecutableStatisticsKHR,
    .GetPipelineExecutableInternalRepresentationsKHR = v3dv_GetPipelineExecutableInternalRepresentationsKHR,
    .CmdSetLineStippleEXT = v3dv_CmdSetLineStippleEXT,
    .CreateAccelerationStructureKHR = v3dv_CreateAccelerationStructureKHR,
    .CmdBuildAccelerationStructuresKHR = v3dv_CmdBuildAccelerationStructuresKHR,
    .CmdBuildAccelerationStructuresIndirectKHR = v3dv_CmdBuildAccelerationStructuresIndirectKHR,
    .BuildAccelerationStructuresKHR = v3dv_BuildAccelerationStructuresKHR,
    .GetAccelerationStructureDeviceAddressKHR = v3dv_GetAccelerationStructureDeviceAddressKHR,
    .CreateDeferredOperationKHR = v3dv_CreateDeferredOperationKHR,
    .DestroyDeferredOperationKHR = v3dv_DestroyDeferredOperationKHR,
    .GetDeferredOperationMaxConcurrencyKHR = v3dv_GetDeferredOperationMaxConcurrencyKHR,
    .GetDeferredOperationResultKHR = v3dv_GetDeferredOperationResultKHR,
    .DeferredOperationJoinKHR = v3dv_DeferredOperationJoinKHR,
    .CmdSetCullModeEXT = v3dv_CmdSetCullModeEXT,
    .CmdSetFrontFaceEXT = v3dv_CmdSetFrontFaceEXT,
    .CmdSetPrimitiveTopologyEXT = v3dv_CmdSetPrimitiveTopologyEXT,
    .CmdSetViewportWithCountEXT = v3dv_CmdSetViewportWithCountEXT,
    .CmdSetScissorWithCountEXT = v3dv_CmdSetScissorWithCountEXT,
    .CmdBindVertexBuffers2EXT = v3dv_CmdBindVertexBuffers2EXT,
    .CmdSetDepthTestEnableEXT = v3dv_CmdSetDepthTestEnableEXT,
    .CmdSetDepthWriteEnableEXT = v3dv_CmdSetDepthWriteEnableEXT,
    .CmdSetDepthCompareOpEXT = v3dv_CmdSetDepthCompareOpEXT,
    .CmdSetDepthBoundsTestEnableEXT = v3dv_CmdSetDepthBoundsTestEnableEXT,
    .CmdSetStencilTestEnableEXT = v3dv_CmdSetStencilTestEnableEXT,
    .CmdSetStencilOpEXT = v3dv_CmdSetStencilOpEXT,
    .CreatePrivateDataSlotEXT = v3dv_CreatePrivateDataSlotEXT,
    .DestroyPrivateDataSlotEXT = v3dv_DestroyPrivateDataSlotEXT,
    .SetPrivateDataEXT = v3dv_SetPrivateDataEXT,
    .GetPrivateDataEXT = v3dv_GetPrivateDataEXT,
    .CmdCopyBuffer2KHR = v3dv_CmdCopyBuffer2KHR,
    .CmdCopyImage2KHR = v3dv_CmdCopyImage2KHR,
    .CmdBlitImage2KHR = v3dv_CmdBlitImage2KHR,
    .CmdCopyBufferToImage2KHR = v3dv_CmdCopyBufferToImage2KHR,
    .CmdCopyImageToBuffer2KHR = v3dv_CmdCopyImageToBuffer2KHR,
    .CmdResolveImage2KHR = v3dv_CmdResolveImage2KHR,
    .CmdSetFragmentShadingRateKHR = v3dv_CmdSetFragmentShadingRateKHR,
    .CmdSetFragmentShadingRateEnumNV = v3dv_CmdSetFragmentShadingRateEnumNV,
    .GetAccelerationStructureBuildSizesKHR = v3dv_GetAccelerationStructureBuildSizesKHR,
};

